Welcome

Topic 1 Next topic:
Contents

Welcome to WUFI 2D

WUFI is a Windows-based program for the hygrothermal (i.e., heat and moisture) analysis of building envelope constructions. WUFI is an easy-to-use, menu-driven program for use on a personal computer which can provide customized solutions to moisture engineering and damage assessment problems for various building envelope systems.

The WUFI simulation model is a transient heat and mass transfer model which can be used to assess the heat and moisture distributions for a wide range of building material classes and climatic conditions.

With WUFI you can estimate the drying times of masonry and lightweight structures with trapped or concealed construction moisture, investigate the danger of interstitial condensation or study the influence of driving rain on exterior building components. The program can also help to select repair and retrofit strategies with respect to the hygrothermal response of particular roof or wall assemblies subjected to various climates. This allows the comparison and ranking of different designs with respect to total hygrothermal performance.

In addition, WUFI provides an instructive overview of the complex moisture transport phenomena occurring in construction assemblies, making the basic principles and interactions present during moisture transport more accessible and allowing both designers and architects insight into design decisions.

This design tool can also aid the development and optimization of innovative building materials and components. One example is that WUFI simulations led to the development of the smart vapor retarder; a successful application of a software tool to a practical moisture control problem.

Topic 1 Next topic:
Contents


Contents

The following help topics give you a general overview of WUFI 2D:

What is WUFI?
What Do I Get From WUFI?
How Do I Use WUFI?

These help topics provide in-depth discussion of selected items:

Material Data
Surface Transfer
Climate Data

Here is an overview of WUFI's dialog structure:

Overview of WUFI's Dialog Structure

This list of Questions & Answers may help you to better understand the program and its application:

Questions and Answers

And this glossary defines some of the terms used in the program:

Glossary

On-line help for WUFI-2D, version 4.6
108 help topics
Jul 2024 , Th. Schmidt

© FhG - IBP 2024
Previous topic:
Welcome 		Topic 2 Next topic:
What is WUFI?


What is WUFI?

WUFI is the acronym for "Wärme- und Feuchtetransport instationär" ("Transient Heat and Moisture Transport").

WUFI is designed to calculate the simultaneous heat and moisture transport in one- or two-dimensional building components.

A comfortable Windows® user interface allows quick set-up of a calculation project, easy change of parameters for numerical experiments and comfortable viewing of the results as graphics or as an animation.

The physical and numerical ideas underlying WUFI are developed and discussed in the doctoral thesis:

Künzel, H.M.:
Verfahren zur ein- und zweidimensionalen Berechnung des gekoppelten Wärme- und Feuchtetransports in Bauteilen mit einfachen Kennwerten.
Dissertation Universität Stuttgart 1994

(http://publica.fraunhofer.de/eprints/urn_nbn_de_0011-n-692166.pdf)
or

Künzel, H.M.:
Simultaneous Heat and Moisture Transport in Building Components.
One- and two-dimensional calculation using simple parameters.
IRB Verlag 1995

(http://publica.fraunhofer.de/eprints/urn_nbn_de_0011-px-566563.pdf).

In the calculation of heat transport, WUFI takes into account:

  • thermal conduction
  • enthalpy flows through moisture movement with phase change
  • short-wave solar radiation
  • nighttime long-wave radiation cooling (optional, and with TRY or DAT weather data only).

Convective heat transport by air flows has been disregarded, since it is usually difficult to quantify. As it is rarely one-dimensional, including it in WUFI-1D would not be very useful. A future WUFI-2D version may include it.

The vapor transport mechanisms included in WUFI are:

  • vapor diffusion
  • solution diffusion

Again, convective vapor transport by air flows has been ignored.

The liquid transport mechanisms taken into account are:

  • capillary conduction
  • surface diffusion.

Seepage flow through gravitation, hydraulic flow through pressure differentials, as well as electrokinetic and osmotic effects have not been included.

The choice of temperature and relative humidity as driving potentials allows the use of simple, easily comprehensible storage and transport coefficients. These can thus readily be derived from standard material data if no measured data are available and utmost precision of the results is not required.

The boundary conditions for each time step are expressed in terms of meteorological data (temperature, relative humidity, driving rain, radiation), since in building physics these are the relevant parameters specifying the conditions at surfaces exposed to natural weather.
However, conditions for laboratory experiments (e.g. imbibition measurements) can also be expressed as 'meteorological' data.

Previous topic:
Contents 		Topic 3 Next topic:
What Do I Get From WUFI?


What Do I Get From WUFI?

Once you have furnished WUFI with the data it needs, it can calculate the temporal evolution of the two-dimensional temperature and moisture fields in the building component.

During and after the calculation, a separate visualiser program (WUFI-2D Motion) allows you to view two-dimensional plots of the resulting temperature, relative humidity, water content, vapor pressure, heat flux, capillary flux and diffusion flux for specific points in time or as an animation.
Start the 2D visualizer by choosing "Output | View the Results".

Another visualiser program allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
Start the 1D visualizer by choosing "Output | View the Results (1D)".

Previous topic:
What is WUFI? 		Topic 4 Next topic:
How Do I Use WUFI?


How Do I Use WUFI?

The following will guide you through the process of setting up and performing a calculation with WUFI, giving you a general impression of what you can do and how you can do it.

Collecting the Necessary Data
Defining the Component and the Numerical Grid
Setting Numerical Parameters
Summary: Preparing a Calculation
Performing the Calculation
Viewing the Results
Previous topic:
What Do I Get From WUFI? 		Topic 5 Next topic:
Collecting the Necessary Data


Collecting the Necessary Data

Of course, WUFI needs some data to perform the calculations. However, the equations built into WUFI have been formulated in terms of quantities that are well known or readily available, or can easily be measured or estimated.

This is what WUFI needs:

  • Material data

    These quantities define the hygrothermal behaviour of the materials:

    Basic Data:

    • bulk density [kg/m³]
    • porosity [m³/m³],
    • specific heat capacity of dry material [J/kgK]
    • thermal conductivity of dry material [W/mK]
    • water vapor diffusion resistance factor of dry material [-]

    Hygric Extensions:

    • moisture storage function [kg/m³]
      as a table or approximated by sorption moisture at 80% RH (w80) and free saturation (wf),
    • liquid transport coefficient for suction [m²/s]
      as a table or generated from the water absorption coefficient (A-value),
    • liquid transport coefficient for redistribution [m²/s]
      as a table or generated from the water absorption coefficient (A-value),
    • moisture-dependent thermal conductivity [W/mK]
      as a table or generated from the moisture-induced thermal conductivity supplement,
    • moisture-dependent vapor diffusion resistance factor [-]
      as a table.

    These material data are further discussed in the topic "Material Data".

    The definition of the water vapor diffusion resistance factor (a.k.a. µ-value) and related quantities is discussed in the topic "Water Vapor Diffusion".

    For mathematical reasons, the basic data are required as a minimum for each calculation; otherwise, the transport equations are not fully defined.
    The hygric extensions are refinements of the simulation model that are not mathematically required, but they may well be necessary to fully and appropriately describe the hygrothermal situation.

  • Climate data

    These quantities define the boundary conditions at the surfaces of the building component:

    • rain load on the surface [Ltr/m²h],
      as dependent on the inclination and orientation of the building component,
    • short-wave (solar) radiation flux density [W/m²],
      as dependent on the inclination and orientation of the building component,
    • air temperature [°C],
    • relative humidity (0..1),
    • mean barometric pressure [hPa] over the calculation period,
    • atmospheric counterradiation [W/m²], if radiation cooling is to be accounted for during the night.

    For each time step, WUFI reads these data from a climate file. Since the rain load and the radiation flux are directional quantities, they must be evaluated in dependence of the orientation and inclination of the building element. This evaluation can be done with a preprocessor or by WUFI itself during the calculation.

    In the former case, the preprocessed data are written to a file of *.KLI type, in the latter case WUFI expects climate data in *.WET or *.TRY or *.DAT or *.IWC or *.WBC or *.WAC format.
    You can create files with your own data in any of these formats in order to use them with WUFI.

    Climate data and the climate file formats are further discussed in the topic "Climate Data".

  • Surface transfer coefficients

    These quantities specify the coupling between the climate data and the conditions in the building component:

    • heat transfer coefficient [W/m²K]
    • vapor diffusion thickness, a.k.a. sd-value [m]
      allows to account for the diffusion-retarding effect of paint coats, wallpapers, vapor retarders etc., if present, without the need to explicitly include these layers in the component assembly,
    • short-wave (solar) radiation absorptivity [-],
    • long-wave (thermal) radiation emissivity [-]
      (can or must often be neglected, since data on sky and ground counterradiation are rarely available),
    • rain water absorption factor [-]
      describes the reduction of rain water volume available for suction on non-horizontal surfaces, since some water splashes off on impact.

    The water vapor transfer coefficients are automatically calculated from the heat transfer coefficients and need not be specified separately.

    The coefficients listed here are further discussed in the topic "Surface Transfer".

    The definition of the vapor diffusion thickness and related quantities is discussed in the topic Water Vapor Diffusion.

  • Initial conditions

    The temperature and mosture fields of the building component must be initialized with starting values for the temperature and the relative humidity. Currently, WUFI-2D only allows constant values for both across each element of the component.

    The initial conditions are further discussed in the help topic for the dialog "Initial Conditions".

Previous topic:
How Do I Use WUFI? 		Topic 6 Next topic:
Defining the Component and the Numerical Grid


Defining the Component and Numerical Grid

Previous topic:
Collecting the Necessary Data 		Topic 7 Next topic:
Setting Numerical Parameters

Defining the Component and the Numerical Grid

In a first step you define the geometry of the component by assembling it from rectangular elements, then you subdivide it into small numerical grid elements.

The definition of the geometry is done interactively in a graphical diagram of the component.

The transport equations cannot be solved analytically. To allow a numerical treatment, the building component must be divided into discrete grid elements. WUFI can automatically generate a general-purpose grid which will suffice for most cases (you can select one of three degrees of fineness for the grid).

In special cases (e.g. severe interstitial condensation in a narrow region) you may need to adapt the grid manually. You can easily set up and manually edit the grid by using WUFI's grid editor. All grid data are entered into a table where each line represents a layer of the component in x- or y-direction. Each layer is subdivided into two sublayers with expanding and contracting grid elements. You may define expanding or contracting grids in order to tailor the local fineness of the grid to the demands of the simulation model:

For the discretisation of the transport equations, the values of the calculated quantities are assumed to be constant across each grid element. Therefore, the size of each element should be chosen so as to make this assumption approximately valid, depeding on the local conditions. In general, this requires the use of small elements in regions where steep moisture or temperature gradients are to be expected, and allows the use of larger elements in more placid regions to cut down on calculation effort.

In general, steep gradients are to be expected close to the boundaries of a layer, i.e., close to the surfaces of the component because of the influence of climate conditions, and close to internal layer interfaces because of condensation. Less variation will occur in the middle of each layer.
The two sublayers of each layer may have different expansion factors (>1, <1) for the grid and thus allow you to achieve a smooth, not necessarily symmetrical, expansion and contraction of the grid elements which can be adapted to the requirements in each individual layer.

The choice of a suitable grid is further discussed in the topic Background, details of how to set up a manual grid are described in the help topic for the "Geometry" dialog.

Finally you specify the material data for each layer. The material data need not be entered by hand if the material in question is contained in WUFI's material database. Just select the material in the database and transfer all the data.

WUFI comes complete with a database which offers a selection of materials for instant use. (Please note, however, that due to large variations in the materials and often incomplete or inconsistent literature data, the data provided here should not be taken as divine revelations. They are just intended to give you a starting point.)
You can supplement the database with your own materials.

Previous topic:
Collecting the Necessary Data 		Topic 7 Next topic:
Setting Numerical Parameters


Setting Numerical Parameters

The numerical parameters control WUFI's behavior during the calculation.

Most important, you have to specify a starting date (e.g. October 1) of the calculation and the number of time steps to be performed. The time step size is usually 1 hour; if needed, you may specify other time steps. See the topic "Background" for a discussion on suitable choices of time step widths.

You may also select or de-select certain quantities for output. De-selecting quantities you are not interested in will reduce the size of the result file. The quantities available for output are temperature, relative humidity, water content, vapor pressure, heat flux, capillary flux and diffusion flux.

Previous topic:
Defining the Component and the Numerical Grid 		Topic 8 Next topic:
Summary: Preparing a Calculation


Summary: Preparing a Calculation

This is an overview of the steps that have to be taken before you can start a calculation:

  • You may enter some optional information about the project.

  • You must define the geometry of the component (i.e. how it is composed of rectangles) and you may fine-tune the numerical grid. You must enter the material data for the individual elements of the component. The material data may be entered by hand or taken from the material database.

  • You must specify the initial conditions, which describe the starting values of the temperature and moisture fields.

  • For each surface, you must specify the surface transfer coefficients for heat, vapor and liquid transport, the orientation and inclination and the climatic conditions.

    • You must specify the time interval for which the calculation shall be carried out: enter the starting date and the number of time steps.

  • You may edit the parameters for the numerical control.

  • You may check your input by viewing a report detailing the input data.

  • As a precaution, you should now save your input to a save directory.

  • Now you can start the calculation.

Previous topic:
Setting Numerical Parameters 		Topic 9 Next topic:
Performing the Calculation


Performing the Calculation

When you have entered (and saved) all the necessary data, you can start the calculation. Open the dialog "Processing" and click on Start. You may Suspend or Terminate the calculation at any time; the results accumulated so far remain accessible and can be analysed.

WUFI experts may edit the input file which transfers all the input data to WUFI's numerical processor.

Make the calculation a Low Priority task on your PC if you wish to continue working while the calculation is done in the background. The calculation will take longer, however.

During the calculation, WUFI wanders from the specified initial state through the evolution of the temperature and moisture fields, proceeding in discrete time steps, reading the changing boundary conditions from the climate file and writing the data of each step to a result file.

Previous topic:
Summary: Preparing a Calculation 		Topic 10 Next topic:
Viewing the Results


Viewing the Results

During and after the calculation, a separate visualiser program (WUFI-2D Motion) allows you to view two-dimensional plots of the resulting temperature, relative humidity, water content, vapor pressure, heat flux, capillary flux and diffusion flux for specific points in time or as an animation.
Start the 2D visualizer by choosing "Output | View the Results".

Another visualiser program allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
Start the 1D visualizer by choosing "Output | View the Results (1D)".

Previous topic:
Performing the Calculation 		Topic 11 Next topic:
Material Data


Material Data

The heat and moisture fluxes permeating the building component are not only determined by its present and past conditions and the boundary conditions, but also and foremost by the conductive and capacitive properties of the individual materials. A discussion of the data needed by WUFI may help you to better understand the physics involved in the calculations.

There are basic data which are indispensable for a calculation,

  • Basic Material Data

Other data may be optional, depending on the material and on the purpose of the calculation:

  • Moisture Storage Function
  • Liquid Transport Coefficients
  • Diffusion Resistance Factor, Moisture-dependent
  • Heat Conductivity, Moisture-dependent
  • Heat Conductivity, Temperature-dependent
  • Enthalpy, Temperature-dependent

A separate help topic is devoted to the various parameters describing

  • Water Vapor Diffusion.

If you need to collect material data on your own, this discussion may be helpful:

  • How to Collect Material Data

Some materials need special treatment:

  • Air Layers
  • Membranes

Previous topic:
Viewing the Results 		Topic 12 Next topic:
Basic Material Data


Basic Material Data

These material data constitute an indispensable minimum without which a calculation is not possible:

  • Bulk density [kg/m³],

     serves to convert the specific heat by mass to the specific heat by volume. It is also used when water contents are displayed in units of mass-percent, and it appears in the formula which computes the moisture-dependent thermal conductivity from the moisture-induced thermal conductivity supplement.

    The bulk density r bulk is the ratio of the mass m of the sample and the total volume Vtot of the sample:
    rbulk = m / Vtot.

    The true density rtrue, by contrast, is the ratio of the mass of the sample and the volume taken up by the material matrix only:
    rtrue = m / (Vtot - Vpores) = m / Vtrue.

    The bulk density should be available for virtually every building material. If not, it can be measured very easily. Since it mainly affects the specific heat value and the moisture-dependent thermal conductivity entering into the calculation, and hygrothermal simulations usually don't depend very sensitively on this value, it need not be known with great precision.

  • Porosity [m³/m³],

     determines the maximum water content wmax (by multiplication by rwater = 1000 kg/m³).

    Since most calculations are not sensitive to the exact value of the maximum water content (you'll rarely encounter water contents above free saturation), it is usually sufficient to estimate it if no value is available for the material in question.

    The porosity can be estimated from the true density rtrue and the bulk density rbulk:

    rbulk = m / Vtot = m / (Vtrue + Vpores) = rtrue / (1 + Vpores/V true) =
    =rtrue * Vtrue /Vtot = rtrue * (1 - Vpores/Vtot) = r true * (1 - porosity),
    therefore
    porosity = 1 - rbulk / rtrue.

    rtrue can in turn be estimated from other materials which have the same composition but different bulk density, if their bulk density and porosity are known.

    Example: a cellular concrete brick with rbulk = 600 kg/m³ and porosity = 0.72 has rtrue = 600 / (1 - 0.72) kg/m³ = 2140 kg/m³. The porosity of a cellular concrete brick with rbulk = 400 kg/m³ can then be estimated as
    porosity = 1 - 400/2140 = 0.81.

  • Heat capacity [J/kgK],

     the specific heat capacity by mass of the dry material.

    Using the specific heat capacity by mass has the advantage that this value only depends on the chemical composition of the material, but not on its porosity. For example, cellular concrete bricks with bulk densities of 400 kg/m³ and 600 kg/m³ have the same specific heat capacity by mass.

    To convert into heat capacity by volume (which enters into the transport equations), WUFI multiplies the mass-specific heat capacity by the bulk density.

    Rough values are 850 J/kgK for mineral materials and 1500 J/kgK for organic materials. In most cases, these estimates will be sufficient since hygrothermal simulations usually don't depend very sensitively on this value.

    WUFI automatically allows for the additional heat capacity of the water content, if any. For each kg/m³ of water content, 4180 J/(kg K) are added to the heat capacity of the dry material.

    Alternatively, the heat capacity can be described by a suitable enthalpy table. As long as the heat capacity is assumed constant, such a table has no advantage, but it also allows to model a temperature dependence of the heat capacity or latent heat effects occurring during phase changes.

  • Heat conductivity dry [W/mK],

     the heat conductivity of the material in dry condition. If needed, moisture dependence and/or temperature dependence can optionally be taken into account.

    Please note that experimentally measured heat conductivities of vapor-permeable materials may include the effect of vapor transport with phase change (i.e. water evaporating at one side of the specimen and condensing at the other side, thus in effect transporting latent heat without a corresponding heat flow being conducted across the specimen). Since WUFI explicitly computes this thermal effect of vapor flow, it should not be included in the heat conductivity, if possible. However, it is usually difficult or impossible to separate this effect out of the measured data.

    Furthermore, design values, such as the data given in German Standard DIN 4108, may already contain the contribution of a typical water content and, if so, are not strictly dry values.
    If you want to perform the calculation with a constant (i.e. not moisture-dependent) heat conductivity (for example because you have no detailed data on the moisture-dependence), you may use these design values to allow for moisture content at least in a crude approximation. However, if you explicitly use a table of moisture-dependent heat conductivities, you should make sure that the value for moisture content = 0 is really the dry value, or else the effect of the moisture content would be allowed for twice.

    On the other hand, hygrothermal simulations (in particular the resulting moisture contents and distributions) usually don't depend very sensitively on the precise values of the heat conductivities, so the difference may be generally negligible unless you are specifically interested in heat flows.

  • Diffusion resistance factor dry [-],

     the diffusion resistance factor (µ-value) of the material in dry condition. The µ-value states by how much the diffusion resistance of the material in question is higher than that of stagnant air. A moisture-dependent µ-value is optional.

    The definition of the µ-value and its relation to permeability are discussed in the topic Water Vapor Diffusion.

    Please note that even if you do not explicitly use a moisture-dependent µ-value, WUFI will treat it as moisture-dependent for moisture contents above free saturation wf:
    WUFI will reduce the permeability d/µ in proportion to the moisture excess over wf, until it reaches zero at maximum saturation wmax (that is, µ reaches infinity). This reflects - in a first approximation - the fact that at very high moisture contents even the larger capillaries become clogged with water and can't contribute to vapor transport any more.

Previous topic:
Material Data 		Topic 13 Next topic:
Moisture Storage Function


Moisture Storage Function

Equilibrium water content

In a porous hygroscopic material, the surfaces of the pore system accumulate water molecules until a specific equilibrium moisture content corresponding to the humidity of the ambient air is reached.

There are two different mechanisms determining the moisture content of a material exposed to humid air:(*)

  • At lower relative humidities some of the water molecules in the pore air become bound to the pore walls by adsorption. With increasing humidity, the single molecules gather up to form molecule groups, then monomolecular layers, and finally multimolecular films consisting of several molecular layers. The equilibrium moisture content thus increases roughly proportional to the relative humidity (sorption moisture region, hygroscopic region).

  • At relative humidities above about 0.6 to 0.8 the reduction of the saturation vapor pressure in the smaller capillaries (see below) causes some condensation of moisture, markedly increasing the equilibrium moisture content. At these humidity levels, the pores thus contain not only water bound by adsorption but also unbound liquid water (capillary water region, super-hygroscopic region). This liquid water can be transported by capillary forces.

Over a flat surface of pure water, water vapor can only be in equilibrium with the liquid water when the vapor has saturation pressure. Only then is the evaporation rate from the surface (which depends on the temperature and the binding forces acting on the molecules) equal to the condensation rate onto the surface (which depends on the amount of water molecules in the air and thus on the impingement rate onto the surface), and no net evaporation or condensation takes place.

In the pores, however, because of the additional binding forces felt by the water molecules due to the presence of the pore walls, their evaporation rate is lower and a lower vapor pressure is sufficient for the water vapor in the pore air to be in equilibrium with the adsorbed or condensed pore water. Saturation therefore already occurs at a lower vapor pressure ("saturation pressure reduction").

Relative humidity is defined as the ratio of the current water vapor pressure to the saturation vapor pressure over a flat surface of pure water. For the situation in the pores, a flat surface of pure water serves as the reference, too, so that the reduced saturation pressure is described by a relative humidity less than 100%, even though saturation has been reached and an equilibrium has been established.

For each relative humidity of the pore air between 0 and 100%, there exists a specific moisture content which is in equilibrium with this pore air humidity. The moisture content in equilibrium with a given relative humidity of the pore air is described by the moisture storage function.

The moisture storage function

In the sorption moisture region, the number of adsorbed molecules is determined by the absolute humidity of the pore air on the one hand (a greater water vapor concentration causes a greater impingement rate on the pore walls and thus a greater adsorption rate) and the temperature on the other hand (a higher temperature causes a higher desorption rate). Because these two factors counteract each other, the resulting equilibrium moisture content is determined by their ratio, i.e. basically by the relative humidity of the pore air. Relative humidity is therefore the principal humidity variable controlling moisture content rather than, say, absolute humidity or vapor pressure.
In the capillary water region, pore water condenses or evaporates until the reduced saturation vapor pressure above the strongly curved water surfaces in the small pores is in equilibrium with the relative humidity of the pore air.

Therefore, in both moisture regions the moisture content mainly depends on relative humidity as the principal determining factor, and the moisture storage function of a material, comprising these two moisture regions, indicates which moisture content the material reaches at a given relative humidity. Since this function depends only weakly on temperature, the temperature-dependence can be ignored for many purposes. The moisture storage function then only depends on the relative humidity as its only variable.

For most materials, the moisture storage function has a typical s-shape.

Moisture storage function

A capillary-active material in contact with liquid water will take up this water until it reaches its free saturation wf. This water content wf corresponds to the moisture storage function at a relative humidity of 1 (=100%). Because of air pockets trapped in the pore structure, however, the free saturation is less than the maximum water content wmax which is determined by the porosity. Moisture contents exceeding wf (supersaturated region) may e.g. result from condensation in a temperature gradient (especially in insulation materials; these are often not capillary-active and therefore have wf ≈ 0).

The free saturation wf ranks among the standard material data and is known for most materials. The 'practical moisture content' w80 that corresponds to the equilibrium moisture at a RH of 0.8 is another standard quantity.

Measurement of the moisture storage function

Because of limitations of the respective measuring procedures, the moisture storage function has to be composed from sorption isotherms (up to ~ 0.9 RH) and pressure plate measurements (above 0.95 RH) [1]. The hysteresis between adsorption and desorption isotherms is usually not very pronounced, so that it is sufficient to use the adsorption isotherm. Where necessary, a mean isotherm may be used. Due to the measuring technique, the pressure plate measurements are 'desorption' measurements.

See also the topic How to Collect Material Data for a list of possible measurement methods.

The moisture storage function in WUFI

In WUFI, the moisture storage function is described by means of a table with relative humidities and the corresponding moisture contents. The table may contain an arbitrary number of entries between which WUFI interpolates linearly.

Example: Sander sandstone

j [-] | w[kg/m³]
0 | 0
0.1 | 4.4
0.3 | 10.2
0.65 | 15.2
0.8 | 19.0
0.91 | 30.0
0.95 | 45.9
0.99 | 61.7
0.995 | 75.0
1.0 | 130.0

The pressure plate measurements would even allow a still finer subdivision of the table in the high-moisture region, but then at j ≈ 1 the curve would approach the ordinate so closely that its immensely steep slope might cause numerical problems. If the moisture transport across the interface between two capillary-active materials in capillary contact is to be calculated, however, the moisture storage function must be as detailed as possible in this region [2]. (If the capillary contact is non-ideal, an additional transfer resistance has to be taken into account [2]).

WUFI allows moisture contents in the supersaturated region, since these may well occur under condensation conditions. However, in this region there is no unique functional relation between relative humidity and moisture content. The relative humidity is always 1, and the moisture content varies between wf and wmax.

The moisture content then does not depend on the relative humidity, it is determined by the boundary conditions: it increases under condensation conditions and decreases under evaporation conditions. In order to treat these moisture contents above wf, WUFI internally extends the table of each material by introducing an additional entry:

j[-] | w[kg/m³]
... | ...
1.01 | wmax

Moisture contents between wf and wmax are thus associated with relative humidities between 1 and 1.01. Relative humidities between 1 and 1.01 are only fictitious, of course, but they allow WUFI to assign a unique RH to each water content, as required by the moisture transport equations.

The dependence of the moisture storage function on the temperature is marginal and is ignored in WUFI.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Approximation of the moisture storage function

If the moisture storage function can be adequately described by the function

Approximated moisture storage function
w(j) | [kg/m³] | : | moisture content corresponding to relative humidity j
wf | [kg/m³] | : | moisture content at free saturation
j | [-] | : | relative humidity
b | [-] | : | approximation factor

then it is sufficient to specify w80 und wf, in order to define the moisture storage function for WUFI (this is called 'approximation of the moisture storage function'). However, this condition is not met by all materials (e.g. some kinds of concrete).

Approximation of the moisture storage function

A checkbox in the material data dialog allows the user to switch between a moisture storage function described by a table and one described by an approximation function.

The approximation function assists the user if not enough measured water contents are available to define a complete tabulated moisture storage function. For the approximation, only the practical moisture content w80 and the free saturation wf are needed. These values are known for many materials or can be easily determined by simple experiments.

WUFI's default moisture storage function

The moisture storage function of non-hygroscopic materials (essentially insulating materials, but air layers as well) is theoretically more or less zero in the region j = 0..1, whereas for j = 1 it takes on some indefinite value between zero and wmax, so that no well-defined functional relationship exists. Since WUFI needs a well-defined moisture field at each time step, however, it assigns a (low) artificial moisture storage function to all materials which nominally don't have any appreciable moisture content or for which the user did not define such a function for whatever reason.

If no moisture storage function has been defined in the material data dialog, WUFI therefore uses the following default moisture storage function:

###
w(j) | [kg/m³] | : | Wassergehalt
j | [-] | : | relative Feuchte

Since w must be 0 for j = 0, it follows immediately that

c = -a/b.

The constants a and b are determined as follows:

b is set to 1.0105.

The moisture content at free saturation, wf, corresponds to a relative humidity j of 1 (=100%). Since WUFI also needs a unique relationship between moisture content and RH for moisture contents above free saturation, this oversaturation region is assigned RHs greater than 1, up to j max = 1.01. This value j max is reached when the moisture content reaches maximum saturation wmax which is determined by the porosity:

wmax = porosity * 1000 kg/m³

Therefore we have

wmax = a / (b-j max) - a/b.

Solving for a yields:

a = wmax * b * (b - j max) / j max,

and thus:

w(j) / wmax = j / (b - j) * (b - j max) / j max.

In particular, for j = 1 we have

wf / wmax = 1 / (b - 1) * (b - j max) / j max = 0.047.

So this pseudo material has an (artificial) free saturation of wf = 0.047 wmax.

So the results of a WUFI calculation will indicate some (low) moisture content even in materials for which you did not define a moisture storage function. These moisture contents are artificial and should be regarded with caution. Only when the moisture contents surpass the fictitious free saturation of ca. 0.05·wmax, they have resulted from condensation phenomena which are independent from the choice of the moisture storage function. In that case the excess of the moisture content over wf can with appropriate caution be regarded as a realistic measure of the amount of condensed moisture.

Notes

(*) In reality, there may be additional mechanisms, such as chemical bonding between the water molecules and the pore walls, water molecules going into 'solution' in the material etc. For the hygrothermal simulations within the scope treated by WUFI, these distinctions are not relevant, and those case are therefore treated as if the above description###

Literature:

[1] | Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods. Fraunhofer IRB Verlag, 1996
[2] | Holm, A., Krus, M., Künzel, H.M.: Feuchtetransport über Materialgrenzen im Mauerwerk. Bauinstandsetzen 2 (1996), H. 5, 375 - 396.
Previous topic:
Basic Material Data 		Topic 14 Next topic:
Liquid Transport Coefficients


Liquid Transport Coefficients

The predominant moisture transport mechanism in capillary porous materials is the capillary liquid transport. Although it is basically a convective phenomenon, in the context of building physics it is sufficiently accurate to regard the liquid transport in the pore spaces as a diffusion phenomenon:

gw = -Dw(w) · grad w
gw | [kg/m²s] | : | liquid transport flux density
w | [kg/m³] | : | moisture content
Dw | [m²/s] | : | liquid transport coefficient,

where the liquid transport coefficient Dw is generally strongly dependent on the moisture content.

The main reason why the liquid transport can adequately be described by a diffusion formula is that it correctly reproduces the linear increase of the imbibed amount of liquid over the square root of time.

The liquid transport coefficient is not a pure material property, however - it depends on the material as well as the boundary conditions [1].

The liquid transport coefficient for suction Dws describes the capillary uptake of water when the imbibing surface is fully wetted. In the context of building physics this corresponds to rain on a facade or an imbibition experiment. The suction transport is dominated by the larger capillaries, since their lower capillary tension is more than compensated by their markedly lower flow resistance.

The liquid transport coefficient for redistribution Dww describes the spreading of the imbibed water when the wetting is finished, no new water is taken up any more and the water present in the material begins to redistribute. In a building component, this corresponds to the moisture migration in the absence of rain. The redistribution is dominated by the smaller capillaries since their higher capillary tension draws the water out of the larger capillaries.

Since the redistribution is a slower process (taking place in the small capillaries with their high flow resistance), the corresponding liquid transport coefficient is generally markedly less than the coefficient for suction.

WUFI therefore uses two distinct liquid transport coefficients for each capillary-active material which are used depending on the boundary conditions (rain / no rain). Each coefficient is entered in a separate table.

As a rough approximation, the liquid transport coefficients show a more or less exponential dependence on the moisture content. That is why WUFI uses a logarithmic interpolation between the table entries (i.e., linear in a semilogarithmic diagram).

The first entry in a table should be the pair (0 ; 0); the next entry then corresponds to the moisture content below which the liquid transport is negligible, i.e., the transport coefficients are zero. The logarithmic interpolation automatically results in interpolated values of zero for the coefficients below that threshold.

The last entry is also used for all higher moisture contents up to wmax. Although there is little capillary conduction above free saturation [2], there might be other transport mechanisms which could approximately be described by finite liquid transport coefficients (convection due to gravitation or pressure differentials etc.).
To allow for this kind of transport processes (if desired), WUFI accepts arbitrary liquid transport coefficients for this moisture region, too. In general, you will rarely encounter moisture contents in this region which is difficult to treat in calculation. By setting the last entry to zero, the capillary conduction in the moisture region above the last entry may be suppressed.

Example: Baumberger sandstone

w | Dws
[kg/m³] | [m²/s]
0 | 0
31 | 2.5E-10
52 | 3.9E-9
84 | 5.2E-9
126 | 1.0E-8
168 | 2.8E-8
189 | 5.0E-8
200 | 1.0E-7
210 | 3.0E-7

This table states, among other things, that

• | there is no capillary conduction at a moisture content below 31 kg/m³,
• | at a moisture content of 40 kg/m³, the liquid transport coefficient for suction is 8.1E-10 m²/s (interpolated), and
• | for all moisture contents above 210 kg/m³, a liquid transport coefficient of 3.0E-7 m²/s is being used.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Unfortunately, measured liquid transport coefficients are available only for a relatively small number of materials. The ability to at least estimate them from standard material data is therefore desirable.

In many cases, the increase of Dws with increasing moisture content can be approximately described by an exponential function which, for most mineral building materials, spans about three powers of ten. Under these conditions, there is the following approximate relation between Dws and the A-value A:

Dws | [m²/s] | : | liquid transport coefficient for suction
A | [kg/m²Ös] | : | water absorption coefficient
w | [kg/m³] | : | moisture content
wf | [kg/m³] | : | free water saturation

In this way, WUFI can automatically generate a table with estimated liquid transport coefficients for suction. Only the water absorption coefficient needs to be entered, and WUFI will use this number, the moisture storage function and the above formula to generate a table with the following entries:

w | Dws
[kg/m³] | [m²/s]
0 | 0
w80 | Dws(w80)
wf | Dws(wf)

In the same way, WUFI can also generate an estimated table with liquid transport coefficients for redistribution. WUFI will create this:

w | Dww
[kg/m³] | [m²/s]
0 | 0
w80 | Dws(w80)
wf | Dws(wf)/10

Please note that this method is just a rough estimate that proves successful in many cases, but which is not necessarily useful for all materials. Especially, there may be inaccuracies in the shape of the suction profiles. A generated table is just meant to be some assistance; you should not blindly rely on it. Future WUFI versions are planned to offer more sophisticated methods.

Please note that the water absorption coefficient here has SI units [kg/m²Ö s], whereas the relevant German standard uses [kg/m²Ö h]. Divide the latter values (e.g. 2.6 kg/m²h1/2 for Baumberger sandstone) by 60 to get SI units (0.043 kg/m²s1/2).

Literature:

[1] | Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods Fraunhofer IRB Verlag, 1996
[2] | Krus, M., Künzel H.M.: Flüssigtransport im Übersättigungsbereich. IBP-Mitteilung 22 (1995), Nr. 270.
Previous topic:
Moisture Storage Function 		Topic 15 Next topic:
Diffusion Resistance Factor, Moisture-dependent


Diffusion Resistance Factor, Moisture-dependent

The diffusion resistance factor (µ-value) of the dry material is a basic material parameter and thus indispensable (except in purely thermal calculations). If, in addition, the dependence of the diffusion resistance factor on the moisture content must be taken into account, WUFI can optionally employ a table with the relevant data. WUFI interpolates logarithmically between table entries (i.e. linearly in a diagram with a logarithmic y axis).

Please note, however, that there are only few materials which exhibit an intrinsically moisture-dependent µ-value, e.g. polymer films and coatings ('smart' vapor retarders etc).
In porous mineral materials no moisture-dependence of the µ-value would be expected, because the factors creating the material's increased diffusion resistance as compared with stagnant air are mainly unaffected by variations of the moisture content (considering in particular the fact that capillary condensation first fills the small pores which, however, contribute the least to vapor diffusion transport):

• the reduced cross-section available for diffusion in the pore spaces, as compared to the full volume of air, remains virtually the same as long as the large pores are not clogged with water.

• the water molecules have to follow the curved and winding pores through the material and thus have to cover a greater distance across the material layer than water molecules which can pass straight through an air layer. This pore structure, however, does not change with moisture content (with the exception of materials which swell and shrink with changing moisture content).

• diffusion in the pore air is slowed down by the molecules constantly hitting the pore walls and remaining adsorbed for a short time. This process does not depend much on water content as soon as the water content is high enough so that the pore walls are coated with a more or less continuous water film.

Nevertheless, measurements of µ-values in mineral building materials often show decreasing µ-values, too, when the measurement is performed at increasing humidity levels ('wet cup' measurements compared to 'dry cup' measurements).

In most cases, this (fictitious) decrease of the diffusion resistance with increasing moisture content is actually due to surface diffusion [1] being superimposed on the vapor diffusion.
Surface diffusion is the spreading of the thin water film adsorbed at the pore walls. If the material contains enough hygroscopic moisture, so that the sorbate film on the pore walls becomes mobile (this happens at humidities above ca. 60%), the film will flow from regions with thicker films towards regions with thinner films. Since the thickness and therefore the mobility of the sorbed molecular layer increases with relative humidity (see moisture storage function), the driving force for surface diffusion is therefore the difference in relative humidity, while the driving force for vapor diffusion is the difference in vapor pressure.

Under isothermal conditions, as in the laboratory measurement, both driving forces go in the same direction, creating a greater moisture flow than what would be expected due to diffusion alone. This additional moisture transport is usually not separated out in the analysis of the diffusion measurements and, lumped together with vapor diffusion, reduces the apparent diffusion resistance, resulting in a lower µ-value.

However, in a wall exposed to a temperature gradient, vapor diffusion and surface diffusion may go in opposite directions, partially cancelling each other. In order to model this situation correctly, surface diffusion should be regarded as a type of liquid transport and should be included in the capillary conduction. In these cases, it is more advisable to use a constant diffusion resistance factor (preferably the dry-cup value), to factor out the surface transport (by comparing wet-cup and dry-cup results) and to add it as an appropriate contribution to the liquid transport coefficients.

Nevertheless, it may often be practical to model surface diffusion combined with vapor diffusion by using the variable effective μ-values resulting directly from dry-cup and wet-cup tests or comparable measurements. This procedure yields similar calculation results as a strict distinction between the two transport phenomena, as long as no major temperature gradients occur in the investigated material layer.
The material database contains some materials where a variable effective μ-value is being used. In particular, wood materials and wood-based materials (where the μ-value may actually be slighty moisture-dependent due to the swelling and shrinking of the wood) sometimes use a variable μ-value, sometimes include these variability effects in the liquid transport coefficients, depending on which data were available and which measurement and analysis procedures were used.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

The definition of the diffusion resistance factor (µ-value) is discussed in the topic Water Vapor Diffusion.

Even if you do not explicitly use a moisture-dependent diffusion resistance factor, WUFI will treat it as moisture-dependent if the moisture content exceeds the free saturation wf. For details see the discussion of the "Diffusion Resistance Factor Dry".

Literature:

[1] Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods
Fraunhofer IRB Verlag, 1996
Previous topic:
Liquid Transport Coefficients 		Topic 16 Next topic:
Water Vapor Diffusion


Water Vapor Diffusion

This help topic discusses several physical quantities used to describe water vapor diffusion, since these quantities and their interrelationships may not be familiar to all WUFI users.

Water vapor diffusion resistance factor, µ-value

Diffusion of water vapor in air can be described by the equation

gv = -d · dp/dx (in air),
gv | [kg/m²s] | : | water vapor flux density
p | [Pa] | : | water vapor partial pressure
d | [kg/(msPa)] | : | water vapor diffusion coefficient in air,
where
d = 2.0·10 -7 · T 0.81 / PL [1]
T | [K] | : | absolute ambient temperature
PL | [Pa] | : | ambient atmospheric pressure.

In porous building materials, diffusion likewise takes place in air (in the pore spaces), but it is impeded by the reduction of the accessible cross-section, adsorption effects at the pore walls and the tortuosity of the pore paths. In the context of building physics, it is admissible to allow for this by simply introducing a diffusion resistance factor µ:

gv = -(d/µ) · dp/dx (in porous material),
µ [-] : water vapor diffusion resistance factor.

Retaining d as a separate coefficient in the above equation has the advantage that it already describes the temperature and pressure dependence of water vapor diffusion and µ is therefore practically independent of temperature and pressure, i.e. it is a constant which only depends on the material in question.

However, measurements of µ which are performed at different levels of relative humidity (dry-cup and wet-cup) may result in different values for one and the same material. This is due to surface diffusion which becomes noticeable at higher humidities but would be more properly treated as liquid transport [2]. This additional moisture transport is usually not separated out in the analysis of the measurements and, lumped together with vapor diffusion, reduces the apparent diffusion resistance, resulting in a lower µ-value. In these cases, it is more appropriate to use a constant µ-value and to adjust the liquid transport coefficients to include surface diffusion. However, WUFI also allows to use a moisture-dependent µ-value to simplify the treatment of cases where this distinction can be neglected.

The µ-value represents the ratio of the diffusion coefficients of water vapor in air and in the building material and has therefore a simple interpretation: it is the factor by which the vapor diffusion in the material is impeded, as compared to diffusion in stagnant air. For very permeable materials, such as mineral wool, the µ-value is thus close to 1, whereas it increases for materials with greater diffusion resistance.

The following table lists µ-values for some common materials:

 | µ-value
 | dry-cup (3% - 50% RH) | wet-cup (50%-93% RH)
cellular concrete | 7.7 | 7.1
lime silica brick | 27 | 18
solid brick | 9.5 | 8.0
gypsum board | 8.3 | 7.3
concrete (B25) | 110 | 150 (*)
cement-lime plaster | 19 | 18
lime plaster | 7.3 | 6.4
Saaler sandstone | 60 | 28
Baumberger sandstone | 20 | 17
Worzeldorfer sandstone | 38 | 22
(*) the increase of the µ-value in the wet-cup measurement of concrete is probably due to swelling effects [3].

In WUFI, the µ-value is one of the basic material properties which needs to be specified for each material.

Vapor diffusion thickness, sd-value

Assuming constant temperature and µ-value, the diffusion flow through a material layer with thickness Dx = s is

gv_mat = -d/µ · Dp/Dx = -d/(µ·s) · Dp,

whereas the diffusion flow through an air layer (µ=1) with thickness sd is

gv_air = -d/µ · Dp/Dx = -d/(1·sd) · Dp = -d / sd · Dp.

Dividing the former equation by the latter yields

gv_mat / gv_air = sd / (µ·s).

If the air layer is to be chosen so that its vapor diffusion resistance is the same as that of the material layer of thickness s (and therefore gv_mat = gv_air), then its thickness sd must be

sd = µ·s.

For a material layer with diffusion resistance factor µ and thickness s, the product µ·s thus gives the thickness which an air layer would need in order to have the same diffusion resistance. This "sd-value" or "vapor diffusion thickness" expresses the diffusion resistance of a layer in a form which is easily understood and applied.

Since the definition of the sd-value contains the the thickness Dx of the layer, the sd-value is a property of the given layer, not of the material itself. Two layers made from the same material but with different thicknesses will have different sd-values, but in both cases the material will have the same µ-value.

For some building components, only their total diffusion resistance is of importance but not their µ-value and their thickness separately. They may then simply be specified in terms of their sd-value. Also, measuring the sd-value does not require to determine the thickness of the sample.
In particular, the sd-value is used to characterise vapor retarders (sd >= 10 m), vapor barriers (sd >= 1000 m) and surface coatings (mineral paints: sd ~ 0.04 m, oil paints: sd = 1.0 .. 2.6 m), where it can be difficult to determine their thickness properly.

In WUFI, surface coatings on the component need not be explicitly modelled in the component assembly; their diffusion resistance may instead be taken into account by simply specifying their sd-value in the dialog "Edit Surface Coefficients".

Permeance, Permeability

In the formula for water vapor diffusion in a porous material

gv = - d/µ · Dp/Dx = - d/(µ·Dx) · Dp = - d/sd · Dp = - D * Dp

the so-called permeance D may be introduced by defining

D = d/sd [kg/(m²sPa)].

Since the definition of the permeance contains the thickness Dx of the layer, the permeance is a property of the given layer, not of the material itself. Two layers made from the same material but with different thicknesses will have different permeances.

In Inch-Pound units the permeance is measured in perm. One perm is one grain (avoirdupois) of water vapor per hour flowing through one square foot of a layer, induced by a vapor pressure difference of one inch of mercury across the two surfaces. In SI units, this corresponds to 57.45e-12 kg/(m²sPa) [4]. Therefore, with D expressed in perm:

57.45·10-12 · D = d/sd [kg/(m²sPa)], or

sd = d/(57.45·10-12 · D) [m].

For a reference temperature of 5°C and a barometric pressure of 1013.25 hPa, d has the value 1.884e-10 kg/(msPa) (see above), and we obtain

sd = 3.28/D,

where D is expressed in perm and sd in m.

The permeance describes a property of a specific construction layer with a given thickness. Multiplying the permeance by the layer thickness Dx yields the permeability P [perm inch] of the layer material:

D · Dx = d/sd · Dx = d/µ = P, so that
gv = P Dp/Dx.

The conversion factor for D*Dx is 57.45e-12 [kg/(m²sPa)]/[perm] * 0.0254 [m]/[in] = 1.459e-12 [kg/(msPa)]/[perm in]:

1.459·10-12 · P = d/µ [kg/(msPa)],

and with the same reference value for d as above:

7.744·10-3 · P = 1/µ [-], or

µ = 129 / P [-]

where P is expressed in perm inch and µ is dimensionless.

Literature:

[1] | Schirmer, R.: Die Diffusionszahl von Wasserdampf-Luft-Gemischen und die Verdampfungsgeschwindigkeit, Beiheft VDI-Zeitschrift, Verfahrenstechnik (1938), H. 6, p. 170-177.
[2] | Krus, M.: Moisture Transport and Storage Coefficients of Porous Mineral Building Materials. Theoretical Principles and New Test Methods Fraunhofer IRB Verlag, 1996
[3] | Holm, A., Krus, M., Künzel, H.M.: Concrete from the viewpoint of moisture technology: Parameters and mathematical approaches to the evaluation of climatic effects in external structural elements made of concrete. To be published in Concrete Science and Engineering
[4] | ASHRAE Terminology of Heating, Ventilation, Air Conditioning, & Refrigeration, 2nd ed. 1991
Previous topic:
Diffusion Resistance Factor, Moisture-dependent 		Topic 17 Next topic:
Heat Conductivity, Moisture-dependent


Heat Conductivity, Moisture-dependent

The heat conductivity of the dry material is a basic material parameter and thus indispensable. If, in addition, the dependence of the heat conductivity on the moisture content must be taken into account, WUFI can optionally employ a table with the relevant data. WUFI interpolates linearly between table entries.

If a simple linear dependence of the heat conductivity on the moisture content is sufficient, a two-line table may be generated by entering the moisture-induced heat conductivity supplement. The linear interpolation in this table is then equivalent to evaluating the formula

l(w) = lo·(1 + b · w/rs)
l(w) | [W/mK] | : | heat conductivity of moist material
lo | [W/mK] | : | heat conductivity of dry material
b | [%/M.-%] | : | moisture-induced heat conductivity supplement
w | [kg/m³] | : | water content
rs | [kg/m³] | : | bulk density of dry material

The supplement b gives the fractional increase [in %] of the heat conductivity per mass-% moisture. Its value depends on the material; in hygroscopic materials, however, it is largely independent of their bulk density.

Examples:

Material | Bulk Density | l | b
 | [kg/m³] | [W/mK] | [%/M.-%]
cellular concrete | 400-800 | 0.09-0.19 | 4
lime silica brick | 1800 | 0.7 | 8
expanded clay concrete, pumice concrete | 1400-1800 | 0.5-1.0 | 4
light-weight concrete with EPS aggregate | 300-900 | 0.07-0.28 | 3
normal concrete | 2300 | 1.3-1.5 | 8
wood | 400-700 | 0.08-0.15 | 1.5

In organic insulation materials, there is in general no linear relationship between the heat conductivity and the moisture content.

In this context, 'heat conductivity of moist materials' means exclusively the influence of stationary water on heat transport. Water vapor diffusion with phase change (evaporation and condensation of water) also contributes to heat transport, but this is allowed for by separate terms in the transport equations. However, since in the standard measurement techniques this effect of water vapor diffusion is usually included, results of measurements in the plate apparatus for permeable materials (e.g. mineral wool) have to be regarded with caution.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Please note that design values, such as the data given in German Standard DIN 4108, may already contain the contribution of a typical water content and, if so, are not strictly dry values.
If you want to perform the calculation with a constant (i.e. not moisture-dependent) heat conductivity (for example because you have no detailed data on the moisture-dependence), you may use these design values to allow for moisture content at least in a crude approximation. However, if you explicitly use a table of moisture-dependent heat conductivities, you should make sure that the value for moisture content = 0 is really the dry value, or else the effect of the moisture content would be accounted for twice.

On the other hand, hygrothermal simulations (in particular the resulting moisture contents and distributions) usually don't depend very sensitively on the precise values of the heat conductivities, so the difference may be generally negligible unless you are specifically interested in heat flows.

Previous topic:
Water Vapor Diffusion 		Topic 18 Next topic:
Heat Conductivity, Temperature-dependent


Heat Conductivity, Temperature-dependent

The heat conductivity of the dry material at 10°C is a basic material parameter and thus indispensable. If, in addition, the dependence of the heat conductivity on the temperature must be taken into account, WUFI can optionally employ a table with the relevant data. WUFI interpolates linearly between table entries.

If a simple linear dependence of the heat conductivity on the temperature is sufficient, a two-line table may be generated by entering the temperature-induced heat conductivity supplement. The linear interpolation in this table is then equivalent to the formula

l(q) = lo + lo· a · (q - 10ºC)
l(q) | [W/(mK)] | : | Heat conductivity of the material at temperature q
lo | [W/mK] | : | Heat conductivity of the material at temperature 10ºC
a | [W/(mK²)] | : | Temperature-induced heat conductivity supplement
q | [ºC] | : | Temperature

The temperature dependence of the heat conductivity is a refinement of the hygrothermal model which is not needed for all investigations.
Taking the temperature dependence into account may be desirable in the case of insulation materials if thermal or energetic investigations (e.g. heat losses due to increased heat flow) are intended.
The hygric conditions (in particular moisture contents and distributions), on the other hand, usually do not depend very sensitively on the precise values of the heat conductivities. In hygric investigations, therefore, the temperature dependence of the heat conductivity can usually be omitted entirely or described by a roughly guessed value. Most materials is the material database use a rough standard value of 0.0002 W/mK2.

During the calculation WUFI performs iterations where it samples small regions of the tabulated curve. Very sharp bends in the curve may throw the iteration off and thus impede its convergence. In such a case, the curve should be smoothed by inserting additional points. A large number of entries may slow the search in the table, however.

Previous topic:
Heat Conductivity, Moisture-dependent 		Topic 19 Next topic:
Enthalpy, Temperature-dependent


Enthalpy, Temperature-dependent

The heat capacity of a material can usually be treated as constant: the temperature dependence is typically neglected, and the contribution of the water contained in the material is separately accounted for by WUFI. It is then sufficient to enter the dry heat capacity as one of the basic material parameters.

However, if materials exhibiting a phase change (phase change materials, "PCM") are to be investigated, the latent heat released or absorbed while the temperature is in the melting range must be allowed for. In principle, this could be done by tabulating a temperature-dependent heat capacity. However, it is more appropriate not to tabulate the heat capacity but the temperature-dependent enthalpy content of the material.

The processes encountered in building physics usually occur under constant-pressure ("isobaric") conditions since they are only exposed to the ambient barometric pressure (the slow variations in ambient pressure caused by weather changes are negligible in this context). If, under these conditions, a heated system tries to expand it usually can do so, but it must do mechanical displacement work against the ambient pressure acting on it (a non-isobaric example would be a restrained system which cannot expand when heated, so that its internal pressure rises).

The energy supplied to the system under isobaric conditions is thus split into one part heating the system (by providing an increase dU of the internal energy U) and one part spent for providing the necessary displacement work p·dV. The total supplied (or released) energy dH = dU + p·dV is called enthalpy.

The enthalpy H is defined as the sum

H | [J] | : enthalpy
U | [J] | : internal energy
p | [Pa] | : pressure
V | [m³] | : volume

Therefore, the variation dH of the enthalpy under isobaric conditions (dp=0) is

dH | [J] | : variation of enthalpy
dU | [J] | : variation of internal energy
p | [Pa] | : pressure
dV | [m³] | : variation of volume

as expected.

Instead of using a system's absolute enthalpy H, it is more common to consider the enthalpy referred to unit mass, i.e. the specific enthalpy h [J/kg]. The specific heat capacity at constant pressure cp is defined as the ratio of the supplied or released specific enthalpy and the induced temperature change:

cp | [J/kgK] | : specific heat capacity at constant pressure
h | [J/kg] | : specific enthalpy
T | [K] | : absolute temperature

The heat capacity at temperature q is therefore given by the slope of the temperature-dependent enthalpy curve.

As long as no enthalpy table has been specified for the current material, WUFI uses the temperature-independent heat capacity which has been provided as one of the basic material data. As soon as an enthalpy table with at least two lines has been entered, WUFI switches over to the table and ignores the basic value.

When the enthalpy table is used, the specific heat capacity determined by WUFI for any given material temperature is the slope of the enthalpy curve at that temperature. A constant specific heat capacity is described by a straight enthalpy curve with constant slope. If the material has a phase transition within the tabulated temperature range, the curve shows a step at the transition temperatures whose height corresponds to the involved latent heat.

The zero point of the enthalpy curve may be chosen arbitrarily since only its slope is of interest. The enthalpy is therefore often set to zero at 0°C, but other choices are possible as well.

If needed, WUFI extrapolates the slope beyond the tabulated temperature range. For this reason the tabulated curve should include some "undisturbed" portion on both sides of the latent heat step, where no latent heat effects occur and only the ordinary heat capacity of the material and the PCM additive have any effect.
If desired, any normal temperature dependence of the heat capacity may be described by the enthalpy curve as well. The tabulated temperature range should then be large enough, so that extrapolation is not needed or is limited to sufficiently linear parts of the enthalpy.

The following example shows a table for the specific enthalpy of a latent heat storage concrete whose PCM additive melts at temperatures around 26°C [1]:

Literature:

[1] Dieckmann J.H., Heinrich, H.: Energiespeicherbeton, ein Beton mit integriertem Latentwärmespeichermaterial,
Bauphysik 30 (2008), Heft 3, 137-142.
Previous topic:
Heat Conductivity, Temperature-dependent 		Topic 20 Next topic:
How to Collect Material Data


How to Collect Material Data

If a material needed for a hygrothermal simulation is not in WUFI's material database, the material properties must be taken from other sources, such as estimates, literature data or measurements performed on a representative sample of the material. The following overview of possible measurement methods and required accuracies shall assist the user in selecting appropriate measurement procedures.

If the material properties are determined for general purposes (e.g. for inclusion in the material database), all the properties required for this kind of material should be determined, if possible, and the highest accuracy achievable with acceptable cost should be aimed at.
For specific purposes or a limited range of simulated scenarios, some accuracy requirements may be relaxed, or some properties may even be omitted.

Completeness

The basic material properties bulk density, porosity, dry heat capacity, dry heat conductivity and water vapor diffusion resistance factor must always be provided, since otherwise some part of the heat and moisture transport equations remains mathematically undefined. (Exceptions apply for purely thermal simulations.)

The additional hygrothermal functions for a material must be defined to the extent that # The a h f either describe properties which are present only in some materials but absent in others, or they provide optional refinements of ...

  • the respective property is present in that material.

    This is a material-specific criterion.
    For example, liquid transport coefficients are only needed for capillary active materials.

  • the property influences the result of the investigation.

    This is a simulation-specific criterion.
    For example, even for capillary active materials the liquid transport coefficients are only needed if in the investigated situation the material becomes wet enough for capillary transport to take place.

    In particular, some hygrothermal functions only provide refinements of the hygrothermal model, for example the moisture-dependence or the temperature-dependence of the thermal conductivity. It must be decided by the user whether these refinements are necessary and useful for the investigations at hand.

    Of course, there is no reason to delete existing data from the material dataset if the respective property is not needed for the investigation at hand; but it may be justified to skip determining this property if it is known that it is not needed for the current purpose.

Accuracy

Most material parameters describe different functional aspects, some of which may or may not be relevant in a given situation, depending on

  • the functional use of the material in the given construction
    (use as thermal insulation, vapor retarder, load-bearing structure, etc.; some materials may have more than one functional purpose.)

    Depending on the material's location in the construction, a given potential functionality may be actually used or not. For example, an OSB board may be used to function as a vapor retarder, so that its mu-value is important. When used at a different location in the construction and with a different function, its mu-value may be irrelevant.
  • the environmental loads on the construction in the given exposure situation
    (strong rain exposure / no rain, strong solar heating / shaded location, high / low temperatures, high / low humidity etc.)

    Depending on the exposure situation a given function may not come to bear and then may not need to be described very accurately. For example, when a construction does not become wet, liquid transport in its capillary active materials may be negligible.
  • which performance criteria are to be investigated in the simulation
    (drying potential, thermal insulation quality, mould growth risk, frost damage risk, aging and degrading of materials, etc).

    If the performance criterion being assessed is not affected by a given material property, it may be permissible to use a low-accuracy value for this property even if it does affect other performance aspects of the construction which may be important in a different context, but not in this one.

Functional aspects include

  • the ability of the material to accumulate or disperse liquid water by capillary transport.
    This will be an important property if it affects the rain absorption of the construction (if the material is used as one of the outermost layers), or if it helps to disperse condensation moisture (if the material is used as a capillary active interior insulation material).
  • function as a vapor retarder because of ###
  • thermal insulation properties due to ###
  • etc.

In particular, if a material is only needed for investigations involving a limited variety of climatic conditions and is kept at a fixed location within the wall assembly, then some material properties may only have a minor or even negligible influence on the simulation results.

For example, a material like sandstone, brick etc. is capillary active and thus must have its liquid transport coefficients defined to be fully specified. On the other hand, if it is known that under the investigated circumstances the material never becomes appreciably wet (because it is completely sheltered from rain, or because it is located at a permanently dry location within the wall, and it is known that no condensation occurs), it will never contain enough moisture for capillary conduction to take place.
In this case, it may be sufficient to ignore capillary conduction in this material altogether and to set the liquid transport coefficients to zero.

In other cases, a property may be needed, but it may be sufficient to merely estimate its value instead of measuring it.
For example, the hygric simulation results (water contents, humidity) usually are not very sensitive with respect to the thermal material properties (thermal capacity, thermal conductivity), so that a reasonable guess may be sufficient. The energetic simulation results (heat losses, peak heat loads, etc), on the other hand will usually be quite sensitive with respect to the thermal properties.

Assessing the importance of a material property for the simulation requires some experience and jugdment on the part of the user. However, the impact of a given property on the simulation results can be established by WUFI test calculations: if varying the property (within plausible limits) leads to negligible variation of the results, a (plausible) estimate will be sufficient. If it turns out that higher accuracy is needed, test calculations will show the required level of accuracy.

Some judgment is also required when material data from the database are used. Unless the materials are identified as specific products, they have in general been chosen to be reasonably representative for the respective material type, but considering the wide range of materials going under the same name, it cannot be guaranteed that all database data are really appropriate for all scenarios.
On the other hand, traditional materials and construction types are usually quite insensitive with respect to the detailed properties, because materials or construction types which were too sensitive have been weeded out over the centuries as being insufficiently robust in practical use. In these cases using the ### database materials should usually be adequate. Fancy new materials and construction have not yet been subjected to the test of time and may react in a more sensitive way.

Depending on the purpose of the simulation, it may not always be desirable to use representative and accurate material properties. For design tests, some properties may be deliberately biased to expose the construction to higher than anticipated stress. Also, uncertainties in the estimation of properties may be covered by choosing an estimate "on the safe" side, so that the simulation results tend to be too pessimistic rather than too optimistic (this involves recognizing which side is the safe side, possibly depending on the exposure scenario; a lowered mu-value may mean higher or lower moisture load, depending on whether it allows higher vapor intrusion or a higher drying rate).

Measurement Methods

In general, any measurement method is permissible for a given material property as long as it determines the property in the sense defined by the transport equations (refer to Dr. Kuenzel's dissertation for the transport equations and involved material properties). The standardized methods listed in the following table have the advantage that the respective standard documents contain detailed descriptions of the methods, and the required laboratory equipment may already be at hand. In addition, using properties determined in compliance with established standards may be preferable when simulations are needed for expert assessments in legal disputes.

in compliance with## in accordance with###
Material Property | Needed | Procedure
Bulk Density | Always | Insulation Materials: EN 1602, edition January 1997. Mortar and Plaster: EN 1015-10, edition 1999. Bricks: EN 772-4, edition 1998. And others, depending on type of building material.
Porosity | Always | Determination of the true density with the helium pyknometer. Bulk density see above. Porosity is then calculated from these two.
Specific Heat Capacity, dry | Always | Determination of specific heat capacity according to ISO 11357-4, edition September 2005. But literature values are usually sufficient.
Heat Conductivity, Dry, 10°C | Always | Thermal performance of building materials and products - Determination of thermal resistance by means of guarded hot plate and heat flow meter methods: Dry and moist products with medium and low thermal resistance; German version EN 12664:2001 Products of high and medium thermal resistance; German version EN 12667:2001 Standard Test Method for Steady-State Heat Flux Measurements and Thermal Transmission Properties by Means of the Guarded-Hot-Plate Apparatus according to ASTM C177.
Water Vapor Diffusion Resistance Factor | Always | Determination of water vapour transmission properties according to EN ISO 12572, edition September 2001, dry cup. Standard Test Methods for Water Vapor Transmission of Materials according to ASTM E96, Desiccant Method (dry cup).
Moisture Storage Function | Only for hygroscopic building materials. (For non-hygroscopic building materials WUFI automatically uses an internal moisture storage function, similar to the properties of mineral fibre and depending only on the porosity.) | Determination of hygroscopic sorption properties according to DIN EN ISO 12571, edition April 2000, absorption test. Standard Test Method for Hygroscopic Sorption Isotherms of Building Materials according to ASTM C1498. Determination of superhygroscopic sorption properties with the pressure plate or alternatively with approximation methods from IBP. Standard Test Method for Moisture Retention Curves of Porous Building Materials Using Pressure Plates according to ASTM C1699 Determination of water absorption and saturation coefficient according to DIN 52103, edition April 1988.
Liquid Transport Coefficient, Suction | Only for capillary active building materials. | Determination of the water absorption coefficient according to EN ISO 15148, edition March 2003. Using this value, estimation of the liquid transport coefficient for water uptake: M. Krus, A. Holm, T. Schmidt, Bauinstandsetzen 3 (1997), H.1, S. 219-234.
Liquid Transport Coefficient, Redistribution | Only for capillary active building materials. | Fitting WUFI calculations to measured drying curves: Bestimmung der Transportkoeffizienten für die Weiterverteilung aus einfachen Trocknungsversuchen und rechnerischer Anpassung: A. Holm, M. Krus, Bauinstandsetzen 4 (1998), H.1, S. 33-52.
Water Vapor Diffusion Resistance Factor, moisture-dependent | Only for polymers with solution diffusion. Sometimes an alternative to liquid transport coefficients. | Determination of water vapour transmission properties according to EN ISO 12572, edition September 2001, dry and wet cup. Standard Test Methods for Water Vapor Transmission of Materials according to ASTM E96, Desiccant and Water Method (dry and wet cup)
Heat Conductivity, moisture-dependent | Always, except for membranes and other thin layers. | EN 12664, but supplement values from DIN 4108-4 are generally sufficient.
Heat Conductivity, temperature-dependent | Generally for insulating materials. Otherwise rough typical values are sufficient. | EN 12664, 12667.
Enthalpy, temperature-dependent | Only for phase change materials. | Determination of temperature and enthalpy of melting and crystallization according to ISO 11357-3, edition July 2005.
Previous topic:
Enthalpy, Temperature-dependent 		Topic 21 Next topic:
Air Layers


Air Layers

WUFI has been developed for modelling heat and moisture flows in porous materials. Thus, in the current versions the properties of air layers must be described by sets of material parameters which had been intended to describe porous materials. This necessitates a few compromises:

Moisture Storage Function

Originally, air layers in WUFI were merely meant to be small gaps which act as resistances for heat and moisture flows within the assembly. Therefore, they have correct effective heat and vapor transfer coefficients (see below), but for their moisture contents they use WUFI's default moisture storage function (which is also automatically used for materials where the user has not defined such a function). This default function is modelled after the moisture contents of mineral wool and thus is much too high for an air layer. The free saturation of air with such a moisture storage function is about 47 kg/m3, while real air is already saturated at water contents of a few g/m3 (for example, about 17 g/m3 at 20°C). With the increasing application of WUFI to light-weight constructions with larger and larger air spaces, the standard air layers are less and less adequate.

These air layers may be used when their moisture state will not be assessed or if dew droplets condensing at the surfaces of the neighbouring materials shall be modelled (represented by the water content of a thin air film at the surface).

In vapor-tight assemblies, the high moisture capacity of these air layers may distort the moisture distribution, since the air absorbs too large a fraction of the moisture present in the assembly. In vapor-permeable assemblies this is less of an issue because the high moisture content accumulating in the air layer is not at the expense of the moisture in the other materials. The heat and moisture flows across the air layers should be realistic (within the applied simplifications, see below).

The moisture storage function could not easily be reduced, because numerical problems tended to occur with very low moisture storage functions. Improvements of the numerical solution methods (in particular, introduction of the adaptive time step control in the one-dimensional WUFI-Pro 4.2) have mitigated these problems, so that in most cases low moisture storage functions can be handled now. New air layers "without additional moisture capacity" were added to the material database. Their free saturation of 17 g/m3 corresponds to the saturation moisture of air at 20°C.
This moisture level is much more realistic. However, the free saturation is always fixed at the quoted value and does not vary with temperature, as it would do in real air. Furthermore, since WUFI always assumes that the moisture storage functions are temperature-independent (usually a good approximation for porous materials, but not for air), the change in relative humidity which is caused by a change in air temperature (even with the water content remaining fixed) is not modelled in the old as well as in the new air layers.

Free Convection, Effective Transport Coefficients

WUFI does not simulate air convection, but it allows for the air layer as a resistance to heat and moisture flows. The free convection driven by temperature differences within the air layer amplifies heat and moisture transport and thus requires the use of effective transport coefficients (see below for how to determine these).

Forced convection, created by wind flow or pressure differences, can increase transport to a much higher degree still, but it can not be treated in detail by one- or two-dimensional programs. For a strongly simplified treatment, see the following paragraph "ventilation"

The effective material parameters of the air layers describe the total heat transport (due to heat conduction, free convection and radiative transfer) and the total vapor transport (due to diffusion and free convection) across a non-ventilated air layer between non-metallic or metallic bounding surfaces.

Since the portion of convective transport within total transport is affected by the air layer thickness, the effective material parameters also depend on the air layer thickness. Therefore, the air layers must be used with their assigned thicknesses. A thicker layer may not be composed of thinner layers. Air layers with thicknesses which are missing in the database can be created by the method described below.

Ventilation

The parameters in the database describe non-ventilated air layers. No general treatment is possible for ventilated air layers; they may even exhibit the same conditions as the exterior air. Building components outward from the air layer may then be disregarded except for their shielding of rain and radiation.

Ventilation may be modelled in an approximative way by inserting a suitable air change source (with the air change numbers usually ranging between 20/h and 50/h). Please note however:

In the air layers with the default moisture storage function, the high moisture contents lead to high hygric inertia, so that, for example, removing moisture from such an air layer by means of an air change source takes much longer than would be realistic. For these and similar purposes, air layers "without additional moisture capacity" must be used.

When an air change source is put into an air layer, the parameters of the air remain those of an unventilated air layer (which exhibits free convection but no forced convection); they are not automatically adapted to take into account the air change rate produced by the air change source.

For the various options to treat ventilated air layers, see also the discussion of ventilated curtain walls.

Determining the effective transport parameters

In addition to heat conduction, in air layers heat can also be transferred by convection and radiation. In addition to water vapor diffusion, in air layers water vapor can also be transferred by convection. Since WUFI is primarily intended for solid materials, it only allows for heat conduction and water vapor diffusion (plus liquid transport, which is not relevant here). However, the additional transport phenomena can be included by adjusting the heat conductivity and the diffusion resistance so that the correct heat and vapor flows result from the calculation.

The method is based on the following considerations which are valid for non-ventilated air layers.

The relative contributions of heat conduction, convection and radiation are dependent on the thickness and orientation of the air layer, the nature of the two surfaces and the temperature. Fortunately, the dependence on the temperature may be neglected in building physics. Furthermore, it suffices to distinguish between metallic and non-metallic surfaces. So if we restrict ourselves to, say, vertical air layers with non-metallic surfaces, we can simply determine (e.g. from measurements) a heat resistance Rnon-met which depends only on the air layer thickness and which comprises all transport phenomena.

Now, for WUFI the effective heat conductivity l* has to be chosen so that for an air layer with a given thickness the heat resistance Rnon-met as determined above results. Note: the thickness with wich the air layer is included in the assembly for calculation need not (but can) be identical with the real thickness, since the real thickness has already been allowed for in the specific choice of Rnon-met.

The heat resistance of an air layer with the desired thickness, orientation (vertical, horizontal) and surfaces (metallic, non-metallic) may be looked up in a relevant table. Let's choose non-metallic surfaces here, since in building components non-metallic surfaces are predominant, and call this value Rnon-met. We also choose an arbitrary thickness Dx*, which shall be the thickness of the air layer as inserted in WUFI's component assembly. Then

Rnon-met = Dx* / l*,

therefore

l* = Dx* / Rnon-met.

Since water vapor diffusion and convective water vapor transport are based on analogous mechanisms as heat conductivity and convective heat transport, the coefficients describing vapor transport can be derived from the coefficients for heat transport, using similarity relations. For vapor flow, we have formally:

-gv = Dc / µ* · Dc / Dx* = Dc / S

gv | [kg/m²s] | : | water vapor diffusion flux density
Dc | [m²/s] | : | concentration-related diffusion coefficient in air
µ* | [-] | : | effective water vapor diffusion resistance factor
c | [kg/m³] | : | water vapor concentration
Dx* | [m] | : | effective layer thickness
S | [m³/s²Pa] | : | water vapor diffusion resistance,

therefore

µ* = Dc · S / Dx*

But we have

Dc = 0.083 · (T/273)1.81 ≈ 0.09 [1],

and, because of similarity relations,

S ≈ Rmet / 3.5 [2],

where we have to use the heat resistance Rmet of air layers between metallic surfaces (i.e., without radiation exchange), since we want to estimate the vapor diffusion resistance and there is no transport mechanism analogous to radiation involved, in contrast to the above case of heat transport.

Finally, we have the freedom to choose an arbitrary thickness Dx* with which the layer is included in the component assembly for calculation, since the real thickness was already allowed for in the choice of the specific value for Rmet.

µ* = 0.09 · Rmet / (3.5 · Dx*) = 0.026 · Rmet / Dx*

For vertical air layers, Rnon-met and Rmet may be taken from this table (interpolated after [3]):

thickness | Rnon-met | Rmet
[cm] | [m²K/W] | [m²K/W]
0 | 0 | 0
1 | 0.140 | 0.280
2 | 0.160 | 0.430
3 | 0.171 | 0.526
4 | 0.178 | 0.590
5 | 0.180 | 0.620
6 | 0.178 | 0.627
7 | 0.176 | 0.623
8 | 0.174 | 0.613
9 | 0.172 | 0.598
10 | 0.170 | 0.580
11 | 0.168 | 0.557
12 | 0.166 | 0.530
13 | 0.164 | 0.501
14 | 0.162 | 0.468
15 | 0.160 | 0.430

The other basic material parameters may be determined according to the following:

  • if Dx* was chosen not equal to the real thickness, multiplication of the 'bulk density' 1.29 kg/m³ by (real thickness)/Dx* results in the correct heat capacity;
  • the 'porosity' should be chosen very high (e.g. 0.999 m³/m³);
  • the specific heat capacity by mass of the air layer is 1 kJ/kgK, even if Dx* is chosen not equal to the real thickness.

For the graphical display of the component assembly, it will be advisable to choose Dx* equal to the real thickness. Note however that if you want to repeat the calculation with an air layer of a different thickness, it is not sufficient to simply adapt the layer thickness in the component assembly. Instead, l* and µ* have to be newly determined from scratch.

Regarding the 'moisture storage function' of air layers, see the reference: Moisture Storage Function.

The definition of the diffusion resistance factor (µ-value) is discussed in the reference: Water Vapor Diffusion.

A more detailed procedure for determining the effective thermal resistances of air gaps (including thicknesses larger than given in the above table) may be found in standard EN 673 "Determination of thermal transmittance (U value).".

Literature:

[1] | Schirmer, R.: Die Diffusionszahl von Wasserdampf-Luft-Gemischen und die Verdampfungsgeschwindigkeit, Beiheft VDI-Zeitschrift, Verfahrenstechnik (1938), H. 6, p. 170-177.
[2] | Illig, W.: Die Größe der Wasserdampfübergangszahl bei Diffusionsvorgängen in Wänden von Wohnungen, Stallungen und Kühlräumen, Gesundheitsingenieur 73 (1952), H. 7/8, p. 124-127.
[3] | Gösele, K., Schüle, W.: Schall·Wärme·Feuchte. Bauverlag 1989.
Previous topic:
How to Collect Material Data 		Topic 22 Next topic:
Membranes


Membranes

Membranes may serve different purposes in building elements, such as airflow control, waterproofing, surface protection etc. Since the current WUFI-2D version does not simulate air flows, only vapor retarders and vapor barriers are of interest.

Generally, the only effect of these membranes is their water vapor diffusion resistance. At most, a membrane at the exterior surface may make itself additionally felt by its radiation absorptivity (for example, 0.9 for bituminous felt) and its "adhering fraction of rain" (0 for watertight membranes), which are treated separately in WUFI. The thermal resistance of a membrane is usually negligible.

If the membrane is on the exterior or interior surface, its diffusion resistance may simply be allowed for by choice of an adequate vapor diffusion thickness for the surface. If this is done, the membrane itself must not be included in the component assembly.

A membrane in the midst of a building component, however, always has to be explicitly included in the component assembly.

Generally, a membrane will have a thickness of a few hundredths to a few tenths of a millimeter. Since every layer of the assembly should be composed of at least ca. five grid elements, the individual grid elements of the membrane will be very small. For numerical reasons, neighbouring grid elements should not differ too much in their thickness; in the material layers adjacent to the membrane, this would necessitate a succession of smaller and smaller elements towards the membrane in order to avoid a large mismatch. The resulting large number of grid elements would impose a heavy burden on the calculation without any other benefit than to smooth the grid.

It may therefore be preferable to use an 'effective' membrane which is thicker than the real membrane and whose material data have accordingly been adapted to result in the correct heat and vapor diffusion fluxes. The membranes in the database that comes with WUFI have their data adjusted so that these membranes must be used as 1 mm thick membranes in the component assembly.
The 'effective' membranes have the additional advantage that they are easier to identify in graphical representations of the component assembly.

The following assumes that the heat and moisture flows occur essentially perpendicular to the membrane. Note that in two-dimensional calculations the effective thickness should not be chosen too large, because there may be heat or moisture flows along the membrane instead of only across it, and these are not computed correctly if the effective material parameters have been adapted with respect to a change of the effective membrane thickness. In general you can't use an arbitrary effective length of the membrane (e.g. a membrane wrapped around a rafter or one following a winding path through the assembly).

The conversion of the material parameters of the membrane to an effective thickness is simple: Often you'll neither know the thickness of the membrane nor the diffusion resistance factor of its material, but the vapor diffusion thickness of the membrane (i.e. the thickness of a stagnant air layer with the same diffusion resistance). That's all you need: divide the vapor diffusion thickness by 1 mm or another convenient thickness, use the result as the diffusion resistance factor and insert the membrane with the chosen thickness in the component assembly.

The other basic material parameters are treated as follows:

  • if you happen to know the bulk density of the membrane material and the thickness of the membrane, you may determine the effective density as r · (real thickness) / (effective thickness) in order to adjust the heat capacity. Otherwise, choose a value that is small enough to result in a plausible heat capacity if multiplied by the specific heat capacity. (The heat capacity of a thin membrane is negligible, but you should take care that the heat capacity of the thicker effective membrane is negligible, too.)
  • set the porosity to an arbitrary, preferably very small value (e.g. 0.001, since the usual membrane materials are not porous)
  • if you know the specific heat capacity of the membrane material, enter this value unchanged. Otherwise enter e.g. 1500 J/kgK for organic materials
  • if you know the heat conductivity of the membrane material and the thickness of the membrane, determine the effective heat conductivity as l · (effective thickness) / (real thickness). Otherwise, choose a value that is large enough to result in a negligible heat resistance for the membrane.

The definitions of the vapor diffusion resistance factor (µ-value) and the vapor diffusion thickness (sd-value) are discussed in the topic Water Vapor Diffusion.

Previous topic:
Air Layers 		Topic 23 Next topic:
Metal, Glass


Metal, Glass

###

Previous topic:
Membranes 		Topic 24 Next topic:
Paint Layers


Paint Layers

###

Previous topic:
Metal, Glass 		Topic 25 Next topic:
Surface Transfer


Surface Transfer

Starting from specified initial conditions, WUFI computes the temporal evolution of the temperature and moisture distributions in the building component. This evolution is determined not only by the underlying transport equations which govern the processes in the component, but also by the heat and moisture exchange with its surroundings. Thus there are heat and moisture flows through the surfaces, the direction and magnitude of which depend on the conditions in the component as well as on the conditions in the surroundings.

The surface transfer coefficients indicate to which extent the conditions in the surroundings affect the building component, especially the heat and moisture flows through its surfaces.

The following help topics offer a discussion of the surface transfer coefficients used by WUFI:

  • Heat Transfer Coefficients and Resistances
  • Water Vapor Transfer Coefficients
  • Surface Coatings
  • Short-wave Radiation Absorptivity
  • Long-wave Radiation Emissivity
  • Adhering Fraction of Rain
Previous topic:
Paint Layers 		Topic 26 Next topic:
Heat Transfer Coefficients


Heat Transfer Coefficients

Previous topic:
Surface transfer 		Topic 27 Next topic:
Water Vapor Transfer Coefficients

Heat Transfer Coefficients and Resistances

The heat transfer coefficients and resistances describe the exchange of heat between a surface and the surroundings.

If a wall surface is warmer than its surroundings, it will give off heat. This heat transport is effected by several different transport mechanisms:
• | heat conduction through the air adjacent to the surface,
• | convective transport by air flows, and
• | emission of long-wave radiation.
Detailed modelling of all these simultaneously occurring phenomena is very complicated, but fortunately it is not necessary in the context of building physics. For the temperature and flow situations encountered here, a simple proportionality with a constant coefficient is usually adequate:

q = a · (Ja - Js)
q | [W/m²] | : | heat flux density
a | [W/m²K] | : | heat transfer coefficient
Ja | [°C] | : | ambient temperature
Js | [°C] | : | surface temperature

The heat transfer coefficient used in this formula consists of two parts:

a = ac + ar
ac | [W/m²K] | : | convective heat transfer coefficient
ar | [W/m²K] | : | radiative heat transfer coefficient

Convective heat transfer coefficient

The air adjacent to the component surface drains heat from the component by conductive and convective heat transport. Although these are two distinct transport phenomena, they are lumped together in the term of 'convective heat transfer'.

The continuous convective mixing of the atmosphere maintains a nearly uniform temperature distribution in the air (which is then referred to as the "outdoor air temperature" or the "indoor air temperature"). Close to a building component surface, however, the mixing of the air is impeded by the presence of the surface. A thin stagnant air layer of a few millimeters thickness is formed which sticks to the surface and through which any heat flow leaving or entering the component must pass. The only heat transport mechanism which can transport the heat across the air layer is conduction, convection being almost absent in the stagnant air layer (radiative heat exchange is not considered here). This boundary air layer thus acts as a resistance to the heat flow which affects the surface temperature: within the boundary air layer the temperature changes from the surface temperature to the ambient air temperature. This temperature drop across the air layer is equivalent to the voltage drop across an electrical resistor.

The resistance exerted by the boundary air layer is the convective heat transfer resistance. It describes the influence of the boundary air layer on the heat transport between surface and surroundings, and numerically it is the ratio between the temperature drop across the air layer, and the heat flow density through the air layer.

The convective heat transfer coefficient is the inverse of the convective heat transfer resistance, it is therefore the ratio of the heat flow density to the temperature difference. If you multiply the temperature difference between the ambient air and the surface by the convective heat transfer coefficient, you obtain the convective heat flux density flowing across the boundary air layer, and also across the surface (see the formula above).

At higher wind speeds, only a thinner boundary air layer can prevail which corresponds to a smaller resistance and a larger heat flow. Therefore, the convective heat transfer coefficient increases with wind speed. Typical values are about 6 W/m²K at a wind speed of 1 m/s and about 14 W/m²K at 6 m/s [1].

The numerical value of the convective heat transfer coefficient depends in a complicated way on the temperature, on the speed and direction of the air flow, on the properties of the wall surface etc. In general, only rough values can be given for the coefficients to be expected. Under conditions of free convection (buoyancy effects caused by heated or cooled air) the convective heat transfer coefficient is roughly in the range between 3 and 10 W/m²K, under forced convection (by wind), in the range between about 10 and 100 W/m²K.
Radiative heat transfer coefficient

A wall surface always exchanges long-wave heat radiation with the other surfaces in its surroundings. The exchanged heat flow depends on the absolute temperatures (to the fourth power), the materials, the surface properties, the size and the geometrical arrangement of the involved surfaces.

Since the temperatures of the surrounding surfaces are usually not known, simplified calculations done in the context of building physics usually assume that they are all identical with the known air temperature. Furthermore, three of the four powers of temperature are put into the radiative heat transfer coefficient (which thus becomes temperature-dependent), leaving a simple linear relationship, similar to the convective heat transfer.
(If this simplified approach is not realistic enough for the simulation at hand, WUFI can be switched to the "explicit radiation balance mode" where it explicitly determines the current long-wave radiation exchange as depending on the current condition of the surface and the surroundings. However, this mode requires data about the long-wave radiation coming from the surroundings. See also the discussion of the long-wave radiation exchange).

The dependence of the radiative heat transfer coefficient on the material and the properties of the surface is low as long as the involved materials are non-metallic which is often the case in building physics.

For two sufficiently close, extended, parallel, flat, non-metallic planes the radiative heat transfer coefficient describing their mutual radiation exchange usually lies between about 3 and 6 W/m²K, depending on the surface temperatures.

Please note that the radiative heat transfer coefficient as used here only describes radiation exchange between surfaces which are more or less at ambient temperatures. Solar radiation (with a source temperature of about 6000 K and pronounced diurnal variation) is treated separately (see Reference: Short-wave Radiation Absorptivity).

For simplicity, WUFI uses constant heat transfer coefficients or a very simple dependence on wind speed, since allowing for the ambient conditions in a detailed way would be very complex, and only in the rarest cases all the necessary boundary conditions are known.

The following sections discuss typical values for the exterior and interior heat transfer coefficients.

Exterior heat transfer coefficient:
• | 1010 W/m²K | for basement walls in direct contact with the surrounding soil (corresponding to a heat transfer resistance ≈ 0 W/m²K)
• | 19 W/m²K | for pitched or flat roofs
• | 17 W/m²K | for exterior walls [1].

These average values are not valid for strongly exposed components or for building surfaces at great heights. For these cases appropriately increased heat transfer coefficients have to be used.

For orientation, the following diagram [1] shows a strongly simplified plot of typical exterior heat transfer coefficients on building walls, as dependent on wind speed. Under calm conditions, the air at the wall surface only moves because of free convection driven by thermal buoyancy, resulting in a convective heat transfer coefficient of about 4 W/m²K. With increasing wind speed, the convective heat transfer coefficient increases as well, with windward surfaces behaving differently than leeward surfaces.

Adding the radiative heat transfer coefficient results in the total coefficient ("convection + radiation") which reaches a value of about 17 W/m²K for wind speeds around 3.6 m/s (a typical mean wind speed in Germany). This is the typical value for exterior walls mentioned above.

Interior heat transfer coefficient:
• 8 W/m²K for basement walls, exterior walls, roofs [2]

Close to edges and corners, the interior heat transfer coefficient is usually less than this average value. The convective coefficient is usually increased here because the colder corners create stronger convection. But the radiative coefficient is markedly reduced because a point on the wall close to a corner has similar points with similar temperatures on the other side of the corner as radiation exchange partners, so that the net radiation exchange with this part of its field of view is strongly reduced [2].

If there is a temperature stratification in a room, moisture transport calculations must not use a heat transfer coefficient based on the mean temperature, since this would result in an erroneous assessment of the moisture conditions at the indoor surfaces. If a vertical indoor air temperature profile is to be taken into account, this can only be done by specifying the local boundary conditions as a function of height [2].

Regarding the problem of night-time radiative cooling, see Reference: Long-wave Radiation Exchange.

The heat transfer coefficients are entered in the dialog "Edit Surface Transfer Coefficients".

Literature:

[1] | Schaube, H. und Werner, H.: Wärmeübergangskoeffizient unter natürlichen Klimabedingungen. IBP-Mitteilung 13 (1986), Nr. 109. (Full text online)
[2] | Erhorn, H. und Szerman, M.: Überprüfung der Wärme- und Feuchteübergangskoeffizienten in Außenwandecken von Wohnbauten. Gesundheitsingenieur 113 (1992), H. 4, S. 177-186.
[3] | Krischer, O. und Kast, W.: Die wissenschaftlichen Grundlagen der Trocknungstechnik. 3. Auflage, Springer, Berlin/Heidelberg/New York 1978.
[4] | VDI-Gesellschaft Verfahrenstechnik und Chemieingenieurwesen (Ed.): VDI Heat Atlas. 2nd ed., Springer, Berlin/Heidelberg 2010.
Previous topic:
Surface transfer 		Topic 27 Next topic:
Water Vapor Transfer Coefficients


Water Vapor Transfer Coefficients

The water vapor transfer coefficients describe the exchange of water vapor between a surface and the ambient air. WUFI automatically determines the coefficients for the various surfaces of the component from the respective heat transfer coefficients, so that they need not be entered by the user.

The water vapor transfer across a surface may be described in analogy to the heat transfer:

gv = bp ·(pa - ps)
gv | [kg/m²s] | : | water vapor flux density
bp | [kg/m²sPa] | : | water vapor transfer coefficient
pa | [Pa] | : | ambient water vapor partial pressure
ps | [Pa] | : | water vapor partial pressure at the surface

The reason for a resistance affecting water vapor transfer is the same as with heat transfer, namely the effect of a boundary air layer close to the wall surface.

Since the ambient conditions affect both boundary layers in analogous ways, there are similarity relations between water vapor transfer and heat transfer, so that b p may be obtained from the following equation (with the numerical value valid only for the SI units quoted above):

bp = 7·10-9 · ac [1]
ac [W/m²K] : convective component of the heat transfer coefficient

This requires to estimate the convective component a c of the heat transfer coefficient a. WUFI uses the following estimate (in FORTRAN notation):

ALFAWC = ALFAW - 6.5 | ! EXTERIOR
ALFAEC = ALFAE - 4.5 | ! INTERIOR
ALFMIN = 3.5 |
BETAW = 7.E-9 * DMAX1(ALFMIN, ALFAWC) | ! EXTERIOR
BETAE = 7.E-9 * DMAX1(ALFMIN, ALFAEC) | ! INTERIOR

The suffix W refers to an exterior surface; E, to an interior surface; and C, to the convective component.

For example, the water vapor transfer coefficients 8.0E-8 (exterior) and 2.2E-8 kg/m²sPa (interior) result from the standard heat transfer coefficients 17 and 8 W/m²K, respectively.

Literature:

[1] Illig, W.: Die Größe der Wasserdampfübergangszahl bei Diffusionsvorgängen in Wänden von Wohnungen, Stallungen und Kühlräumen,
Gesundheitsingenieur 73 (1952), H. 7/8, p. 124-127.
Previous topic:
Heat Transfer Coefficients 		Topic 28 Next topic:
Surface Coatings


Surface Coatings

Walls may have a surface "coating" which does not affect their thermal behaviour but impedes water vapor diffusion, e.g. paint coats, wallpapers, vapor retarders, laminations, an impregnation which alters the pore space close to the surface etc.

Instead of including a separate, often extremely thin layer in the component assembly, you may allow for its effect on water vapor transport in these cases by only applying a separate diffusion resistance at the surface. This resistance is specified in terms of the thickness of a stagnant air layer with the same diffusion resistance, i.e. you enter the corresponding vapor diffusion thickness (sd-value).

Thus, you may simulate the effect of a vapor retarder by simply setting the vapor diffusion thickness at the respective surface to, say, 10 m instead of including a vapor retarder layer in the assembly. Even more massive components like a gypsum board (sd ≈ 0.1 m) or renderings may be replaced by their sd-value, as long as their effect on the hygrothermal behaviour of the entire building component is limited to their diffusion resistance.

If you nevertheless want to explicitly include membranes or other thin surface layers in the component assembly, please refer to the notes in the topic Membranes.

Because of the boundary air layer which exists at every wall surface, there is always some natural surface transfer resistance to the water vapor diffusion flow (see Water Vapor Transfer Coefficients). The sd-value discussed here only describes an additional resistance that is caused by factors like those enumerated above. That is, WUFI adds the resistance resulting from the internally computed natural water vapor transfer coefficient and the sd-value due to some coating (if any) to arrive at the total water vapor transfer resistance used in the calculation. An ordinary naked wall surface simply has the automatically computed natural resistance and sd = 0 m.

The definition of the vapor diffusion thickness (sd-value) is discussed in the topic Water Vapor Diffusion.

The vapor diffusion thicknesses of surface coatings (if any) are entered in the dialog "Surface Transfer Coefficients".There, WUFI offers a list of predefined coatings with their respective sd-values for selection; a user-defined value may be entered as well.
Please note that if you select, say, a metal foil from the list, only the sd-value at the component surface is set accordingly; other properties of the foil, such as its low radiation absorptivity or its impermeability to rain, must be specified separately by setting the appropriate surface properties.

If you wish to model a rain-permeable coating, please note:
Modelling a surface layer by an sd-value "collapses" this layer into a dimensionless "skin" whose only remaining property is its diffusion resistance. All other properties are lost, so this approach is only admissible if these other properties can be safely ignored or can be modeled by other parameters.

If you wish to model a coating or layer which has the properties of
• | exhibiting a certain vapor resistance and of
• | letting through a certain amount of incident rain water,
you can do this by
• | specifying an appropriate sd-value and by
• | choosing a suitable "adhering fraction of rain" or, alternatively, by suitably reducing the liquid transport coefficients of the outermost material.

Cracked paint coat This has been done, for example, in an investigation which looked at how the frost damage risk is affected by cracks in a paint coating. The coating is more or less watertight, but the cracks in the coating allow the lime silica brick wall to absorb some liquid water by capillary action, while the diffusion resistance of the coating delays the drying-out of the absorbed water. This leads to increased moisture levels as compared to an uncoated wall which takes up more water but also can release it more quickly. Consequently, the risk of frost damage is increased [1].

In this investigation, the two hygric key properties of the coating were
• | its diffusion resistance (modeled by an sd-value being applied to the surface, in this case 0.5 m) and
• | its ability to let some liquid water through, albeit at a reduced rate as compared to an uncoated wall (in this case modeled through a reduction by 30% of the A-value generating the liquid transport coefficients of the lime silica brick).
The water content of the coating or the detailed moisture profile across the coating is irrelevant here and did not need to be modeled.

On the other hand, there may be cases where the water content or the moisture profile does matter, and then the coating must be explicitly modelled and cannot be reduced to a simple sd-value.

For example, if the rendering on the exterior surface (say, 10 mm of lime plaster or cement lime plaster etc.) becomes wet and then dries out, the water at different depths in this layer has to pass through different amounts of plaster and thus dries at different rates. The overall drying rate of the layer will therefore depend on the moisture distribution within it. If the difference is significant enough to affect the result of the investigation, the layer has to be modeled explicitly. If the layer always remains dry or the details of the drying rate do not affect the assessment of the results, the plaster can be replaced by a simple sd-value.

Another exception would be a coating with a moisture-dependent diffusion resistance (e.g. a "smart" vapor retarder) which cannot be modeled in this way because the sd-value has to be entered as a constant number, and the water content of the coating is not being modelled and, remaining unknown, cannot control the diffusion resistance. Coatings with such a property must be explicitly modelled as individual layers.

Literature:

[1] Holm, A., Sedlbauer, K., Künzel, H.M.: Moderne Rechenverfahren für die Diagnostik.
Schriftenreihe Feuchte- und Altbausanierung, Verlag Bauwesen, Berlin 2000, H. 11, S. 295-310.
Previous topic:
Water Vapor Transfer Coefficients 		Topic 29 Next topic:
Short-wave Radiation Absorptivity


Short-wave Radiation Absorptivity

The short-wave radiation absorptivity of the component surface indicates the fraction of the total (i.e., visible and non-visible) solar radiation incident on the component surface which is absorbed:

q = as · I
q | [W/m²] | : | heat flow due to absorbed solar radiation
as | [-] | : | short-wave radiation absorptivity
I | [W/m²] | : | solar radiation vertical to component surface

WUFI calculates the solar radiation load vertical to the surface from the solar radiation data in the climate file, multiplies it by the short-wave radiation absorptivity and applies the result as a heat source to the component.

Examples [1]:

plaster, white (aged) | 0.4
roof tile, red | 0.6
klinker brick, dark red | 0.7
roof tile, brown | 0.8
bituminous roof covering | 0.9
wood (spruce): |
- untreated | 0.4
- weathered (silver-gray) | 0.7
- painted brown | 0.8
Schilf sandstone: |
- dry | 0.7
- wet | 0.85
red Main sandstone | 0.75
sandstone with patina | 0.9

The absorptivity coefficient is entered in the dialog "Edit Surface Coefficients". WUFI offers a list of predefined surfaces with their respective short-wave absorptivities for selection; a user-defined value may be entered as well.

The predefined values include absorptivities for generic "bright" and "dark" surfaces:

bright | 0.2
dark | 0.8

The value 0.2 for the generic bright surface corresponds to freshly applied white paint (comparable to fresh dry snow), the value 0.8 for the generic dark surface corresponds to a dark gray surface (comparable to weathered asphalt).

As an example, the absorptivity 0.8 is illustrated by the photograph on the right, comparing weathered asphalt with black, grey and white photographic reference cards. The grey card is an "18 % grey", it reflects 18 % and thus has an absorptivity of 1 - 0.18 = 0.82. For uncolored surfaces like asphalt a visual comparison is adequate, for colored surfaces see the remarks below.

An absorptivity of 0.4 may be used as standard value for unspecified light-grey surfaces, such as plaster, render or weathered white paint ("broken white", comparable to white marble).

For additional tables of short-wave absorptivities see the topic Terrestrial Short-Wave Reflectivity. The absorptivity is 1 minus the reflectivity.

The absorptivity coefficient is treated as a constant value. In particular, a possible moisture-dependence (moist surfaces usually appear darker than dry surfaces) is ignored.

Solar radiation is called short-wave radiation because it is emitted by the Sun's surface at a temperature of about 5700 K and thus comprises wavelengths between about 0.3 and 3 micrometers. On the other hand, the thermal radiation exchanged between the component surface and the surroundings is emitted at ambient temperatures of about 300 K, peaks at a wavelength of about 10 micrometers and is therefore called long-wave radiation. The long-wave radiation properties of a surface are described by its long-wave radiation emissivity.

Side note: Short-wave absorptivity and luminance factor

Instead of measuring the short-wave absorptivity of a surface in the laboratory, an observer may also simply try to estimate the absorptivity by determining the brightness of the surface as perceived by the eye. This can work well for neutral-colored (greyish) surfaces, but because of the limited wavelength range of the eye it will work less well for strongly colored surfaces.

The solar short-wave radiation comprises
• | visible radiation at wavelengths between about 380 and 780 nanometers and
• | invisible near-infrared radiation at wavelengths between about 780 and roughly 3000 nanometers.
About one half of the solar global radiation reaching the Earth's surface is in the visible range, and one half is in the near-infrared range.

The perceived brightness of a surface depends on the reflected fraction of visible light. Surfaces with low short-wave absorptivity will reflect a large fraction of the incident solar radiation and will in general appear bright to the eye.

However, perceived brightness and short-wave absorptivity are not equivalent because the eye only perceives part of the relevant solar spectrum:
• | The short-wave absorptivity depends on the surface properties in both the visible and the near-infrared region.
• | The perceived brightness only depends on the surface properties in the visible region.

If the radiative properties in the visible and the near-infrared region are similar, the solar absorptivity of a surface can be estimated from the visible brightness. This is usually the case for natural materials which are shades of grey or have subdued colors. Surfaces which appear grey to the eye have more or less constant reflectivity for visible wavelengths, and for natural materials such a constancy often also extends into the near-infrared region.

However, if the radiative properties in the two regions are very different, the observed brightness is not representative for the whole solar spectrum, and the visible brightness is no reliable guide to estimate the short-wave solar absorptivity. This is often the case for colorful materials because colorful means that reflectivity is wavelength-dependent in the visible region, and this variability often extends into the near-infrared region.

To illustrate this, the following table is a duplicate of the table given above, but with the respective luminance factors added [1]. The luminance factor is defined as the ratio of the perceived luminance of the surface to the perceived luminance of a perfect, diffuse reflector under identical illumination and describes the brightness of a surface perceived by the eye. This value is available for many commercial paints, while measured absorptivities usually are not, so it would be useful if it could be used in hygrothermal simulations.

Material | Short-wave absorptivity | Luminance factor
plaster, white (aged) | 0.4 | 60 %
roof tile, red | 0.6 | 20 %
klinker brick, dark red | 0.7 | 15 %
roof tile, brown | 0.8 | 9 %
bituminous roof covering | 0.9 | 10 %
wood (spruce): |
untreated | 0.4 | 50 %
weathered (silver-gray) | 0.7 | 20 %
painted brown | 0.8 | 10 %
Schilf sandstone: |
dry | 0.7 | 30 %
wet | 0.85 | 15 %
red Main sandstone | 0.75 | 19 %
sandstone with patina | 0.9 | 10 %

As can be seen, for the less colorful building materials the short-wave absorptivity and the luminance factor are consistent (the short-wave absorptivity being 1 minus the luminance factor). For the more colorful materials, discrepancies become noticeable. For very colorful paints (not shown here), no useful correlation may exist between short-wave absorptivity and luminance factor.

Therefore, restricted to materials which are a shade of grey or have very subdued colors, the short-wave absorptivity may be determined from a tabulated luminance factor.

In such a case it is also possible to estimate the luminance factor by comparing the material visually with a graduated greyscale. In the example shown on the right, the visible brightness of the grey surface is virtually the same as the brightness of the grey patch with luminance factor 59 %, and visual absorptivity 0.41. The short-wave absorptivity of this surface will therefore be close to 0.4.

Literature

[1] | Künzel, H.M.: Simultaneous Heat and Moisture Transport in Building Components. One- and two-dimensional calculation using simple parameters. IRB Verlag 1995
[2] | VDI Guideline 3789, Part 2: Environmental Meteorology - Interactions between Atmosphere and Surfaces. Beuth, Berlin 1999 Table E1: Short-wave Albedo ρs of crops Table E2: Short-wave Albedo ρs of other agricultural and waste (nonarable) lands Table E3: Short-wave Albedo ρs of snow and ice Table E4: Short-wave Albedo ρs of building materials.
Previous topic:
Surface Coatings 		Topic 30 Next topic:
Long-wave Radiation Emissivity


Long-wave Radiation Emissivity

The long-wave radiation emissivity of the component surface is only used if WUFI is switched to the "explicit radiation balance" mode and thus explicitly takes the long-wave radiation exchange between the component and the surroundings into account. (Otherwise, the long-wave radiation exchange is only taken into account in a strongly simplified manner, as a fixed increase of the generic heat exchange.)

The long-wave radiation emissivity e describes both the surface's ability to emit thermal radiation

Iout = e · s · Tsurf4
Iout | [W/m²] | : | thermal radiation emitted by the surface
e | [-] | : | long-wave radiation emissivity of the surface
s | [W/(m2K4)] | : | Stefan-Boltzmann constant, 5.670 · 10-8 W/(m2K4)
Tsurf | [K] | : | absolute temperature of the emitting surface

and its ability to absorb thermal radiation falling on it from the surroundings

q = e · Iin
q | [W/m²] | : | heat flow due to absorbed incoming thermal radiation
e | [-] | : | long-wave radiation absorptivity, numerically equal to the long-wave emissivity
Iin | [W/m²] | : | thermal radiation emitted by the surroundings and hitting the surface

The long-wave emissivity of the surface is entered in the dialog "Edit Surface Coefficients". WUFI offers a list of predefined surfaces with their respective short-wave absorptivities and long-wave emissivities for selection; a user-defined value may be entered as well.

The tables presented below are intended to give a general impression of typical emissivities. For non-metallic surfaces, the long-wave radiation emissivity is usually in the range between about 0.85 and 0.95, so a generic value of 0.9 should be adequate in most cases if the surface is non-metallic and no detailed information about the emissivity of the surface material is available.

Polished metallic surfaces may have extremely small emissivities. Polished copper, for example, has only e = 0.04. These surfaces emit and absorb almost no long-wave radiation, they barely participate in long-wave radiation exchange. However, if the surface is roughened or if it becomes covered with an oxidation layer or dirt the emissivity may increase markedly.

Wet surfaces

An increase of the emissivity also occurs when the surface is covered with a water layer or with water droplets which may be caused by rain or dew deposition. Water is very nontransparent to thermal radiation, so even very thin water layers are sufficient to replace the radiative properties of the component surface completely with the properties of the water which has a very high emissivity. For example, the following emissivities have been found for an iron sheet with an oxidative rolling layer [4]:

Iron sheet with rolling layer |
- dry | 0.77
- wetted slightly so that the surface appears matt, not shiny | 0.96
- wetted to give a shiny surface | 0.97

Spectral measurements [5] show that for water layers thicker than about 10 micrometers the emissivity of the water begins to dominate over the emissivity of the surface material.

Since WUFI treats the emissivity coefficient as a constant value, it can not take this effect into account. For most materials - which already have high emissivity in the dry state - the effect may be within the uncertainty with which the emissivity of a weathered and soiled surface can be estimated anyway. For materials with low emissivity, however, the effect may not be negligible, and it may interfere with attempts to simulate dew deposition where the occurrence of dew may change the radiative properties of the surface in a way which affects the dewing process itself but which is ignored by WUFI.

Tables

Non-metallic surfaces [1]
Surface | Long-wave Emissivity
Gypsum | 0.8 - 0.9
Glass | 0.89
Wood: |
- Oak, smoothed | 0.90
- Beech | 0.91
Oil paint: |
- black | 0.92
- green | 0.95
- red | 0.97
- white | 0.94
Varnish: |
- white | 0.88
- dull black | 0.95
Minium paint | 0.88
Radiator (according to VDI-74) | 0.88
Facade paint [2]: |
- light grey | 0.85
- light grey, IR-reflective | 0.58
- blue | 0.94
- red | 0.86
Marble, light grey, polished | 0.90
Clay: |
- enameled | 0.9
- dull | 0.93
Brick, red | 0.93
Silicon sandstone, rough | 0.92
Red sandstone | 0.93
Concrete slab | 0.92
Tiles, light grey [3] | 0.92
Render [3] | 0.91
Tar paper [3] | 0.91
Hoarfrost, rough [3] [5] | 0.985
Water layer > 0.1 mm [3] [5] | 0.965
Ice > 4 mm, smooth [3] | 0.918

Metallic surfaces [1]
Surface | Long-wave Emissivity
Aluminum: |
- polished | 0.11
- pre-polished | 0.22
- heavily oxidized | 0.19
Copper: |
- polished | 0.04
- slightly tarnished | 0.04
- black oxidized | 0.74
- scraped | 0.08
Iron and steel, rubbed | 0.29
Iron, pre-polished | 0.20
Iron sheet: |
- red rusted | 0.58
- heavily rusted | 0.67
- rolled | 0.64
Steel sheet, thick rugged oxide layer | 0.78
Cast iron, rugged surface, heavily oxidized | 0.93
Iron sheet lined with zinc: |
- shining | 0.27
- grey oxidized | 0.26
Silver, polished | 0.03

For additional tables of long-wave emissivities see the topic Terrestrial Long-Wave Reflectivity.

Note: The emissivity of most materials depends on the angle which the emitted ray makes with the surface. For many materials, only the normal emissivity has been measured ("normal" in the geometrical sense of "perpendicular to the surface"). This number may be different from the hemispherical emissivity which describes the effective emissivity integrated over all emission angles. If both values are available, the hemispherical value should be preferred, because it agrees more closely with the radiation model used by WUFI. However, the difference may not really be relevant in view of the uncertainties with which the emissivity of the surface can be estimated anyway. Also, most tables do not indicate which type of emissivity they give.

Literature

[1] | VDI Guideline 3789, Part 2: Environmental Meteorology - Interactions between Atmosphere and Surfaces. Beuth, Berlin 1999 Table G1: Long-wave emittance εK of technical surfaces Table G2: Effective long-wave emittance εK of technical surfaces Table G3: Effective long-wave emittance εK of natural surfaces.
[2] | Leonhardt H., Sinnesbichler H.: Untersuchungen des langwelligen Wärmestrahlungsverhaltens von Fassadenanstrichen im Winter. IBP Report RK-ES-05/2000 http://publica.fraunhofer.de/dokumente/N-75023.html
[3] | Baehr, H D, Stephan K: Wärme- und Stoffübertragung. 5. Auflage, Springer 2006, Tabelle B.12
[4] | Schmidt E: Die Wärmestrahlung von Wasser und Eis, von bereiften und benetzten Oberflächen. Forschung im Ingenieurwesen, Bd. 5, Nr. 1 (Jan/Feb 1934) https://doi.org/10.1007/BF02578811
[5] | Mitchell H J, Salvaggio C: The MWIR and LWIR Spectral Signatures of Water and Associated Materials. Proceedings of SPIE Image Exploitation and Target Recognition, Algorithms for Multispectral, Hyperspectral, and Ultraspectral Imagery IX 5093 (2003) 195-205
Previous topic:
Short-wave Radiation Absorptivity 		Topic 31 Next topic:
Adhering Fraction of Rain


Rain Water Absorption Factor

Previous topic:
Long-wave radiation emissivity 		Topic 32 Next topic:
Climate Data

Adhering Fraction of Rain

This factor takes into account that some of the rain water hitting an inclined surface splashes off on impact and is therefore not available for capillary suction.

WUFI calculates the rain load on the component from the data in the climate file and multiplies it by this factor. The resulting quantity of rain is offered to the component for capillary suction. (The component may take up the offered quantity or less, but not more).

The adhering fraction depends on the roughness, orientation and inclination of the surface, and on the nature of the precipitation (rain, snow...).

For horizontal surfaces, the adhering fraction is usually one, since the scattered drops fall back to the surface.

For vertical surfaces, it is nearly zero for snow and hail, for other conditions it must be estimated. A value of 0.7 might be a good starting point.

Since most component surfaces - with the exception of unrendered masonry and natural stone facades - only have a moderate water absorption, they cannot take up all the offered water anyway. In these cases, an exact knowledge of the rain quantity is not essential (whereas the duration of the rain is still important) and estimates for the adhering fraction and the position-specific driving rain coefficients may be sufficient.

WUFI automatically determines the adhering fraction from the inclination and the construction type; a user-defined value may be entered as well.

A sheltered position of the component may be simulated by reducing this factor accordingly. By setting it to zero, the user can switch off the rain completely without changing the rain data in the weather file.

The adhering fraction of rain is entered in the dialog "Surface Transfer Coefficients".

Previous topic:
Long-wave radiation emissivity 		Topic 32 Next topic:
Climate Data


Climate Data

Starting from specified initial conditions, WUFI computes the temporal evolution of the temperature and moisture distributions in the building component. This evolution is determined not only by the underlying transport equations which govern the processes in the component, but also by the heat and moisture exchange with its surroundings. Thus there are heat and moisture flows through the surfaces, the direction and magnitude of which depend on the conditions in the component as well as on the conditions in the surroundings. The latter are described by the boundary conditions.

Since WUFI has been developed specifically for application in building physics, the surrounding medium is the ambient air (outdoor air, indoor air). Since it is furthermore designed to calculate the behaviour of building components exposed to the weather, it seems natural to describe the condition of the surrounding air in terms of meteorological parameters like temperature, relative humidity, solar radiation etc. In this way, WUFI keeps in close touch with building practice and can use existing measured data.

The choice of expressing the boundary conditions in terms of meteorological parameters does not prevent you from applying WUFI to laboratory investigations like imbibition or drying experiments, since the laboratory conditions can be expressed in meteorological terms as well.

WUFI needs the following climate data for each time step:

  • the temperature of the exterior air in [°C]
  • the relative humidity of the exterior air (0..1)
  • the solar radiation vertically incident on the exterior surface in [W/m²]. For the determination of the amount of incident radiation, the inclination and orientation of the surface must be taken into account.
  • the rain load vertically incident on the exterior surface in [Ltr/m²h]. For the determination of this rain load, the inclination and orientation of the surface must be taken into account.
  • the wind speed and wind direction, if driving rain needs to be determined from measured normal rain, or if the wind-dependence of the heat transfer coefficient shall be taken into account.
  • the barometric pressure in [hPa]. Since the barometric pressure has only a minor effect on the calculation, specification of a mean value over the calculation period can be sufficient.
  • the long-wave atmospheric counterradiation [W/m²], if radiation cooling is to be accounted for during the night. Counterradiation data are rarely available, however.
  • the temperature of the interior air in [°C]
  • the relative humidity of the interior air (0..1)

The weather file may contain measured weather data (such as IBP weather data), or synthetic but realistic weather data (such as the Test Reference Years), or completely artificial data (which describe, for example, a laboratory experiment).

Since WUFI's main application is the investigation of the hygrothermal behavior of building components exposed to natural weather, it is set up to read files that contain measured weather data. However, measured data can not always be used directly:

As mentioned above, WUFI needs the rain load and the radiation load incident on the wall or roof surface under investigation. Since rain and radiation are directed quantities, these loads depend on the orientation and the inclination of the individual building component. Unfortunately, in conventional weather measurements they are usually only recorded for horizontal surfaces.
It is possible, however, to compute them from conventional weather data. The rain load can be determined from the normal rain and the wind velocity and direction. The amount of radiation can be determined from the global (or direct) and diffuse radiation incident on a horizontal surface. WUFI performs these conversions automatically and the user only needs to supply the conventionally measured weather data. In the current WUFI version, this requires a file in *.WET or *.TRY or *.DAT or *.IWC or *.WAC or *.WBC format. Depending on the format, files provided by the user (as opposed to the files supplied with WUFI or files pre-registered in the database) may also require a supporting *.AGD file which supplies geographical data on the climate location.

On the other hand, WUFI can also read files which directly contain the required rain and radiation loads as determined for the specific surface in question, so that no further conversion is necessary. This may be convenient if

  • you want to convert the weather data with more sophisticated algorithms than WUFI does, or if
  • you want to employ data that have been directly measured at the surface in question and thus need not be converted, or if
  • you want to use data synthesized by your own climate simulator, or if
  • you want to use data which describe the conditions of a laboratory experiment,
  • etc.

These files must be in *.KLI format.

The following sections explain these file formats in detail:

The *.WET Format for Climate Data

The *.TRY Format for Climate Data

The *.DAT Format for Climate Data

The *.IWC Format for Climate Data

The *.WAC Format for Climate Data

The *.WBC Format for Climate Data

The *.KLI Format for Climate Data

The *.AGD File

The method used by WUFI to convert radiation data is described in the Questions & Answers section.

Previous topic:
Adhering Fraction of Rain 		Topic 33 Next topic:
Temperature


Climate Data: Temperature

Previous topic:
Climate Data 		Topic 34 Next topic:
Humidity

Temperature

The temperature of a substance measures its heat content. Temperature differences are the driving forces for heat flows. A heat flow is directed from the higher temperature towards the lower temperature and attempts to reduce the temperature difference.

The temperatures of the outdoor and indoor air are important factors in the energy balance of a building component. They directly affect the heat content in the component by inducing heat flows across the component surface, into or out of the component.

In general, the "air temperature" is not homogeneous throughout the air - under most circumstances there is some temperature stratification. Meteorological stations usually measure the outdoor air temperature at a standard height of 2 m above ground level, with a thermometer which is shielded from solar radiation.
Some hygrothermal simulations require other temperatures as boundary conditions, such as the air temperature close to the ground, the ground surface temperature, the soil temperature at a specified depth etc. These have to be determined in an appropriate way and can be used for the simulation by creating a climate file which contains these temperatures instead of the usual air temperatures.

If the component is exposed to the temperature of the ambient air, the heat flow crossing the component surface has to overcome some resistance created by a thin layer of stagnant air sticking to the surface. Due to the resulting temperature drop across this air layer, the air temperature and the surface temperature are not the same. The resistance of this air layer is described by the heat transfer coefficient (or its inverse, the heat transfer resistance).
If, instead, the component's surface is in contact with some solid material (e.g. soil), there is no such resistance at the interface between them, there is therefore no temperature drop across the interface, and the heat transfer resistance should be set to zero.

Setting the heat transfer resistance to zero can also be used to force the surface to have the temperatures specified in the climate file. This can be useful if measured surface temperatures shall be imposed on the surface in the simulation.

Units

In the SI system, temperatures are measured in degrees Celsius (°C), where 0 °C approximately correspond to the freezing point of water and 100 °C approximately correspond to the boiling point of water at normal barometric pressure.

The absolute temperature is measured in Kelvin. 0 K is defined as the zero point of the thermodynamic temperature scale, and 273.16 K is defined as the temperature at the triple point of water. To convert Celsius temperatures to absolute temperatures, add 273.15 degrees (this conversion factor is exact, by definition).

If temperatures are given in the Fahrenheit scale (° F), use the following conversion formulas:

Previous topic:
Climate Data 		Topic 34 Next topic:
Humidity


Climate Data: Humidity

Previous topic:
Temperature 		Topic 35 Next topic:
Radiation

Humidity

The humidity data for the exterior or the interior air describe the moisture content of the air. In a hygrothermal simulation, the humidity of the ambient air is needed to determine
• | the strength of the vapor diffusion exchange between the building component surface and the ambient air,
• | the hygroscopic moisture content of a material exposed to the air

There exists a variety of quantities describing the humidity of the air. While this variety may seem confusing, each of these quantities has its own advantages for certain applications. The user does not need to be familiar with these details to use the program, but the descriptions provided below may be helpful for a deeper understanding of hygric processes or for creating a user-defined weather file.

Humidity in WUFI

In a hygrothermal simulation, vapor pressure differences are the driving force for vapor diffusion transport, both within the component and across its surfaces. Diffusion processes are trying to equalize vapor pressure differences.

WUFI uses the humidity of the ambient air and the moisture content of the component surface to compute the vapor pressures on both sides of the surface. Their difference then determines the vapor diffusion flow across the surface. The vapor diffusion flow has to cross the boundary air layer sticking to the surface; the diffusion resistance caused by this air layer is described by the water vapor transfer coefficient.

Within the component, vapor pressure differences in the pore air also give rise to vapor diffusion transport, redistributing the moisture within the component. The diffusion resistance of the pore air is described by the μ-value of the material.

If the surface temperature of the component falls below the dew point temperature of the ambient air, dew deposition occurs.

The equilibrium water content in a porous material exposed to ambient air is determined by the relative humidity of the air.

Differences of relative humidity within a porous material are the driving force for capillary transport of liquid water within the material. Capillary transport processes are trying to equalize differences in relative humidity. The intensity of the liquid flow is determined by the liquid transport coefficients.

If there is a temperature gradient across the building component, vapor pressure gradients and relative humidity gradients may point in opposite directions, giving simultaneously rise to vapor diffusion flows and liquid capillary flows which go in opposite directions (see Basics: Moisture transport). This is an example for a case where different humidity parameters are instrumental in determining the strengths and directions of different moisture transport mechanisms, possibly even acting simultaneously in opposite directions.

Humidity Parameters

The climate file formats WUFI can read use the relative humidity as a measure of the moisture content of the air. However, if you are using weather data from other sources, you may encounter other humidity parameters. The following sections provide discussions of various humidity parameters for reference. Beyond the mere definitions, some background information about the parameters is presented which is not required to perform hygrothermal simulations but which may be helpful in understanding hygric processes.

Some of the humidity parameters depend on temperature and pressure as well as on the amount of moisture in the air. That is, they change not only when water molecules are added to or removed from the air, but also when temperature or pressure changes occur. This is not a shortcoming of these parameters, it is appropriate for describing the respective properties of the moist air.
(In hygrothermal building simulations where the pressure is usually the atmospheric pressure, the effect of pressure changes is usually negligible. It may be important in compressed air systems, for example.)

• Water vapor partial pressure

The water vapor partial pressure (or water vapor pressure for short) is the pressure which the water vapor in the air contributes to the total pressure of the air (Dalton's law).

The water vapor pressure increases if water molecules are added to the air because the pressure of a gas is proportional to the number of molecules (Avogadro's law).

In technical applications, the water vapor pressure may also change without water molecules being added or removed. The water vapor pressure in a given parcel of air increases if the temperature is raised at fixed volume (Charles's law, the molecules move faster), or if the volume is compressed by increased pressure at fixed temperature (Boyle's law, the more concentrated molecules hit the container walls more often). The latter case is relevant for air compressors: If the air is compressed to such a degree that the increased vapor pressure of the contained water exceeds the saturation vapor pressure at the current temperature, condensate is produced.

However, in hygrothermal simulations, these conditions usually do not apply. The air involved in a simulation (outdoor air, indoor air, pore air) is normally open to the ambient atmosphere, and it is therefore the total pressure which remains fixed. Under these conditions, the volume of a given parcel of air is not fixed, it can freely contract and expand if its temperature changes. It is also not compressed or rarefied by pressure changes because its pressure is always the same as the constant ambient barometric pressure (the small meteorological variations in the ambient pressure are negligible in this context). In this situation, the water vapor pressure only changes when water molecules are actually added to or removed from the air. If the temperature increases, the speed of the molecules increases, but because the unrestrained volume increases as well, the density of the molecules decreases in just the right way to keep the water vapor partial pressure constant.

The maximum amount of water the air can hold at a given temperature is usually described in terms of the saturation vapor pressure. For example, at 0° C the saturation vapor pressure is 611 Pa, and at 20° C the saturation vapor pressure is 2339 Pa. A formula for calculating the saturation vapor pressure is given below.

Vapor pressure differences are the driving force for vapor diffusion.

• Relative Humidity

Relative humidity is defined as the ratio of the water vapor partial pressure present in the air and the water vapor saturation pressure corresponding to the current air temperature. It is expressed as a percentage (e.g. 78%) or as a fraction (e.g. 0.78).

φ | [%] or [-] | : relative humidity
p | [Pa] | : water vapor partial pressure
psat(θ) | [Pa] | : water vapor saturation pressure at temperature θ

The relative humidity increases if water molecules are added to a given parcel of air because then the vapor pressure p increases (see above).

The relative humidity may also change without water molecules being added or removed. As described above, there are conditions under which the vapor pressure p changes without a change in the number of water molecules in the air, but in hygrothermal simulations where the total pressure remains constant these conditions do not apply. However, if the temperature increases, the temperature-dependent saturation vapor pressure psat increases, and even with the vapor pressure p remaining constant, the relative humidity will decrease.

When the relative humidity of the air reaches 100 %, the air is saturated with humidity. If further moisture is added, the moisture excess will condense out of the air. Note that it is possible for a moist surface to give off moisture into the surrounding air even if that air is already saturated at 100 % relative humidity: If the temperature of the surface is higher than the temperature of the ambient air, the surface can have a higher partial vapor pressure, so that a diffusion flow from the surface into the air is created by the vapor pressure difference (see above). This leads to oversaturation of the air close to the surface and moisture condensation in the air (which may be visible as little vapor plumes emanating from the surface).

The water vapor saturation pressure psat referred to in the above definition assumes chemically pure water and a flat water surface. If solutes (e.g. salts) are present in the water, or if the surface is concavely curved (e.g. in small pores), the actual saturation pressure is reduced and saturation already occurs at less than 100% (since even under these circumstances pure water and a flat surface are used as reference by definition).
In particular, the relative humidity corresponding to saturation over the water meniscus in a partially filled pore is not 100% but somewhat less, depending on the curvature of the meniscus. In small pores, liquid water can therefore begin to condense at relative humidities around 80..90%, leading to a strong increase in absorbed water content for these moisture levels, see moisture storage function.

The amount of equilibrium moisture adsorbed in the pores of a porous hygroscopic material depends on the ratio of the adsorption rate (depending on the water vapor pressure p in the pore air) and the evaporation rate (depending mainly on the saturation vapor pressure psat at the adsorbed water surfaces). It is therefore determined by the relative humidity φ of the pore air and, in consequence, by the relative humidity of the ambient air to which the material is exposed (rather than, say, its absolute humidity). See the discussion of the moisture storage function which describes the equilibrium moisture content as a function of relative humidity.
Most instruments for measuring the moisture content of the air use moisture-dependent properties of appropriate materials (e.g. change of length of fibres, change of electrical properties of polymers, etc). Since the moisture content of these materials is determined by the relative humidity of the air, the humidity parameter measured by these instruments is the relative humidity of the air.

As described above, if there is liquid water in the pore system of a porous material, the relative humidity of the pore air in hygric equilibrium with the curved menisci of the water surfaces is less than 100 %, the exact value depending on the curvature of the menisci.
On the other hand, a curved meniscus exerts pulling forces on the water, creating a (negative) capillary pressure in the water, the exact value again depending on the curvature of the meniscus.
In other words: In hygric equilibrium, there exists a mathematical relationship between the relative humidity in the pore air and the capillary pressure in the water. Since capillary pressure differences are driving the capillary liquid transport, it is equivalent to say that differences in relative humidity are driving liquid transport. In fact, WUFI's transport equations are using relative humidity as the driving potential because this has mathematical advantages over using the water content.

The Kelvin equation describes the functional relationship between the relative humidity of the pore air and the capillary pressure in the pore water:

φ | [-] | : relative humidity of pore air
pc | [Pa] | : capillary pressure in pore water
ρW | [kg/m3] | : density of water, 1000 kg m-3
R* | [J/(kg K)] | : gas constant for water vapor, 461.5 J/(kg K)
T | [K] | : absolute temperature

• Water vapor concentration, absolute humidity

The water vapor concentration (or absolute humidity) is the ratio of the mass of the water vapor contained in a parcel of moist air to the volume of the parcel:

c | [kg/m3] | : water vapor concentration, absolute humidity
mw | [kg] | : mass of water vapor contained in the parcel of air
V | [m3] | : volume of the parcel of air

The water vapor concentration increases if water molecules are added to a given parcel of air because then the mass of water contained in the volume increases.

But the water vapor concentration may also change without water molecues being added or removed. The water vapor concentration in a given parcel of air decreases if the temperature is raised (at fixed total pressure, as is usually the case in hygrothermal simulations) because then the air expands and the mass of water is spread over a larger volume V.

The water vapor concentration can be measured by using a strong absorbent to absorb all water contained in a known volume of air, and then weighing it to determine the mass of the absorbed water.

Typical values are 4.8 g/m3 at 0° C and saturation, and 17.3 g/m3 at 20°C and saturation.

The relationship between the water vapor concentration and the water vapor partial pressure is given by the ideal gas law:

p | [Pa] | : water vapor partial pressure
c | [kg/m3] | : water vapor concentration
R* | [J/(kg K)] | : gas constant for water vapor, 461.5 J/(kg K)
T | [K] | : absolute temperature

• Mixing Ratio

The mixing ratio of a given parcel of moist air is the ratio of the mass of the water vapor to the mass of the dry air contained in the parcel:

x | [kg/kg] | : mixing ratio
mw | [kg] | : mass of water vapor in the parcel
md | [kg] | : mass of dry air in the parcel

The mixing ratio only changes when water molecules are added to or removed from the air. If the temperature of the parcel of air increases, its volume expands but the ratio between the number of water molecules and the number of air molecules in the parcel stays the same, and so does the ratio between their masses.
This is useful in technical applications, for example when moist air is pumped through pipes with different temperatures and pressures in different pipe sections: The mixing ratio of the air always stays the same along the way, as long as no evaporation and no condensation takes place.

The relationship between the mixing ratio and the water vapor partial pressure is given by the following formula:

x | [kg/kg] | : mixing ratio
Ro | [J/(kg K)] | : gas constant for dry air, 287.1 J/(kg K)
R* | [J/(kg K)] | : gas constant for water vapor, 461.5 J/(kg K)
p | [Pa] | : water vapor partial pressure
P | [Pa] | : barometric pressure

• Specific Humidity

The specific humidity of a given parcel of moist air is the ratio of the mass of the water vapor to the mass of the moist air (i.e. to the sum of the masses of the water vapor and the dry air) contained in the parcel:

s | [kg/kg] | : specific humidity
mw | [kg] | : mass of water vapor in the parcel
md | [kg] | : mass of dry air in the parcel

Just as with the mixing ratio, the specific humidity only changes when water molecules are added to or removed from the air. If the moist air consists almost entirely of water vapor and little air, the specific humidity approaches 1, while the mixing ratio approaches infinity.

The relationship between the specific humidity and the water vapor partial pressure is given by the following formula:

s | [kg/kg] | : specific humidity
Ro | [J/(kg K)] | : gas constant for dry air, 287.1 J/(kg K)
R* | [J/(kg K)] | : gas constant for water vapor, 461.5 J/(kg K)
p | [Pa] | : water vapor partial pressure
P | [Pa] | : barometric pressure

• Dew Point Temperature

The dew point temperature of moist air is the temperature to which the air would have to be cooled to begin condensation of the contained water vapor.

A parcel of air can only hold a certain amount of water vapor, the exact maximum amount depending on its temperature: the higher the temperature of the air, the more water vapor it can hold. The maximum water vapor pressure possible at a given temperature θ is the saturation vapor pressure p sat(θ).

The dew point temperature θ dew of air containing water vapor with the vapor pressure p is the fictitious temperature for which one would have

p sat | [Pa] | : saturation vapor pressure
θ dew | [°C] | : dew point temperature
p | [Pa] | : current water vapor partial pressure

The dew point temperature therefore measures the water vapor pressure. It expresses the water vapor pressure in terms of the temperature which must be entered in a saturation vapor formula so that the formula returns the vapor pressure in question. Therefore, the remarks made above about the temperature and pressure dependence of the vapor pressure also apply to the dew point temperature.

The dewpoint temperature of air with a water vapor partial pressure of 611 Pa is 0 °C, the dewpoint temperature of air with a water vapor partial pressure of 2339 Pa is 20 °C.

The dew point temperature is a convenient humidity parameter to assess when condensation will occur.

The dew point temperature of the air can directly be measured with chilled-mirror hygrometers.

• Wet Bulb Temperature

The wet bulb temperature is the temperature indicated by a thermometer whose bulb is covered by a wet cloth sleeve. Due to evaporation cooling, this temperature is less than the air temperature indicated by a dry thermometer. The amount of cooling depends on the evaporation rate which is higher in dry air than in moist air. The conversion to other humidity parameters is done with psychrometer tables or empirical psychrometer formulas.

The wet bulb temperature of the air can directly be measured with suitably constructed thermometers.

Saturation Vapor Pressure

The saturation vapor pressure is the equilibrium water vapor partial pressure prevailing over a flat water surface at a given temperature. There exists a large number of empirical saturation vapor pressure formulas, with different levels of complexity and accuracy. 'Magnus'-type formulas are popular because they are relatively simple and can explicitly be solved for the dew point temperature which corresponds to a given vapor pressure. An example for a Magnus-type formula and its inverse is

p sat | [Pa] | : saturation vapor pressure
θ | [°C] | : temperature
θ dew | [°C] | : dew point temperature

with the following set of coefficients [1]:

Over ice (-50.9 .. 0.0°C):
C1 | [Pa] | : 610.714
C2 | [-] | : 22.44294
C3 | [°C] | : 272.440

Over water (0.0 .. 100.9°C):
C1 | [Pa] | : 610.780
C2 | [-] | : 17.08085
C3 | [°C] | : 234.175

Over a concavely curved water surface (e.g. a meniscus in a partially filled material pore), the saturation vapor pressure is less than over a flat surface. The very slight dependence of the saturation vapor pressure on the barometric pressure is usually ignored.

Literature:

[1] Deutscher Wetterdienst: Aspirations-Psychrometer-Tafeln.
5. Auflage, Vieweg

Previous topic:
Temperature 		Topic 35 Next topic:
Radiation


Climate Data: Radiation

Previous topic:
Humidity 		Topic 36 Next topic:
Rain

Radiation

The outdoor surface of a building component is exposed to various forms of heat radiation which may be a major part of the energy balance.
• | During the day, the surface will absorb solar radiation ("sunshine").
• | By day and by night, it will absorb thermal radiation sent out by the atmosphere, by the ground and by objects in its field of view (such as neighboring houses).
• | By day and by night, it will emit thermal radiation depending on its own temperature.
Each of these radiation components may contribute several hundred W/m² (positive or negative) to the energy balance.

Radiation is a directional quantity: in addition to having a certain magnitude it also has a certain direction. Differently oriented surfaces will be hit by different amounts of radiation, and for the simulation the amount of radiation which is hitting a surface has to be determined individually for that surface.

Short-wave and Long-wave Radiation

Solar radiation is also called "short-wave radiation" because it mainly comprises shorter wavelengths when compared to the thermal "long-wave" radiation emitted by ambient objects at ambient temperatures.

The Sun emits thermal radiation at a temperature of about 5777 K. According to Wien's displacement law the intensity maximum of this radiation occurs at about 0.5 μm, i.e. in the visible region. The Sun emits visible "light" and invisible Near-Infrared wavelengths.

The atmosphere as well as the Earth's surface and the objects on it also emit thermal radiation. However, their typical temperatures are only about 300 K so that the intensity maximum of their emission occurs in the Mid-Infrared at about 10 μm.

According to Planck's radiation law, a 5777 K hot surface emits markedly more radiation than a 300 K warm surface, regardless which wavelength is considered. This is true in particular for the Mid-Infrared wavelengths where the 300 K intensity peaks. One might expect, therefore, solar radiation to dominate over all other sources on all visible and infrared wavelengths, at least during the day (see diagram, left).

However, the temperature resulting on the surface of a building component is determined not by the radiation emitted by the sources, but by the radiation received by the surface. The irradiance created on a given surface by a given source depends on
• | the intensity (in technical terms: the radiance) of the source,
• | the solid angle which the source occupies in the field of view of the receiving surface (see diagram, right),
• | the angle of incidence under which the radiation hits the receiving surface.

The Sun as the source of short-wave radiation occupies only a very small solid angle in the sky (0.000068 steradian), so that its contribution to the total irradiance on the receiving surface is strongly reduced; it may be further reduced if its radiation hits the receiving surface at a shallow angle.
On the other hand, sources of long-wave radiation usually appear under a very large solid angle and exist everywhere in the field of view of the receiving surface which spans a total of 6.28 (= 2π) steradian. Objects like the ground surface or a house fassade facing the receiving surface may reach quite a considerable solid angle, compensating in part for their lower radiance. The sky is a very extended source of long-wave radiation.

If the receiving surface is a vertical wall, the ground, low vegetation and other low terrestrial objects usually occupy the entire lower half of the field of view (3.14 steradian), and they emit thermal radiation at ground surface temperature or similar temperatures.
The upper half of the field of view (another 3.14 steradian) is usually occupied by the sky which is another "object" of large extent which emits thermal radiation (but only at a level of about 70% of what a solid object with the same temperature would emit, due to the somewhat poorer radiation properties of the atmospheric gases). Larger terrestrial objects (houses, trees etc.) may obscure part of the sky, replacing some of its thermal radiation with the more intense thermal radiation emitted by solid objects. See below: Long-wave Radiation for further details.

Because of these strongly different angular extents of short-wave and long-wave sources, the radiation received from the Sun in the Mid-Infrared is negligible in comparison with the radiation received from terrestrial objects (see diagram, right). For this reason it is possible to divide the whole received wavelength range into

• | the short-wave region comprising the solar radiation with its distinct day-night-cycle, and
• | the long-wave region where the much more constant infrared radiation emitted by terrestrial objects and the sky dominates.

Short-wave Radiation (Solar Radiation)

The solar radiation hitting the component may supply up to several hundred W/m² of thermal power (on roofs more than 1000 W/m² are possible) and can thus have considerable influence on the temperature level of the component, in particular of its exterior layers.

In the course of the diurnal variation, high intensities are usually only reached for a short period of time, so that the solar radiation is mainly responsible for short-term temperature peaks. The overall temperature level of the component is mainly determined by the ambient air temperature and the long-wave irradiation which are acting permanently on the surface and show much less variation.
However, because of the nonlinear dependence of the vapor pressure on the temperature, even short-term temperature peaks may have an appreciable effect on the drying potential of the building component.

The solar radiation is a directional quantity, therefore its influence on a building component depends on the component's orientation with respect to the Sun's current position in the sky.

If hourly measured data are available for the solar radiation hitting a receiving surface which has the same inclination and orientation as the surface under investigation, these data can immediately be used as input for a simulation. Of course, such a weather file can not be used for surfaces with a different inclination and orientation. Furthermore, such direct measurements made on individual surfaces are rarely available.
As an alternative, the amount of radiation hitting the surface can be computed from radiation measurements on a horizontal surface which are often available from meteorological stations.

To do such a conversion, one has to take into account the fact that the solar radiation hitting the surface consists of two components with different directional characteristics:

The direct part of the solar radiation is sent out by the solar disk itself and travels along a straight line towards the receiving surface. If it hits the surface at an angle, only the component vertical to the surface is effective, therefore the direct radiation has to be multiplied by the cosine of the angle of incidence. The angle of incidence depends on the orientation and inclination of the receiving surface and the current position of the Sun in the sky. If the Sun shines from behind the receiving surface, the direct component is zero. (Mathematical details are described in the Questions and Answers topic.)

The diffuse part of the solar radiation is sunlight scattered by the atmosphere. It comes from all parts of the sky except the solar disk itself. For the present purpose and for simplicity it may be assumed to be evenly distributed over the sky. Radiation data measured by a weather station usually provide the diffuse radiation received from the entire sky by an unobscured horizontal surface.
Such a horizontal surface receives diffuse radiation from the entire sky dome; the measured diffuse radiation data are directly applicable as the diffuse radiation component on unobscured horizontal component surfaces, for example flat roofs. An inclined surface, however, only sees part of the sky and therefore only receives the corresponding fraction of diffuse radiation (for example, 50 % for a vertical facade). On the other hand, it will have part of the ground surface in its field of view and receive some solar radiation reflected by the ground. (Mathematical details are described in the Questions and Answers topic.)

The direct and the diffuse solar components received on a horizontal surface are provided by meteorological radiation measurements (either directly or after suitable combination, see below). Depending on the equipment used by a meteorological station, the data handling procedures and the weather file format, available weather files may contain a suitable combination of some of the following quantities:

• Global Horizontal Radiation [W/m²]
The global horizontal radiation is the total solar radiation received on a horizontal surface. It is the sum of direct and diffuse horizontal radiation.
Since measuring the global radiation simply involves setting up a horizontally leveled measuring device without any need for shading or tracking, this is usually one of the measured radiation quantities when radiation is measured at all.

• Diffuse Horizontal Radiation [W/m²]
The diffuse horizontal radiation is the scattered solar radiation emitted by the sky (except the solar disk) and received on a horizontal surface.
It can be measured directly by an instrument equipped with a shadow ring (masking the day's solar path across the sky) or with a moving shade (blotting out the solar disk in the sky).

• Direct Horizontal Radiation [W/m²]
The direct horizontal radiation is the direct radiation emitted by the solar disk and received on a horizontal surface (i.e. the angle of incidence at the time of the measurement is alyways 90° minus the current altitude angle of the sun).
It is usually not measured directly, but it can be computed as the difference of global horizontal and diffuse horizontal radiation (see above). Dividing the direct horizontal radiation by the sine of the solar altitude angle provides the direct normal radiation (see below).

• Direct Normal Radiation [W/m²]
The direct normal radiation is the radiation emitted by the solar disk and received on a surface tracking the sun (i.e. the surface is kept facing the sun, so that the angle of incidence is always 90°).
It can be directly measured by an instrument which is equipped with a tracking mechanism and a shade covering the sky except a small area around the Sun's disk.
It can be computed by dividing the direct horizontal radiation by the sine of the solar altitude angle.

• In-situ Measured Irradiance [W/m²]
Solar radiation which has been measured as incident on an instrument which has the same orientation and inclination as the component to be investigated directly represents the total solar radiation hitting such a surface. No conversions (which always involve model assumptions) from data measured on horizontal surfaces are needed.
If the measurement can be made on the component under investigation itself, the data even represent all the local peculiarities (if any), such as shadowing by trees and other buildings, the radiation reflected by other facades or by the ground, etc. These details are not automatically included when the radiation data are converted from other radiation data which were measured by a meteorological station at an unobstructed place.
In-situ measurements are not available from weather services, but in connection with detailed investigations of a building it may be useful and justified to collect this type of data by suitably installed sensors.

For use with WUFI radiation data are needed which allow to determine the direct and the diffuse component of solar radiation. This is the case if the weather file contains direct and diffuse radiation or global and diffuse radiation (other combinations are possible but rarely used in practice). Weather files with these kinds of radiation data can be used for components with arbitrary orientation and inclination because the radiation data can automatically be converted by WUFI as needed (incurring some accuracy loss).
Radiation data measured in-situ can directly be used by WUFI if the data are provided as an ISM column in a WAC-format file. Such directly measured data describe the individual situation of the object under investigation with the highest accuracy, but they can only be used for this object.
For further discussion, please refer to the topic Creating Climate Files.

The short-wave radiation absorptivity of the component surface describes which fraction of the incident short-wave radiation is absorbed by the surface. It strongly correlates with the color and visible brightness of the surface and usually ranges between about 0.2 and 0.9.
(Theoretically, there also exists a short-wave emissivity which, according to Kirchhoff's law, has the same numerical value as the short-wave absorptivity and describes the emissivity for thermal emission. It is not needed by WUFI, however, since at temperatures typical for building physics - except in case of a fire - no short-wave thermal emission occurs.)

Long-wave Radiation (Thermal radiation from the surroundings)

In addition to the short-wave irradiation coming from the sun, the component surface is also exposed to the long-wave irradiation emitted by the ground surface, by terrestrial objects and by the atmosphere.

In the short-wave region the surface does not itself emit any radiation, it is only a radiation receiver. However, the surface does emit its own long-wave radiation and thus is involved in an energy balance between incoming and outgoing long-wave radiation.

In building physics this exchange of long-wave radiation is often simply taken into account by adding a fixed increase to the convective heat transfer coefficient. In this case no long-wave radiation data need to be provided by the weather file.
But for higher accuracy or if radiative night-time cooling of the surface below the ambient air temperature is to be taken into account, WUFI can also explicitly compute the long-wave radiation exchange for each hour and account for it in the energy balance. However, this requires that sufficiently accurate data describing the long-wave radiation coming from the surroundings are provided in the weather file.

Since they counteract the radiative energy loss of the surface, the long-wave radiation components emitted by the atmosphere and by terrestrial sources are respectively called atmospheric and terrestrial counterradiation.

• Atmospheric Counterradiation [W/m²]
Depending on the air temperature, the water vapor content and the cloud cover, the atmosphere can radiate between about 100 and 500 W/m² onto a horizontal receiving surface. For Holzkirchen, as an example, the yearly average is about 310 W/m².
The atmospheric counterradiation is measured with a horizontally leveled pyrgeometer.

• Terrestrial Counterradiation [W/m²]
The terrestrial counterradiation is the long-wave emission of the ground surface and the objects on that surface.

For use with WUFI the respective contributions of atmospheric and terrestrial counterradiation hitting the component surface must be determined. WUFI assumes that the emissions are evenly distributed over the sky and the ground, respectively. It is then sufficient to determine which fractions within the field of view of the component's surface are filled with sky and ground. The total incoming long-wave radiation is simply computed as the sum of the atmospheric and terrestrial counterradiation, multiplied by the respective fractions (more accurately: the respective view factors).

For example, the horizontal surface of a flat roof only sees sky and no ground. The incoming long-wave radiation is identical with the atmospheric counterradiation, no data on terrestrial counterradiation are needed.
A vertical facade sees the sky in the upper half of its field of view, and the ground in the lower half. The incoming long-wave radiation is computed as one half of the atmospheric counterradiation provided by the weather file plus one half of the terrestrial counterradiation. In addition, the visible percentage of ground contributes atmospheric counterradiation reflected from the ground.

Measured data on the atmospheric counterradiation are rarely available. If the weather file used for the simulation does not provide such data, WUFI estimates the atmospheric counterradiation from hourly cloud cover data. If these are not provided either, it estimates counterradiation using a constant cloud cover specified by the user.
Measured data on the terrestrial counterradiation are almost never available. If the weather file used for the simulation does not provide such data, WUFI estimates the terrestrial counterradiation by assuming that the ground has air temperature and the ground emissivity specified by the user.
For further discussion, please refer to the topic Creating Climate Files.

As with solar radiation, the total long-wave radiation measured in-situ at the inclined building component under investigation provides the highest accuracy and includes all local peculiarities. On the other hand, this data set can only be used for this individual component.
Data sets providing measured atmospheric and terrestrial counterradiation can be used for components with arbitrary inclination, but the conversion of the radiation data requires some model assumptions and is less accurate than a direct measurement.
The accuracy degrades further if atmospheric and/or counterradiation have not been measured but must be replaced by estimates based on air temperature, cloud cover etc.
If the motivation for using the "explicit radiation balance" calculation mode is to account for the reduced drying potential of a flat roof due to radiative cooling, it is probably sufficient to use estimated counterradiation data with reduced accuracy. On the other hand, if the amount of dew deposition on a facade or the number of dew hours are to be determined quantitatively, more accurate data are probably needed, because in this case the result depends very sensitively on the exact difference between incoming and outgoing radiation. In such a case it is advisable to perform sensitivity analyses to determine whether the accuracy of the available data is sufficient for the intended purpose.

The long-wave absorptivity of the component surface describes which fraction of the incident long-wave radiation is absorbed by the surface. According to Kirchhoff's law it has the same numerical value as the long-wave emissivity of the surface and therefore does not need to be entered separately.
The long-wave emissivity of the component surface describes how much thermal radiation the surface emits in comparison to a Planckian radiatior with the same temperature. For non-metallic surfaces it usually ranges between about 0.8 and 0.95.

The following diagram shows a summary of the short- and long-wave radiation fluxes typically used by WUFI. The long-wave fluxes are only used in the "explicit radiation balance" calculation mode.

Previous topic:
Humidity 		Topic 36 Next topic:
Rain


Climate Data: Rain

Previous topic:
Radiation 		Topic 37 Next topic:
Wind

Rain

Rain is an important weather element in hygrothermal simulations because rain water hitting the component surface may be absorbed by capillary forces and can thus strongly affect the component's moisture balance.

Rain is a directional quantity: in addition to having a certain magnitude it also has a certain direction. Differently oriented surfaces will be hit by different amounts of rain water, and for the simulation the amount of rain water hitting a given surface has to be determined individually for that surface.

The amount of rain that has fallen on a surface is measured in liters per square meter or, equivalently, in millimeters: A volume of one liter, distributed over one square meter, results in a water column of one millimeter height.

In hourly weather data, the rain rate is usually given in millimeters per hour.

The rain falling on a horizontal surface is called normal rain. If weather stations provide rain data, it is usually the normal rain.

The rain hitting the surface of a vertical wall is the wind-driven rain or driving rain. For simulations of vertical facades, this is the relevant kind of rain. Unfortunately, measured driving rain data are usually not available. The driving rain must therefore be estimated from other data provided by the weather file.

The driving rain rate mainly depends on the normal rain rate, the wind speed and the wind direction relative to the surface. However, there are also other factors affecting the driving rain rate. For example:
• | Rain drops of different sizes are pushed around in different ways by the wind gusts. The drop size distribution of the current rain event would be needed to calculate the rain water deposition rate accurately, but it can not be determined precisely from the data usually available in a weather file.
• | The wind carrying the droplets towards the facade is the local wind at the facade, representing the local wind flow patterns and affected by the local obstacles - in particular by the simulated building itself - which may create sheltering or funneling effects. But the wind data provided in the weather file have usually been measured at an undisturbed location in the free wind flow. The wind data from the weather file can therefore not fully describe the local flow conditions which may be very different from the undisturbed conditions and which may be very variable even over short distances.

Furthermore, the water available for absorption at a given spot on the facade is not only the water deposited on that spot by the driving rain, it also includes unabsorbed water running down from higher spots. Taking this into account would require a much more complex simulation.

On the other hand: Since most common building surfaces - with the exception of very absorptive unrendered masonry and natural stone facades - only have a moderate water absorption, they often cannot take up all the offered water anyway. In these cases, the amount of absorbed water is determined by the capillary properties and the saturation state of the surface material, not by the amount of rain available for absorption. The unabsorbed amount of rain is simply running off, and it does not matter whether the total amount of driving rain has been determined very precisely or only approximately. In such a case, therefore, an exact knowledge of the driving rain quantity is not essential (whereas the duration of the rain is still important) and fairly plausible estimates for the driving rain load are usually sufficient (the same is true for the adhering fraction of rain).

WUFI offers two simplified driving rain models. The accuracy of their driving rain estimates is limited for the reasons given above, but it should be sufficient for most purposes. If you need more accurate driving rain data, you can use measured values or values provided by a more sophisticated model and feed them to WUFI as "measured rain" data RM in a *.WAC weather file. WUFI will use these data without modification and will not run them through a driving rain model.

Rain in WUFI

In WUFI, the procedure for calculating the capillary absorption of rain is as follows:

  • First, the rate of rain arriving at the surface must be determined. For a flat roof, this is simply the rate of the normal rain provided by the weather file.

    For a vertical facade, it is the rate of driving rain. Ideally, the simulation can use driving rain data measured on the individual surface under investigation. If the weather file is in the WAC format, measured driving rain data can be written to the optional data column RM ("rain, measured"). This measured rain rate will be used by WUFI without modification.

    If no measured data are available (and this will be the usual case) the driving rain rate must be estimated by a driving rain model, as described above.

  • When the rain hits the surface, some of the water will splash off on impact and will not be available for capillary absorption. To take this into account, WUFI multiplies the arriving rate of rain with a reduction factor describing the adhering fraction of rain.

    This factor depends on the surface structure of the wall (rough, smooth, ...), the nature of the precipitation (rain, sleet, snow, ...), the inclination of the wall and other variables. Usually, it can only be estimated roughly. For normal vertical walls, a value of 0.7 is usually a good starting point. For horizontal surfaces (such as flat roofs), it is 1 because the water splashing off falls back onto the surface.

    This factor can also be used to describe a reduction of driving rain due to sheltering effects (if these are not already taken into account by the driving rain model).

    By setting this factor to zero, the user can switch off the rain completely without changing the rain data in the weather file.

  • If the remaining rain rate is 0.1 mm/hr or less, the rain will be ignored. This is based on an estimate that this rate is roughly a typical evaporation rate from a wet surface, and rain hitting the surface at a lower rate would evaporate anyway during the hourly time step.

    Rain is also ignored if the air temperature is below freezing. It is assumed that the precipitation then occurs as snow which cannot be absorbed. (More complicated effects are ignored, such as snow sticking to the surface and providing meltwater later.)

    Otherwise, the remaining rain is offered to the component for capillary absorption. In a first trial step, WUFI assumes that during the calculational time step the surface is in contact with an unlimited supply of liquid water, and it computes the capillary water uptake through the surface. The amount of water absorbed during this time step depends on the capillary properties of the surface material and the current saturation state of that material. Then the amount of absorbed water is compared with the amount of rain which is available for absorption.

    If the amount of water absorbed during this time step is less than the amount of rain available for absorption, the properties of the surface material are the factor limiting the water uptake. The unabsorbed water is assumed to have run off, and WUFI proceeds with the next time step.

    If the amount of water absorbed during the trial time step is more than the amount of rain available for absorption, the available rain is the factor limiting the water uptake. The time step is repeated, with an imaginary capillary resistance at the surface (which reduces the capillary uptake) being adjusted until the absorbed amount of water matches the available amount.

Note: The rain is also used to decide whether capillary absorption or capillary redistribution processes are currently dominant in the building component. If the computation of rain absorption (as described above) is active during the current time step, the liquid transport coefficients for suction are used to compute all the capillary transport processes in the component. Otherwise, the liquid transport coefficients for redistribution are used.

Previous topic:
Radiation 		Topic 37 Next topic:
Wind


Climate Data: Wind

Previous topic:
Rain 		Topic 38 Next topic:
Pressure

Wind

The ambient wind does not directly affect the temperature or the moisture field in the component, but it affects the way the other weather elements are acting on the component:

• For vertical surfaces, the rain load hitting the surface (the driving rain) is determined by the normal rain rate, the wind speed and the wind direction. The component may then take up some of the water hitting its surface, depending on the capillary absorption capacity of the outermost materials.
Furthermore, any moisture sources located in the component may be specified to release moisture at a rate proportional to the incident driving rain (in order to simulate leakages), so that this rate, too, is affected by both the normal rain and the wind in the climate file.

• The heat transfer coefficient is usually treated as a constant number for simplicity, but it may optionally be evaluated as a function of wind speed and wind direction. Since the water vapor transfer coefficient is automatically derived from the heat transfer coefficient, vapor transfer across the component surface is then also indirectly affected, leading to higher evaporation when the wind is stronger.

Meteorological weather stations usually measure the wind at a height of 10 m, at an unobstructed location. However, the wind affecting the building component has usually been modified by the local wind patterns which in turn depend on the size and orientation of the building and the surrounding buildings. It is assumed that these (possibly quite complicated) modifications are included in the proper choice of the coefficients describing the dependence of the driving rain and the heat transfer coefficient on the wind speed and direction.

Wind is a directional quantity: it has a certain magnitude and a certain direction. It will thus act differently on differently oriented surfaces.

The following sections provide some background information about wind as a meteorological quantity in hygrothermal simulations. The user does not need to be familiar with these details to use the program, but the descriptions provided below may be helpful for creating a user-defined weather file.

Units

Wind directions are usually measured in degrees on a 360° wind rose. The meteorological convention measures wind directions from North (= 0°) over East (= 90°), South (= 180°) and West (= 270°). Note that this is different from the astronomical convention used for the wall azimuths.
"West wind" is the wind which comes from the west (while for example a southerly oceanic current goes towards the south...)

Wind speeds are usually measured in m/s or km/h, where 1 m/s = 3.6 km/h.
1 knot is one nautical mile per hour, or 1.852 km/h, or 0.514 m/s.
The Beaufort scale is an empirical scale describing wind speed based on its effect on either sea conditions or on inland objects:

Beaufort number | Descriptive term | knots | m/s | km/h | Observations
0 | Calm | <1 | <0.2 | <1 | Calm; smoke rises vertically
1 | Light air | 1 - 3 | 0.3 - 1.5 | 1 - 5 | Direction of wind shown by smoke drift but not by wind vanes
2 | Light breeze | 4 - 6 | 1.6 - 3.3 | 6 - 11 | Wind felt on face; leaves rustle; ordinary vanes moved by wind
3 | Gentle breeze | 7 - 10 | 3.4 - 5.4 | 12 - 19 | Leaves and small twigs in constant motion; wind extends light flag
4 | Moderate breeze | 11 - 16 | 5.5 - 7.9 | 20 - 28 | Raises dust and loose paper; small branches are moved
5 | Fresh breeze | 17 - 21 | 8.0 - 10.7 | 29 - 38 | Small trees in leaf begin to sway; crested wavelets form on inland waters
6 | Strong breeze | 22 - 27 | 10.8 - 13.8 | 39 - 49 | Large branches in motion; whistling heard in telegraph wires; umbrellas used with difficulty
7 | Near gale | 28 - 33 | 13.9 - 17.1 | 50 - 61 | Whole trees in motion; inconvenience felt when walking against wind
8 | Gale | 34 - 40 | 17.2 - 20.7 | 62 - 74 | Breaks twigs off trees; generally impedes progress
9 | Strong gale | 41 - 47 | 20.8 - 24.4 | 75 - 88 | Slight structural damage occurs (chimney pots and slates removed)
10 | Storm | 48 - 55 | 24.5 - 28.4 | 89 - 102 | Seldom experienced inland; trees uprooted; considerable structural damage occurs
11 | Violent storm | 56 - 63 | 28.5 - 32.6 | 103 - 117 | Very rarely experienced; accompanied by widespread damage
12 | Hurricane | ≥64 | ≥32.7 | ≥118 | -

Wind Direction

There are various ways to derive hourly wind direction averages from higher-frequency measurements:

Arithmetic wind direction averages

The simplest way to derive a wind direction θ representative for an hour from higher-frequency measurements θi is to take the arithmetic mean of these measurements:

θi | [°] | : instantaneous wind direction sample
N | [-] | : number of samples
θa | [°] | : arithmetic wind direction average

However, a problem arises when the set of measurements θi straddles the discontinuity at 360°. Suppose, for example, that the wind directions θ1 = 359° (1° to the left of North) and θ2 = 1° (1° to the right of North) have been measured. One would expect the average direction to be 360° (North), but the arithmetic average gives (359°+1°)/2 = 180° (South).

This result is not necessarily wrong, just unexpected. After all, it is conceivable that between the two measurements the wind direction went counterclockwise all the way from 359° via 180° to 1°. In this case an average of 180° would indeed be appropriate.

In general, whenever two successive measurements are given, represented by two points on the wind rose, there are two possible ways in which the wind direction can have gone from the first point to the second point: clockwise or counterclockwise. This indeterminacy can be overcome by assuming that the wind has gone the shorter one (as the more likely one) of the two possible ways and thus has gone through less than 180°. If, then, the difference between the current direction and the previous direction is outside the interval -180°..+180°, the difference corresponds to the longer path or it includes the north discontinuity and a multiple of 360° should be added to or subtracted from the current direction, so that the difference lies within ±180° (adding or subtracting an integer multiple of 360° does not change the physical meaning of a direction and can thus always be done). In the above example, we find that the difference 1° - 359° = -358° lies outside the interval -180°..+180° but (1° + 360°) - 359° = 2° lies within the interval, so that the average becomes (359° + 361°)/2 = 360°, as expected.

For an explicit algorithm implementing this, see [1]. The measurement frequency should be high enough to exclude the possibility that the wind direction has gone through more than 180° between subsequent measurements, which would invalidate the assumption of the shorter path. The algorithm also assumes that the measurements are given as a time series (i.e. the sequence of the measurements in time is known) - using the same measurements in a different sequence may give a different result.

If the resulting wind direction is outside the interval 0°..360° but the climate file format or your esthetic sense requires it to be within the interval, you may add or subtract an appropriate integer multiple of 360°. In the same way, you can shift the result into the interval -180°..+180° if so desired.

Unit vector wind direction averages

Here the wind directions are represented by vectors of unit length; the vectors are summed up and the direction of the resultant vector is taken as the representative wind direction for the averaging period.

Mathematically, this is done by separately summing (or alternatively, averaging) the north-south and the east-west components of the individual sample vectors of unit length and then computing the direction of the resultant vector:

θi | [°] | : instantaneous wind direction sample
N | [-] | : number of samples
Uu | [m/s, km/h, ...] | : average east-west component of wind directions
Vu | [m/s, km/h, ...] | : average north-south component of wind directions
θu | [°] | : resultant unit vector wind direction average

The speed of the individual wind samples is not taken into account, i.e. all measured directions enter the calculation with the same weight. This average thus represents the average direction of a weather vane.

The unit vector average usually agrees closely with the arithmetic average as long as the spread of the instantaneous directions is not too large or as long as they are symmetrically distributed [3]. No precautions need to be taken because of the discontinuity at 360°.

Speed-weighted vector wind direction averages

Here the individual wind vectors (representing the direction as well as the speed at each measured instant) are summed up and the direction of the resultant vector is taken as the representative wind direction for the averaging period.

Mathematically, this is done by separately summing (or alternatively, averaging) the speed-weighted north-south and east-west components of the individual sample wind vectors and then computing the direction of the resultant vector:

θi | [°] | : instantaneous wind direction sample
Si | [m/s, km/h, ...] | : instantaneous wind speed sample
N | [-] | : number of samples
U | [m/s, km/h, ...] | : average east-west component of speed-weighted wind directions
V | [m/s, km/h, ...] | : average north-south component of speed-weighted wind directions
θ | [°] | : resultant speed-weighted vector wind direction average

This is equivalent to summing up the individual wind path vectors in order to determine the resultant wind path vector, that is, the path travelled by an air parcel during the averaging period. The direction of this resultant vector is the mean direction travelled by the air parcel during the averaging period.

Unit vector vs. speed-weighted vector wind direction

Unit vector and speed-weighted vector wind direction averages will be the same if the wind speed remains constant during the averaging period. They will differ most in situations where the wind speed varies during the averaging time in such a way that winds with higher speeds occur preferentially from certain directions.

However, when the wind speed exceeds a few m/s - that is, when the wind affects the simulation the most - the wind direction tends to be confined to a relatively small spread of directions, and the difference between unit vector and speed-weighted vector wind direction averages may then be negligible for most purposes.

Mathematical note: arctangent

Two of the above formulas require the arctangent function for computing the resultant vector direction. Care must be taken to assign the angle resulting from the arctangent function to the correct quadrant.

Wind direction angles may occur anywhere in the interval 0°..360°. However, there are always two angles in this interval for which the tangent function returns the same value. For example, tan(45°) = 1, and tan(225°) = 1 as well. The two angles with the same tangent value are always 180° apart (in other words, we always have tan(x) = tan(x + 180°)).
The inverse of the tangent function, the arctangent function, now has to decide which one of the two possible angles to return for a given tangent value. In the above example: if the tangent of angle x is known to be 1, then x is either 45° or 225°, but which one?

The arctangent function is usually defined to return that angle which is in the interval -90°..+90°. However, this may be the wrong one.

Fortunately, in the current context we have additional information: we know the components U and V (or Uu and Vu) of the vector whose direction angle we want to determine. The signs of these components determine the correct quadrant from which the angle has to be taken. For θ = arctan(U/V) we have

U | V |  | Quadrant
+ | + | : | 0° < θ < 90°
+ | - | : | 90° < θ < 180°
- | - | : | -180° < θ < -90°
- | + | : | -90° < θ < 0°

A simple rule to find the angle in the correct quadrant is: compute the arctangent of U/V. If V<0, add 180° to the result.

Further care must be taken to properly treat the cases U=0 and, in particular, V=0. Some programming languages provide an arctan2(U, V) function which handles these peculiarities and the quadrant choice automatically.

Wind Speed

There are various ways to derive hourly wind speed averages from higher-frequency measurements:

Scalar wind speed averages

The scalar wind speed average is simply the arithmetic mean of the wind speed samples:

Si | [m/s, km/h, ...] | : instantaneous wind speed sample
N | [-] | : number of samples
Ss | [m/s, km/h, ...] | : scalar wind speed average

The direction of the individual wind samples is not taken into account, i.e. all speeds enter the calculation with the same weight. This average thus represents the average speed measured by an omnidirectional wind speed instrument like a cup anemometer, or the average wind speed "seen" by a wind turbine continuously steered into the wind.

Vector wind speed averages

Here the individual wind vectors (representing the direction as well as the speed at each measured instant) are summed up and the length of the resultant vector, divided by the number of samples, is taken as the representative wind speed for the averaging period.

Mathematically, this is done by averaging the speed-weighted north-south and east-west components of the individual sample wind vectors and then computing the length of the resultant vector:

θi | [°] | : instantaneous wind direction sample
Si | [m/s, km/h, ...] | : instantaneous wind speed sample
N | [-] | : number of samples
U | [m/s, km/h, ...] | : average east-west component of speed-weighted wind directions
V | [m/s, km/h, ...] | : average north-south component of speed-weighted wind directions
Sv | [m/s, km/h, ...] | : resultant vector wind speed average

This is equivalent to summing up the individual wind path vectors in order to determine the resultant wind path vector, that is, the path travelled by an air parcel during the averaging period. The length of this resultant vector, divided by the number of samples, is the mean speed of the air parcel during the averaging period.

Scalar vs. vector wind speed

If the wind direction stays constant during the averaging period, the vector wind speed average gives the same result as the scalar wind speed average. If the wind direction varies, on the other hand, the vector average will be less than the scalar average, because then the individual wind vectors only contribute with those vector components which are parallel to the resultant vector - the other components cancel. As an extreme example, if for an hour the wind is blowing at 2 m/s but at the same time steadily travelling through all the directions, then the vector mean is 0 m/s, whereas the scalar mean is 2 m/s.

However, when the wind speed exceeds a few m/s - that is, when the wind affects the simulation the most - the wind direction tends to be rather stable, and the difference between scalar and vector averages may then be negligible for most purposes.

Wind in WUFI

Wind data are only needed if you wish to take the wind influences described above into account. Otherwise you may fill the columns in the climate file with any arbitrary placeholder data (but then make sure to switch everything wind-dependent off in WUFI). In the WAC format, the wind speed and direction columns may be omitted altogether.

Keep in mind that the wind is not a primary thermal or hygric influence on the component, but that it only modifies other influences. Furthermore, the implemented models describing these modifications are very simple and of limited (but usually sufficient) accuracy themselves. Inaccuracies in the wind data thus have only a minor impact on the simulation results and the accuracy requirements are therefore relatively low unless you wish to explicitly study these effects in detail.
See also the topic Rain for a discussion of achievable and necessary driving rain accuracy.

As mentioned above, the different averaging schemes give very similar results when the wind speed exceeds a few m/s, because then the wind direction is usually subject to limited variation only. Since these are also the conditions where the wind affects the simulation the most, it should not matter much which one of the possible averaging schemes is used and you may use any of them, depending on which data happen to be available or which procedure is easier to implement.

At low wind speeds, where a particular choice of averaging procedure would make more of a difference, none of the usual procedures described above, while mathematically correct in itself, would really be adequate to determine the hourly average wind influence which is what is of interest for the simulation.

Since the relationships between the wind and its effects on the component are nonlinear, the average effects can not accurately be found by evaluating them based on the average wind. (Instead, it would be necessary to evaluate the effects for each instantaneous wind sample and then averaging these instantaneous effects to find the average effect.)

One cause for the nonlinearity is the distinction between windward and leeward conditions: one model formula (e.g. for the heat transfer coefficient) is used when the wind comes from a direction facing the surface, a different model formula is used when the wind comes from behind. If both conditions occur during the averaging period, the averaged wind direction contains no information about how the contributions of the two formulas should be "mixed". The averaged wind comes either from the front or from behind, and the respective formula will be used exclusively. Only the separately retained wind direction frequencies in the WET format allow a proper weighting of the two conditions.

If windward and leeward conditions are not mixed during the averaging period, the formula for the wind-dependent heat transfer coefficient is linear in the wind speed and independent or the wind direction. If the climate file contains the scalar wind speed, then the average heat transfer coefficient is correctly determined by applying the formula to the average wind speed. If the climate file contains the vector wind speed, the result will not be much different.

The formula for the driving rain remains nonlinear even then, since the product of the normal rain rate, the wind direction and the wind speed component vertical to the component surface would have to be averaged, and the product of the averages of these factors actually used is only an approximation to the correct average. As mentioned previously, this is still sufficient for most purposes.

Should you wish to take local wind patterns into account more accurately by using wind data measured close to the component instead of relying on the usual undisturbed wind measurements at 10 m height, please keep in mind that the coefficients describing the wind effects contain both the physical relationship between the local wind and its effect, and the relationship between the local disturbed wind and the undisturbed wind. The coefficients therefore have to be adjusted appropriately.

Some of the format specifications for climate files explicitly require a certain averaging scheme to be used for wind speed and/or wind direction; others leave the details unspecified.
However, if you are preparing a climate file for use with WUFI, it is up to you to decide whether you prefer to stick to the official specifications or not. In the descriptions of the various file formats, the help topics explain how WUFI uses and interprets the data and you may decide that for your purposes a different scheme (maybe even an averaging method not described above) is more appropriate, or that the data you have available are sufficient for the purpose at hand even if they do not strictly conform to the specifications. You are always at liberty to customize the contents of the climate files as you deem useful and appropriate for the simulation.

Literature

[1] | Mori, Y.: Evaluation of Several "Single-Pass" Estimators of the Mean and the Standard Deviation of Wind Direction Journal of Climate and Applied Meteorology, vol. 25 (Oct. 1986), 1387-1397
[2] | Thuillier, R.H.: The Influence of Instrumentation, Siting, Exposure Height, and Temporal Averaging Methodology on Meteorological Measurements from SJVAQS/AUSPEX Journal of Applied Meteorology, vol. 34 (August 1995), 1815-1823
[3] | Camuffo D.: How to Obtain Mean Value and Variance of Wind Direction by Using a Sine-Cosine Transducer Atmospheric Environment, vol. 10 (1976), 167-168
Previous topic:
Rain 		Topic 38 Next topic:
Pressure


Climate Data: Pressure

Previous topic:
Wind 		Topic 39 Next topic:
The *.WAC Format for Climate Data

Pressure

The ambient barometric pressure is only of minor importance in hygrothermal simulations. It slightly affects the vapor diffusion coefficient (see Water Vapor Diffusion).

At mean sea level, the average barometric pressure is about 1013.25 hPa. It is subject to weather-induced variations of typically about ±30 hPa, and it decreases with height.
In meteorology, the pressures measured at elevated stations are usually converted ("reduced") to the fictitious pressure that would have been measured if the stations were at sea level, using a standardized conversion formula. This allows the mapping of high and low pressure systems as a basis for weather forecasts.
However, the physical effects of the barometric pressure, such as its influence on diffusion processes, are of course determined by the actual pressure as measured at the height of the location in question.

Some weather file formats contain the pressure at station height, some contain the pressure reduced to mean sea level. If you want to create a weather file from your own data, please note which of the two is required by the format specification and, if necessary, convert the data using a barometric formula (see below for examples).

Units

The SI unit for pressure is the pascal (Pa), defined as a force of 1 Newton acting on an area of 1 square meter. Thus, 1 Pa = 1 N/m².
The unit usually used for the atmospheric pressure is the hectopascal (hPa). 1 hPa is 100 Pa, and it is furthermore numerically identical to 1 mbar, the formerly used unit.

The torr is an outdated pressure unit, which is variously defined as

  • being equivalent to one millimeter of mercury, that is, the pressure generated by a mercury column of 1 mm length and of assigned density 13595.1 kg/m³ at 0° C under standard gravity of 9.80665 m/s², thus
    1 torr = 1 mmHg = 133.32238... Pa,

  • being exactly 101325/760 Pa, 101325 being the (arbitrary) definition of one standard atmosphere when expressed in Pa, and 760 being the (arbitrary) definition of one standard atmosphere when expressed in torr, thus
    1 torr = 133.32236... Pa.

Another obsolete pressure unit is the psi ("pound-force per square inch"), 1 psi ≈ 6894.757 Pa. The mean atmospheric pressure at sea level corresponds to about 14.7 psi.

Atmospheric pressure in WUFI

If necessary, WUFI converts the data it reads from the weather file to station height in the following way:

• If, according to the format specification, the weather file contains the pressure reduced to sea level, and the height of the station is known, WUFI internally converts the pressure to station height, using the following formula [1]:

ph | [hPa] | : barometric pressure at station height
p0 | [hPa] | : barometric pressure at mean sea level
9.80665 | [m/s2] | : standard gravity
287.05 | [J/(kg K)] | : gas constant for dry air
h | [m] | : station height
T0 | [K] | : additive factor for converting to absolute temperature (T0 = 273.15 K)
θ | [°C] | : air temperature
φ | [-] | : relative humidity
psat(θ) | [hPa] | : saturation vapor pressure at temperature θ
0.12 | [K/hPa] | : coefficient describing the mean change of vapor pressure with height
0.0065 | [K/m] | : mean vertical temperature gradient

This variant of the barometric formula assumes that the fictitious column of air extending from station height down to sea level has constant temperature. It estimates the temperature at half-height from the station temperature and the standard temperature gradient 0.0065 K/m, and uses the result as representative temperature of the whole column.
Moreover, the vapor pressure at station height and the mean variation of vapor pressure with height are taken into account.
Strictly speaking, the height should be measured in "standard geopotential meters", but this detail is ignored.

This conversion is only necessary when weather data in *.WET format are used, or when *.WAC files are used which only contain the pressure at sea level PMSL.

• If the file format specifies that the barometric pressure is optional and the pressure is indeed missing in the file but the station height is known, then WUFI estimates the mean barometric pressure at height h, using the formula

ph | [Pa] | : barometric pressure at station height
h | [m] | : station height

and uses the result as constant value for all simulated hours.

• If the station height is unknown, too, WUFI uses the constant value 101300.0 Pa.

WUFI always uses the atmospheric pressure which results from the climatic boundary conditions at the left side of the component.

Literature:

[1] Deutscher Wetterdienst: Beobachterhandbuch für Wettermeldestellen des synoptisch-klimatologischen Meß- und Beobachtungsnetzes.
3. Ausgabe, Offenbach a.M., 1998

Previous topic:
Wind 		Topic 39 Next topic:
The *.WAC Format for Climate Data


The *.WAC Format for Climate Data

The WUFI ASCII Climate format, introduced in version 4.1, is a flexible text format for climate data.

The file consists of columns for the different weather elements. Number, content and sequence of these columns are not fixed and may be chosen as needed. Header lines describe the contents of the columns. This feature acknowledges the fact that simulations may not need all possible weather elements. For example, rain may not be needed for a simulation considering diffusion processes only; longwave radiation may not be needed for a simulation which is insensitive to surface condensation, etc. The user may then limit the weather file to those elements which are actually used. There is no need to purchase or to "invent" useless data whose only purpose is to fill data columns required by a rigid file format. The only weather elements strictly required by the *.WAC format are temperature and relative humidity.

Moreover, weather data acquired from different sources may often describe different variants of a weather element, sometimes requiring laborious data conversions (beyond mere unit conversions) when the file format to be used expects a different variant. For example, the barometric pressure may be given referred to station height or to mean sea level; the solar radiation columns may contain direct and diffuse radiation or global and diffuse radiation, etc.
The *.WAC format accommodates several of these variants, leaving the necessary conversions to WUFI's inner workings. Implemented precedence rules resolve possible conflicts if the user simultaneously includes different (possibly contradictory) variants of a weather element.

Example:

Example for a WAC file
[...]

A *.WAC file can contain the following quantities:

ISGH [W/m²] Irradiance, Solar Global Horizontal
The irradiance due to the global (i.e. direct plus diffuse) solar radiation, measured on a horizontal surface.
ISDH [W/m²] Irradiance, Solar Direct Horizontal
The irradiance due to the direct solar radiation (i.e. emitted by the solar disk), measured on a horizontal surface.
ISD [W/m²] Irradiance, Solar Diffuse Horizontal
The irradiance due to the diffuse solar radiation (i.e. scattered by the atmosphere), measured on a horizontal surface.
ISM [W/m²] Irradiance, Solar Measured
The total solar irradiance incident on the surface under investigation (with given orientation and inclination), comprising the direct component emitted by the solar disk, the diffuse component scattered by the atmosphere, and possibly some radiation reflected by other objects. No conversion for the orientation and inclination under investigation is necessary.
If a column ISM, containing the measured global radiation as incident on the surface under investigation, is present in the *.WAC file, WUFI uses these data without any change as short-wave boundary conditions and ignores any other short-wave data that may be present in the file.
Such a *.WAC file can describe local peculiarities such as intermittent shading by surrounding objects, but its use is restricted to this surface with this orientation and inclination, situated in these surroundings.

If no column ISM is present, WUFI computes the short-wave radiation incident on the surface under investigation from the usual meteorological data measured on horizontal surfaces. Since the direct and diffuse parts of the radiation must be treated separately, WUFI needs two short-wave radiation columns:

• Direct component: If ISDH, the direct component incident on the horizontal surface is present, WUFI uses it to compute the direct component incident on the surface under investigation.
Otherwise, the global and the diffuse component on the horizontal surface, ISGH and ISD, must be present. Their difference yields ISDH, and then WUFI proceeds as above.
If neither ISDH nor both ISGH and ISD are present, WUFI takes no direct radiation into account.

• Diffuse component: The diffuse component on the horizontal surface must be provided by an ISD column.
If no ISD column is present, WUFI takes no diffuse radiation into account.

The resulting direct and diffuse components are then added, yielding the global radiation incident on the surface with the specified orientation and inclination.

*.WAC files with the radiation components measured on horizontal surfaces are all-purpose files which can be used for surfaces with any orientation and inclination. On the other hand, the simple conversion algorithm used by WUFI can not account for local peculiarities such as shading etc.

Summary:
A *.WAC file must contain
• an ISM column, or
• an ISDH and an ISD column, or
• an ISGH and an ISD column.
ILAH [W/m²] Irradiance, Long-wave Atmospheric, Horizontal
The irradiance due to the long-wave counterradiation emitted by the atmosphere, measured on a horizontal surface.
ILTH [W/m²] Irradiance, Long-wave Terrestrial, Horizontal
The irradiance due to the long-wave counterradiation emitted by the terrestrial surroundings, measured on a horizontal surface facing downward.
ILM [W/m²] Irradiance, Long-wave, Measured
The long-wave irradiance incident on the surface under investigation (with given orientation and inclination) from atmospheric and terrestrial sources. No conversion for the orientation and inclination under investigation is necessary.
CI [0..1] Cloud index
The fraction of the sky which is covered by clouds. If no measured data are available for the atmospheric counterradiation, it can be estimated by using appropriate models based on air temperature, humidity and cloud index.
If a column ILM, containing the measured long-wave radiation as incident on the surface under investigation, is present in the *.WAC file, WUFI uses these data without any change as long-wave boundary conditions and ignores any other long-wave data that may be present in the file.
Such a *.WAC file can describe local peculiarities such as surrounding objects obscuring part of the sky, but its use is restricted to this surface with this orientation and inclination, situated in these surroundings.

If no column ILM is present, WUFI computes the long-wave radiation incident on the surface under investigation from the usual meteorological data measured on horizontal surfaces. Since there is an atmospheric and a terrestrial part of the long-wave radiation, WUFI needs two long-wave radiation columns:

• Atmospheric counterradiation: If ILAH, the long-wave radiation emitted by the atmosphere, is present, WUFI uses it to compute the atmospheric component incident on the surface under investigation.
Otherwise, WUFI can estimate the atmospheric counterradiation, using the weather elements CI, TA and HREL.
If no CI column is present either, WUFI uses the constant value entered by the user in the dialog surface transfer coefficients.

• Terrestrial counterradiation: If ILTH, the long-wave radiation emitted by the ground and terrestrial objects, is present, WUFI uses it to compute the terrestrial component incident on the surface under investigation.
Otherwise, WUFI estimates the terrestrial counterradiation by assuming that the emitting surfaces have air temperature TA and the ground emissivity entered in the dialog surface transfer coefficients.

*.WAC files with the radiation components measured on horizontal surfaces are all-purpose files which can be used for surfaces with any orientation and inclination. On the other hand, the simple conversion algorithm used by WUFI can not account for local peculiarities such as surrounding objects obscuring part of the sky, etc.

Summary:
If WUFI shall work in the full radiation balance mode, a *.WAC file must contain
• an ILM column, or
• an ILAH and an ILTH column, or
• a CI, a TA, an HREL and an ILTH column, or
• a CI, a TA and an HREL column, or
• a TA and an HREL column.
The quality of the estimated radiation values may degrade towards the bottom of the table. You can use the ASCII export or the result graphs to view the radiation data estimated by WUFI.

In standard mode no long-wave radiation data are needed.
WS [m/s] Wind Speed, Scalar Average
The scalar average of the wind speed, i.e. the average computed without taking wind direction into account.
WV [m/s] Wind Speed, Vector Average
The vector average of the wind speed, i.e. the average computed using vector sums.
WD [°] Wind Direction
The direction from which the wind is blowing, counted from north (WD = 0°) over east (WD = 90°).
RN [mm/h] = [Ltr/m²h] Normal Rain
The amount of rain hitting a horizontal surface in one hour.
RM [mm/h] = [Ltr/m²h] Measured Rain
The amount of rain incident on the surface under investigation (with given orientation and inclination) in one hour.
If a column RM, containing the measured rain as incident on the surface under investigation, is present in the *.WAC file, WUFI uses these data as boundary conditions for liquid water transport and ignores any other rain data that may be present in the file.
Such a *.WAC file can describe local peculiarities such as sheltering by surrounding objects or the local wind flow patterns, but its use is restricted to this surface with this orientation and inclination, situated in these surroundings.

If no RM is present, WUFI uses RN, WD and WV or WS to estimate the amount of rain hitting the surface under investigation.
*.WAC files of the latter kind are all-purpose files which can be used for surfaces with any orientation and inclination. On the other hand, the simple conversion algorithm used by WUFI can not account for local peculiarities such as sheltering, local wind flow patterns, run-off from higher parts of the surface etc.
TA [°C] Exterior Temperature
The temperature of the exterior air.
A *.WAC file must contain a TA column, otherwise WUFI will reject the file.
HREL [0..1] Relative Humidity
The relative humidity of the exterior air.
A *.WAC file must contain an HREL column, otherwise WUFI will reject the file.
PSTA [hPa] Barometric Pressure at Station Height
The barometric pressure as measured at the meteorological station (i.e. not reduced to sea level).
PMSL [hPa] Barometric Pressure Reduced to Sea Level
The fictitious barometric pressure that would be encountered at mean sea level, given the pressure PSTA as measured at the height of the meteorological station. The measured value PSTA has been converted ("reduced") to sea level by means of a barometric formula.
WUFI needs the actual ambient pressure PSTA for its calculations, so if a column PSTA is present in the *.WAC file, WUFI uses it.
Otherwise, if a column PMSL is present and the station height is known, WUFI recovers PSTA from PMSL, TA and HREL by applying a reversed barometric formula.
If neither PSTA nor PMSL is present but the height is known, WUFI uses a constant pressure estimated from the height via a barometric formula.
If no pressure column and no height is given in the file, WUFI uses a constant pressure of 101300 Pa.

If you want to create a *.WAC file from your own weather data, you may use the tool CreateClimateFile.xls in WUFI's Tools folder. Several demo films on the WUFI website show how to use this tool:

http://www.hoki.ibp.fhg.de/wufi/demofilme_e.html

Previous topic:
Pressure 		Topic 40 Next topic:
The *.WBC Format for Climate Data


The *.WBC Format for Climate Data

The WUFI Binary Climate file format is a proprietary format for climate files which the provider of the data wanted to be usable with WUFI only.

Previous topic:
The *.WAC Format for Climate Data 		Topic 41 Next topic:
The *.WET Format for Climate Data


The *.WET Format for Climate Data

You can use existing IBP weather files (file format *.WET) to perform WUFI calculations; you can also convert your own weather data to that format and use them.

IBP weather files contain 21 lines of header which explain the meaning of the different data columns and an arbitrary number of lines with hourly weather data. WUFI skips the header.

Example:

(for formatting reasons, the data lines cannot be reproduced here in their entirety. Please refer to the file IBP1991.WET you received with WUFI for a complete example).

The format of the numbers is free; the only requirement is that a PASCAL program (like WUFI) must be able to read them.
The file need not conform to a specific column format (as in FORTRAN), the number of decimal places does not matter, floating point numbers need not be in exponential format etc.

The number type real/integer has to be adhered to, however. The individual numbers must be separated by blanks, not tabulators.

The fact that the floating point numbers in the example all start with a zero is irrelevant (they were created with a FORTRAN program which likes to write numbers this way).

The data in detail:

  • Day, month, year, hour (integer):

    The IBP files contain hourly mean values of the measured data. These time stamps indicate the point in time when each measuring interval of one hour was finished and the measured mean values recorded. I.e., the data line starting with 01 01 91 04 contains the mean values for the hour from 03:00 to 04:00 on January 1, 1991.

    Since its data are real-life data, an IBP weather file may contain an intercalary day (February 29). WUFI however knows nothing about intercalary days (at least in the present version). These must be deleted from files you want to use for WUFI calculations.

    The time count always refers to winter time (CET). There is no daylight saving time.

  • Exterior air temperature (real):

    the temperature of the exterior ambient air in [°C]. It is used without change as the exterior air temperature in the WUFI calculation.

  • Temperature of black surface (real):
  • Temperature of white surface (real):

    Surface temperatures of west-facing test facade elements painted black (as ~ 0.9) and white (as ~ 0.4), respectively.
    These may optionally be read instead of the exterior air temperature.

  • Temperature of Ground Surface (real):
  • Temperature 50 cm below Ground Surface (real):
  • Temperature 1 m below Ground Surface (real):

    Soil temperatures at various depths in [°C].
    These may optionally be read instead of the exterior air temperature.

  • Global radiation (real):

    the sum of the direct and diffuse components of the solar radiation incident on a horizontal surface; in [W/m²].

  • Diffuse radiation (real):

    the diffuse component of the solar radiation incident on a horizontal surface; in [W/m²].

    Subtracting the diffuse radiation from the global radiation results in the direct radiation. From this, the direct normal radiation can be calculated, i.e., the amount of radiation incident on a surface that is orthogonal to the ray direction. This calculation requires knowledge of the time and geographical location of the measurement, since the corresponding position of the sun has to be determined [2].

    The direct normal radiation can then be used to calculate the direct radiation incident on a surface with arbitrary orientation and inclination. Addition of the appropriate fraction of diffuse radiation results in the global radiation incident on the building component.

    These calculations are automatically done by WUFI during a simulation run.

    WUFI uses a simplified radiation model which treats the diffuse radiation as isotropic and ignores the albedo of the ground. If you are more demanding or want to allow for local specifics (like shadows etc.), you can perform the conversion yourself and feed the results to WUFI via a *.KLI file.

  • Western radiation (real):

    the global radiation measured with a west-facing solarimeter; in [W/m²].
    Optionally, the radiation component impinging on a (west-facing) facade may directly be read from this column. No conversion is then necessary as would be the case if global and diffuse radiation were used as data source.

  • Relative humidity (real):

    the relative humidity of the ambient air (0..1). Used by WUFI without change as the exterior relative humidity.

  • Barometric pressure (real):

    the ambient air pressure reduced to sea level; in [hPA].

  • Wind velocity (real):

    the scalar mean of the wind velocity; in [m/s]. It is needed to compute the driving rain from the normal rain.

    The scalar mean of the wind velocity is the mean value of the readings of an anemometer without the directions taken into account. For example, if for an hour the wind is blowing at 2 m/s but at the same time steadily travelling through all the direcions, then the scalar mean is 2 m/s, whereas the vectorial mean is 0 m/s.

    In the vectorial mean, some vector components may cancel. Thus, the scalar mean is greater than (or at least equal to) the vectorial mean.

    The IBP weather files also contain information about the distribution of the wind directions (see below). This allows to ignore components that come from 'behind' (and don't contribute to the rain load) and to weight the remaining directions according to the angle they make with the surface.

  • Normal rain / tipping bucket (real):
  • Normal rain / droplet counter (real):

    the normal rain (i.e., the rain incident on a horizontal surface in open area) during one hour, measured with a tipping bucket and a droplet counter rain gauge, respectively; in [Ltr/m²h] or, equivalently, [mm/h].

    WUFI uses the readings of the droplet counter, since it is in general more reliable.

    The rain load on a wall is determined by the driving rain rather than the normal rain. The driving rain can be estimated from the normal rain and the wind velocity:

    The rain coefficients R1 and R2 in the dialog "Edit Surface Coefficients.htm" serve to estimate the driving rain load on a surface of arbitrary orientation and inclination from data on normal rain, wind velocity and wind direction distributions, using the relation

    rain load = rain · (R1 + R2 · wind velocity),

    where 'rain' is the normal rain and 'wind velocity' is that component of the mean wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface. This component is determined from the scalar mean of the wind velocity (see above) and the wind direction distribution (see below).

    R1 and R2 are strongly dependent on the specific location on the building facade. If calculations are to be compared to actual measurements, these coefficients should be experimentally determined for that location.

    If they cannot be measured, only a very rough estimate is possible. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m for free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners) [1].

  • Driving rain / tipping bucket (real):
  • Driving rain / droplet counter (real):

    the driving rain load on a west-facing wall, measured at a height of 1.50 m with a tipping bucket and a droplet counter rain gauge, respectively. In [Ltr/m²h] or, equivalently, [mm/h].

    WUFI uses the readings of the droplet counter, since it is in general more reliable.

    The values in this column can optionally be read and used for the variable 'rain' in the formula for the rain load (see above: normal rain). Set R1 to 1 and R2 to zero; the resulting rain load will then directly be the measured driving rain.

  • Wind direction distribution (17 * integer):

    the frequency of wind directions, binned into sectors of 22.5° each.

    The wind direction is averaged over 2 minutes and the counter of the corresponding sector then increased by one. A special counter is registering calms. The sum of all counts during one hour should thus be 30 if no interruption of the measurements has occured.

    The individual counters are assigned to the following directions:

    NNE-NE-ENE-E-ESE-SE-SSE-S-SSW-SW-WSW-W-WNW-NW-NNW-N-calm

    For the calculation of the driving rain load, the contributions of the different directions are determined individually and then summed up. Wind coming 'from behind' does not contribute to the rain load and is ignored.

A *.WET file supplied by the user must be accompanied by a *.AGD file which contains geographical information on the climate location.

Literature:

[1] | Künzel, H.M.: Bestimmung der Schlagregenbelastung von Fassadenflächen. IBP-Mitteilung 21 (1994), Nr. 263
[2] | VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung. Oktober 1994
Previous topic:
The *.WBC Format for Climate Data 		Topic 42 Next topic:
The *.TRY Format for Climate Data


The *.TRY Format for Climate Data

You can use existing TRY weather files (file format *.TRY) to perform WUFI calculations; you can also convert your own weather data to that format and use them.

This format was used by the German National Weather Service DWD for the test reference years published in 1986 (the new test reference years, published in 2004, are in *.DAT format). Also, this format was used for some of the climate files supplied with WUFI.

The 1986 test reference years (TRY) cannot be purchased from DWD any more (they have been replaced by the 2004 test reference years), but existing old TRY can still be used with WUFI. They contain synthetic hourly climate data which - based on seasonal mean values and long-term annual mean values - represent typical weather conditions for different geographical regions [1].

Please note that these (1986) test reference years may be of limited usability for calculating the moisture balance of building components, since they have been designed for thermal simulations only. The total amount of precipitation is reproduced correctly, but the number of hours with precipitation is overestimated [2]. With building materials of low absorptive capacity, however, the duration of precipitation is more important than the amount of precipitation.

WUFI can read two different variants of the TRY format: the IBP variant and the DWD variant.

IBP variant

TRY weather files consist of 24 lines of header and 8760 lines of weather data in hourly intervals.

Example:

WUFI skips the header, with the exception of lines 3 and 4, from which it reads the geographical position of the measuring site.

Since the file format is a remnant from the FORTRAN era, the column-oriented structure of the file has to be followed strictly. It is not necessary, however, to stick to the exact floating point format of the numbers themselves: for example, WUFI reads columns 42-47 as a string and then converts it to a real number.

A TRY file contains 8760 data lines with hourly weather data. The first one of these consists of the mean weather data for the hour from 0:00 to 1:00 CET on January 1. There is no intercalary day (February 29).

The meaning of the weather data in detail:

  • Column 1-5: site ID.
    Not used by WUFI.

  • Column 6-10: cloud cover (0..1).
    Currently not used by WUFI.

  • Column 11-14: wind direction [degrees] (0..360).
    Counted clockwise from north (0°) over east (90°).

  • Column 15-19: wind velocity, scalar mean [m/s].
    Not used by WUFI.

  • Column 20-24: wind velocity, vectorial mean [m/s].
    Since no wind direction distributions are provided in the TRY files, this loss of information must be compensated by using the vectorial mean instead of the scalar mean.

    The vectorial mean of the wind velocity is the mean value of the readings of an anemometer with the directions taken into account. For example, if for an hour the wind is blowing at 2 m/s but at the same time steadily travelling through all the directions, then the vectorial mean is 0 m/s, whereas the scalar mean is 2 m/s.

    In the vectorial mean, some vector components may cancel. Thus, the vectorial mean is always less than (or at most equal to) the scalar mean.

    If only the mean direction and velocity are provided, no individual treatment of specific directions is feasible anymore. Therefore, it is not possible to disregard wind directions which hit the building component from behind and thus don't contribute to the rain load. In a driving rain situation, however, the wind will mostly blow from a narrow range of directions, so that the mean direction will be reasonably representative.

  • Column 25-27: DWD code for regular weather observations.
    Not used by WUFI.

  • Column 28-34: precipitation during the last hour [mm].
    The rain load on a wall is determined by the driving rain rather than the normal rain. If no measured data on the driving rain are available, it can be estimated from other data.

    The rain coefficients R1 and R2 in the dialog "Edit Surface Coefficients" serve to estimate the driving rain load on a surface of arbitrary orientation and inclination from data on normal rain, wind velocity and wind direction, using the relation

    rain load = rain · (R1 + R2 · wind velocity),

    where 'rain' is the normal rain and 'wind velocity' is that component of the mean vectorial wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface.

    R1 and R2 are strongly dependent on the specific location on the building facade. If calculations are to be compared to actual measurements, these coefficients should be experimentally determined for that location.

    If they cannot be measured, only a very rough estimate is possible. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m for free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners) [1].

  • Column 35-41: ambient air pressure at height of location [hPa].
    The actual (i.e. not reduced to sea level) barometric pressure at the measurement location. The barometric pressure affects the vapor diffusion coefficient in air.

  • Column 42-47: air temperature [°C].
    Adopted by WUFI without change as the exterior air temperature.

  • Column 48-52: relative humidity [-] (0..1).
    Adopted by WUFI without change as the exterior relative humidity.

  • Column 53-56: direct solar radiation [W/m²].
    The direct component of the solar radiation (i.e. received directly from the sun) incident on a horizontal surface.

    From this, the direct normal radiation can be calculated, i.e., the amount of radiation incident on a surface that is orthogonal to the beam direction [3]. This calculation requires knowledge of the time and geographical location of the measurement, since the corresponding position of the sun has to be determined.
    &bnsp;
    The direct normal radiation can then be used to calculate the direct radiation incident on a surface with arbitrary orientation and inclination. Addition of the appropriate fraction of diffuse radiation results in the global radiation incident on the building component.

    These calculations are automatically done by WUFI during a simulation run. WUFI uses a simplified radiation model which treats the diffuse radiation as isotropic and ignores the albedo of the ground. If you are more demanding or want to allow for local specifics (like shadows etc.), you can perform the conversion yourself and feed the results to WUFI via a *.KLI file.

  • Column 57-60: diffuse sky radiation [W/m²].
    The diffuse component of the solar radiation (scattered by the atmosphere or clouds), incident on a horizontal surface.

  • Column 61-70: illuminance [lux].
    Not used by WUFI.

  • Column 71-74: long-wave radiative emission [W/m²].
    Not used by WUFI.

  • Column 75-78: atmospheric counterradiation [W/m²].
    The thermal radiation of the atmosphere, incident on a horizontal surface.
    Please refer to the topic Long-wave Radiation Emissivity for a description of when and how to use counterradiation data and what to do if you have no counterradiation data.

DWD variant

Example:

The difference between the IBP variant and this one lies only in the different header and the slightly different column format. The data are the same as in the IBP variant.

• | Column 1: | update index (not used by WUFI)
• | Column 2-3: | day (not used by WUFI)
• | Column 4-5: | month (not used by WUFI)
• | Column 6-7: | hour (not used by WUFI)
• | Column 8: | blank
• | Column 9-12: | cloud cover in eighths (currently not used by WUFI)
• | Column 13: | blank
• | Column 14-16: | wind direction [degree]
• | Column 17: | blank
• | Column 18-21: | wind velocity, scalar mean [m/s] (not used by WUFI)
• | Column 22: | blank
• | Column 23-26: | wind velocity, vectorial mean [m/s]
• | Column 27: | blank
• | Column 28-29: | DWD code for regular weather observations (not used by WUFI)
• | Column 30: | blank
• | Column 31-34: | precipitation [mm/h]
• | Column 35: | blank
• | Column 36-41: | air pressure at height of location [hPa]
• | Column 42: | blank
• | Column 43-47: | air temperature [°C]
• | Column 48: | blank
• | Column 49-52: | relative humidity [-] (0..1)
• | Column 53: | blank
• | Column 54-57: | direct solar radiation on horizontal surface [W/m²]
• | Column 58: | blank
• | Column 59-62: | diffuse sky radiation on horizontal surface [W/m²]
• | Column 63: | blank
• | Column 64-70: | illuminance on horizontal surface [lux] (not used by WUFI)
• | Column 71: | blank
• | Column 72-75: | long-wave emission from horizontal surface [W/m²] (not used)
• | Column 76: | blank
• | Column 77-80: | atmospheric counterradiation on horizontal surface [W/m²]

A *.TRY file supplied by the user must be accompanied by a *.AGD file which contains additional geographical information on the climate location.

Literature:

[1] | Blümel, K. et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. BMFT-Forschungsbericht T 86-051.
[2] | Künzel, H.M.: Regendaten für die Berechnung des Feuchtetransports. IBP-Mitteilung 21 (1994), Nr. 265.
[3] | VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung. Oktober 1994
Previous topic:
The *.WET Format for Climate Data 		Topic 43 Next topic:
The *.DAT Format for Climate Data


The *.DAT Format for Climate Data

The German National Meteorological Service DWD uses the *.DAT format for the new test reference years (published in 2004 [1]; the old test reference years [2] were in *.TRY format).
You can use existing *.DAT files (such as those offered by DWD) for a WUFI calculation, but you can also convert your own weather data to this format and use them for a calculation.

Note: as the test reference years are mainly intended as a basis for energy consumption calculations, the new test reference years do not have rain data any more and thus are not suitable for hygrothermic simulations in which the effect of rain is an essential factor.

...
  • Column 1-2: TRY region {1..15}.
    Not used by WUFI.

  • Column 3-4: blank.

  • Column 5-8: Information on location of measurement {1; 2}.
    Not used by WUFI.

  • Column 9-10: blank.

  • Column 11-12: Month {1..12}.

  • Column 13-14: blank.

  • Column 15-16: Day {1..28, 30, 31}.

  • Column 17-18: blank.

  • Column 19-20: Hour (CET) {1..24}.

  • Column 21-22: blank.

  • Column 23: Cloud cover [octa] {0..8; 9}.
    Fraction of the sky covered with clouds (9=not determined, e.g. because of fog).
    Currently not used by WUFI.

  • Column 24-25: blank.

  • Column 26-28: Wind direction [°] {0; 10..360; 999},
    90°=east,..., 360°=north;
    0=calm, 999 = variable.

  • Column 29-30: blank.

  • Column 31-36: Wind speed [m/s].

  • Column 37-38: blank.

  • Column 39-44: Air Temperature [°C].

  • Column 45-46: blank.

  • Column 47-53: Barometric pressure [hPa],
    at station height.

  • Column 54-55: blank.

  • Column 56-61: Water vapor content or mixing ratio [g/kg].
    Not used by WUFI.

  • Column 62-63: blank.

  • Column 64-66: Relative humidity [%] {1..100}.

  • Column 67-68: blank.

  • Column 69-70: Code for current weather conditions {0..99}.
    Not used by WUFI.

  • Column 71-72: blank.

  • Column 73-76: Direct solar irradiance B [W/m²],
    impinging on a horizontal surface.
    Directed downwards: positive;
    Zeros: may result from rounding small irradiances,
    Blanks: sun below horizon; no irradiance possible.

  • Column 77-78: blank.
    &bnsp;
  • Column 79-82: Diffuse solar irradiance D [W/m²],
    impinging on a horizontal surface.
    Directed downwards: positive;
    Blanks: sun below horizon; no irradiance possible.

  • Column 83: blank.

  • Column 84: Information whether B and/or D measured/calculated {1; 2; 3; 4}.
    Not used by WUFI

  • Column 85-86: blank.

  • Column 87-90: Irradiance of atmospheric thermal radiation [W/m²],
    "atmospheric counterradiation",
    impinging on a horizontal surface.
    Directed downwards: positive.

    Please refer to the topic Long-wave Radiation Emissivity for a description of when and how to use counterradiation data and what to do if you have no counterradiation data.

  • Column 91-92: blank.

  • Column 93-97: Irradiance of terrestrial thermal radiation [W/m²],
    i.e., specific emission of thermal radiation from the ground, including the reflected atmospheric counterradition,
    impinging on a horizontal surface.
    Directed upwards: negative.

    Currently not used by WUFI-2D

  • Column 98-99: blank.

  • Column 100: Quality bit for the long-wave irradiances {1..8}.
    Not used by WUFI.

A *.DAT file supplied by the user must be accompanied by a *.AGD file which contains geographical information on the climate location.

Literature:

[1] | Christoffer, J., Deutschländer, Th., Webs, M.: Testreferenzjahre von Deutschland für mittlere und extreme Witterungsverhältnisse TRY, Offenbach 2004.
[2] | Blümel, K. et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. BMFT-Forschungsbericht T 86-051.
Previous topic:
The *.TRY Format for Climate Data 		Topic 44 Next topic:
The *.IWC Format for Climate Data


The *.IWC Format for Climate Data

This climate data format is being used by ASHRAE for the "International Weather Year for Energy Calculation (IWEC)" files.
WUFI can read these files; but since the file format is quite complex, contains many quantities not needed for hygrothermal simulations and treats some of the needed quantities (e.g. rain) only in a semi-quantitative way, it is not recommended to convert your own data to this format in order to use them with WUFI. The format is therefore not described here.

Note: the IWEC weather data do not contain quantitative rain data but only a rain indicator reporting rain intensity categories like "light", "moderate", "heavy", etc. As long as it has not been worked out which representative hourly quantities corresponding to these categories should be used in hygrothermic simulations, WUFI will not use rain data in calculations performed with *.IWC files.

Previous topic:
The *.DAT Format for Climate Data 		Topic 45 Next topic:
The *.EPW Format for Climate Data


The *.EPW Format for Climate Data

This climate data format is being used by the building energy simulation software EnergyPlus for which an extensive global collection of free weather data is available.

Note: The EPW files contain no rain, so they are not appropriate for investigations which involve rain as a crucial factor.

WUFI can read these files; but since the file format is quite complex, contains many quantities not needed for hygrothermal simulations and contains no rain data, it is not recommended to convert your own data to this format in order to use them with WUFI. The format is therefore not described here (the format specification is available online).

Previous topic:
The *.IWC Format for Climate Data 		Topic 46 Next topic:
The *.KLI Format for Climate Data


The *.KLI Format for Climate Data

As already noted in the introduction to the climate topic, WUFI needs the following climate data for each time step:

  • the rain load vertically incident on the surface in [Ltr/m²h]. For the determination of this rain load, the inclination and orientation of the surface must be taken into account.
  • the solar radiation vertically incident on the surface in [W/m²]. For the determination of the amount of radiation, the inclination and orientation of the surface must be taken into account.
  • the temperature of the ambient air [°C]
  • the relative humidity of the ambient air [-] (0..1)
  • the barometric pressure [in the *.KLI format: Pa]. Since the barometric pressure has only a minor effect on the calculation, specification of a mean value may be sufficient.

If direct measurements are not available, the rain load can be determined from the normal rain and the wind velocity and direction. The radiation load can be determined from the global (or direct) and diffuse radiation incident on a horizontal surface.
When measured weather data are used, which do not directly contain the required rain and radiation data, but rather the normal rain and the solar radiation incident on a horizontal surface, WUFI can do this conversion automatically during the calculation, so you only need to specify the appropriate climate file for use in the calculation and the orientation and inclination of the building component. This is the usual procedure for all climate files except *.KLI files.

On the other hand, you may wish to provide WUFI directly with the required data, for example because you have measured them or because you want to employ different conversion algorithms than those used by WUFI. In this case, write these data to a WUFI climate file in *.KLI format and specify this file for use in the calculation. The weather data in a *.KLI file are used as read from the file, no conversion is done and no azimuth or inclination need to be specified.

This is an example for the first few lines of a WUFI climate file:

The climate file essentially consists of a table, with each line containing all required climate data (rain, radiation, exterior temperature, exterior relative humidity, interior temperature, interior relative humidity) for a certain interval of time. Since the format was originally defined for use with WUFI-1D where a component usually has one exterior and one interior surface, the files may contain temperatures and relative humidities for both the exterior and the interior surface. In WUFI-2D, the climate is always assigned to one single surface segment; the user can select wether exterior or interior conditions in the file are to be used.

The format of the data is free. The only requirement is that a PASCAL program (like WUFI) must be able to read the numbers. All data are read as real numbers. The entries in each line are separated by blanks.
The three header lines are further discussed below.

The time structure of the climate data is defined by a relative hour count (given by the first entry in each line). This count is relative to a starting date (given in the first header line).
Imagine the climate file has been created by a fictitious data logger which has started the measurement at the starting date. At the end of each measuring interval (the intervals need not be equidistant) it has recorded the mean values over that interval and has added the total duration of the measurement so far as a time stamp.

The starting date of the calculation must be in the time interval covered by the climate file (i.e., it must be equal to or later than the starting date of the climate file and earlier than its ending date).
The calculation may go beyond the end of the climate file (i.e., the ending date of the calculation may be later than the ending date of the climate file); the climate file is then read again from the beginning (as often as necessary).

The format of the starting date is:

day.month.year_hour.fraction   e.g. "1.1.2000_14.5".

Fractions of hours are decimal fractions: "1.1.2001_0.5" means half an hour past midnight. The format allows two decimal places for the fraction.

The choice of the time step for the climate file should be suitably coordinated with the choice of the time step for the calculation. The simplest choice is to use equidistant time intervals in the climate file and to set the time step for the calculation to the same size.
If you want to use a different calculation time step, you should choose it so that it divides the climate time intervals exactly. Otherwise, WUFI adjusts each time step so that it does divide the current (*) climate interval exactly.

(* since the climate file need not have equidistant time intervals.)

Examples:

 | climate time interval | calculation time step entered by user | calculation time step adjusted by WUFI | because
a) | 1h | 1h | 1h | 1 * 1 = 1
b) | 40h | 6h | 5.714h | 7 * 5.714 = 40
c) | 42h | 6h | 6h | 7 * 6 = 42
d) | 44h | 6h | 6.286h | 7 * 6.286 = 44
e) | 6h | 44h | 6h | 1 * 6 = 6

Examples for climate files

  • Example 1:

    • Start: 3.4.1994, 0.0

    time | rain | rad. | J a | j a | J i | j i
1 | 0 | 0 | 5.9 | 0.80 | 21.1 | 0.76
2 | 0 | 0 | 5.2 | 0.86 | 21.0 | 0.76
24 | 0 | 121.0 | 11.1 | 0.63 | 20.9 | 0.76
.... | ... | ... | ... | ... | ... | ...

    These climate data mean that the measurement was started on April 3, 1994, at midnight, the mean exterior temperature was 5.9°C between 0:00 and 1:00, 5.2°C between 1:00 and 2:00, and 11.1°C in the 22-hour-interval between 2:00 and 24:00.

  • Example 2:

    • Start: 1.1.1991, 0.0

    time | rain | rad. | J a | j a | J i | j i
744 | 0.09 | 35.7 | -2.4 | 0.77 | 20.4 | 0.35
1416 | 0.03 | 58.9 | -4.4 | 0.78 | 19.7 | 0.49
2160 | 0.14 | 48.3 | 5.4 | 0.83 | 20.9 | 0.38
.... | ... | ... | ... | ... | ... | ...

    This climate file contains monthly means. The first line gives the mean values for the interval from 1.1.1991 0:00 to 31.1.1991 24:00, etc.

  • Example 3:

    • Start: 31.1.1997, 10.93

    time | rain | rad. | J a | j a | J i | j i
500 | 1000 | 0 | 20 | 1 | 20 | 0.8

    This one-line climate file might be used to simulate an imbibition experiment in the laboratory.
    Starting on 31.1.1997 10h56m (=10.93 decimal), the laboratory climate stays constant for 500 hours. Since WUFI can read a climate file repeatedly, the time could also be entered as 1 hour. The same line would then be read over and over again. No time step larger than 1 hour would then be possible, however (see above; any different time step would be adjusted down to 1 h).

    (The imbibing surface is treated here as the 'exterior' surface, the imbibed water is offered as 'rain' in a quantity that is sure to surpass the quantity of water imbibed per hour. Also see the relevant discussion in the Questions & Answers section.).

  • Example 4:

    • Start: 23.1.1998, 10.50

    time | rain | rad. | J a | j a | J i | j i
1215 | 1000 | 0 | 21 | 1 | 20 | 0.80
3410 | 0 | 0 | 21 | 0.65 | 20.5 | 0.82

    This climate file might be used to simulate an imbibition experiment with subsequent drying in the laboratory.
    The experiment started on January 23, 1998 at 10:30. The specimen was imbibing for 1215 hours and was then left to dry for (3410 - 1215 =) 2195 hours.

How to create your own KLI files

If you want to use your own weather data for a WUFI calculation, you can simply write them to a file in either the WET or TRY or DAT or WAC format and use them in this form for the calculation; WUFI will automatically convert them for the azimuth and inclination of the surface in question.

If your rain and radiation data have already been determined for the surface in question, a directional conversion is not necessary, and you can write these data to a KLI file and use them in this form for the calculation.
The KLI format also comes handy if you want to use other conversion methods, if you want to use measured interior climate data etc.

In such a case, you just need to write an ASCII file which conforms to WUFI's *.KLI format: three header lines first, then one line of climate data for each time step.
For this, you may use any editor program that allows you to write the data in a pure ASCII format, for example a text editor such as the Windows notepad, or a program written by yourself which computes or converts the data in the desired manner and then writes them to a file.
If you are using Excel to create a KLI file, save the data using one of the ASCII formats *.TXT or *.PRN, since WUFI cannot read the proprietary Excel format *.XLS; then rename the file to the extension *.KLI.

The third header line contains the mean barometric pressure for the calculation period in Pa.

Please note that the second header line of the KLI format has to contain data at certain positions so that WUFI can read them (it is much longer than can be displayed in most ASCII editors, which is not immediately obvious because of the large blank spaces between the data). The simplest way to obtain such a line is to copy to your own file one from a KLI file supplied with WUFI. The information contained in that line is then not correct for your file, but this does not affect the calculation (it is information about the parameter settings used for generating the file and is not used during the calculation).

The tool KLI_Create.exe in the Tools folder may be useful when you want to create a *.KLI file with monthly average values for temperature and humidity, no rain and no radiation.

Previous topic:
The *.EPW Format for Climate Data 		Topic 47 Next topic:
The *.AGD File


The *.AGD File

The climate files usually contain the solar radiation impinging onto a horizontal surface (exception: *.KLI files). If a hygrothermic simulation of a non-horizontal building component shall include the effect of solar radiation, the radiation component impinging on the surface must be determined for each time step, depending on the surface's orientation and inclination. This requires computing the sun's position in the sky for that time step, and therefore WUFI needs information on the geographical coordinates and the time zone of the location where the weather data were measured.

Depending on the climate file format, this information may not be present in the file itself and must then be supplied separately.
For the climate files delivered with WUFI, the information is either present in the files or it has been listed in the database. For climate files created by the user, it may be necessary to also create a corresponding *.AGD file ("additional geographic data").

Example (cf. example.agd in the Projects folder):

Additional Geographic Data

Showing data for Holzkirchen as an example
Longitude,Latitude  [°] (East,North is Positiv)
HeightAMSL          [m]
TimeZone            [hours from UTC]

[WUFI]
Longitude=11.73
Latitude=47.88
HeightAMSL=680
TimeZone=1

The lines preceding the section marker [WUFI] will be ignored and may contain any comments. The section [WUFI] lists those data describing geographical longitude, geographical latitude, height above mean sea level and time zone that are missing in the climate file itself. These are in particular:

File format: | Longitude | Latitude | Height | TimeZone
*.WET | x | x | x | x
*.TRY | - | - | - | x
*.DAT | x | x | x | x
*.IWC | - | - | - | -
*.KLI | - | - | - | -
*.WBC | - | - | - | -

The "TimeZone" is indicated by the difference between the time zone of the measurement location and the Greenwich time zone (UTC) in hours (examples: Central European Time = 1; Eastern Standard Time = -5).

If the AGD file contains data that are already present in the climate file, but with different values, WUFI uses the values from the climate file.

The name of the AGD file must be the name of the corresponding climate file, with the extension .AGD added, e.g. Aberystwyth.TRY.AGD. WUFI expects the file in the same folder as the corresponding climate file.

Previous topic:
The *.KLI Format for Climate Data 		Topic 48 Next topic:
Creating Climate Files


Creating Climate Files

A collection of weather files is supplied with WUFI. Further weather data may be obtained from other sources.
The data available from such sources vary widely in terms of quality, scope and completeness. They are usually not in a file format which can be read by WUFI. It is then the responsibility of the user to check the data quality, to fix errors, to fill data gaps, to convert the data to a suitable file format, to comply with possible legal restrictions concerning the use of the data, etc. The following discussion is intended to assist the user in selecting, reviewing, assessing, correcting and processing weather data.

Depending on the aim of the investigation, appropriately selected weather data should be used. For example, if the typical long-term moisture balance of a component is to be determined, typical weather data which are representative for the location are appropriate. For design purposes, the performance or durability of a component exposed to more severe conditions is of interest, and weather data describing such a more demanding scenario should be used. If the cause of a specific damage case is to be investigated, weather data for the relevant time and location are needed.

Requirements Concerning Quality and Scope of the Weather Data

Required weather elements

WUFI can read a variety of weather data formats. Different weather data formats may comprise different sets of weather elements. All common weather data formats contain temperature and relative humidity; solar radiation is sometimes only given in terms of global radiation; rain is often missing. Therefore, the user must make sure that the weather file to be used contains at least all the weather elements which are needed for the planned investigation. The same applies to weather data which the user has obtained in order to create a weather file to be read by WUFI: it must be made sure that all weather elements are present which are needed for this simulation, and a file format must be chosen which can accomodate all these weather elements.

The weather file formats which WUFI can read are described at length in the respective help topics. For newly created files we recommend the WAC format which is flexible with respect to the number of contained weather elements. Thus, there is no need to obtain weather elements which are not needed for the simulation.
Furthermore, directional weather elements (i.e. radiation and rain) must be converted for the orientation and inclination of the component to be simulated, which is done automatically by WUFI, using simplified models. The WAC format allows to bypass these models by providing ready-made radiation and rain data specific to the orientation and inclination of the component in question. These specific data may have been produced by more refined conversion models or by on-site measurements.

• Temperature, Relative Humidity

Usually, for hygrothermal simulations at least temperature and (unless a purely thermal calculation is intended) relative humidity are needed.

• Solar Radiation

Unless the component is completely shaded or you intend a simulation "on the safe side" without allowing for the additional drying potential due to solar heating, solar radiation has to be taken into account.

Solar radiation is a directional quantity, affecting differently oriented and inclined surfaces to different degrees. In the ideal case radiation data measured on a surface with the required orientation and inclination are available. If the WAC format is used, these data can be declared as measured data, prompting WUFI to use them without modification. These measured data can describe the effect of solar radiation with the highest accuracy (including all environmental effects, such as shading, reflections etc.), but they are confined to be used for this individual surface situated in this individual environment.

Usually, however, only data for the radiation incident on a horizontal surface are available. In particular, this is the case when the radiation data have been supplied by a normal meteorological station. Unless a flat roof is to be simulated, the available "horizontal" data must be converted for a surface with the required orientation and inclination. WUFI automatically performs this conversion during the simulation run. Since the diffuse and the direct radiation component have different transformation properties, the conversion needs separate data on the diffuse and the direct component. Therefore, the weather file has to contain either diffuse and direct or diffuse and global radiation (global = sum of diffuse and direct). Many meteorological stations only measure global radiation. If needed, the corresponding diffuse radiation may be estimated from the global radiation, using a statistical-meteorological model (e.g. the "Perez model"). If only horizontal surfaces are to be simulated, global radiation data may be sufficient, because in that case no directional conversion is necessary.

Since the directional conversion involves determining the solar position in the sky, correct time stamps for the radiation measurements are indispensable. Did the measuring system have the correct time? Do the time stamps refer to zone time or true solar time? Do the time stamps refer to UTC, or the local time zone or some other time zone? Do the time stamps switch to daylight saving time and when? Are the radiation data single measurements acquired at the full hour, or are they average values over one hour (accordingly, the solar position representative for the measured data is either the position at the full or at the half hour; WUFI assumes that the half hour is representative for the measurements).

• Normal Rain, Driving Rain

If the effect of rain is to be investigated or at least has some non-negligible influence on the component behavior, data describing rain intensity are needed. Unless a flat roof is being simulated, the driving rain hitting the surface under investigation is the relevant quantity (whereas the rain hitting a horizontal surface is called "normal rain").

Driving rain is a directional quantity, affecting differently oriented and inclined surfaces to different degrees. In the ideal case, rain data measured on a surface with the required orientation and inclination are available. If the WAC format is used, these data can be declared as measured data, prompting WUFI to use them without modification. These measured data can describe the effect of driving rain with the highest accuracy (including all environmental effects, such as local wind patterns, sheltering effects etc.), but they are confined to be used for this individual surface situated in this individual environment.

Usually, however, only data for the rain incident on a horizontal surface are available. In particular, this is the case when the rain data have been supplied by a normal meteorological station. Unless a flat roof is to be simulated, the driving rain hitting the inclined surface has to be estimated from the data on normal rain, wind speed and wind direction. WUFI automatically performs this estimation during the simulation run.

• Wind

Data on wind speed and direction are only needed if the driving rain has to be estimated from the normal rain, or if a wind-dependent heat transfer coefficient shall be used.

• Atmospheric and Terrestrial Long-wave Counterradiation

Any surface of a building component continuously exchanges long-wave ("thermal") radiation with its environment. Due to its temperature, the building surface emits thermal radiation into the surroundings. On the other hand, it also receives thermal radiation emitted by the surroundings (so-called counterradiation). In particular, it receives terrestrial counterradiation, which is thermal radiation emitted by the ground and other terrestrial objects, and atmospheric counterradiation, which is thermal radiation emitted by the atmosphere.

In practical building physics, this radiative heat exchange is usually not accounted for separately, it is instead lumped together with convective heat transfer by adding some appropriate but fixed radiative contribution to the convective heat transfer coefficient. For most calculations in building physics this approximation is sufficient, and WUFI uses it when working in standard mode (i.e. with "explicit radiation balance" switched off). In this case, no data on atmospheric or terrestrial long-wave counterradiation are needed.

There are, however, applications where long-wave radiation exchange must explicitly and separately be taken into account. This is the case, for example, if the surface temperatures need to be computed with higher accuracy.
Furthermore, the conventional treatment by adding a radiative contribution to the convective heat transfer coefficient assumes that convective and radiative heat flow go in the same direction. This is often the case, but not always. In particular, when night-time radiative cooling causes the surface to overcool (i.e. to cool below ambient air temperature), the surface loses radiative heat towards the sky, while the convective heat flow is directed from the warmer air towards the cooler surface. Therefore, if night-time overcooling and its consequences for dew deposition or reduced drying potential (for flat roofs in particular) shall be simulated, WUFI must be switched to "explicit radiation balance" mode.

As a consequence, however, the user then must provide data describing the long-wave emissions of the atmosphere and of the ground (if the latter is within the field of view of the component). Ideally, the incoming long-wave radiation has been measured on a surface with the required orientation and inclination. If the WAC weather file format is used, these data can be declared as measured data, prompting WUFI to use them without modification. These measured data can describe the effect of atmospheric and terrestrial counterradiation with the highest accuracy (including all environmental influences, taking into account all the individual atmospheric and terrestrial areas and objects in the component's field of view, etc.), but they are also confined to be used for this individual surface situated in this individual environment.

Usually, however, only data for the atmospheric counterradiation incident on a horizontal surface are available. In particular, this is usually the case when the radiation data have been supplied by a normal meteorological station. Unless a flat roof is to be simulated, the available atmospheric counterradiation and the measured or computed terrestrial counterradiation must be converted to give the total long-wave radiation incident on the inclined surface. WUFI automatically performs this conversion during the simulation run.

Since night-time overcooling is often relevant for the simulation but counterradiation data are rarely available, WUFI can estimate the atmospheric and terrestrial thermal emissions from other weather elements. For this purpose, it can use a variety of simplified models, depending on which weather elements are known. For example, the atmospheric counterradiation can be estimated from hourly data on the cloud cover, if these are available. If cloud cover data are missing, too, WUFI can instead use a constant cloud cover specified by the user (see the description of the WAC weather data format for details). However, the more simplifications must be made, the more the accuracy of these simplified estimation methods decreases. It is the responsibility of the user to provide data with an adequate accuracy level if the simulation results are required to reach a given accuracy level. Test simulations can help to determine the sensitivity of the intended investigation with respect to different quality levels of input data.

• Barometric Pressure

Barometric pressure is usually of minor importance for hygrothermal simulations. It slightly affects vapor transport (the diffusion coefficient in air is weakly pressure-dependent). If no barometric pressure is provided in the weather data, WUFI uses the altitude of the location to estimate a typical pressure. If the altitude is unknown, WUFI uses some standard pressure.

Summary

Data sets containing data which have been measured on a surface with the required orientation and inclination offer the most accurate description of the environmental influences, but they can only be used for this specific surface.
Data sets containing the usual weather elements as measured on horizontal surfaces are multi-purpose data sets which can be used for surfaces with arbitrary orientation and inclination. The necessary conversion of the directional weather elements for non-horizontal surfaces involves some loss of accuracy, which will however be acceptable for most hygrothermal simulations.

If a standard multi-purpose weather data set with a frequently used combination of data is to be created, the weather elements highlighted below usually lend themselves to inclusion in such a file. Depending on the availability of data or requirements for specific applications, other combinations of weather elements are possible, of course.

• | Temperature
 | always needed (except for purely hygric simulations)
• | Relative humidity
 | always needed (except for purely thermal simulations)
• | Solar radiation
 | always needed (except for simulations of completely shaded components or calculations "on the safe side", ignoring the drying potential due to solar heating)
 | If a flat roof is to be simulated: | • global radiation on a horizontal surface.
 | Otherwise, sorted by preference: | • global radiation, measured on a surface with the required orientation and inclination. Is rarely available and can only be used for this individual surface. Used by WUFI without further modification.
 |  | • a combination of global + diffuse or direct + diffuse or direct normal ("beam") + diffuse, measured on a horizontal surface. If a meteorological station measures more than just global radiation, it's usually global + diffuse. WUFI uses a simplified model to convert the radiation for the required orientation and inclination.
 |  | • global radiation measured on a horizontal surface (many meteorological stations only measure global radiation), diffuse radiation can be estimated using the Perez or a similar model. WUFI uses a simplified model to convert the radiation for the required orientation and inclination.
• | Rain
 | is needed if the effect of rain shall be investigated or at least has some non-negligible influence on the component behavior.
 | If a flat roof is to be simulated: | • normal rain Used by WUFI without further modification.
 | Otherwise, sorted by preference: | • driving rain, measured on a surface with the required orientation and inclination. Is rarely available and can only be used for this individual surface. Used by WUFI without further modification.
 |  | • normal rain, wind speed and direction. Will be used by WUFI to estimate the driving rain via a simplified model.
• | wind speed and direction
 | are only needed if the driving rain has to be estimated from the normal rain, or if a wind-dependent heat transfer coefficient shall be used.
• | Long-wave atmospheric and terrestrial counterradiation
 | are only needed if surface temperatures have to be computed with higher accuracy and/or if night-time overcooling shall be taken into account.
 | If a flat roof is to be simulated: | • atmospheric counterradiation as incident on a horizontal surface Used by WUFI without further modification.
 | Otherwise, sorted by preference: | • long-wave irradiation (sum of atmospheric and terrestrial), measured on a surface with the required orientation and inclination. Is rarely available and can only be used for this individual surface. Used by WUFI without further modification.
 |  | • atmospheric and terrestrial counterradiation on a horizontal surface. WUFI uses a simplified model to convert the long-wave radiation for the required inclination.
 |  | • atmospheric counterradiation on a horizontal surface. WUFI estimates the terrestrial counterradiation by assuming that the terrestrial objects have air temperature and then uses a simplified model to convert atmospheric and terrestrial counterradiation for the required inclination.
 |  | • cloud cover and terrestrial counterradiation on a horizontal surface. WUFI estimates the atmospheric counterradiation from air temperature, relative humidity and cloud cover; then it uses a simplified model to convert atmospheric and terrestrial counterradiation for the required inclination.
 |  | • cloud cover. WUFI estimates the atmospheric and the terrestrial counterradiation from air temperature, relative humidity and cloud cover; then it uses a simplified model to convert both for the required inclination.
 |  | • constant cloud cover. As in the above two items, but instead of hourly data on the cloud cover WUFI uses a constant value specified by the user.
• | barometric pressure
 | is nice to have, but optional. If missing, WUFI estimates a constant value from the altitude of the location. If the altitude is not known, WUFI uses a standard value. May refer to sea level or station height.

Time range

The weather data sets supplied by weather services or other sources usually comprise one year. For a hygrothermal simulation this means that the spectrum of hygrothermal boundary conditions occurring during one year is acting on the simulated construction. For some investigations, shorter periods of time may be sufficient.

For investigations which extend over several years, it is usually sufficient to repeat the same year an appropriate number of times, if this year is sufficiently representative for the purpose of the investigation. If WUFI reaches the end of the weather file before reaching the end of the simulation period, it jumps back to the beginning of the file and repeats reading the file until the end of the simulation is reached. Since WUFI does not take leap days into account and the weather file may not contain any, no increasing mismatch between calendar count and weather file occurs.

WUFI's calculations can proceed with any arbitrary time step width, but the calculation step width must be coordinated with the step width of the weather data (one weather data step must contain an integer number of calculation time steps). Weather data are usually available in one-hour steps. This also happens to be an appropriate time step for most hygrothermal simulations. Hygrothermal processes usually are so slow that a shorter time step would only mean much wasted computational effort. On the other hand, the duration of quickly changing boundary conditions, such as rain or solar radiation, must be represented in a sufficiently realistic way. Here too, a one-hour time grid turns out to be adequate in general.

Accuracy

In general, the accuracy of data supplied by professional weather stations should be easily sufficient for WUFI simulations. If a quantitative comparison between simulation results and conditions measured within the component is intended, some attention should be given to adequate accuracy, but in general hygrothermal simulations will make less demands on the weather data than, say, meteorological or climatological analyses. In particular, it should be kept in mind that the influence of the weather elements on the construction depends not only on the intensity of the weather elements themselves but also on the corresponding surface transfer coefficients, such as radiation absorptivities, heat transfer coefficients etc., for which often only approximate or estimated values are available. An increased accuracy of the weather data would thus increase the accuracy of the weather influence only to a minor degree.

For example, solar radiation first has to be converted for the orientation and inclination of the component, using a conversion model. This model makes simplifying assumptions concerning the distribution of diffuse radiation across the sky. If some ground is within the field of view of the component, it is usually difficult to correctly estimate its reflectivity for solar radiation (the visible ground may comprise areas with different and partly direction-dependent reflectivities, it may be covered with variable vegetation or variable snow cover...). Shading of the component surface (or of the ground which contributes reflected radiation) is not taken into account. The fraction of solar radiation absorbed by the component is described by a constant absorptivity which does not take into account any moisture or direction dependence and which usually can only be roughly estimated anyway.

The models WUFI uses for estimating driving rain are strongly simplified and they should not be expected to yield strictly correct quantitative determinations of the amount of driving rain. Furthermore, the influence of the surroundings (exposed / sheltered location, water running down from higher regions of the facade) can only be described very crudely by parameters supplied by the user. Another parameter to be specified by the user describes the losses due to some of the incident rain water splashing back off the surface; this parameter can only be roughly estimated as well.
On the other hand, modern facade surfaces are not very absorbent in general, so that only a small fraction of the incident driving rain can be taken up by the component (the remaining water runs off without being considered further). In these cases it does not matter whether the incident amount of driving rain has been determined correctly or has been under- or overestimated, as long as it is above the absorption capacity of the facade: the facade absorbs what it can take up, the rest runs off and its precise amount doesn't matter. Therefore the simple driving rain models used by WUFI are usually sufficient.
Surfaces which are strongly absorbent and strongly exposed, such as fair-faced brick masonry, may possibly require higher accuracy for the amount of driving rain. If the accuracy of WUFI's driving rain models is not sufficient, the user must provide driving rain data which have been determined by on-site measurements or by sufficiently detailed models. Declaring these data as "measured" in a WAC file prompts WUFI to use them without further modification.

In most cases, missing data can simply be replaced by plausibly interpolated data unless some critical event which is relevant for the investigation has occurred during the gap and has to be reconstructed with more sophisticated methods (e.g. a storm with considerable driving rain load).
Since the hygrothermal processes to be simulated are usually quite slow, the component will respond to short-term influences only to a minor degree. Its behavior will usually be determined mainly by longer-term temperature and humidity averages (an example for an exception: a single damage-inducing driving rain event). Therefore short (and sometimes moderately long) gaps can often be tolerated if they have been filled with typical or averaged data in such a way that after the gap the component has a similar temperature and humidity level as would have been the case after exposure to the real data.
In these cases, missing hours can be filled by interpolation between the remaining hourly values. Missing days can often be replaced by similar neighboring days. Sometimes, constant fill data corresponding to typical average values may be sufficient.

If there is doubt about how strongly uncertainties in the weather data will affect the simulation result and whether more precise data must be obtained, test calculations with test weather data which have been varied within their respective range of uncertainty can explore the sensitivity of the simulation results with respect to the uncertainties in the input data.

Typical Weather Data

Measured Weather Data

In order to create a typical weather data set, a popular procedure is to select a year deemed "typical" from a longer data series, following appropriate criteria. A "typical" year may also be spliced together from "typical" months or other time periods which may be taken from different years. The resulting weather year then has never existed in this form, but it is expected to represent "typical" conditions as well as possible.

The advantage of selecting sub-series from measured data series is that the data are real, so they represent possible weather situations and thus preserve some properties in a realistic way, such as:

  • Sequential order and frequency of typical weather patterns, for example
    • Macro weather systems,
    • autumnal fog-prone weather,
    • thunderstorms with subsequent sunshine in summer (creating reverse diffusion),
    • frost-dew cycles
    • etc.
  • daily temperature, humidity and radiation profiles
  • short- and long-term variability ranges
  • correlations between the individual weather elements

The disadvantage of such a selection is that any selected real weather sequence is unlikely to be typical for all weather elements, that is, it is usually unable to contain typical sequences for temperature as well as humidity, rain, wind, etc. In most cases, a selection must therefore compromise between several conflicting requirements. Many of the existing "test reference years" have been created in this or a similar way for the purpose of energetic investigations and thus have been selected to mainly represent typical temperatures. Since the temperature conditions also dominate the results of many (but not all) hygrothermal investigations, thermally selected test reference years can often be considered as representative for typical conditions in general hygrothermal simulations. However, it is for the user to decide whether a particular weather file is indeed suitable for the intended purpose.

As an alternative to one single year that has been selected as being typical, a multi-year data set may be used, because nothing can be more representative for a time span of, say, ten years than these ten years themselves. Furthermore, a multi-year data set contains a wider spectrum of weather situations than a one-year file. This also includes more extreme but less frequent "stress" situations for the component, so that such a long-term data set may be used for design purposes (see below), even though it is at the same time "typical".

Synthetic Weather Data

Alternatively, hourly weather data may be created synthetically. For example, there are various models which can estimate the amount of incoming solar radiation, based on the astronomical position of the sun and taking into account data describing the current cloud cover and the clearness of the atmosphere. Other models (e.g. the 'Perez model') can estimate the diffuse solar radiation from the measured global radiation, using empirically determined correlation functions.

Some test reference years contain a combination of measured weather data and weather elements produced by synthetic models. It is also possible to create a yearly data set in a completely synthetic way, for example by using appropriate models to add quasi-realistic hourly day-night variations to given monthly mean values. These models will usually contain some physical component which produces a realistic diurnal variation (taking into account the correlation with other weather elements, for example the relationship of the temperature variation with the incoming solar radiation, the relationship of the solar radiation with the current cloud cover, etc.) A statistically-driven component of the model may add some random variation within a given range.

In this way it can be assured that the mean values of the created weather elements coincide with the long-term averages for the location, that at the same time realistic hourly variations take place and that the correlations among the weather elements remain preserved. How close the results come to reality depends on the quality of the involved models and may be different for different aspects of the created data.

Weather Data for Design Purposes

Investigations for design purposes usually test the ability of a component to withstand more strainful conditions than typically encountered. This may be done by confirming adequate resilience under a defined exposure, or by explicitly finding the failure threshold. A typical weather year is usually not suitable for this; instead, a year should be selected which exerts an appropriate more pronounced load on the component. Depending on the damage scenario under investigation, different damage mechanism may have to be provoked, such as

  • excessive condensation within the component
    (in cold or temperate climate: moisture from the interior air penetrating into a winterly cold wall; in tropical climate: moisture from the exterior air penetrating into a wall cooled by air conditioning),
  • excessive absorption of rain water
    (in a region with large amounts of driving rain and for an unsheltered position of the component on the weather-exposed side of the building).
  • frost damage
    (i.e. frequent frost-dew cycles during a moderately cold winter),
  • growth of algae or fungi, occurrence of wood rot
    (caused by insufficient drying potential, by the vapor permeance of components being too high or too low, by undesigned moisture infiltration, etc.)

There exist a variety of methods and criteria for creating or selecting suitable weather data. For example, if the intention is merely to determine whether the component is able to withstand the weather which is typical for the most extreme location to be expected, it is sufficient to select representative weather data for that location.

If the intention is to test the durability under more extreme conditions to have some safety margin, strainful situations can simply be created by using measured multi-year data series for a given location or for the most extreme location to be expected. These longer data series automatically contain the entire spectrum of normal as well as strainful scenarios with the respective frequencies. Standard DIN EN 15026 recommends this as the most suitable data source and proposes to use ten or (if possible) more measured years. The advantage is that measured real weather sequences are being used for the simulation. In general, a ten-year period will contain extreme situations which are to be expected once in ten years. (A statistical analysis may be used to confirm that this expectation is actually realized in the used data sequence.) Besides the occasionally occurring strain situations, such a data set also contains realistically distributed recovery periods which may be desirable or undesirable for design purposes.

Alternatively, and requiring less computational effort, a single suitably selected or created "design reference year" may be used which contains within a single year the strongest strain on the component which is to be expected in, say, ten years. Depending on the damage mechanism to be tested, this may be a particularly warm, cold, moist or dry year. For this purpose, a single year meeting the required criteria may be selected from a multi-year measured data series. It is also possible to use a synthetically created year whose hourly weather elements have been generated based on the desired extreme values rather than the usual long-term average values.

A hybrid type between measured and synthetical weather data are measured data which have been made more extreme by suitable modification of the originally average or typical weather elements. For example, the measured rain rates or wind speeds may be increased by some factor. Since many damage mechanisms involve particularly high or low temperatures, it is often sufficient to shift the measured temperatures. For these purposes, standard DIN EN 15026 proposes temperature shifts of +-2K, arguing that the results represent years which are likely to occur once in ten years. The relative humidity remains unmodified in the process.
The applied shift may be chosen positive or negative, depending on which stress mechanism is to be intensified: Higher temperatures increase summer condensation etc., lower temperatures increase winter condensation, reduce the drying potential, etc.

Standard DIN EN 15026 states that in "most moisture applications a once in ten years failure rate is usually considered to be acceptable", so that the strength of the design test load can be derived from load scenarios which occur approximately once in ten years. "However, in particularly sensitive applications, such as computer centres, art galleries or hospitals a lower failure rate might be required" and more severe load scenarios may be needed for design tests.

Occasionally strain scenarios may be created while using typical weather data. Modifying the absorptivity of the component surface can simulate reduced or increased solar irradiation, creating a reduced drying potential or a higher vapor drive towards the component's interior, respectively. Modifying the driving rain coefficients or the adhering fraction of rain can change the rain load. Adjusting these model parameters does not change the frequency of the strain situations but their intensity.

Weather Data for Individual Investigations

Weather data that have been measured for an individual location and time period must be used if, for example,

  • the cause for a given damage case shall be investigated ('forensic' simulations),
  • measurements performed on or in a building are being accompanied by simulations for analysis or deeper insight
  • measurements and calculations shall be compared in order to validate a simulation model.

In such a case it may be sufficient to use data which a nearby weather station has collected for the relevant period of time. Often, however, you will have to perform your own on-site measurements. Data taken at the location are also needed if the radiation or rain load on the surface has to be determined more accurately than is possible with directional conversion models.

Previous topic:
The *.AGD File 		Topic 49 Next topic:
Sources for Climate Data


Sources for Climate Data

A collection of climate files is supplied with WUFI. The following are some sources offering weather data for additional locations. WUFI can read the respective file formats; the user must judge to which degree these data are useful and appropriate for their specific application.

German Test Reference Years (2011)

The German Test Reference Years in the versions of 1986 and 2004 are included in the WUFI installation (with kind permission of the German Meteorological Service). WUFI can also read the new 2011 test reference years.

These new test reference years (TRYs) for the 15 German TRY regions have been derived from weather data series comprising the years 1988 through 2007 and thus include the effect of global warming up to that time. In addition to mean years, extreme years were created, with the extreme warm years containing an extremely warm summer period and the extreme cold years containing an extremely cold winter period.

Using a tool provided with these files, the user can modify the data to take additional scenarios into account:

  • An urban heat island effect can be imposed on the original data, representing cities of user-defined sizes.
  • If the heights of the considered location and of the reference station for this climate region are very different, appropriately corrected test reference years can be created, taking into account the influence of the height difference on air temperature and water vapor content.
  • In order to take future global warming into account, new files can be created which represent the temperature levels expected for the years 2021-2050 (again, in typical or extreme variants).

These test reference years contain no quantitative rain data, so they are not adequate for those hygrothermal simulations which need to take the influence of rain into account.

The 2011 test reference years can be downloaded free of charge from:

"Aktualisierte und erweiterte Testreferenzjahre (TRY) von Deutschland für mittlere und extreme Witterungsverhältnisse"
http://www.bbsr.bund.de/BBSR/DE/FP/ZB/Auftragsforschung/5EnergieKlimaBauen/2008/Testreferenzjahre/TRY2011_Datensatz.html

Austrian Test Reference Years:

In addition to the three Austrian weather files included with WUFI (Innsbruck University, Graz University, Vienna Hohe Warte), files for
Bregenz, Bürs, Gmunden, Ischgl, Klagenfurt Flughafen, Linz, Mallnitz, Nauders, Radstadt, Salzburg, St. Johann in Tirol, Wien Innere Stadt, Zwettl
are available as well.

The distributor for these data is

QUADRUPLE-M Elsässer GmbH Technisches Büro für Bauphysik GF Dr. Manfred Elsässer Erzherzog-Eugen-Straße 14/1 A-6020 Innsbruck
Tel. und Fax | +43 512 251401
Fax | +43 512 378550
Mobil | +43 664 4324814
E-mail | office@quad-m.at or manfred.elsaesser@uibk.ac.at

The respective locations are pre-defined on WUFI's climate selection map, so that the files purchased by the user can simply be selected via the map. Just copy the files into WUFI's Climate folder; at the next start WUFI will recognize them and display them on the map.

Japanese Weather Data

Weather data for 842 Japanese locations are available (Expanded AMeDAS Weather Data).

The distributor for these data is

EI.Ltd (E-Information, Ltd.)
Mr. Masazumi Horiuchi
URL: http://www.f-ei.jp
E-Mail: info@f-ei.jp

These locations have already been predefined on WUFI's climate selection map. Just copy the files into WUFI's Climate folder; at the next start WUFI will recognize them and display them on the map.

METEONORM:

The Swiss METEOTEST company has developed METEONORM, a program for creating synthetic hourly weather data for any location world-wide, based on measured long-term mean values:

"Usually, measurement data can only be used in the vicinity of a weather station. Elsewhere, the data has to be interpolated between different stations. The sophisticated interpolation models inside meteonorm allow a reliable calculation of solar radiation, temperature and additional parameters at any site in the world."

"From the monthly values (station data, interpolated data or imported data), meteonorm calculates hourly values of all parameters using a stochastic model. The resulting time series correspond to 'typical years' used for system design."

The program mainly addresses "simulation software in solar energy applications and building design". Meteonorm can directly create weather files in WUFI's WAC format. Files for single locations can be ordered via the Meteonorm website without purchasing the program (specify file format "WUFI/WAC").

The files created in this way are a convenient, homogeneous and inexpensive source of weather data for arbitrary locations. Experience so far indicates that, in general, they are well suitable for hygrothermal simulations. However, if the quality of the driving rain data is important for the simulation, the adequacy of these data for the case at hand should be checked beforehand, since the wind and rain models are only to a limited extent designed to realistically reproduce the intensity and directional distributions of driving rain events, and they do not allow for local topography.

http://meteonorm.com/

EPW Files

The providers of the building energy simulation software EnergyPlus offer an extensive global collection of free weather data for use with their program.

WUFI can read these files. However, since they contain no rain data, they are not appropriate for investigations which involve rain as a crucial factor.

https://energyplus.net/weather

Other Data Sources

There exist a variety of other sources for weather data, including international data repositories, national weather services and private weather station owners. Sometimes they can provide data for the location and time in question, sometimes not. Sometimes the data are free of charge, sometimes not. The available data vary widely in terms of quality, scope and completeness. The data are usually not in a file format which can be read by WUFI. It is then the responsibility of the user to check the data quality, to fix errors, to fill data gaps, to convert the data to a suitable file format, to comply with possible legal restrictions concerning the use of the data, etc. You may find our notes on creating weather files helpful when assessing or processing weather data.

Data repositories which may or may not be useful include
• NOAA National Climatic Data Center: www.ncdc.noaa.gov/
• Climate Data Center of the German Meteorological Service: http://www.dwd.de/EN/climate_environment/cdc/cdc.html
...
and others...

Previous topic:
Creating Climate Files 		Topic 50 Next topic:
Hygrothermal Reference Years (HRY)


Hygrothermal Reference Years (HRY)

The hygrothermal reference years (HRY) were developed as part of the research project "Klimamodelle" funded by the Federal Ministry for Economic Affairs and Energy [1]. There are 11 reference stations, each of them typical for a whole German climatic region. The regional classification follows the thermal test reference years (TRY) created by the Deutscher Wetterdienst (DWD). The definition of those regions was based on the typical sequence of large-scale weather patterns, the detailed region boundaries were based on the evaluation of phenological charts [2] [3]. For the special purpose of the hygrothermal assessment of building components, some of the original regions could be combined, reducing the number of regions from originally 15 to now 11. The resulting map is shown below. The 11 HRY zones with the corresponding reference stations and TRY zones are listed in the following table:

Nr. | Correspon- ding TRY zone | Reference Station HRY | Latitude [°] | Longitude [°]
1 | 2 | Warnemünde | 54.18 | 12.08
2 | 1; 3 | Hamburg | 53.63 | 10.00
3 | 4 | Potsdam | 52.38 | 13.07
4 | 6; 8 | Braunlage | 51.73 | 10.60
5 | 5; 7 | Kassel | 51.30 | 9.45
6 | 9; 10 | Chemnitz | 50.80 | 12.87
7 | 11 | Fichtelberg | 50.43 | 12.95
8 | 12 | Mannheim | 49.52 | 8.55
9 | 13 | Fürstenzell | 48.55 | 13.35
10 | 14 | Stötten | 48.67 | 9.87
11 | 15 | Lindenberg | 47.62 | 9.90

The HRY are based on eight-year periods of measured hourly climate data for each reference station. From these periods individual months were selected with a newly developed method and combined into one HRY for each zone. The selection of appropriate months is based on descriptive statistical measures for the temperature and the precipitation. Furthermore the global radiation and the relative humidity are taken into account implicitly via the assessment of various typical construction variants which was used for the fine-tuning of the selected HRY data. For the hygrothermal simulations the leap days were removed and the transitions between the monthly and yearly data sequences were smoothed. The atmospheric counterradiation included in the HRY was created with a new model based on an approach from [3], since no measured data were available. The empirical validation of this model was carried out for Holzkirchen.

The HRY generate moisture contents in the simulated construction components which can be considered critically-representative for the typical regional climatic periods. The HRY may thus be used, for example, to evaluate the long-term behavior of a construction. A detailed description of the generation and validation process of the HRY can be found in the final project report on WUFI.de (the report is only available in German).

Adapted HRY

There are also "cold" HRY and hygrothermal design climate sequences. The cold HRY for each zone has been derived from the respective HRY by a temperature shift of -2 K as proposed by EN 15026:2007 [4], with the other weather elements remaining unchanged. The cold HRY can be used for the evaluation of a construction under extreme conditions. It contains too extreme conditions for normal design purposes, it is intended as a worst case for a parameter study.

The eight-year design climate sequences consist of three HRY, followed by two cold HRY, and again three HRY. With this sequence of years it is possible to simulate an initial conditioning phase, a moisture accumulation phase and a drying phase to evaluate the re-drying potential of the construction. The design climate sequences thus include cold periods and can be used at the design stage of a component if cold weather periods need to be taken into account or if an additional safety margin is needed.

An additional adaption of the HRY with respect to urban heat island effects, exposed mountain and sheltered valley situations, or the proximity to a body of water can be performed using the "Lokalklimagenerator". The Lokalklimagenerator can be downloaded from WUFI.de. It is currently only available in German.

Literature:

[1] | Zirkelbach, D. et al.: Klima- und Oberflächenübergangskoeffizienten für die hygrothermische Bauteilsimulation, 2016.
[2] | Christoffer, J.; Deutschländer, T.; Webs, M.: Handbuch zu den Testreferenzjahren 2011, 2011.
[3] | Blümel; et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. Berlin: FU Berlin, 1986.
[4] | DIN EN 15026: Wärme- und feuchtetechnisches Verhalten von Bauteilen und Bauelementen - Bewertung der Feuchteübertragung durch numerische Simulation, 2007.
Previous topic:
Sources for Climate Data 		Topic 51 Next topic:
Long-wave Radiation Exchange


Long-wave Radiation Exchange

Introduction

The temperatures of exterior surfaces are determined by heat flow due to heat conduction within the component, by convective heat exchange with the ambient air and, last not least, by radiation exchange with the surroundings.

Short-wave radiation (with wavelengths around 0.5 - 1 µm) comes from the sun, reaches intensities up to about 1000 W/m² and shows a pronounced daily variation, being absent at night. Building components can absorb short-wave radiation, but they do not emit it themselves.

Long-wave radiation (with wavelengths around 10 µm) is emitted by terrestrial objects (such as walls, the ground etc.) as thermal radiation, reaches intensities of several hundred W/m² (depending on the temperature of the emitting surface) and is always present. Building components absorb long-wave radiation emitted by other objects, but they also emit such radiation themselves and are thus in continuous long-wave radiation exchange with their surroundings. The long-wave portion present in the solar radiation is completely negligible in comparison with the long-wave radiation emitted by terrestrial sources, since the solar disk is a source with much smaller angular extension.

Since the terrestrial objects involved in the radiation exchange tend to have mutually similar temperatures, their long-wave radiation exchange is quite balanced, and despite the considerable amounts of energy passed back and forth, the exchanged net radiation flows are comparatively low. The equation describing the long-wave radiation exchange contains the involved absolute temperatures to the fourth power, but because of the relatively small temperature differences it can be linearized in good approximation. The energy flow is then proportional to the temperature difference of the involved objects:

and it thus behaves quite like the convective heat flow between the surface and the ambient air:

Assuming that the surrounding objects have approximately air temperature and that all objects have similar emissivities, the two equations can be combined into one equation describing the total heat flow caused by convection and radiation (see also the discussion of the heat transfer coefficient):

In building physics, heat exchange is usually computed using this approximative equation. It is thus not necessary to allow explicitly for long-wave radiation exchange which is instead roughly taken into account by adding a quantity αrad to the convective surface transfer coefficient αconv. WUFI, too, computes the heat exchange with the surroundings in this simplified way when the "explicit radiation balance" is switched off.

Nighttime radiation cooling

Even if a component surface has the same temperature as the terrestrial surroundings, it nevertheless suffers some long-wave radiation loss. This is because it exchanges radiation not only with the terrestrial surroundings but also with the sky; that is, with the atmosphere as radiation exchange partner. However, the constituents of the atmosphere are poor thermal emitters: the diatomic molecules N2 and O2 emit almost no thermal radiation at all, and only the trace amounts of the so-called greenhouse gases (water vapor, CO2, O3 etc.) are able to emit long-wave radiation because of their molecular structure.

They are very efficient emitters, but unlike solids and liquids which emit a continuous radiation spectrum ("Planck spectrum"), gases only emit line spectra with considerable gaps around certain wavelengths. Thus, compared to the radiation emitted by a solid with the same temperature, the total radiation emitted by the atmosphere is less by the amount missing in the gaps.

Therefore, while a component surface radiates its long-wave emission evenly into the whole half-space, only the radiation it receives from the solid angle occupied by terrestrial objects (the so-called terrestrial counterradiation) has comparable intensity. The long-wave radiation received from the solid angle occupied by the sky (the so-called atmospheric counterradiation), on the other hand, has usually less intensity than the emission radiated towards the sky - even if the atmosphere and the emitting surface have the same temperature. Thus a component surface usually emits more radiation than it receives from the surroundings as a whole, and it suffers a continuous heat loss.

By day, this heat loss is not noticeable because of the heat gained by incident solar radiation. By night, however, the loss is not compensated and usually causes cooling of the surface below ambient air temperature ("overcooling"). Increased surface humidity (even dew deposition if the surface temperature falls below the ambient dew point temperature) and the risk of algae and mold growth may result.

Clouds consist of water droplets or ice crystals which emit a complete Planckian spectrum. If there are clouds in the sky, they may partially or completely compensate the radiation deficit of the atmospheric gases. Thus, besides temperature and water vapor content, the intensity of the atmospheric counterradiation strongly depends on the current amount of cloud cover. Typical values at temperate latitudes for the counterradiation emitted by a cloudless sky range between about 180 W/m² (cold, dry air) and about 400 W/m² (warm, humid air). With a closed opaque cloud cover, the sky (or rather: the underside of the clouds) behaves like a Planckian emitter whose temperature is equal to the dew point temperature of the air.

The extent of the radiation losses (and thus of the overcooling) also depends on the inclination of the surface. Horizontal surfaces (e.g. flat roofs) exchange radiation with the sky only and thus overcool very strongly. Vertical surfaces (e.g. facades) only suffer a loss towards some part of their field of view while the exchange with the remaining (namely, terrestrial) part of their field of view is usually quite balanced.

Surfaces with low thermal inertia (e.g. surfaces of ETICS) are overcooling stronger during a night than surfaces with larger thermal capacity (e.g. surfaces of massive walls).

Radiation components

If overcooling occurs, the radiative and convective heat flows at the surface go in opposite directions: radiative power is lost from the surface towards the sky, while the convective heat flux flows from the (warmer) ambient air towards the (cooler) surface. This situation cannot be treated with the simplified formula (see above)

which rests on the premise that both energy flows go in the same direction. If overcooling shall be modelled in a simulation, the radiation part must therefore be removed again from the heat transfer coefficient, and long-wave radiation exchange must be computed separately from convective heat exchange. It will be advantageous to combine short- and long-wave radiation exchange into a single comprehensive radiation balance.

If the user instructs WUFI to use such a complete radiation balance, it accounts for the following short- and long-wave radiation components (cf. [2]):

Direct solar radiation:
the fraction of solar radiation which comes directly from the sun, as incident on the building surface.
WUFI uses the position of the sun and the orientation and inclination of the surface to compute it from the direct horizontal solar radiation (the direct radiation as incident on a horizontal receiving surface), which in turn is given by the weather file or can be computed as the difference of global and diffuse solar radiation.

Diffuse solar radiation:
the fraction of solar radiation scattered by the atmosphere and by clouds, incident from all directions and approximately treated as being isotropic.
The diffuse radiation measured by meteorological stations as incident on a horizontal receiving surface has to be multiplied by the view factor of the portion of the sky seen by the facade (see below); the result is the portion of diffuse solar radiation incident on the facade surface.

Reflected solar radiation:
the solar radiation which reaches the building surface after having been reflected by the ground or other terrestrial objects. This value is computed from the sum of direct and diffuse solar radiation, and the terrestrial short-wave reflectivity.
The reflected radiation then has to be multiplied by the view factor of the portion of the terrestrial surroundings seen by the facade (see below); the result is the portion of reflected solar radiation incident on the building surface.

Atmospheric counterradiation:
the long-wave heat radiation emitted by the sky (atmosphere + clouds).
Depending on the weather file type it may be read directly from the file, or it may be estimated from other weather elements and the cloud cover, using an empirical counterradiation model. Some file types contain hourly values for the cloud cover, otherwise the user can specify a fixed value for the cloud cover (strongly degrading the quality of the counterradiation estimates).
These counterradiation values have to be multiplied by the view factor of the portion of the sky seen by the facade (see below); the result is the portion of atmospheric counterradiation incident on the building surface.

Reflected atmospheric counterradiation:
the atmospheric counterradiation which reaches the building surface after having been reflected by the ground or other terrestrial objects. This value is computed from the atmospheric counterradiation and the terrestrial long-wave reflectivity.
It then has to be multiplied by the view factor of the portion of the terrestrial surroundings seen by the facade (see below); the result is the portion of reflected atmospheric counterradiation incident on the building surface.

Terrestrial counterradiation:
the long-wave heat radiation emitted by the terrestrial surroundings.
Depending on the weather file type it may be read directly from the file, or it may be estimated from the ambient temperature and the emissivity of the terrestrial surroundings (e.g. the ground), using the Stefan-Boltzmann law (it is assumed that the effective temperature of the objects in the terrestrial surroundings is equal to the ambient air temperature).
These counterradiation values have to be multiplied by the view factor of the portion of the terrestrial surroundings seen by the facade (see below); the result is the portion of terrestrial counterradiation incident on the building surface.

Long-wave emission:
the long-wave heat radiation thermally emitted by the exterior surface of the building component into the half-space. It only depends on the temperature and the long-wave emissivity of the surface.

Explicit Full Radiation Balance

The full radiation balance mode has been introduced in WUFI 4.1 [3]. It explicitly computes the full radiation balance [3] and thus allows in principle to simulate nighttime overcooling quantitatively. You can activate this mode by enabling the option "Explicit Radiation Balance" in the dialog "Surface Transfer Coefficients".

In this mode, the long-wave radiation components are determined explicitly, by day as well as by night, and together with the short-wave radiation components they are treated as a collective heat source at the surface which may have positive or negative source strength, depending on the overall radiation balance being positive or negative.

The exterior heat transfer coefficient must then strictly contain only the convective part. You may subtract the radiative part yourself or leave that to WUFI (WUFI will subtract 6.5 W/m²K). Tell WUFI in the dialog "Surface Transfer Coefficients" whether the number you entered contains the radiative part or not.

WUFI computes the balance of all the radiation components as follows:

A positive I results in heating the surface, a negative value causes cooling. For the radiation components Is and Il we have

The two view factors are computed by

These formulas assume an unobstructed horizon.

The equations for Is and Il contain each three radiation components; usually not all of them are present in the weather files. However, if, for example, only Is,diff and Il,atm are in the file and the direct radiation on a horizontal plane Is,dir,h is available, then the unknown radiation components can be computed as follows:

By night, the temperature of the ground may be assumed to be approximately equal to the exterior air temperature. The direct radiation Is,dir can also be determined from Is,dir,h once the position of the sun has been computed.

All the radiation components mentioned so far are in general explicitly known before the simulation, or WUFI can determine them using the above formulas. They do not depend on the as yet unknown results of the simulation. The single exception is the long-wave emission which depends on the temperature of the component surface via the Stefan-Boltzmann law:

This nonlinear relation must be linearised to be usable in linear equation systems such as those solved by WUFI. For this purpose it is developed into a linear Taylor series. The expansion point is the (known) current surface temperature which resulted from the last time step:

All these computations are performed by WUFI itself if "Explicit Radiation Balance" has been enabled. However, to do this WUFI needs some additional parameters which you can enter in the dialog "Surface Transfer Coefficients":

The meaning of the reflectivities and emissivities is explained by the above formulas. The sum of the ground long-wave emissivity and reflectivity should be 1 (as required by the relevant physics), but the user is free to vary them independently if needed (for example, when doing a parameter study).

A constant cloud index (i.e. fraction of the sky covered by clouds) entered here is used for a rough estimate of atmospheric counterradiation if no measured values are available and the hourly cloud cover data needed for estimating the counterradiation with a model are not available either (e.g. always when a weather file in WET format is used, or when a weather file in WAC format is used which contains neither atmospheric counterradiation nor an hourly cloud index, etc.).

Weather data and user input needed for a successful explicit radiation balance are quite complex. You can check the results in detail by examining individual radiation components; all the components mentioned above can be accessed via ASCII export or in the result graphs.

Note: the degree of overcooling is determined by the net long-wave emission. This number is the difference of two relatively large numbers: the surface emission and the total counterradiation. Uncertainties in the terrestrial or atmospheric counterradiation values (due to measurement issues, imperfections in the models used to estimate them, etc.) may therefore strongly perturb the results. Currently, there is only a limited body of experience concerning the sensitivity of the results with respect to uncertainties in the input data.
• When the drying potential of flat roofs is to be determined, for example, the night-time radiation losses often are an important factor and should not be ignored. Experience shows that these calculations give realistic results if measured atmospheric counterradiation data are used; for counterradiation estimated by models this is usually true as well, but not always.
• When the amount of dew deposition or the number of dew hours on facades is to be determined, using the explicit radiation balance is mandatory since no overcooling of the surface can be computed otherwise. However, in this scenario temperature variations of a few thenths of a degree may completely change the results, and sufficiently accurate counterradiation data are thus required. Preliminary tests indicate that for this application counterradiation data measured on-site at the investigated facade are needed (see the validation in [3]); converting counterradiation measured on a horizontal surface for a vertical facade with the simplified conversion model used by WUFI may already be too inaccurate for this demanding investigation.

Users who do not wish to delve into the details of this subject or have doubts about the accuracy of their counterradiation data may prefer to switch explicit radiation balance off, using the standard mode instead which is perfectly adequate for most purposes.

Note for the user:

If you wish to use your own weather data for a WUFI calculation in explicit radiation balance mode or in simplified overcooling mode, but you have no atmospheric counterradiation data, you must not simply fill the respective column of the weather file you create with zeros. Otherwise the thermal emission of the component will remain uncompensated by counterradiation and the resulting overcooling will be much too strong. Instead, you may

  • use empirical formulas (e.g. [1]) to estimate the counterradiation from other weather elements, if you have data on the cloud cover,

  • fill the counterradiation column with the expected thermal emission (set surface temperature := air temperature, see emission formula above), so that in the calculation emitted and absorbed thermal radiation cancel. With these weather data you will get no overcooling at all, but at least you will get no wrong overcooling.

  • fill the counterradiation column with zeros, but then you must also set the long-wave emissivity of the component surface to zero, in order to suppress long-wave exchange altogether. Of course, no overcooling will result here either.

Literature:

[1] | Blümel, K. et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. BMFT-Forschungsbericht T 86-051.
[2] | VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung. Entwurf, Dezember 1992
[3] | Kehrer M., Schmidt Th.: Temperaturverhältnisse an Aussenoberflächen unter Strahlungseinflüssen. Proceedings BauSIM 2006, 9.-11. Okt. 2006, TU München
Previous topic:
Hygrothermal Reference Years (HRY) 		Topic 52 Next topic:
Terrestrial Short-Wave Reflectivity


Terrestrial Short-Wave Reflectivity

The short-wave reflectivity of a surface indicates which fraction of the short-wave (that is, solar) radiation hitting the surface is reflected. The terrestrial short-wave reflectivity is the short-wave reflectivity of the ground surface.

Non-horizontal building component surfaces have some part of the ground surface in their field of view. Solar radiation reflected from the ground contributes to the radiation hitting such a surface. When simulating a non-horizontal surface, WUFI therefore needs to know the terrestrial short-wave reflectivity in order to compute the total radiation load on the surface.

Short-wave reflection in WUFI

The surroundings which reflect solar radiation onto the component's surface may be very complex. The reflection properties of different parts of the surroundings may be very different from each other, and they may be strongly variable in time. In such a case, a detailed determination of the radiation reflected by the surroundings would require its own simulation and would go far beyond the scope of a hygrothermal simulation. Therefore, WUFI assumes strongly simplified surroundings with strongly simplified properties.

WUFI's terrestrial reflection model assumes that the component is surrounded by an infinitely extended homogeneous horizontal flat plane (the "ground") which has spatially and temporally constant properties and a free horizon. Some fraction of the global radiation hitting the ground is absorbed. The rest is diffusely reflected. A fraction of the reflected radiation hits the component surface.

• | The fraction which is reflected by the ground is described by the terrestrial short-wave reflectivity. This reflectivity is assumed to be a constant number. It has to be specified by the user.
• | The fraction of reflected radiation which hits the component surface is described by the view factor f of the ground in the field of view of the component surface. WUFI automatically determines this view factor from the component inclination specified by the user. For a horizontal surface, f = 0. For a vertical surface, f = 0.5. (In the general case f = sin2(inclination angle/2)).

Example: For the component inclination 90° and the terrestrial reflectivity 0.2 the radiation reflected onto the component surface by the ground is 0.5 · 0.2 = 10 % of the global radiation.

This is a relatively small energy contribution, but it should be kept in mind that this contribution is also present when the sun shines from behind the component and no direct solar radiation hits the surface (possible component shadows on the ground are ignored). The percentage of reflected radiation within the total radiation input is largest for component orientations which have low direct solar input (on the northern hemisphere: facades facing north). Also, the reflected energy input may be much larger for larger reflectivities (such as snow or bright sand).

On the other hand, experience shows that the effect of the precise thermal conditions on the water contents resulting from a simulation is less than it is on the resulting energy flows. Therefore, the effect of the details of the boundary conditions should not be overestimated if only the hygric behavior of the component is of interest, and not so much its energetic performance. The hygrothermal performance of the component will usually not depend on whether the lawn in front of it is planted with bright or dark bushes.

Due to the considerable simplifications in WUFI's reflection model which only uses one single constant parameter to describe a complex situation, a reasonable estimate of the reflectivity describing the typical state of the surroundings will usually be more realistic than a numerical value for a particular material, taken from a table with laboratory measurements. Therefore, WUFI's drop-down list with predefined values for the terrestrial short-wave reflectivity only contains values for a few typical situations:

Desert sand | 0.40 | [1]
Dry grassland | 0.25 | [1] (0.2 - 0.3)
Green grass | 0.26 | [1]
Light building surfaces | 0.60 | [1]
Standard value | 0.20 |
Weathered concrete | 0.22 | [1]

If no particular surroundings are specified, the literature (for example, [1] [2]) usually assumes a standard value of 0.2 for the ground reflectivity. [4] mentions 0.2 for temperate and for humid tropical latitudes, and 0.5 for dry tropical latitudes.

Tables

The following short selections of tabulated values are intended to give a general impression of possible terrestrial reflectivities. Using these values directly in a simulation will only be advisable if the surroundings consist mainly of the respective material.

The reflectivity is sometimes also called albedo ("whiteness").

Since the reflectivity of a surface is 1 minus its absorptivity, short-wave reflectivity data may also be taken from short-wave absorptivity tables and converted accordingly.

Natural ground surfaces [2]
Grass (Juli/August) | ca. 0.25
Lawns | 0.18 - 0.23
Dry grass | 0.28 - 0.32
Uncultivated fields | 0.26
Bare soil | 0.17

Sand [5] [3]
Sand, fine, light | 0.37
Sand, gray | 0.21
Quartz sand (white) | 0.35 - 0.40
River sand | 0.43
Wet sand | 0.09

Soils [5] [3]
Soil, gray red: |
- dry, leveled | 0.20
- moist, leveled | 0.12
- dry, ploughed | 0.15
- moist, ploughed | 0.07
Clay-soils: |
- dry | 0.23
- moist | 0.16
Gray sandy soils: |
- dry, leveled | 0.25
- moist, leveled | 0.18
- dry, ploughed | 0.20
- moist, ploughed | 0.11
Black earth, dark gray |
- dry, leveled | 0.13
- moist, leveled | 0.08
- dry, ploughed | 0.08
- moist, ploughed | 0.04

Building materials [5] [3]
Bricks (white glazed) | 0.74
Bricks (clay, cream glazed) | 0.64
Bricks (red) | 0.32
Bricks (blue) | 0.11
Asphalt (new) | 0.09
Asphalt (pavement, weathered) | 0.18
Roofing (bituminous felt) | 0.12
Roofing (felt, green) | 0.14
Roofing (felt, black matt surface) | 0.13
Limestone | 0.4 - 0.6
White marble | 0.56
Slate (gray dark) | 0.10
Wood | 0.22
Iron (new galvanized) | 0.35
Iron (galvanized, very dirty) | 0.08
Steel | 0.80
Copper | 0.74

Snow on fields [5] [3]
Snow, dry, new fallen | 0.82
Snow, wet, fine grained | 0.73
Snow, wet, medium grained | 0.64
Snow, wet, large grained | 0.55
Snow, compacted, dry, clean | 0.66 - 0.80
Snow, compacted, wet, gray-white | 0.61 - 0.75
Snow, melting (soaked with water) | 0.35
Ice, with no snow | 0.4 - 0.5

Water surfaces [2]
at solar altitude > 45° | 0.05
at solar altitude 30° | 0.08
at solar altitude 20° | 0.12
at solar altitude 10° | 0.22

Side note: Short-wave reflectivity beyond WUFI

The following section discusses some aspects of short-wave terrestrial reflection which are not taken into account by WUFI. If the user decides that some of these aspects need to be taken into account for a particular simulation, a separate dedicated model or in-situ measurements must be used to determine the total radiation input on the component surface. If a *.WAC file is used to describe the climatic boundary conditions and contains the resulting total short-wave radiation input on the surface as an ISM column, WUFI will use these radiation data without applying any modification (e.g. a directional conversion).

While the building component itself usually has a uniform, often smooth surface with a well-defined short-wave absorptivity, the ground in front of the component is often a mosaic of various surface types with various reflectivities (grass, sand, gravel, concrete, asphalt, water, ...). In principle, these could be arithmetically combined into an effective total reflectivity, weighting the individual reflectivities by their respective view factors. However, determining all the reflectivities and view factors may be a major task and will usually not be worth the effort.

Often the reflection may not be diffuse but may have some preferred direction, it may even be specular (mirror-like). Modelling this would require detailed knowledge about the direction-dependent properties of the reflectivity and the directional distribution of the incident direct and diffuse radiation components.

Sunlight reflected by mirror-like ambient objects (metal, glass, water) may contribute considerably to the energy input of the component if the reflection prevails for a longer time. Small patches of reflected light (caused by single windows of a neighboring building, for example) pass by quickly without leaving any noticeable energy input.

The ground surface is often very rough (gravel, vegetation, ...) so that the amount of radiation reflected towards the simulated component depends not only on the reflection properties of the surface materials but also on whether the sunlit or the shaded sides of the bumps are currently facing the component.

The ground in front of the building component may not be sunlit permanently. It may be shadowed during part of the day or during a particular season. It is beyond the scope of WUFI to model the shadows thrown by objects in the surroundings (houses, trees, the simulated building itself, ...).

Seasonal variations of the ground surface (variable snow cover, seasonal vegetation stages, ...) can not be modeled in WUFI. The same is true for short-term variations (wet and dark ground after rain, snow cover after snowfall, asphalted parking lot fluctuatingly occupied by reflective cars, farmer's market every Saturday, ...)

WUFI assumes a free, unobstructed horizon, with the lower hemisphere being "ground" and the upper hemisphere being "sky". This is usually not strictly true, it is particularly untrue in urban environments where many buildings obstruct part of the sky and instead contribute their own reflected daylight.

The "ground" may not only consist of the flat surface of the earth. The component's field of view may also contain inclined surfaces, in particular the vertical surfaces of neighboring buildings. The solar radiation falling on these surfaces (and being partly reflected) is not the global radiation (which refers to a horizontal receiving surface) as assumed by WUFI, but some individual irradiation of that surface which would need to be determined separately. Also, there may be interreflections between some of these surfaces or even between these surfaces and the simulated building component.

Literature

[1] | Thevenard D., Haddad K.: Ground reflectivity in the context of building energy simulation. Energy and Buildings 38 (2006) 972-980 doi:10.1016/j.enbuild.2005.11.007
[2] | Palz W., Greif J. (Hrsg.): European Solar Radiation Atlas - Solar Radiation on Horizontal and Inclined Surfaces. 3rd ed., Springer-Verlag 1996
[3] | Iqbal M.: An Introduction to Solar Radiation. Academic Press Canada, 1983 Ch. 9: Ground Albedo, Ch. 11: Solar Radiation Incident on Tilted Planes on the Earth's Surface.
[4] | Muneer T.: Solar Radiation and Daylight Models. 2nd ed, Elsevier 2004 Ch. 6: Ground Albedo
[5] | VDI Guideline 3789, Part 2: Environmental Meteorology - Interactions between Atmosphere and Surfaces. Beuth, Berlin 1999 Table E1: Short-wave Albedo ρs of crops Table E2: Short-wave Albedo ρs of other agricultural and waste (nonarable) lands Table E3: Short-wave Albedo ρs of snow and ice Table E4: Short-wave Albedo ρs of building materials.
Previous topic:
Long-wave Radiation Exchange 		Topic 53 Next topic:
Terrestrial Long-Wave Emissivity


Terrestrial Long-Wave Emissivity

The long-wave emissivity of a surface indicates how much long-wave radiation the surface emits due to its temperature, compared to a black body with the same temperature. The terrestrial long-wave emissivity is the long-wave emissivity of the ground surface.

It is only used if WUFI is running in the "explicit radiation balance" mode and thus explicitly takes the long-wave radiation exchange between the component and the surroundings into account.

Non-horizontal building component surfaces have some part of the ground surface in their field of view. Terrestrial counterradiation emitted by the ground contributes to the radiation hitting such a surface. When simulating a non-horizontal surface in the "explicit radiation balance" mode, the information needed by WUFI therefore includes the long-wave radiation originating from the ground.

If this information is not provided by the weather file, WUFI must estimate the terrestrial counterradiation, using the long-wave emissivity of the ground. (See the topic Creating Climate Files for a discussion which weather data are needed for which purpose and which combinations of measured data can be used to estimate missing weather elements.)

According to Kirchhoff's law, the emissivity of a material is always 1 minus its reflectivity. For this reason, it would only be necessary to enter either the long-wave emissivity of the ground (needed for estimating the emitted long-wave counterradiation) or its long-wave reflectivity (needed for calculating the reflected atmospheric counterradiation): If one of them is known, the other one is known as well (emissivity + reflectivity = 1). However, WUFI allows to specify both separately and does not require the sum of them to be 1. It is usually recommended to make them sum up to one, but different choices are possible in case they are useful for a particular purpose (for example, a parameter study).

Terrestrial long-wave emissivity in WUFI

For the long-wave radiation emitted by the ground, similar basic considerations apply as for the terrestrial short-wave reflectivity. In particular, the geometrical assumptions are the same:

WUFI's terrestrial radiation model assumes that the component is surrounded by an infinitely extended homogeneous horizontal flat plane (the "ground") which has spatially and temporally constant properties and a free horizon. In particular, the temperature of the ground is everywhere the same and is assumed to be identical with the air temperature. The ground emits diffuse thermal radiation corresponding to this temperature (diffuse means: the same in all directions). A fraction of the emitted radiation hits the component surface.

• The thermal radiation emitted by a surface (in this case, the ground) is determined by the Stefan-Boltzmann law:
I | [W/m²] | : | thermal radiation emitted by the surface
e | [-] | : | long-wave radiation emissivity of the surface
s | [W/(m2K4)] | : | Stefan-Boltzmann constant, 5.670 · 10-8 W/(m2K4)
Tsurf | [K] | : | absolute temperature of the emitting surface
The emissivity of the ground is assumed to be a constant number. It has to be specified by the user.
• The fraction of emitted radiation which hits the component surface is described by the view factor f of the ground in the field of view of the component surface. WUFI automatically determines this view factor from the component inclination specified by the user. For a horizontal surface, f = 0. For a vertical surface, f = 0.5.
(In the general case f = sin2(inclination angle/2)).

Example: For the component inclination 90°, air temperature 20°C and terrestrial long-wave emissivity 0.9 the terrestrial radiation hitting the component surface is 0.5 · 0.9 · 5.67·10-8 · (20 + 273.15)4 = 188 W/m2.

The simplifications involved in this model are discussed in the topic describing the terrestrial short-wave reflectivity. They also apply to the calculation of the long-wave radiation emitted by the ground. However, since the long-wave emissivities of non-metallic surfaces are usually in the range between 0.85 and 0.95, the ground shows much less variation across its individual parts than in the case of the short-wave reflectivities. The assumption of spatially constant radiative properties is therefore usually more justified in the long-wave case than in the short-wave case.
The other caveats, in particular those concerning an obstructed horizon also apply.

Tables

For tabulated emissivities, see the tables provided in the topics Terrestrial Long-Wave Reflectivity and Long-wave Radiation Emissivity.

Those tables can not cover all possible materials. They are intended to give a general impression of typical emissivities. For non-metallic surfaces, the long-wave radiation emissivity is usually in the range between about 0.85 and 0.95, so a generic value of 0.9 should be adequate in most cases if the surface is non-metallic and no detailed information about the emissivity of the surface material is available.

Polished metallic surfaces may have extremely small emissivities. Polished copper, for example, has only e = 0.04. These surfaces emit and absorb almost no long-wave radiation, they barely participate in long-wave radiation exchange. However, if the surface is roughened or if it becomes covered with an oxidation layer, dirt oder a water film the emissivity may increase markedly.

Previous topic:
Terrestrial Short-Wave Reflectivity 		Topic 54 Next topic:
Terrestrial Long-Wave Reflectivity


Terrestrial Long-Wave Reflectivity

The long-wave reflectivity of a surface indicates which fraction of the long-wave radiation hitting the surface is reflected. The terrestrial long-wave reflectivity is the long-wave reflectivity of the ground surface.

It is only used if WUFI is running in the "explicit radiation balance" mode and thus explicitly takes the long-wave radiation exchange between the component and the surroundings into account.

Non-horizontal building component surfaces have some part of the ground surface in their field of view. Atmospheric counterradiation reflected from the ground contributes to the radiation hitting such a surface. When simulating a non-horizontal surface in "explicit radiation balance" mode, WUFI therefore needs to know the terrestrial long-wave reflectivity in order to compute the total radiation load on the surface.

According to Kirchhoff's law, the reflectivity of a material is always 1 minus its emissivity. Therefore, tables for long-wave emissivities can be used to find the long-wave reflectivity of a material.

For the same reason, it would only be necessary to enter either the long-wave reflectivity of the ground (needed for calculating the reflected radiation load) or its long-wave emissivity (needed for estimating the long-wave counterradiation emitted by the ground): If one of them is known, the other one is known as well (emissivity + reflectivity = 1). However, WUFI allows to specify both separately and does not require the sum of them to be 1. It is usually recommended to make them sum up to 1, but different choices are possible in case they are useful for a particular purpose (for example, a parameter study).

Long-wave reflection in WUFI

For long-wave reflections from the ground the same basic considerations apply as for short-wave reflections. In particular, the geometrical assumptions are the same:

WUFI's terrestrial reflection model assumes that the component is surrounded by an infinitely extended homogeneous horizontal flat plane (the "ground") which has spatially and temporally constant properties and a free horizon. Some fraction of the atmospheric long-wave counterradiation hitting the ground is absorbed. The rest is diffusely reflected in all directions. A fraction of the reflected radiation hits the component surface.

• | The fraction which is reflected by the ground is described by the terrestrial long-wave reflectivity. This reflectivity is assumed to be a constant number. It has to be specified by the user.
• | The fraction of reflected radiation which hits the component surface is described by the view factor f of the ground in the field of view of the component surface. WUFI automatically determines this view factor from the component inclination specified by the user. For a horizontal surface, f = 0. For a vertical surface, f = 0.5. (In the general case f = sin2(inclination angle/2)).

Example: For the component inclination 90° and the terrestrial long-wave reflectivity 0.1 the radiation reflected onto the component surface by the ground is 0.5 · 0.1 = 5 % of the atmospheric counterradiation.

The simplifications involved in this model are discussed in the topic describing the terrestrial short-wave reflectivity. They also apply to the calculation of the long-wave radiation reflected from the ground. However, since the long-wave emissivities of non-metallic surfaces are usually in the range between 0.85 and 0.95, and the reflectivities therefore in the range between 0.05 and 0.15, the ground shows much less variation across its individual parts than in the case of the short-wave reflectivities. The assumption of a spatially constant reflectivity is therefore usually more justifed in the long-wave case than in the short-wave case.

The other caveats, in particular those concerning an obstructed horizon also apply. However, because of the (usually) small long-wave reflectivity, the reflected long-wave radiation is usually only a minor fraction of the total radiation, and the involved approximations and simplifications only have a small effect on the overall radiation exchange.

The tables presented below can not cover all possible materials. They are intended to give a general impression of typical emissivities. For non-metallic surfaces, the long-wave radiation emissivity is usually in the range between about 0.85 and 0.95, so a standard value of 0.9 should be adequate in most cases if the ground surface is non-metallic and no detailed information about the emissivity of the surface material is available. The corresponding standard reflectivity is 0.1.

Polished metallic surfaces may have extremely small emissivities und therefore high reflectivities. Polished copper, for example, has only emissivity = 0.04 and therefore reflectivity 0.96. These surfaces emit and absorb almost no long-wave radiation but they are highly reflective for long-wave radiation. However, if the surface is roughened or if it becomes covered with an oxidation layer, dirt or a water film, the emissivity may increase markedly and the reflectivity decrease accordingly.

Tables

Tables usually only give emissivities. Since the reflectivity is 1 minus the emissivity, the long-wave reflectivity of a material is easily computed from the tabulated emissivity.

Natural surfaces [1]
Surface | Long-wave Emissivity | Long-wave Reflectivity
Granite (rough) | 0.88 | 0.12
Basalt (rough, shiny) | 0.92 | 0.08
Dolomite (rough) | 0.94 | 0.06
Silicon sandstone (rough) | 0.92 | 0.08
Slab of concrete | 0.92 | 0.08
Concrete walkway, dry | 0.95 | 0.05
Asphalt paving | 0.94 | 0.06
Gravel (coarse, smooth round pebbles) | 0.90 | 0.10
Dolomite gravel (0.5 cm rocks) | 0.91 | 0.09
Basaltic gravel (fine, with jagged edges) | 0.90 | 0.10
Sand, water content 0.7 vol-% | 0.88 | 0.12
Sand, water content 5.8 vol-% | 0.90 | 0.10
Sand, water content 7.6 vol-% | 0.91 | 0.09
Sand, water content 8.4 vol-% | 0.92 | 0.08
Sand, tan | 0.97 | 0.03
Grass, on wet clayey soil | 0.93 | 0.07
Lawn, very dense and well kept | 0.92 | 0.08
Water (lake surface) | 0.92 | 0.08
Water (pure) | 0.94 | 0.06
Water (with thin film of oil) | 0.92 | 0.08
Snow | 0.94 | 0.06

Technical surfaces [1]
Surface | Long-wave Emissivity | Long-wave Reflectivity
Iron |  |
- pre-polished | 0.20 | 0.80
- rubbed | 0.29 | 0.71
- red rusted | 0.58 | 0.42
- heavily rusted | 0.67 | 0.33
Steel sheet, thick rugged oxide layer | 0.78 | 0.22
Iron sheet lined with zinc |  |
- shining | 0.27 | 0.73
- grey oxidized | 0.26 | 0.74
Copper |  |
- polished | 0.04 | 0.96
- slightly tarnished | 0.04 | 0.96
- black oxidized | 0.74 | 0.26
Gypsum | 0.8 - 0.9 | 0.1 - 0.2
Glass | 0.89 | 0.11
Oak, smoothed | 0.90 | 0.10
Beech | 0.91 | 0.09
Marble, light grey, polished | 0.90 | 0.10
Brick, red | 0.93 | 0.07

For additional tables of long-wave emissivities see the topic Long-wave Radiation Emissivity.

Literature

[1] VDI Guideline 3789, Part 2:
Environmental Meteorology - Interactions between Atmosphere and Surfaces.
Beuth, Berlin 1999

Table G1: Long-wave emittance εK of technical surfaces
Table G2: Effective long-wave emittance εK of technical surfaces
Table G3: Effective long-wave emittance εK of natural surfaces.
Previous topic:
Terrestrial Long-Wave Emissivity 		Topic 55 Next topic:
Overview of WUFI's Dialog Structure


Overview of WUFI's Dialog Structure

This list contains a description of all menu items and of all dialogs, including dialogs which are not directly accessible via the menus, but as sub-dialogs of other dialogs.

File:

• | New
 | Wipes WUFI's memory clean and starts a new project.
• | Open Project...
 | Displays a dialog in which you can specify the directory where your project data reside, and then reads the project data.
• | Reopen
 | Offers a shortcut to open one of the recently used projects.
• | Revert to Last Cached
 | Reverts the project to its last version saved in the cache directory, thus providing a rudimentary undo function.
• | Save Project
 | Saves the project data to the save directory.
• | Save Project As...
 | Asks for a save directory and writes the project data there.
• | Import
 | – Project Archive...: Imports archived project files. – DXF File...: Imports *.DXF files.
• | Export...
 | Creates an archive file from your project data.
• | Exit
 | Closes WUFI-2D.

Input:

• Project
This dialog can be used as a memo pad for some administrative project info.
• Geometry
Here you define the geometry of the component by assembling it from rectangular elements.
• | Page Setup
 | Use this dialog to define the home position and the default magnification for the component graphics. (Right-click in the graphics area to open this dialog.)
• | Load From File
 | Load a PostScript file describing the geometry of the component (Right-click in the script editor to access this function.)
• | Save To File
 | Save the script describing the geometry as a PostScript file. (Right-click in the script editor to access this function.)
• Numerical Grid
Specify the numerical grid for the component.
• | Page Setup
 | Use this dialog to define the home position and the default magnification for the component graphics. (Right-click in the graphics area to open this dialog.)
• Materials
Assign material properties to the different elements of the component by clicking on them.
• Allocation of Properties (Material)
This dialog displays a list of materials that have so far been assigned to different elements of the component. You can assign an existing material to the component, add new materials you want to assign to the component, and edit the properties of existing materials.
• | Material Database
 | You can select a new material from the material database.
• | Material Properties
 | You can edit the properties of a material to better suit your needs.
• Page Setup
Use this dialog to define the home position and the default magnification for the component graphics.
(Right-click in the graphics area to open this dialog.)
• Initial Conditions
Specify the temperatures and relative humidities (or water contents) existing in the different elements of the component at the start of the calculation.
• Surface/Weather
Assign surface coefficients and climatic boundary conditions to the different surface segments of the component by clicking on them.
• Allocation of Properties (Surface/Climate)
This dialog displays a list of surface coefficients and climatic conditions that have so far been assigned to different surface segments of the component. You can assign a list entry to a surface segment of the component, add new list entries or edit existing ones.
• Select Climate
Select the climate to be assigned to a surface segment. You may use measured climate data, schematic sine curves or interior climates derived from exterior climate data.
• | Select Climate File (from map)
• | Select Climate File (File Browser)
 | If you want to read the climate data from a file, you can select the file from a map (for files included with WUFI) or with a file browser (for files provided by yourself).
• | Detailed Options
 | If you are reading the climate data from a file, you may make use of special options provided by some file formats.
• Edit Orientation
Specify the azimuth, inclination and rain exposure of the selected surface segment.
• Edit Surface Transfer Coefficients
Specify the surface transfer coefficients of the selected surface segment.
• Page Setup
Use this dialog to define the home position and the default magnification for the component graphics.
(Right-click in the graphics area to open this dialog.)
• Sources, Sinks
Place and specify heat, moisture and air exchange sources which release or absorb specified amounts of heat or moisture in the component.
• Computational Parameters
The options offered in this dialog allow you to control the way the calculation is done.
– Simple: The "Simple" parameters are for general use.
– Enhanced: The "Enhanced" parameters give experienced users more control.

Processing:

Click Start [image] to run the calculation. You may Suspend [image] or Terminate [image] the calculation at any time; the results accumulated so far remain accessible and can be analysed.
• | Edit Input File
 | WUFI experts may edit the input file [image] which transfers all the input data to WUFI's numerical processor.

Output:

• | WUFI2DMotion...
 | Launches the program WUFI2Dmotion which displays the results as animated 3D graphs.
• | WUFIGraph...
 | Launches a program which allows you to select regions of interest in the component and to analyse the temporal behavior of the mean temperatures, humidities etc. in this region.
• | Convergence Analyzer...
 | Launches the Convergence Analyzer which can be used to analyze the convergence properties of the calculation.
• | View Report...
 | Creates a report detailing all the project data and launches the web browser to display it.

Database:

• | Material
 | The material database dialog allows you to browse the material database and to create new catalogs and materials.

Options:

• | Settings
 | Specify the cache directory in which you are working, the home directory for saving projects, the database language and a few other settings.
• | Set As Default
 | This option allows you to define the current project as the default project.
• | Reset Default
 | This option resets a previous definition of a default project.
• | Language...
 | This dialog allows to switch WUFI to one of the other provided languages.

Help:

• | Contents
 | This menu item opens the contents page of the on-line help system.
• | Examples...
 | This menu item allows you to directly access and open the example projects included with WUFI.
• | About...
 | This menu item displays the version number of WUFI-2D and the material database, the name of the license holder and the expiration date of the license.
Previous topic:
Terrestrial Long-Wave Reflectivity 		Topic 56 Next topic:
Menu: File | New


Menu: File | New

This menu item wipes WUFI's memory clean and starts a new project.

Previous topic:
Overview of WUFI's Dialog Structure 		Topic 57 Next topic:
Menu: File | Open Project...


Menu: File | Open Project

Previous topic:
Menu: File | New 		Topic 58 Next topic:
Menu: File | Reopen

Menu: File | Open Project...

This menu item displays a dialog from which you can select the directory containing the files of the project you wish to open.

Previous topic:
Menu: File | New 		Topic 58 Next topic:
Menu: File | Reopen


Menu: File | Reopen

This menu item offers a shortcut to open one of the recently used projects.

Previous topic:
Menu: File | Open Project... 		Topic 59 Next topic:
Menu: File | Revert to Last Cached


Menu: File | Revert to Last Cached

This menu item reverts the project to its last version saved in the cache directory, thus providing a rudimentary undo function.

Previous topic:
Menu: File | Reopen 		Topic 60 Next topic:
Menu: File | Save Project


Menu: File | Save Project...

This menu item saves the project data to the save directory.

Previous topic:
Menu: File | Revert to Last Cached 		Topic 61 Next topic:
Menu: File | Save Project As...


Menu: File | Save Project As...

This menu item asks for a save directory and writes the project data there.

Previous topic:
Menu: File | Save Project 		Topic 62 Next topic:
Menu: File | Import Project Archive...


Menu: File | Import Project Archive...

This menu item imports archived project files.

Previous topic:
Menu: File | Save Project As... 		Topic 63 Next topic:
Menu: File | Import DXF File...


Menu: File | Import DXF File...

Previous topic:
Menu: File | Import Project Archive... 		Topic 64 Next topic:
Menu: File | Export...

Dialog: Import DXF File

This dialog serves to import DXF files.

See the documentation and the example file in the folder Tools\DXF2WUFI of the WUFI installation, and the tutorial How to import a DFX file in WUFI® 2D on the WUFI website.

Previous topic:
Menu: File | Import Project Archive... 		Topic 64 Next topic:
Menu: File | Export...


Menu: File | Export

Previous topic:
Menu: File | Import DXF File... 		Topic 65 Next topic:
Menu: File | Exit

Menu: File | Export...

This menu item creates an archive file from your project data.

Previous topic:
Menu: File | Import DXF File... 		Topic 65 Next topic:
Menu: File | Exit


Menu: File | Exit

This menu item closes WUFI-2D.

Previous topic:
Menu: File | Export... 		Topic 66 Next topic:
Dialog: Project


Dialog: Project

This dialog serves as a memo pad for some administrative project info which can thus be kept together with the calculation results.
All these inputs are optional; they only have an informative character for the user.

Previous topic:
Menu: File | Exit 		Topic 67 Next topic:
Dialog: Geometry


Dialog: Geometry

This dialog serves to define the two-dimensional geometrical arrangement of the individual elements which make up the construction and which will be filled with the appropriate materials in a later step.

(If you wish to read the geometry from a *.DXF file, you can do so with the dialog "Import DXF File".)

The construction has to be built up from rectangular elements. More complicated shapes must be broken down into rectangles:

The construction is most easily defined by drawing the constituent rectangles in the graphics area of the present dialog. Fine-tuning can later be done by editing the graphics script that is automatically generated by WUFI in the lower part of the dialog as you draw the construction.

Add a new element: The first rectangular element can be drawn at any location of the graphics area. Any subsequent elements must have at least one corner point in common with an existing rectangle: point the cursor at an existing corner, marked with a dot, and drag the rectangular outline to the intended shape. Refer to the rulers along the borders for proper dimensioning. The dots are 'magnetic' to help you in precisely positioning the cursor.

You may delete a rectangle by removing its description from the graphics script in the lower part of the dialog. Simply remove the line containing the name of the rectangle, for example (r3), and hit ENTER.

The construction as a whole need not be rectangular.

Pan: Press the CTRL key and the left mouse button, and drag the graph of the construction into a convenient position.

Zoom in: Use the scroll wheel of the mouse to zoom in.

Alternatively: Press the SHIFT key and the left mouse button, and drag a zoom frame over the part of the construction to be zoomed, moving from top left to bottom right.

Zoom out: Use the scroll wheel of the mouse to zoom out.

Alternatively: Press the SHIFT key and the left mouse button, and drag open a zoom frame of arbitrary size at an arbitrary location, moving from bottom right to top left. This will reset the magnification to default and undo any panning.

Tips: It will be useful to put the lower left corner of the assembly at the coordinate origin (0, 0); this makes it easier to match the desired dimensions of the assembly and its elements to the coordinates displayed on the rulers and used by the graphics script.
If you shift the home position of the coordinate origin a small distance away from the coordinate origin (say by (100, 100)), then after zooming out the construction will stay clear of the edges of the graphics area and allow easier access for editing.

This graphical interface provides an easy way for defining and positioning the elements of the construction. If you need finer control you may edit the graphics script that is automatically generated by WUFI in the script window in the lower part of the dialog as you draw the construction.

Previous topic:
Dialog: Project 		Topic 68 Next topic:
Dialog: Geometry, PostScript-Interpreter


Dialog: Geometry, PostScript-Interpreter

Previous topic:
Dialog: Geometry 		Topic 69 Next topic:
Dialog: Page Setup

Dialog: Geometry - PostScript Interpreter

If you need finer control over the geometry of the construction than is possible with the graphical editor you may edit the graphics script that is automatically generated by WUFI in the script window in the lower part of the dialog as you draw the construction.

The script uses a subset of the "Postscript" graphics language. WUFI has a Postscript interpreter that processes the script and accordingly draws the construction in the graphics area in the top part of the geometry dialog. You can edit the script as needed; the Postscript interpreter will update the graphics as soon as you hit ENTER. Use CTRL+ENTER to create a new line.

Postscript is a stack-oriented language. A stack is a "last-in-first-out" (LIFO) data structure that holds the operands to be fed to an operator, and the result(s) of the operator's action, if any. An operator removes its operands from the stack (if any) and puts the returned results on the stack (if any). The order of the operands on the stack is therefore crucial for proper working of a script.

The postscript interpreter manages its own internal operand stack for alphanumerical input and output; graphical output is directed towards the graphical editor area.

Example:
The operand add applied to the stack containing the operands

2 3

in the two topmost positions reads the two numbers from the stack, adds them and returns

5

to the stack.

A graphics path consists of a sequence of connected or unconnected points, lines and curves that together describe shapes and their positions. It is built up through the sequential application of path construction operators, each of which modifies the current path in some way, usually by appending one new element. Path construction operators include newpath, moveto and lineto. The trailing endpoint of the segment entered most recently is the current point. A newly appended sup-path usually starts at the current point.

Once the graphics path has been defined completely, it can be rendered on the page by invoking a painting operator, such as stroke or fill. The graphics path then acts as an implicit operand for this operator, i.e. it does not appear explicitly on the operand stack.

Other implicit parameters for the painting operators include the current color, current line thickness etc. These constitute the current graphics state which determines the details of how the current path is rendered by a painting operator. A graphics state stack allows to save and later restore a graphics state by invoking the operators gsave and grestore. This can be useful for temporary use of modified graphics attributes (different colors or line thicknesses etc.) and easy restoring of the standard graphics state.
In particular, the graphics state contains the current path, which can thus be saved and re-used by means of the gsave and grestore operators.

The coordinates used as operands for most of the graphical operators refer to the user space coordinate system. These coordinates are indicated on the rulers along the borders of the graphics area. The Postscript interpreter automatically applies an appropriate transformation to these coordinates in order to convert them to the coordinate system of the output device (that is, to the device space, e.g. the pixel array on a screen). This transformation is internally represented by the current transformation matrix (CTM). The CTM can be modified by transformation operators, such as translate, rotate etc. The CTM is part of the graphics state and can thus be saved and restored.

The Postscript operators implemented in the WUFI2D construction editor are:

add | adds two numbers Example: 2 3 add -> 5
bind | ...
closepath | closes the current subpath by appending a straight line segment connecting the current point to the subpath's starting point. Example: 0 0 moveto 1 1 lineto 2 0 lineto closepath defines a closed triangle as the graphics path, which can subsequently be filled with a color (see fill) or drawn as a line figure (see stroke).
def | defines a macro (i.e. a command) for later use.
div | divides the second stack element by the topmost stack element. Example: 3 2 div -> 1.5
dup | duplicates the top element on the stack Example: 3 dup -> 3 3
exch | exchanges the top two elements on the operand stack. Example: 2 3 exch -> 3 2
fill | paints the area enclosed by the current path with the current color Example: 0 0 moveto 1 1 lineto 2 0 lineto closepath fill fills the triangle defined by the current path with the color currently defined in the graphics state (see setrgbcolor).
findfont | pushes a font on the operand stack for subsequent use or manipulation. See setfont.
grestore | replaces the current graphics state with the one on the top of the graphics state stack, thus restoring the graphics state in effect at the time of the matching gsave. This operator provides a simple way to undo modifications to the graphics state without having to re-establish all graphics state parameters individually. Example: gsave 1.5 setlinewidth stroke grestore temporarily sets the linewidth to 1.5 units and renders the current path; then restores the original settings, including the current path which may thus be drawn or filled once more, possibly using another setting of graphics parameters.
gsave | pushes a copy of the current graphics state on the graphics state stack. The saved state may later be restored by a matching grestore.
lineto | appends a straight line segment to the current path, extending from the current point to the provided coordinates. Example: 1 2 moveto 4 5 lineto stroke draws a straight line from the point (1; 2) to the point (4; 5).
moveto | starts a new subpath of the current path by setting the current point to the provided coordinates. Example: 0 0 moveto
mul | multiplies two numbers. Example: 2 3 mul -> 6
imul | multiplies two integer numbers
neg | returns the negative of the operand Example: 3.14 neg -> -3.14
newpath | initializes the current path to be empty, causing the current point to be undefined. Example: newpath 0 0 movetoy 1 1 lineto creates a current path containing only a straight line segment from the point (0; 0) to the point (1; 1). Without the newpath, this line segment would have been appended to an existing current path, if any existed.
rlineto | relative lineto; appends a straight line segment to the current path, but the provided operands are interpreted as displacements relative to the current point rather than absolute coordinates. Example: newpath 1 1 moveto 2 3 rlineto creates a straight line segment from the point (1; 1) to the point (3; 4).
rmoveto | relative moveto; starts a new subpath of the current path, but the provided operands are interpreted as displacements relative to the current point rather than absolute coordinates.
rotate | adds to the CTM a rotation through the specified angle about the coordinate origin. All subsequently drawn graphics will appear rotated in the graphics area. The WUFI-2D interpreter only allows angles which are a multiple of 90°. Example: 90 rotate rotates all subsequently drawn graphics by 90° counterclockwise.
scale | adds a scale change to the CTM. Requires two scale factors s_x and s_y as operands and makes the x and y units in the user coordinate system the size of s_x and s_y units in the former user coordinate system. Example: 2 0.5 scale has the effect of stretching the x dimensions of subsequently drawn elements by a factor two, and of shrinking the y dimensions of subsequently drawn elements by half.
scalefont | expects a font and a scale factor on the stack, applies the scale factor to the font and returns the scaled font to the stack. The characters of a standard font have a line height of 1 unit; after scaling by a factor s the font will be s units high. See setfont.
setfont | establishes the font on the stack as the current font to be used by subsequent character operators, such as show. Use findfont to push the desired font on the stack. Use scalefont to scale it as needed. Then make it the current font using setfont. Example: /Arial findfont 20 scalefont setfont 50 50 moveto (outer surface) show establishes Arial with a height of 20 units as the current font and writes the string "outer surface" at the coordinates (50; 50).
setlinewidth | sets the line width parameter in the graphics state to the value indicated by the operand. This controls the thickness of lines rendered by subsequent execution of the stroke operator. Example: 0.5 setlinewidth sets the line width of all subsequently rendered lines to 0.5 units.
setrgbcolor | sets the current color parameter in the graphics state to a color described by the parameter red, green and blue, each of which must be a number in the range 0 to 255. This establishes the color subsequently used to paint shapes, such as lines, areas and characters, in the graphics area. Example: 0 0 255 setrgbcolor sets the color of subsequently drawn shapes to blue.
show | paints a specified text string in the graphics area, starting at the current point and using the font face, size and orientation specified by the most recent setfont. Example: 300 400 moveto (outer surface) show writes the text 'outer surface' to the graphics area, starting at the point (300; 400), which has been specified as the current point by the moveto operator. After execution, the current point is at the end
stroke | paints a line as defined by the current path, using the current color.
translate | adds a translation to the CTM. Requires two operands t_x and t_y, and moves the origin of the user coordinate system by t_x units in the x direction and t_y units in the y direction relative to the former user coordinate system. Example: 10 20 translate shifts all subsequently drawn elements 10 units to the right and 20 units up.
% | Lines starting with this character will be ignored. They can serve as comment lines.
/ | This character starts a literal string.
Previous topic:
Dialog: Geometry 		Topic 69 Next topic:
Dialog: Page Setup


Dialog: Page Setup

Use this dialog to define the home position and the default magnification for the assembly graphics. You can access it from the Geometry dialog, the Grid dialog, the Materials dialog and the Surface/Climate dialog with a right-click in the graphics area.

Origin x [mm]:
Origin y [mm]:

Defines the home position of the coordinate origin at x mm to the right and y mm above the lower left corner of the graphics area.

Scale [pxl/mm]:

Defines the default magnification to which the graphics area returns when you zoom out.

Previous topic:
Dialog: Geometry, PostScript-Interpreter 		Topic 70 Next topic:
Dialog: Numerical Grid


Dialog: Grid

Previous topic:
Dialog: Page Setup 		Topic 71 Next topic:
Dialog: Materials

Dialog: Numerical Grid

Use this dialog to specify the numerical grid for the component.

The transport equations cannot be solved analytically. To allow a numerical treatment, the building component must be divided into discrete grid elements. WUFI can automatically generate a general-purpose grid which will suffice for most cases (you can select one of three degrees of fineness for the grid).
In special cases (e.g. severe interstitial condensation in a narrow region) you may need to adapt the grid manually.

WUFI subdivides the component into a succession of layers in x and y direction. The widths of the individual layers are determined by the geometry of the component. For each layer, its grid is defined by specifying the number of grid elements in that layer and an expansion factor. The expansion factor is the ratio of the thicknesses of two adjacent grid elements in the layer. An expansion factor different from 1 will result in a smoothly expanding (>1) or contracting (<1) grid.
A table in the lower part of the dialog lists the layers and their widths, and for each layer the number of grid elements, the expansion factor and the resulting thickness of the first and last grid element in the layer.

Usually, WUFI automatically determines all these quantities by itself, but you can also manually adjust the grid parameters of each layer (see below).

For the discretisation of the transport equations, the values of the calculated temperatures and humidities are assumed to be constant across each grid element. Therefore, the size of each element should be chosen so as to make this assumption approximately valid, taking the local conditions into account. In general, this requires the use of small elements in regions where steep moisture or temperature gradients are to be expected, and allows the use of larger elements in more placid regions to cut down on calculation effort.
In general, steep gradients are to be expected close to the boundaries of a layer, i.e., close to the surfaces of the component because of the influence of climate conditions, and close to internal material interfaces because of condensation. Less variation will occur in the middle of each material.
WUFI therefore subdivides the component into layers in such a way that there is always an even number of layers between two material interfaces. The automatic grid generator then chooses expansion factors which are alternately greater and less than 1, thus creating a grid which expands in the middle of a material and contracts towards material interfaces.

Min. # of elements,
Very thin materials will only contain a very small number of grid elements. Here you can specify the minimum number of grid elements allotted to a layer by the automatic grid generator . Reasons for wanting a higher minimum number of elements may be, among others:
  • your component contains a thin membrane whose vapor permeability depends on its moisture content (e.g. a polyamide membrane). The moisture profile across the membrane should then be resolved faithfully enough so that the total vapor permeability can be determined accurately.
  • you have a thin material in the component whose material parameters differ markedly from the materials around it (e.g. a vapor barrier). In order to determine the heat or vapor flows between adjacent grid elements, WUFI must combine the heat conductivities or vapor permeabilities of both elements into one single conductivity value describing the effective conductivity between the grid element centers. If the elements belong to materials with markedly different material properties, this results in "smearing" part of each material into the neighboring material. While confined to the edges of the materials, in thin materials this affects a relatively large part of the whole construction element and may affect its properties, e.g. the permeance of the vapor barrier. Increasing the number of grid elements limits this averaging effect to a smaller portion of the construction element.
Max. # of elements,
Enter here the maximum number of grid elements that is available for distribution across the component. Fine grids will try to use all of these elements, medium and coarse grids will use proportionately less. You may increase this number in order to get a finer grid, you may decrease the number (within limits) to speed up the calculation.
Total # of elements:
WUFI tells you how many grid elements were actually used for the grid.

Right-click on the data table to access options for the automatic grid generation or switch to the manual editing mode:

ModeX,
ModeY:
For the x or the y direction, select between three degrees of fineness for the automatic grid, or activate the manual grid editor mode.

Coarse
Medium,
Fine:
Select between a coarse, medium or fine grid. WUFI is in general quite robust with respect to the choice of the grid. Finer grids are only needed when fine details in the temperature or moisture fields need to be resolved, or when coarse grids create numerical problems.
Manual:
If you need more control over the grid, you may manually specify the grid in x- and/or y-direction by entering the desired number of elements and expansion factor for each layer. For numerical reasons, the widths of adjacent grid elements should not be too different. So please use only moderate expansion factors, and refer to the widths of the first and last element of each layer in order to achieve a smooth continuity of grid element widths across layer interfaces.

Note: Project files created with a 3.x version of WUFI-2D will open with the grid mode set to Manual. This will preserve the original grid; otherwise the revised automatic grid generator would replace the original grid by a different one.
Previous topic:
Dialog: Page Setup 		Topic 71 Next topic:
Dialog: Materials


Dialog: Materials

After the geometry and position of an element have been defined, it must be filled with the appropriate material. That is, data describing the material properties must be assigned to the element.

A material may have different properties in x and y direction (example: the longitudinal capillary conductivity of wood is much larger than the radial conductivity). WUFI-2D therefore allows to assign different properties in the two directions.
If the properties are the same in x and y direction, the same material is assigned to both directions.

Point the cursor at one of the rectangular elements to highlight it and to display a help tip showing the assigned materials.

Click on the element to open the dialog "Allocation of properties (Material)" in which you can specify the material to be assigned:

• | If both directions are either empty or filled with the same material, clicking with the left or right mouse button will pre-set the allocation dialog to assign the selected material to both directions.
• | Otherwise, clicking with the left mouse button will pre-set the allocation dialog to assign the selected material to the x direction. Clicking with the right mouse button will pre-set the dialog to assign the material to the y direction. You can always override the pre-set choice with the x and y options in the allocation dialog. Note: A material can have different transport properties in x and y direction (such as thermal conductivity or capillary conductivity), but other properties can not be direction-dependent (such as the bulk density, the heat capacity, the moisture storage function etc.) If the latter properties are different in the data sets assigned to the x and y directions, WUFI uses the one for the x direction.

Instead of clicking on the rectangle, you may also click on the respective edit button in the list of rectangles provided in the lower part of the dialog.

You may pan and zoom the graph the same way you did in the Geometry dialog.

Previous topic:
Dialog: Numerical Grid 		Topic 72 Next topic:
Dialog: Allocation of Properties (Material)


Dialog: Allocation of Properties (Material)

This dialog serves to assign material properties to the rectangular element of the component on which you clicked to open this dialog. It presents a list of materials that are available to be assigned to rectangular elements.

The material currently assigned to the element (if any) is highlighted in a purple tint for reference. Select the desired material if it is already in the list and press the Assign button to assign the material to the element.

To add a new material to the list, press the New button. The material database dialog opens which allows you to select a material from WUFI's material database. The selected material is added to the list.

To create a copy of one of the listed materials, select the material and press the Copy button. The copy may serve as a starting point for creating a material with slightly different properties. Also, if two sections of the component shall contain the same kind of material but start with different initial temperatures or moisture contents, you may assign an identical copy of the material to the second section to be able to specify separate initial conditions for it.

To remove a material from the list, select the material and press the Delete button. You can only delete materials which are currently not assigned to the component.

In order to view or edit the data for a material in the list, select the material and press the Edit button. The Edit Material dialog opens which allows you to review or change the data for this material.
Double-click on the list entry to edit the name of the material.

Use the options x direction and y direction to specify whether you wish to assign the selected material to the x direction, the y direction or both. The options are pre-set depending on existing assignments (if any) and which mouse button you used to open this dialog.

Previous topic:
Dialog: Materials 		Topic 73 Next topic:
Dialog: Material Database


Dialog: Material Database

Use this dialog to access the material database.

The material database comes with an extensive collection of predefined hygrothermal material data sets which you can assign to the various rectangular elements of the assembly to be simulated.

The predefined material data sets are read-only and cannot be edited by the user. However, the user can edit the data sets assigned to the assembly; these edited data will be saved as part of the project file. Edited or newly created data sets can also be written to the user database for later use.

In this dialog, you can
• | search the material database,
• | view material data sets,
• | assign a material data set to an element of the assembly,
• | edit the catalog structure of the user-defined database,
• | edit existing materials and save them in the user-defined database.
• | create new materials and save them in the user-defined database,

Database organisation

The material database is organised by data sources (1). Usually the data source of a material is the institution which has provided the data. In addition, there are the following data sources:
• | The data source "Generic Materials" contains general material types such as vapour retarders with constant sd-value, air layers, soil etc.
• | The data source "User-defined" is the user-defined database.

Some data sources are divided into catalogs (2) which comprise a specific category of building materials each (e.g. "Plasters and Mortars", "Insulation Materials", etc).

Material display

The materials contained in the selected data sources and catalogs are displayed in the material list (3). Click on a data source in the database tree to display all materials in that data source. Click on a catalog to display only the materials in that catalog.

Click on the respective column header to sort the materials in the material list by their names or by one of the basic material parameters.

The following items are displayed for each material:
• | The basic material data are shown in the list itself.
• | The hygrothermal functions of the highlighted material are shown in the display area (4) below the material list.
• | Additional material information (if any) is shown on the tab "Material Information".

For a detailed discussion of the various material data, please refer to Reference: Material Data.

A line at the top of the material list shows where the material is located in the database structure. The path:

for example shows that the highlighted material can be found in the catalog "Masonry Bricks" of the data source "Fraunhofer-IBP" in "WUFI"s predefined material database.
A material may be assigned to more than one catalog.

To use the search function of the dialog, enter the search text in the search field above the database tree. WUFI scans the material names and info texts in the database and displays the hits in the material list (3).
When you click on one of the found materials, its location in the database is - as usual - displayed in the path line (see above). Furthermore, the respective location in the database tree is highlighted in blue.

Click on the "close" cross [image] of the search field to empty the field.

Press the escape key or click into the database tree to quit the search function.

Material retrieval

In order to transfer the material data of the highlighted material into the allocation list, click on the button "Assign" (6) or double-click on the material (3).

Note:
In the target element of the assembly, WUFI creates a copy of the material data set. The copied data can be edited in the assembly, and they are saved as part of the project data in the project file.
Editing the material data copied to the assembly does not affect the original material data in the material database. The edited material data may be written to the user-defined material database for later re-use.

User-defined database

The predefined data sources, catalogs and materials are read-only and cannot be changed by the user. The data source "User-defined" (7), however, is a user-editable database for user-defined materials.

Right-click on the data source "User-defined" in the database tree or one of its catalogs (if any) to open a popup menu which allows you to edit the structure of the user-defined database:
• | You can create a new catalog below the highlighted database level.
• | You can delete a catalog from the user-defined database. Sub-catalogs (if any) and materials (if any) in that catalog are then deleted as well. A deleted catalog (and its contents, if any) is moved to the recycle bin (8). If needed, the whole catalog with its contents, or individual sub-catalogs or individual materials can be restored.
• You can rename the highlighted catalog.
• When starting, WUFI automatically sorts the user-defined catalogs and materials alphabetically. If you have edited the database structure and want to re-establish the alphabetic sort immediately, you can manually re-sort the database.
• When you have cut or copied an existing material (either pre-defined or user-defined), you can paste that material into the highlighted catalog.
You also can edit the database structure by dragging and dropping an existing catalog to another location in the database.

Right-click on a material in the material list (3) to open a popup menu which allows you to edit the material.
• You can create a new material. Highlight an existing material, open the popup menu and choose "New material". This opens the material data dialog, pre-filled with the data of the highlighted material.

After editing the material (or leaving it unedited) you can write it to the user-defined material database.
• You can edit an existing material. Highlight the respective material, open the popup menu and choose "Edit material". This opens the material data dialog, pre-filled with the data of the highlighted material.

After editing the material you can write it to the user-defined material database.
• You can copy an existing pre-defined material. You can cut or copy an existing user-defined material. To paste the material into one of the user-defined catalogs, right-click on the respective catalog in the database tree.

Alternatively, you can drag and drop the materials with the mouse. Dragging moves the material, CTRL+dragging copies the material. The pre-defined materials are read-only and can be copied, but not moved.
• If you delete a material, it is moved to the recycle bin.

Use the button "Export" to write the data set of the highlighted material to an XML file (for example, for data exchange with other WUFI users).

Use the button "Import" to read a data set from such a file. The material will be added to the materials in the currently highlighted user-defined catalog.

Recycle Bin

Deleted user-defined catalogs and materials are moved to the recycle bin (8). If needed, they can be restored. When the recycle bin is emptied, they are gone for good.

• | Right-click on the "Recycle Bin" in the database tree to open a popup menu which allows you to empty the recycle bin, i.e. to remove all of its contents irretrievably.
• | Right-click on a catalog in the recycle bin to open a popup menu which allows you to restore the catalog with all its contents, or to delete it irretrievably from the recycle bin.
• | Right-click on one of the materials (3) in the recycle bin to open a popup menu which allows you to restore the material, or to delete it irretrievably from the recycle bin.

Note on the material database

The database contains typical data for typical materials which are therefore mainly suited to the investigation of typical situations.
The large variations often found in different batches of the same material or in equivalent materials of different manufacturers, and the influence of different standards of workmanship applied in different cases may lead to variations in the hygrothermal behavior of the investigated components.
When comparing simulations with real-life cases or drawing far-reaching (and maybe expensive) conclusions from simulations, you should be aware of possible sensitive reactions of the results on uncertainties or variations in the input data. It may be necessary to determine some input data very precisely to get a reliable result, while other input data may have no discernible effect on the results. You can use WUFI to perform a sensitivity analysis and to determine how sensitively the result depends on variations in the input data. (See also the discussion in the help topic Assessment Criteria.)

Previous topic:
Dialog: Allocation of Properties (Material) 		Topic 74 Next topic:
Dialog: Edit Material


Dialog: Edit Material

In this subdialog you can enter, edit or view the material data for the highlighted material.

For a detailed discussion of the material data, please consult the reference: Material Data.

Layer/Material Name:

The name of the current layer, as specified in the allocation list.

Lock status:

Sperr-Icon
The material data imported from the material database are initially locked and cannot be modified. If you want to edit the data, you must unlock them first by clicking on the lock icon.

As long as a material is locked, it is guaranteed that the original data from the material database are used; unlocked materials may differ from the original data. Once a material has been unlocked, it can not be locked again.

Unlocked data are labeled with an asterisk * in front of the material name.

Basic Data:

These basic material data are required as a minimum data set for a calculation. For a hygrothermal calculation, all of them must be specified:

• Bulk Density [kg/m3]
• Porosity [m3/m3]
• Specific Heat Capacity [J/kgK]
• Thermal Conductivity [W/mK]
• Water Vapor Diffusion Resistance Factor [-]

Typical Built-In Moisture [kg/m3]:
Layer Thickness [m]:
Thermal Conductivity, Design Value [W/mK]:
Color:

• | A typical application for WUFI is a calculation to determine the time it takes for a newly-built wall to dry out. For such a calculation, the initial moisture contents of those layers which contain trapped construction moisture must be set to appropriate high values. If you repeatedly need the construction moisture content (a.k.a. built-in moisture) for the current material, you may enter that value in this edit field. This edit field only serves as a convenient memo pad for this occasionally needed value. The calculation result is independent of whether this field contains a value or not.
• | The edit field "layer thickness" is not used in WUFI-2D.
• | Commercial products listed in the material database may have a design value for the thermal conductivity (in addition to the usual measured thermal conductivity) which may be used for design purposes. In WUFI-2D the design value is not used.
• | You can select the color of the material for the graphical display of the assembly.

Hygrothermal Functions:

The hygrothermal functions are material data which describe material properties not covered by the basic material data. They are not needed in all cases.

Some hygrothermal functions describe properties which are not present in all materials. The liquid transport coefficients are an example: They are needed for a correct description of the transport processes in capillary-active materials (e.g. brick), but they do not exist in non-capillary materials (e.g. mineral wool).

Other hygrothermal function provide refinements of the basic material data, such as moisture- or temperature-dependencies (if any) of the basic data. Whether such refinements are useful or even necessary depends on the case at hand.

Hygrothermal functions comprise more than one numerical value and are thus entered in tables. Often, it is laborious or expensive to obtain a detailed set of tabular data. For most hygrothermal functions, therefore, WUFI provides auxiliary functions which can interpolate (approximate) a complete table from two given table entries, or which can compute (generate) a table from related parameters which can be determined more easily.

• Moisture Storage Function:
Enter in this table the moisture storage function of the material, i.e. the sorption moisture contents [kg/m³] which result from exposition of the material to air with various relative humidities (0...1).
• If detailed tabulated data are not available, but the moisture storage function of the material can be adequately described by an approximation function, you can check the option "Approximate" and enter
  • the "Reference Water Content [kg/m³]"
    i.e. the sorption moisture corresponding to RH 0.8, (determined e.g. in compliance with German standard DIN 52620)

  • the "Free Water Saturation [kg/m³]"
as "Approximation Parameters". WUFI then uses an analytical moisture storage function which passes through these two points and the zero point.

• For non-hygroscopic materials, just leave the table of the moisture storage function empty. For numerical reasons, however, WUFI always needs a defined moisture storage function; it then uses a default function which allows for the very low sorption moisture of non-hygroscopic materials.
In this case, the table created by WUFI and the diagram are colored light green to remind the user that these are completely artificial data.
• Liquid Transport Coefficient - Suction
• Liquid Transport Coefficient - Redistribution:
If the material is capillary-active, enter the liquid transport coefficients in these tables - separately for suction and redistribution.

The accompanying diagram shows the tabulated values, plotted against the moisture content (bottom x-axis) and against the normalized water content, that is, the water content divided by the maximum water content wmax (top x-axis).

• If the liquid transport coefficients for the material at hand are not known, you can have WUFI automatically generate a table by estimating the coefficients from the water absorption coefficient (A-value) which is known for most materials or at least easily measurable.

To this end, check the option "Generate" and enter the A-value in the relevant line in the table "Approximation Parameters"
(in [kg/m²Ös]; the relevant German standard uses the non-SI units [kg/m²Öh]. Division by 60 converts such values to SI).

WUFI automatically generates a three-line table with the corresponding estimated liquid transport coefficients.

Please note that only a rough estimate is possible which proves successful in many cases, but which is not necessarily useful for all materials. Especially, there may be inaccuracies in the shape of the suction profiles. Generating is just meant to be some assistance; you should not blindly rely on it. Future WUFI versions are planned to offer more sophisticated methods.

Remarks on generating:
The estimate of the liquid transport coefficients from the A-value uses the moisture contents w80 and wf. If the moisture storage function is being approximated from w80 and wf (see above), the two values specified there are also used for generating the liquid transport coefficients - the edit fields for w80 and wf always have the same content in both dialogs. In this case, changing the values w80 and wf for the liquid transport coefficients will as a side effect also change the moisture storage function.

If the moisture storage function has been specified as a table, it is the responsibility of the user to ensure that the values entered for w80 and wf are compatible with the tabulated moisture storage function.

If no moisture storage function has been specified and WUFI therefore uses the default moisture storage function (displayed in light green) it is not recommended to use generated liquid transport coefficients, because the artificial moisture storage function is probably not an appropriate basis for estimating realistic liquid transport coefficients.

If you want to generate both the tables for suction and those for redistribution, both must of course be derived from the same A-value - the two tables therefore share this edit field in the "Approximation Parameters". Note that here, too, a modification of the A-value intended to change one coefficient may entail changes in the other one (if you are generating only one of the tables and editing the other one by hand, the non-generated table is not affected by a modification of the water absorption factor, of course).
• "Water Vapor Diffusion Resistance Factor, Moisture-dependent:
If you want to allow for a moisture-dependence of the diffusion resistance factor, enter in this table the diffusion resistance factor of the material as a function of moisture content.

The dry value of the diffusion resistance factor is one of the basic material data and thus must always be present. The function describing the moisture dependence (if any) is optional.
• Thermal Conductivity, Moisture-dependent:
If you want to allow for a moisture-dependence of the thermal conductivity, enter in this table the heat conductivity of the material as a function of its moisture content.

The accompanying diagram shows the tabulated values, plotted against the water content (bottom x-axis) as well as against the normalized water content, that is, the water content divided by the maximum water content wmax (top x-axis).

The dry value of the thermal conductivity (at 10°C) is one of the basic material data and thus must always be present. The function describing the moisture dependence (if any) is optional.

• If you are satisfied with a simple linear dependence of the heat conductivity on the moisture content, you can have WUFI automatically generate a two-line table by entering the moisture-induced heat conductivity supplement.

To this end, check the option "Generate" and enter the supplement as the "Approximation Parameter" (in [%/m-%]).
WUFI automatically generates a two-line table with the heat conductivities resulting for the dry condition and the maximum water content. Heat conductivities for intermediate moisture contents are linearly interpolated during the calculation.

Remarks on Generating:
The evaluation of the heat conductivity for maximum water content uses the basic material properties bulk density, porosity and heat conductivity dry. If these values are modified after generating, the generated table adapts automatically. Please note, therefore, that modification of a material property can also change another property as a side effect without this being immediately evident.

• Thermal Conductivity, Temperature-dependent:
If you want to allow for a temperature-dependence of the thermal conductivity, enter in this table the thermal conductivity as a function of the material temperature .

The reference value for thermal conductivity at 10°C is one of the basic material data and thus must be present. The function describing the temperature dependence (if any) is optional.
If you want to take a temperature dependence into account, enter corresponding pairs of values in the table. The table (unless it is generated, see below) always has a line for 10°C which reproduces the value for the thermal conductivity at 10°C which has been entered as one of the basic values. This line can not be changed.

• If you are satisfied with a simple linear dependence of the heat conductivity on the temperature, you can have WUFI automatically generate a two-line table by entering the temperature-induced heat conductivity supplement.

To this end, check the option "Generate" and enter the supplement as the "Approximation Parameter" (in [W/mK²]).
WUFI automatically generates a two-line table with the heat conductivities resulting for -20°C and 80°C. Heat conductivities for intermediate temperatures are linearly interpolated during the calculation.
• Enthalpy, Temperature-dependent:
If you want to allow for a temperature-dependence of the heat capacity, enter in this table the enthalpy as a function of the material temperature.

The temperature-independent heat capacity is one of the basic material data and usually sufficient. It may optionally be replaced by a temperature-dependent heat capacity. The temperature dependence is described by an enthalpy table.

As long as no complete enthalpy table has been entered, WUFI uses the constant specific heat capacity that is specified as one of the basic material data. As soon as an enthalpy table with at least two lines has been entered, WUFI switches over to this table and determines the specific heat capacity from the slope of the enthalpy curve at the relevant temperature.

A temperature-dependent heat capacity may be used to describe a phase change, such as the phase change occurring in a PCM ("phase change material").

Note: the moisture-dependence of the heat capacity is always automatically taken into account by WUFI. It adds the heat capacity of the current moisture content to the heat capacity of the building material.
Editing tabulated hygrothermal functions:
Double-click on one of the table cells to make that cell editable. (You may also use the cursor keys and the tabulator and enter keys to navigate in the table, press ctrl+enter to open the cell editor.)

Right-click in one of the tables for the hygrothermal functions to open a pop-up menu which allows editing the table.

Choose "Add entry above" to insert a new line above the highlighted line.

Choose "Add entry below" to insert a new line below the highlighted line.

Choose "Remove entries" to delete the highlighted line from the table. To delete several lines at once, first mark those lines by dragging the cursor over them with the left mouse button pressed.

Choose "from File...": to read the table entries from a text file. Each line in the text file must correspond to one line in the table, with two entries separated by blanks or tabulators. The decimal separator can be a decimal point or a comma.
Example for a moisture storage function:
0 | 0
0.5 | 32.0
0.8 | 60.0
0.9 | 88.0
0.97 | 116.0
1.0 | 575.0

Material Information:

The dialog tab "Material Information" may show comments, usage hints, data sources etc. for the current material. For some materials product photographs may be displayed. The content of this tab (if any) does not affect the calculation result.

Paste into Database:

This button opens a version of the current dialog which provides additional options for writing the current material data set to the material database:

• | Thickness: If you want to provide a list with predefined common thicknesses for this material in the material database, enter the list on this tab. These predefined thicknesses are not used by WUFI-2D, but they may be used by the one-dimensional WUFI-1D.
• | Assign Catalog: Select on this tab the catalog of the user-defined database to which the material shall be written. (Use the material database dialog to create or edit user-defined catalogs.)
Initiate the transfer to the database by closing the dialog with "OK". WUFI writes the data set to the database and returns to the normal version of the material data dialog.

Import...
Export...:

For easier data exchange, material data can be imported and exported via XML files.
Previous topic:
Dialog: Material Database 		Topic 75 Next topic:
Dialog: Initial Conditions


Dialog: Initial Conditions

Use this dialog to specify the temperatures and the moisture contents existing in the different materials of the component at the start of the calculation.

WUFI then initialises the temperature field and the moisture field of the component with the respective values (one temperature value and one moisture content value in every grid element). The calculation will start with these values and determine their further development in time.

Use initial conditions from table

This table lists all the materials used in the component. All the rectangles which are filled with the same material are represented by one line in the table. Enter the desired initial temperature and the initial water content or relative humidity in the respective fields of the table.

For the initial moisture, you may specify either the initial water content [kg/m³] or the corresponding relative humidity [0..1]. WUFI will automatically update the other value, using the moisture storage function of that material.
If you enter a moisture content above free saturation, the corresponding relative humidity will only be specified as "supersaturated".

Press CTRL + ENTER to assign the highlighted value to all the following materials in the table.

In this table, rectangular elements are considered to be filled with the same material if their material data in x direction are all identical, and if their material data in y direction are all identical. All these elements are represented by one line in the table, even if they are non-contiguous in the component.

If you have two elements in the construction which are filled with the same material but shall have different initial temperatures or moisture contents, make a copy of the material with a different name and assign that to the second element.

Notes:

If you wish to start the simulation with some trapped construction moisture, specify appropriately high moisture contents for the moist materials. The relevant section in the Questions and Answers topic may provide some guidance.

If, instead, you wish to start with some "typical" moisture state, without having a precise idea what that should be, you may simply assign an initial relative humidity of 0.8 to all materials.
• | It is the relative humidity which tends to assume a constant level across a building component in equilibrium, not the water content (this is because the relative humidity is directly related to the capillary pressure which tries to equilibrate).
• | Measurements show that the moisture content of a typical wall exposed to typical weather conditions can be roughly estimated as the equilibrium moisture at 80% RH.

Use initial conditions from file

If you wish to start the calculation with more sophisticated temperature and moisture distributions than constant values within each rectangle, you can let WUFI read the initial temperature and moisture fields from text files.

Specify the respective file(s) in the text field(s). For the initial moisture, you may specify either the initial water content [kg/m³] or the corresponding initial relative humidity [0..1]. Select the drop-down list accordingly, to tell WUFI how to interpret the provided file.

Reading initial conditions from a file allows you to continue a previous calculation, using the temperature and/or moisture field resulting from the previous calculation as the starting field(s) of the new calculation. To export a temperature, water content or relative humidity field for this purpose, open the calculation results in the result viewer WUFI2DMotion, right-click in the respective diagram and choose "Extract | Initial Conditions".

Previous topic:
Dialog: Edit Material 		Topic 76 Next topic:
Dialog: Surface/Weather


Dialog: Surface/Climate

Previous topic:
Dialog: Initial Conditions 		Topic 77 Next topic:
Dialog: Allocation of Properties (Surface/Climate)

Dialog: Surface/Weather

Use this dialog to assign surface coefficients and climatic boundary conditions to the different surface segments of the component.

The surface coefficients (such as the heat transfer coefficients, the solar absorptivities etc.) determine the strength of the heat and moisture exchange between the component and the ambient conditions. The climate data describe these ambient conditions.

Point the cursor at one of the surface segments of the component to highlight it. Press the mouse button to open the dialog "Allocation of properties (surface/climate)" in which you can specify the surface transfer coefficients and climate data to be assigned to that surface segment. The surface conditions you defined are collected in a list; you can assign each of them to any number of surface segments.

The building component has been built up from rectangular elements. The outline of this collection of rectangles represents the surfaces of the component. The outline consists of segments, each of which is the side of one of the rectangles. Surface conditions must be assigned to each of these segments.

If a large homogeneous surface happens to be broken up into segments because several rectangles were needed to model the internal structure of the component, you will usually assign the same surface conditions to all these segments. But you can also use the segments to model variations of the surface coefficients or the climatic conditions across the surface. You can even create additional segments (that is, rectangles) just for the purpose to model such variations.

You have complete freedom in assigning surface conditions to segments. WUFI does not perform any consistency checks. For example, it does not check whether all the segments which are assigned weather conditions appropriate for a west facade are all facing the same direction. Segments which are assigned the same surface conditions need not be contiguous.

There are three types of surface conditions:
• | Outdoor conditions are usually associated with weather data describing the weather acting on them.
• | Indoor conditions are usually associated with an indoor climate model.
• | Adiabatic surfaces are impermeable to heat and moisture flows. They can be used to model symmetry planes of the component.

Note that all surface segments of a component must have surface conditions assigned to them; otherwise the simulation will not run. Small segments resulting from the use of very narrow rectangles are easily overlooked.

You may pan and zoom the graph the same way you did in the Geometry dialog.

You can specify the default colors and line widths of the default, selected and assigned surface segments in the dialog "Options Settings".

Previous topic:
Dialog: Initial Conditions 		Topic 77 Next topic:
Dialog: Allocation of Properties (Surface/Climate)


Dialog: Allocation of Properties (Surface/Climate)

This dialog serves to define the surface properties of the component. That is, it allows to assign climatic boundary conditions and surface transfer coefficients to the surface segments of the component.

The climate data describe the ambient conditions. The surface transfer coefficients (such as the heat transfer coefficients, the solar absorptivities etc.) determine the strength of the heat and moisture exchange between the component and the ambient conditions.

The dialog presents a list of the surface properties you have defined so far. Each list item comprises a specific set of climate data, surface transfer coefficients, etc. If several surface segments share the same properties, it is sufficient to create one list item specifying these properties and to assign this item to all those surface segments.

There are three different kinds of surfaces:

• Exterior surfaces:

Exterior surfaces are exposed to the weather. A complete specification of the surface properties thus requires
∗ specification of the climate data, usually provided as a file with hourly weather data (but other choices are possible)

∗ specification of the orientation, inclination and rain exposure of the surface segment to allow computation of the impact of the directional weather elements on that segment

∗ specification of the surface transfer coefficients describing the interaction between the weather elements and the surface.

• Indoor surfaces:

Indoor surfaces are exposed to indoor conditions. A complete specification of the surface properties thus requires
∗ specification of the indoor climate, usually provided by one of several available indoor climate models.

∗ specification of two surface transfer coefficients: The indoor heat transfer coefficient and an indoor sd-value (if any). Surface transfer coefficients describing the interaction with solar radiation, rain etc. are not needed because these do not occur on indoor surfaces.

No orientation needs to be specified for indoor surfaces, because the only two indoor climate elements are temperature and relative humidity, and these are not directional.
• Adiabatic surfaces:

Adiabatic surfaces are impermeable to heat and moisture flows. You can use them to model an impermeable surface layer. (But such a layer will occur rarely. There are many materials which are completely impermeable to moisture, but very few will also be impermeable to heat. Vacuum insulation panels may come close.)

However, there is also another use for this kind of "surface": If your component and the boundary conditions are symmetric with respect to some symmetry axis, then no heat or moisture transport will occur across the symmetry axis, even if the axis does not coincide with some impermeable construction element. You can save on computation time by modelling only one of the symmetrical sections and treating the symmetry axis as an impermeable boundary.

Press the button New Exterior surface [image] to add a new exterior surface to the list.

Press the button New Indoor surface [image] to add a new indoor surface to the list.

Press the button New Adiabatic surface [image] to add a new adiabatic surface to the list.

Press the button Copy [image] to add a copy of the highlighted list item to the list. Such a copy may serve as a starting point for creating a list item with slightly different properties.

Press the button Delete [image] to remove the highlighted item from the list. You can only delete list items which are not assigned to any surface segment.

In order to view or edit the properties of a list item, click on the respective property (e.g. "Climate"). The right-hand side of the window will display a dialog which allows you to review and modify the climate, the orientation or the surface transfer coefficients.

To change the name of a list item, click on the name and change it as desired (e.g. 'south facade', etc.)

To change the color of a list item, click on the color box and change the color as desired. The default colors can be specified in the dialog "Options | Settings | Design | Surfaces".

You can also access the edit functions by right-clicking on a list item and choosing one of the functions offered by the pop-up menu.

To create a new list item via the pop-up menu, right-click anywhere in the list panel, choose "New" and choose the desired surface type, "Exterior" "Indoor" or "Adiabatic".

Previous topic:
Dialog: Surface/Weather 		Topic 78 Next topic:
Dialog: Select Climate


Dialog: Select Climate

At its surfaces the building component is exposed to the climatic boundary conditions which have a profound effect on its hygrothermic behaviour. As discussed in the topic Climate data, WUFI needs for each time step and for each of the surfaces data on the rain and radiation load acting upon the surface, and on the temperature and relative humidity of the adjacent air.

A two-dimensional building component usually has several different surfaces which may be exposed to different climatic conditions. Each of the surfaces must be assigned its respective boundary conditions. The boundary conditions may be given as

  • hourly data read from a climate file (describing an exterior or interior climate),

  • hourly interior conditions (describing an interior climate) derived from an exterior climate file through an appropriate model.
    WUFI has implemented the models of
    • standards EN 15026 and WTA 6-2
    • standard ISO 13788
    • standard ASHRAE 160

  • schematic yearly sine curves (describing an exterior or interior climate).

From Map / File:

Choose this option if the boundary conditions are to be read from a climate file.

The button "Set Climate..." (1) opens a dialog in which you can select the desired climate file from a map or through an open file dialog.

The button "Details..." (2) opens a subdialog which offers additional options for the selected climate data:
• If the file format contains special weather elements (e.g. ground temperatures), you can select these for use in the simulation.
• You may impose a temperature shift on the data set in order to create harsher conditions for design purposes.

Once you have selected a climate file, WUFI will plot the
• temperature and the
• relative humidity.
The thin curves show the data read from the climate file, the bold curves represent the centered moving monthly means for easier visual accessibility.
Depending on the contents of the climate file, you can select
• additional data diagrams
to display other climate elements contained in the file.

You can zoom into a diagram by dragging open a zoom frame from upper left to lower right at the desired location. You can zoom out to full view by dragging open a zoom frame from lower right to upper left at any location. Or use the mouse wheel to zoom smoothly in and out. Press CTRL and the left or right mouse button to pan the diagram.

On the right side of the dialog, WUFI
• shows some file info on the selected climate file. Info too long to fit is replaced by an info icon. Point the cursor at the info icon to display the info in a tooltip.
• lists the climate elements contained in the file. The abbreviations are those used in the WAC file format. Point the cursor at one of the abbreviations to display the full element name in a tooltip.

If the boundary conditions are read from a climate file of *.WET, *.TRY, *.DAT, *.WAC, *.IWC or *.WBC type, you also need to specify the orientation and inclination of the facade so that WUFI can convert rain and solar radiation for that direction. In all other cases either rain and radiation are irrelevant, or they have already been converted for the proper orientation and inclination (*.KLI).

Once you have selected a climate file, WUFI performs a climate analysis:

The climate analysis shows:

  • The minimum, maximum and mean air temperature.
  • The minimum, maximum and mean relative humidity.

  • The yearly counterradiation sum.
    WUFI shows the energy transported by the atmospheric counterradiation onto a horizontal surface (such as a flat roof) during the year. For multi-year data sets, the mean yearly energy sum is shown.
    Terrestrial counterradiation (if present in the file) is not taken into account in this analysis. If the file contains a column ILM (i.e. the long-wave irradiation measured on a receiving surface with a given orientation), the number displayed is the yearly sum of this column.

  • The mean value of the cloud cover (if present in the file).
    If a simulation using the explicit radiation balance mode is to be run, but no counterradiation data are available, the atmospheric counterradiation can be estimated from the cloud cover (with some loss of accuracy, of course).

  • The directional distribution of solar radiation, represented by a radiation rose.
    The radiation rose shows the yearly sums of global radiation, as incident on receiving surfaces with different orientations and inclinations. For multi-year data sets, the mean yearly energy sums are shown.
    The different orientations are indicated along the circumference; the inclination increases from the center (horizontal surface, flat roof) towards the edge (vertical surface, facade).
    The radiation incident on non-horizontal surfaces includes a component which has been reflected by the ground. For the computation of the radiation rose, a terrestrial short-wave absorptivity of 0.2 has been assumed.

    Hover the cursor over one of the color-coded fields to display the corresponding numerical value in a tooltip.

    Note: In temperate geographical latitudes, the radiation rose shows a marked radiation maximum on surfaces which are inclined towards the south (in the southern hemisphere: towards the north). Major deviations from this may indicate that a wrong time zone is specified in the climate file or that the time stamps of the radiation measurements are not correct (e.g. due to a wrong clock setting of the measuring system, to daylight saving time being confused with standard time, etc.), and WUFI thus obtains incorrect solar positions. Minor asymmetries of the radiation rose may be due to local asymmetries of solar irradiation (e.g. regular shading of the sun in the evening, mornings being more hazy than afternoons, etc).

  • The mean wind speed.
  • The yearly sum of the normal rain, i.e. the total amount of rain incident on a horizontal receiving surface. For multi-year data sets, the mean yearly rain sum is shown.
  • The directional distribution of the driving rain, represented by a driving rain rose.
    The driving rain rose shows the yearly sums of driving rain on free-standing vertical surfaces (R2 = 0.2 s/m) with different orientations. For multi-year data sets, the mean yearly driving rain sums are shown.

    Note: The driving rain rose shows the driving rain load on differently oriented surfaces, not the directional distribution of driving rain itself. For example, even if all the driving rain always came from exactly the same direction, all surfaces oriented within a range of ±90° around that direction would show some driving rain load. (Because of the cosine dependency of the driving rain component hitting the surface, a circular curve would result in such a situation. This is approximately the case in the above screenshot.)

These data will give you an overview of the most important characteristics of the selected climate file. In particular, the radiation and driving rain roses show the directions from which the radiation and rain loads on the facade are mainly to be expected.

*.KLI files can not be analyzed, since their radiation and rain data have already been converted for a fixed orientation and inclination.
The analysis of *.WET files is independent of any options you may have selected in the "Details..." subdialog; that is, the temperature analysis always reads the air temperature from the file, the radiation analysis always reads the global and diffuse radiation on a horizontal surface and the driving rain analysis always reads the normal rain and the wind speed and direction.

EN 15026 / WTA 6-2:

With this option you can choose an interior climate derived from the selected exterior climate, using the simple model specified by EN 15026 [1] or WTA 6-2 [2].

In this model, the variation of the indoor air temperature is derived from the outdoor air temperature via a specified transfer function. The daily centered moving mean of the outdoor temperature is used as function input.

The ramp-shaped transfer function is based on the assumption that when outdoor temperatures are below 10°C, the indoor temperature will be held at 20°C by heating or air conditioning; that for higher outdoor temperatures the indoor temperature increases linearly but not higher than 25°C.

The variation of the indoor air humidity is also derived from the (daily centered moving mean of the) outdoor air temperature via a specified transfer function.

The ramp-shaped transfer function is based on the assumption that when outdoor temperatures are below -10°C, the indoor humidity assumes a minimum winter value; that for higher outdoor temperatures the indoor humidity increases linearly; and that for outdoor temperatures above 20°C the indoor humidity assumes a maximum summer value.

WUFI offers a few pre-defined humidity transfer functions for selection which have been proposed by standard EN 15026 [1] and WTA Guideline 6-2 [2]. Depending on the moisture load of the involved type of room, the pre-defined transfer functions have the following minimum and maximum values for the indoor air humidity:

Moisture Load | WTA 6-2 | EN 15026 | Rel. Humidity
• Low | E.g. office spaces, classrooms, salesrooms. This option contains no hygric safety margin. | - | 25 % ‑ 55 %
• Medium | Normal case. Residential spaces and similar rooms, including kitchens and bathrooms. | Residential and office spaces with normal occupancy. | 30 % ‑ 60 %
• Medium + 5 % | As before, but increased by five percentage points to provide additional safety margin for hygric design purposes. | - | 35 % ‑ 65 %
• High | Buildings with exceptionally high occupancy. | Residential and office spaces with high occupancy. | 40 % ‑ 70 %

ISO 13788:

With this option you can choose an interior climate derived from the selected exterior climate, using the simple models specified by ISO 13788 [3].

Continental and tropical climates

For continental and tropical climates, ISO 13788 proposes a model which derives the indoor air temperature and humidity from the daily mean of the exterior air temperature, using the same ramp-shaped transfer functions as EN 15026 and WTA 6-2 (see above).

Therefore, in WUFI you can use the model "EN 15026 / WTA 6-2" for these climates, with the following settings:

ISO 13788 | Rel. Humidity | Moisture Load in the Model EN 15026, WTA 6-2
Residential and office spaces with normal occupancy | 35 % ‑ 65 % | normal + 5 %
Residential and office spaces with high occupancy | 40 % ‑ 70 % | high

The transfer function for determining the indoor air temperature from the outdoor air temperature is the same as the one used in the model "EN 15026 / WTA 6-2".

Maritime Climates

For maritime climates ISO 13788 proposes a model which determines indoor air humidity by adding a specified moisture load to the exterior air humidity. "Maritime" refers to coastal and near-coastal regions.

The moisture load is the difference between the water vapor concentrations of the indoor and the outdoor air. It depends on the indoor moisture production and the air change rate:

moisture load [g/m³] = moisture production [g/m³h] / air change rate [1/h].

Experience shows that the moisture load decreases approximately linearly with increasing outdoor temperature, because ventilation is more intense in warmer seasons.

ISO 13788 defines moisture load curves for five humidity classes. These moisture load curves to be used for the calculation are the upper limits of the moisture load ranges for the respective building types. In each humidity class, the moisture load curve has a constant maximum value for temperatures below 0°C, decreases linearly for temperatures between 0°C and 20°C, and assumes a constant minimum value for temperatures above 20°C. The moisture load curves are to be evaluated with the monthly mean outdoor air temperature as input.

Humi- dity class | Building | Moisture Load [g/m3]
1 | Unoccupied buildings, storage of dry goods | 2 .. 1
2 | Offices, dwellings with normal occupancy and ventilation | 4 .. 1
3 | Buildings with unknown occupancy | 6 .. 1
4 | Sports halls, kitchens, canteens | 8 .. 1
5 | Special buildings, e.g. laundry, brewery, swimming pool | 10 .. 2

These moisture load curves have been derived from measurements in West European buildings. You may also specify your own moisture load curve by selecting "User-defined" from the drop-down list: the function table becomes editable for you to enter your own function values.

Based on ISO 13788, WUFI determines the indoor air conditions as follows:

The indoor air temperature is set to a constant (user-editable) value.

The relative humidity for the interior climate is determined from the interior air temperature and the absolute humidity of the interior air, Ni. For Ni, we have:

Ni = Na + DN
Ni | : | interior absolute humidity,
Na | : | exterior absolute humidity,
DN | : | moisture load, determined from the outdoor air temperature qa by means of the moisture load function.
Na = ja · absolute-humidity-at-saturation(qa)
qa | : | monthly centered moving mean of exterior air temperature
ja | : | monthly centered moving mean of exterior relative humidity

Note: In WUFI 6.0 and WUFI-2D 4.0 this model has been revised to reflect the changes in the updated ISO 13788 (2012). Previously, the standard did not specify a moisture load curve for humidity class 5, and the moisture load curves reached 0 g/m3 at 20°C (now: 1 g/m3). There was no distinction between continental and maritime climates. The description of the humidity classes was as follows:
Humi- dity class | ISO 13788 (2001) | ISO 13788 (2012)
1 | Storage areas | Unoccupied buildings, storage of dry goods
2 | Offices, shops | Offices, dwellings with normal occupancy and ventilation
3 | Dwellings with low occupancy | Buildings with unknown occupancy
4 | Dwellings with high occupancy, sports halls, kitchens, canteens buildings heated with un-flued gas heaters | Sports halls, kitchens, canteens
5 | Special buildings, e.g. laundry, brewery, swimming pool | Special buildings, e.g. laundry, brewery, swimming pool

ASHRAE 160

With this option you can derive the interior climate from an exterior climate, using the algorithm specified by ASHRAE Standard 160 [4].

For details please refer to: ASHRAE Standard 160, "Criteria for Moisture Control Design Analysis in Buildings" [4]. WUFI determines the indoor climate by the method illustrated in "Flowchart 3. Indoor design humidity, intermediate method".

Sine Curves:

Hygric processes (e.g. redistribution of moisture by vapor diffusion) often occur at a relatively slow pace. If only the long-term hygric behavior of a component is of interest, it may be permissible to ignore short-term (i.e. hourly or daily) fluctuations of the boundary conditions and to take into account only the longer-term yearly trend. (This also requires that the quickly varying quantities rain and sunshine play no role.) In such cases, simple sine curves with a yearly period or even constant values may be used to describe the ambient temperature and humidity.

These requirements are often met by the indoor climate: The daily variations of the indoor temperature and humidity are strongly damped by the heat and sorption capacities of the furnishings; the remaining short-term fluctuations only have a small, superficial penetration depth and have a negligible effect on the hygrothermal behavior of the building component as a whole. Rain and sunshine usually do not occur in indoor spaces.

If rain and sunshine play no role in the considered case, and if the hygrothermal inertia of the component is large enough, even the exterior climate may be modeled in this simplified way.

If Sine Curves have been selected to describe the boundary conditions, WUFI generates
• | the temperature as a sine wave with a one-year period and with the shape specified by the yearly mean value, the amplitude and the day of maximum entered by the user.
• | the relative humidity as a sine wave with a one-year period and with the shape specified by the yearly mean value, the amplitude and the day of maximum entered by the user.

A drop-down list offers the following pre-defined curve parameters:
• | Indoor Conditions, | Low Moisture Load: | 21° | ± | 1°, | 45 % | ± | 15 %
• | Indoor Conditions, | Medium Moisture Load: | 21° | ± | 1°, | 50 % | ± | 10 %
• | Indoor Conditions, | High Moisture Load: | 21° | ± | 1°, | 55 % | ± | 5 %
• | Outdoor Conditions: |  | 9° | ± | 9°, | 80 % | ± | 8 %

The curves describing the indoor conditions have been derived from measurements in residential homes [5]:
• The temperature curves follow the average yearly temperature variation measured in residential homes.
•

The humidity curves represent the moisture loads measured in residential homes. The moisture load describes the moisture production in the respective rooms.

The moisture load is the difference between the water vapor concentrations of the indoor and the outdoor air. It depends on the indoor moisture production and the air change rate:

moisture load [g/m³] = moisture production [g/m³h] / air change rate [1/h].

The measurements show that the moisture load decreases approximately linearly with increasing outdoor temperature, because ventilation is more intense in warmer seasons.

The following classification has been used [5]:
• | Low moisture load: | e.g. office spaces
• | Medium moisture load: | residential spaces, including "damp rooms" such as kitchen and bathroom
• | High moisture load: | extraordinary moisture production

The default curves suggested for describing indoor humidities have been derived by adding the maximum moisture load expected for the respective room type to the outdoor water vapor concentrations of the climate regions represented by the German Test Reference Years (1986, [6]) and then fitting sine curves through the monthly means averaged over all twelve data sets. These curves therefore represent typical indoor conditions in Germany [5].

The default curves suggested for describing outdoor conditions have been derived from the German Test Reference Years (1986, [6]) by fitting sine curves through the monthly means averaged over all twelve data sets for temperature and humidity, respectively. These curves therefore describe typical conditions in Germany [5].

If you wish to use other values than the suggested defaults, choose "User-Defined" from the drop-down list and enter your values in the text boxes which can now be edited. If you want to simply use constant values, you may hide the text boxes for amplitude and day of maximum by checking the option "constant".

If sine curves are used for the surfaces of "outdoor" type, no orientation and inclination need to be specified, since there is neither rain nor solar radiation.

Literature:

[1] | DIN EN 15026:2007-07: Wärme- und feuchtetechnisches Verhalten von Bauteilen und Bauelementen - Bewertung der Feuchteübertragung durch numerische Simulation. Beuth, Berlin 2007
[2] | WTA-Merkblatt 6-2 (12.2014/D): Simulation wärme- und feuchtetechnischer Prozesse (Simulation of Heat and Moisture Transfer.) Fraunhofer IRB-Verlag, 2014
[3] | DIN EN ISO 13788:2013-05: Wärme- und feuchtetechnisches Verhalten von Bauteilen und Bauelementen - Oberflächentemperatur zur Vermeidung kritischer Oberflächenfeuchte und Tauwasserbildung im Bauteilinneren - Berechnungsverfahren. Beuth Verlag Berlin, 2013
[4] | ASHRAE ANSI Standard 160: Criteria for Moisture-Control Design Analysis in Buildings. 2009
[5] | Künzel H.M.: Bedeutung von Klimabedingungen und Diffusionseigenschaften für die Feuchtesicherheit voll gedämmter Altbaudächer. in: Hauser, G. (Hrsg.): Bauphysik. Berichte aus Forschung und Praxis. Festschrift zum 60. Geburtstag von Karl Gertis Fraunhofer IRB Verlag, Stuttgart, 1998 See also Künzel H.M.: Raumluftfeuchte in Wohngebäuden - Randbedingung für die Feuchteschutzbeurteilung. Wksb - Zeitschrift für Wärmeschutz, Kälteschutz, Schallschutz, Brandschutz 51 (2006), Nr. 56, S. 31-41 (online) (English translation: Indoor Relative Humidity in Residential Buildings - A Necessary Boundary Condition to Assess the Moisture Performance of Building Envelope Systems. (online))
[6] | Blümel, K. et al.: Entwicklung von Testreferenzjahren (TRY) für Klimaregionen der Bundesrepublik Deutschland. BMFT-Forschungsbericht T 86-051.

Previous topic:
Dialog: Allocation of Properties (Surface/Climate) 		Topic 79 Next topic:
Dialog: Climate File | Select from Map


Dialog: Climate File | Select from Map

This dialog allows to select a climate file for the calculation.

The tab Select from Map shows a map with predefined climate locations which can be selected with a simple mouse click.

On the map, locations are marked
for which climate files are included with WUFI,
for which pre-registered climate files are available from other sources,
for which user-defined climate files have been registered in the user folder and which are marked for display on the map.
(see the tab "Select user-defined file")

To zoom in and out, use the mouse wheel or press CTRL and the + or - key.
To pan the map, drag the cursor with the left or right mouse button pressed.

Region/Continent:

You can center the map on one of the pre-defined regions in the drop-down list.

Location:

If you have selected a region from the drop-down list "Region/Continent", the alphabetic location list offers all the locations marked in this region for selection.

If you have selected a location by clicking on the map, this location will be shown here, independent of the selected region.

For some locations, several climate files are available (e.g. one warm and one cold year). The data set list allows to choose between them.

Comment:

If comments or remarks are available for the selected file, they can be displayed here.

Currently, the following climate files are supplied with WUFI Pro:

Argentina: Buenos Aires
Austria: Graz, Innsbruck, Vienna
Belgium Brussels, Oostende, Saint Hubert
Canada: Calgary, Edmonton, Montreal, Ottawa, Quebec, St. John's, Toronto, Vancouver, Winnipeg
(some of these with one warm and one cold year)
For the following locations three years with different degrees of severity w.r.t. moisture damage within the building envelopes according to ASHRAE RP 1325 are available:

Calgary, Ottawa, Quebec, St. John's, Toronto, Vancouver, Winnipeg
Chile: Santiago de Chile
Czechia: Hradec Králové
Finland: Espoo, Helsinki, Jyväskylä, Sodankylä
France: Bordeaux, Brest, Grenoble, Marseille, Nancy, Trappes
Italy: Agrigento, Bari, Bozen, Bruneck, Catania, Cosenza, Enemonzo, Mailand, Modena, Oristano, Tarvisio, Triest, Turin, Udine
Japan: Akita, Miyazaki, Naha, Niigata, Sapporo, Tokyo, Yokohama
New Zealand: Auckland, Dunedin, Hokitika, Christchurch, Kaitaia, Lauder, Napier, Nelson, New Plymouth, Queenstown, Rotorua, Ruakura, Tauranga, Wellington.
Norway: Bergen, Gardermoen, Karasjok, Kise pa Hedmark, Kristiansand, Kristiansund, Mo i Rana, Oslo, Roeros, Tromsoe, Trondheim, Vaernes
Poland: Kolobrzeg, Krakow, Warsaw.
Portugal: Lisbon.
South Korea: Andong, Busan, Cheongju, Chuncheon, Chupungnyeong, Daegu, Daegwallyeong, Daejeon, Gangneung, Gwangju, Incheon, Jeju, Jeonju, Jinju, Mokpo, Pohang, Seosan, Seoul, Suwon, Wonju
USA: For the following locations, the 10%-warmest and the 10%-coldest year selected from 30 years are available:

Albany NY, Albuquerque NM, Amarillo TX, Anchorage AK, Atlanta GA, Baltimore MD, Billings MT, Birmingham AL, Boston MA, Boulder CO, Buffalo NY, Casper WY, Charleston SC, Chicago IL, Cleveland OH, Des Moines IA, Detroit MI, El Paso TX, Elko NV, Fargo ND, Fresno CA, Honolulu HI, Houston TX, Indianapolis IN, International Falls MN, Jacksonsville FL, Kansas City MO, Knoxville TN, Las Vegas NV, Lexington KY, Little Rock AR, Los Angeles CA, Madison WI, Memphis TN, Miami FL, Minneapolis MN, Nashville TN, New Orleans LA, New York City NY, Oklahoma City OK, Omaha NE, Philadelphia PA, Phoenix AZ, Pittsburgh PA, Providence RI, Roanoke VA, Salt Lake City UT, San Antonio TX, San Diego CA, San Francisco CA, Seattle WA, Spokane WA, St. Louis MO, Tampa FL, Wilmington NC.
For the following locations three years with different degrees of severity w.r.t. moisture damage within the building envelopes according to ASHRAE RP 1325 are available:

Albany NY, Albuquerque NM, Amarillo TX, Anchorage AK, Asheville NC, Astoria OR, Atlanta GA, Atlantic City NJ, Austin TX, Baltimore ND, Billings MT, Birmingham AL, Bismarck ND, Boise ID, Boston MA, Boulder CO, Brownsville TX, Buffalo NY, Burlington VT, Casper WY, Charleston SC, Charlotte NC, Chicago IL, Cleveland OH, Colorado Springs CO, Columbus OH, Concord NH, Dayton OH, Daytona Beach FL, Des Moines IA, Detroit MI, El Paso TX, Elko NV, Eugene OR, Fairbanks AK, Fargo ND, Flagstaff AZ, Fort Wayne IN, Fort Worth TX, Fresno CA, Grand Island NE, Grand Rapids MI, Green Bay WI, Hartford CT, Houston TX, Huntington WV, Indianapolis IN, International Falls MN, Jackson MS, Jacksonville FL, Kansas City MO, Key West FL, Knoxville TN, Las Vegas NV, Lexington KY, Little Rock AR, Los Angeles CA, Louisville KY, Macon GA, Madison WI, Memphis TN, Miami FL, Minneapolis MN, Mobile AL, Nashville TN, New York City NY, Norfolk VA, Oklahoma City OK, Omaha NE, Philadelphia PA, Phoenix AZ, Pittsburgh PA, Port Arthur TX, Portland OR, Providence RI, Raleigh NC, Rapid City SD, Reno NV, Roanoke VA, Sacramento CA, Salt Lake City UT, San Antonio TX, San Diego CA, San Francisco CA, Savannah GA, Seattle WA, Sheridan WY, Spokane WA, Springfield MO, St. Louis MO, Syracuse NY, Tampa FL, Tucson AZ, Tulsa OK, Victoria TX, Wichita KS, Wilmington DE, Yakima WA.
Spain: Barcelona, Bilbao, Madrid, Malaga, Palma.
Sweden: Borlänge, Göteborg, Karlstad, Kiruna, Luleå, Lund, Norrköping, Östersund, Stockholm, Umeå, Växjö, Visby
Switzerland: Davos, Locarno, Zurich
(with one warm and one cold year each)
The 12 West German climate regions for which test reference years (1986 edition) are included, have the reference stations
Augsburg, Bremerhaven, Essen, Frankfurt/M., Freiburg, Friedrichshafen, Hannover, Hof, Munich, Stötten, Trier, Würzburg
The 15 German climate regions for which test reference years (2004 edition) are included, have the reference stations
Bad Marienberg, Braunlage, Bremerhaven, Chemnitz, Essen, Fichtelberg, Garmisch-Partenkirchen, Hamburg, Hof, Kassel, Mannheim, Passau, Potsdam, Rostock, Stötten
(cold / average / warm files for each)
The 11 German climate regions for which IBP has compiled hygrothermal reference years (HRY) have the reference stations
Braunlage, Chemnitz, Fichtelberg, Fürstenzell, Hamburg, Kassel, Lindenberg, Mannheim, Potsdam, Stötten, Warnemünde
(one HRY, one cold HRY and one eight-year design climate sequence for each).
Further German climate files are provided for
Holzkirchen (2 data sets: Year 1991, Moisture Reference Year 2005/06).

The Holzkirchen weather data are supplied by IBP, other data are courtesy of Mr. William Seaton, ASHRAE (USA and Canada), Dr. K. Krec, Büro für Bauphysik (Austria), Dr. Ghazi Wakili, EMPA (Switzerland), CSTB (Grenoble), FEUP, Uni Porto (Lisbon), VTT (Finland), NBI/NTNU (Norway), TU Lodz (Poland), the Architectural Institute of Japan (AMeDAS data for Japan) and others (see the comments for the respective files).
The 1986 (Blümel et al., 1986) and 2004 (Christoffer et al., 2004) Test Reference Years are included with kind permission of the German Meteorological Service DWD.
The data source for the three severe years for American and Canadian cities is ASHRAE Research Project 1325. The adaption for WUFI has been conducted by the Oak Ridge National Laboratory, sponsored by the U.S. Department of Energy.

Some of the files included with WUFI have been provided to IBP under the condition that they can only be used with WUFI. These files have been converted to the encrypted WBC format.

Predefined locations for which weather data can be purchased separately are initially grey [image]. Please copy such a file into WUFI's Climate folder; on the next start WUFI will recognize the file and display the file as available [image].
Currently (WUFI-2D version 4.0), 842 locations are available for Japan. Depending on the WUFI version, data for one or seven locations are included with WUFI.
For Austria, 16 locations are available, of which three are included with WUFI.
See Sources for Climate Data for where to purchase files which are not included.

Previous topic:
Dialog: Select Climate 		Topic 80 Next topic:
Dialog: Climate File | Select File


Dialog: Climate File | Select File

This dialog allows to select a climate file for the calculation.

Under the tab Select user-defined file you can select a climate file from a user folder (1) in which you have collected frequently used user-defined climate files for quick and easy access.
The files listed here can also be displayed on the climate selection map (see tab "Select from Map").

Less frequently used files can also be selected via a Browse... dialog (2).

User Folder: (1)

For easier access, you can copy frequently needed user-defined climate files to a user folder managed by WUFI. Use the button Add to add a file, use the button Remove to remove a file.

To select a file for a simulation, highlight the respective line in the list and close the dialog with OK.

The list displays the following info for the files in the user folder:

• File Name:
The name of the climate file.
• Location:
The name of the location to which the climate data refer. The name is extracted from the file header (if given there), but it can also be edited by the user.
• Geographic Latitude
• Geographic Longitude
The geographic latitude and longitude of the climate location. They are extracted from the file header (if given there), but they can also be edited by the user.

WUFI needs accurate geographic coordinates to convert the solar radiation for the orientation and inclination of the surface under investigation.

Note: To avoid ambiguity, the respective hemispheres North/South and East/West are automatically spelled out, while in edit mode the signs + (for North or East) and - (for South or West) are used.
• Altitude
The altitude of the climate location. It is extracted from the file header (if given there), but it can also be edited by the user.

The altitude is needed if the barometric pressure needs to be converted from sea level to station height, or if pressure data are missing and a mean barometric pressure must be estimated.
• Time Zone
The time zone of the climate location. It is extracted from the file header (if given there) or from an accompanying AGD file, but it can also be edited by the user.

WUFI needs the time zone to convert the solar radiation for the orientation and inclination of the surface under investigation.
• Comment
(optional)
The user-editable comment field may contain comments or remarks concerning the weather data set.
• Description
(optional)
If the climate data set is displayed on the map (see below), the user-editable description can distinguish data sets for the same location.
• Show on map
(optional)
Check this option if the climate location shall be displayed on the map of the climate selection dialog. It can then be selected with a simple click on the map.

In the map selection dialog,

∗ | a clickable dot [image] will be added to the map at the specified coordinates (see above),
∗ | a new entry with the name of the location (see above) will be added to the location list. If there are already entries for the same location, the new entry will be added to the existing entries; the different data sets will be distinguished by the different "description"s (see above) in the data set list.
∗ | a comment added to the selected data set (see above) will be shown in the comment field.

Click on a column head to sort the user folder list by the contents of the respective column.

WUFI tries to read the non-optional data from the header of the climate file or - if one exists - from an accompanying *.AGD file. Data which WUFI failed to determine must be provided by the user.
If needed, the user can manually change the data determined by WUFI, but this should only be done after due consideration.

Note: WUFI creates the user folder as a subdirectory in the path AppData\Roaming. WUFI automatically manages the contents of this folder.
Browse: (2)
If you want to select a user-defined climate file "just quickly" without adding it to the user folder, use the button Browse... to open a normal file dialog for selecting the desired file.

Geographic Data:

In order to use the weather data in a simulation - in particular, to convert solar radiation for non-horizontal surfaces - WUFI needs geographical data for the respective location. These text fields show the geographical data for the selected climate file.

WUFI tries to read these data from the header of the climate file or - if one exists - from an accompanying *.AGD file. Data which WUFI failed to determine must be provided by the user.
Data fields which require user input are marked in pink. Closing the dialog with OK (and thus assigning the selected climate file) is only possible if all the missing data have been filled in. From this user input, WUFI automatically creates an *.AGD file accompanying the selected climate file so that it will be available when that climate file is selected next time.
Previous topic:
Dialog: Climate File | Select from Map 		Topic 81 Next topic:
Dialog: Climate File | Details


Dialog: Climate File | Details

Previous topic:
Dialog: Select Climate File (with file browser) 		Topic 82 Next topic:
Dialog: Edit Orientation

Dialog: Climate File | Detailed Options

This dialog offers some options for climate files.

  • A user-defined temperature shift may turn a weather data set representing average conditions into a more severe data set for design purposes.
  • Additional weather elements provided by WET files may be selected for use.
  • The automatic assignment of interior and exterior climate data in KLI files may be overridden manually.

Temperature Shift (EN 15026):

The option to shift the air temperatures that are being read from the weather file by a constant, user-editable amount allows to expose building components to harsher conditions even if the original weather data only represent typical average conditions.

Standard DIN EN 15026 suggests a shift of ±2 K; the temperature conditions created in this way correspond to extreme years that may occur about once in ten years. The applied shift may be chosen positive or negative, depending on which stress mechanism is to be intensified: Higher temperatures increase summer condensation etc., lower temperatures increase winter condensation, reduce the drying potential, etc.

The relative humidity is always left unchanged as supplied by the weather file. While the relative humidity of an isolated volume of air would decrease when the air is heated, it is assumed here that the air masses (probably arriving from elsewhere) had enough time to adjust their moisture content by sufficient contact with their surroundings.

However, the water vapor partial pressure corresponding to a given constant relative humidity changes with temperature. Please note, therefore, that processes and material properties that depend on relative humidity (such as the equilibrium moisture content reached by a material) remain unchanged (unless there is an explicit temperature dependence), while processes and properties depending on the vapor pressure (such as vapor diffusion transport) will change.
If you wish to treat humidity in a different way, you can create a weather file which you have modified appropriately. (The *.WAC format is the most convenient file format for editing by the user.)

Some climate formats offer additional options:

*.WET files:

*.WET files contain columns for additional measured data that might be useful for a hygrothermic simulation:

"Temperature":

*.WET files may contain several columns with measured temperatures. WUFI usually reads and uses the air temperature. However, it may optionally read and use surface temperatures of a white and a black facade or the ground temperatures at different depths.

"Black surface",
"White surface":

A *.WET file created for Holzkirchen contains the measured surface temperatures of an aged 'white' (as ≈ 0.4) and a 'black' (as ≈ 0.9) west-facing facade specimen modeled after an ETICS. If you want to expose your component to the same surface temperatures, select the respective option and set the heat transfer resistance for the exterior surface to zero. WUFI then reads the corresponding temperature from the file and uses it as the 'exterior air temperature' for the calculation; the vanishing heat transfer resistance takes care that the surface assumes the same temperature.

Using measured surface temperatures also requires proper treatment of other climate quantities:

"Relative humidity":
The relative humidity in the climate file is based on the temperature contained in the column 'Exterior air temperature'. If, instead, one of the surface temperatures is used as the 'air' temperature, this combination will result in wrong water vapor partial pressures at the component surface. The option "Adjust relative humidity" adjusts the relative humidity read from the file so that the correct partial pressures result at the surface.

"Radiation":
If the surface temperature of the component has been set to assume the measured surface temperature, "No radiation" must be used for the calculation, since the thermal effect of the solar radiation is already included in the measured temperature.

"Ground surface":

For calculating heat transport within the ground it may be helpful to use measured ground surface temperatures as boundary conditions. Select this option and set the heat transfer resistance for the exterior surface to zero. WUFI then reads the corresponding temperature from the file and uses it as the 'exterior air temperature' for the calculation; the vanishing heat transfer resistance takes care that the surface assumes the same temperature.
The ground surface temperatures recorded in Holzkirchen are measured a few centimeters below the actual surface.

Using measured ground surface temperatures also requires proper treatment of other climate quantities:

"Relative humidity":
The relative humidity in the climate file is based on the temperature contained in the column 'Exterior air temperature'. If, instead, the ground surface temperature is used as the 'air' temperature, this combination will result in wrong water vapor partial pressures at the component surface. The option "Adjust relative humidity" adjusts the relative humidity read from the file so that the correct partial pressures result at the surface.

"50 cm below ground surface",
"1 m below ground surface":

For the hygrothermal simulation of a component in contact with the ground (e.g. a cellar wall) it may be helpful to use measured ground temperatures as boundary conditions. Select the respective option and set the heat transfer resistance for the exterior surface to zero. WUFI then reads the corresponding temperature from the file and uses it as the 'exterior air temperature' for the calculation; the vanishing heat transfer resistance takes care that the surface assumes the same temperature.
If you want to allow for the thermal effect which the component has on the ground temperatures, insert a sufficiently thick layer of soil in front of the component and set the 'exterior surface' of this layer to the measured temperatures.

Using measured ground temperatures also requires proper treatment of other climate quantities:

"Relative humidity":
The soil usually has a fairly "constant relative humidity"; if plant cover is present, the humidity is at least about 99%, since otherwise the plants could not overcome the soil's hydraulic tension and were not able to draw water from the ground. For simulation of components in contact with the ground, WUFI therefore uses a constant relative humidity as boundary condition whose value you can enter according to your wishes.

"Radiation":
Since there is "no radiation" within the ground, the solar radiation data from the climate file are ignored.

"Rain":
Since there is "no rain" within the ground, the rain data from the climate file are ignored. If you want to simulate the uptake of (pressureless) ground water, it would be preferable to use an appropriately tailored *.KLI file.

"Relative humidity":

Depending on the selected temperature option (see above) it may be necessary to adjust the relative humidity for a different temperature level or to set it constant.

"Radiation":

Depending on the selected temperature option (see above) it may be necessary to suppress solar radiation.

Otherwise you have the option to bypass the usual conversion of solar radiation for the specific orientation and inclination of your facade, and to directly read and use radiation data measured on the facade (if available).

"Rain":

Depending on the selected temperature option (see above) it may be necessary to suppress rain.

Otherwise you have the option to bypass the usual conversion from normal rain to driving rain and to directly read and use rain data measured on the facade (if available).
For this purpose, set the rain coefficients to R1=1 and R2=0.

Also, see the reference The *.WET Format for Climate Data for details.

*.KLI files:

*.KLI files contain data describing the outdoor climate (rain, radiation, air temperature, relative humidity) and data describing the indoor climate (air temperature, relative humidity). If you assign a *.KLI file to the left## side of a component, WUFI usually reads the outdoor climate data from the file; if you assign a *.KLI file to the right## side of a component, WUFI usually reads the indoor climate data. This dialog allows you to override these choices. Rain and radiation will then be ignored.

*.WAC, *.WBC, *.TRY, *.EPW, *.DAT, *.IWC files:

No options are available for these file types.

Previous topic:
Dialog: Select Climate File (with file browser) 		Topic 82 Next topic:
Dialog: Edit Orientation


Dialog: Edit Climate

Previous topic:
Dialog: Climate File | Details 		Topic 83 Next topic:
Dialog: Edit Surface Transfer Coefficients

Dialog: Edit Orientation

Some weather elements are directional. They travel in a given direction and their effect on a surface segment depends on the angle they make with that segment. The directional weather elements are solar radiation, long-wave radiation, wind and rain.

Surface segments which have been assigned "outdoor" surface conditions are exposed to the weather, and it is therefore necessary to specify their azimuth and inclination. For the modelling of the driving rain, some additional input on the rain exposure is needed. During the simulation, WUFI uses these data to compute the radiation and rain loads on the various surface segments.

The azimuth is the compass direction towards which the building component is facing.

You can specify the azimuth by
• | clicking on the compass rose,
• | typing the number in the text field,
• | stepping through the numbers with the up and down arrows.

South corresponds to azimuth 0°, West is 90° and East is 270°.

The inclination is the angle by which the surface is tilted with respect to the horizontal.

You can specify the inclination by
• | dragging the facade element symbolized in the graphical display to the desired inclination,
• | typing the number in the text field,
• | stepping through the numbers with the up and down arrows.

A vertical wall has inclination 90°, a flat roof has inclination 0°.

* * *

The amount of driving rain hitting a vertical facade depends on the amount of normal rain, the wind speed and the wind direction relative to the facade.

However, there are also other factors affecting the driving rain rate. For example:
• | Rain drops of different sizes are pushed around in different ways by the wind gusts. The drop size distribution of the current rain event would be needed to calculate the rain water deposition rate accurately, but it can not be determined precisely from the data available in a weather file.
• | The wind carrying the droplets towards the facade is the local wind at the facade, representing the local wind flow patterns and affected by the local obstacles - in particular by the simulated building itself. But the wind data provided in the weather file have usually been measured at an undisturbed location in the free wind flow. The wind data from the weather file can therefore not fully describe the local flow conditions which may be very different from the undisturbed conditions and which may be very variable even over short distances.

Furthermore, the water available for absorption at a given spot on the facade is not only the water deposited on that spot by the driving rain, it also includes unabsorbed water running down from higher spots. Taking this into account would require a much more complex simulation.

On the other hand: Since most common building surfaces - with the exception of very absorptive unrendered masonry and natural stone facades - only have a moderate water absorption, they often cannot take up all the offered water anyway. In these cases, the amount of absorbed water is determined by the capillary properties and the existing water content of the surface material, not by the amount of rain available for absorption. The unabsorbed amount of rain is simply running off, and it does not matter whether the total amount of driving rain has been determined very precisely or only approximately. In such a case, therefore, an exact knowledge of the driving rain quantity is not essential (whereas the duration of the rain is still important) and fairly plausible estimates for the driving rain load are usually sufficient (the same is true for the adhering fraction of rain).

WUFI offers two simplified driving rain models. The accuracy of their driving rain estimates is limited for the reasons given above, but it should be sufficient for most purposes. If you need more accurate driving rain data, you can use measured values or values provided by a more sophisticated model and feed them to WUFI as "measured rain" data RM in a *.WAC weather file. WUFI will use these data without modification and will not run them through a driving rain model.

  • The WUFI model uses a simple proportionality factor R2 to estimate the driving rain from the normal rain and the wind data. An additional constant factor R1 allows to add some rain independently of the current wind.

    The driving rain coefficients R1 and R2 serve to estimate the driving rain load on a surface with a given azimuth and inclination from data on normal rain, wind velocity and mean wind direction, using the relation

    Driving rain load = rain · (R1 + R2 · wind velocity),

    where 'rain' is the normal rain and 'wind velocity' is that component of the mean wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface. This component is determined from the mean wind velocity and the mean wind direction. The data on normal rain, wind velocity and wind direction are read from the selected weather file.

    R1 and R2 are strongly dependent on the specific location on the building facade. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m for free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners).

    If you have selected an inclination of 90° for your component, WUFI offers you a few predefined rain coefficients: one for a low building and three for different heights on a tall building. Advanced 3-D computational fluid dynamics simulations of droplet flow have been used by Karagiozis and Hadjisophocleous (1997) [1] to determine these coefficients. Select the coefficients by choosing them from the drop-down list.

    Of course, you can also enter arbitrary rain coefficients in the text boxes. In particular, you can use experimental values that have been measured for a specific location.

    If you have selected another inclination than 90°, the situation becomes too complex to be cast into a simple multiple-choice option list. In this case WUFI defaults to the rain coefficients R1=1 and R2=0 (i.e. rain load = normal rain). It is then up to you to determine and enter appropriate rain coefficients.

  • Alternatively, the driving rain load on a vertical wall can be estimated with the method of ASHRAE Standard 160-2009 "Criteria for Moisture Control Design Analysis in Buildings". Activate the respective checkbox to access this model:

    This method uses the relation

    rbv = FE · FD · FL · U · cos(q) · rh,
    rbv [kg/(m²h)] : rain deposition on vertical wall
    FE [-] : rain exposure factor
    FD [-] : rain deposition factor
    FL [kg s / (m³ mm)] : empirical constant, 0.2 kgs/(m³ mm)
    U [m/s] : hourly average wind speed at 10 m height
    q [°] : angle between wind direction and normal to the wall
    rh [mm/h] : rainfall intensity on a horizontal surface

    The rain exposure factor FE depends on the surrounding terrain (roughness and height), topography, obstructions, and the height of the building. ASHRAE Standard 160-2009 (Addendum c, 2012) recommends the following values:

    Type of Exposure Category:
    severe medium sheltered
    Height < 10 m: 1.4 1.0 0.7
    > 10 and ≤ 20 m: 1.4 1.2 1.0
    > 20 m: 1.5 1.5 1.5

    Severe exposure includes hilltops, coastal areas and funneled wind (e.g. from tall buildings nearby). Sheltered exposure includes protection by nearby buildings or other permanent moderating features.

    The rain deposition factor FD describes the influences of the building itself. ASHRAE Standard 160-2009 prescribes the following estimated values:

    Walls below a steep-slope roof: FD = 0.35
    Walls below a low-slope roof: FD = 0.5
    Walls subject to rain runoff: FD = 1.0

    The deposition factors contain a large amount of uncertainty.
    Rain runoff onto walls may occur from roofs or impermeable surfaces, such as windows.

Literature:

[1] Karagiozis, A., Hadjisophocleous, G., Cao, S.: Wind-driven rain distributions on two buildings,
Journal of Wind Engineering and Industrial Aerodynamics, Vols 67-68, April-June 1997, p. 559-572, DOI: 10.1016/S0167-6105(97)00100-1

Previous topic:
Dialog: Climate File | Details 		Topic 83 Next topic:
Dialog: Edit Surface Transfer Coefficients


Dialog: Edit Surface Coefficients

Previous topic:
Dialog: Edit Orientation 		Topic 84 Next topic:
Dialog: Surface / Weather : Adiabatic / System Border

Dialog: Edit Surface Transfer Coefficients

The surface transfer coefficients indicate to which degree the conditions in the surroundings affect the building component, especially the heat and moisture flows through its surfaces.

Use this dialog to specify the surface transfer coefficients to be assigned to a surface segment of the component.

For outdoor surfaces WUFI uses the following surface transfer coefficients:

Heat

  • Heat Transfer Coefficient [W/m²K]

    The heat transfer coefficient governs the heat exchange between the component and the surroundings.

    In building physics the heat transfer coefficient, which actually depends on the current local conditions, is usually assumed to be a constant number for simplicity. Furthermore, convective and radiative heat exchange are usually lumped together into a common coefficient (see the topic Heat Transfer Coefficients). If these simplifications are made, typical values are 17 W/m²K for an exterior surface or 8 W/m²K for an indoor surface.

    If you wish to use such a simplified coefficient, specify its value in the respective text field. The drop-down list offers a few predefined values and the option to enter a user-defined value.
    (If you wish to use a more sophisticated model than a simplified coefficient, activate the explicit radiation balance described below.)

    If you wish to suppress heat and vapor exchange at the surface, enter zero for the heat transfer coefficient.
    If you wish to impress a pre-defined sequence of hourly temperatures onto the surface, enter the desired temperatures as the air temperatures in the climate file and enter a large number for the heat transfer coefficient, e.g. 9e9.

    • includes long-wave radiation parts [W/m²K]:

    If you have entered a user-defined heat transfer coefficient and the calculation mode "Explicit Radiation Balance" is active, WUFI needs to know whether the value you entered includes a radiative component (any such component must be subtracted because in this calculation mode WUFI models the radiation exchange separately, taking the current boundary conditions into account). Here you can tell WUFI whether a radiative component is included.

    If the radiative component needs to be subtracted from a user-defined heat transfer coefficient, WUFI subtracts a standard value of 6.5 W/m²K.

    All the pre-defined heat transfer coefficients in the drop-down list include a radiative component.

    This option is only relevant if the calculation mode explicit radiation balance is active (and it is disabled otherwise). See the topic Long-wave Radiation Exchange for details.

    • wind-dependent

    You can optionally take the wind-dependence of the heat transfer coefficient into account. If you activate this option, the heat transfer coefficient for the current time step is calculated from an empirical formula, allowing for wind speed and wind direction.

  • Short-Wave Radiation Absorptivity [-],

    This factor determines the fraction of total incident solar (short-wave) radiation that is absorbed by the component.

    The drop-down list offers a few predefined values and the option to enter a user-defined value.

    If WUFI is run in "explicit radiation balance" mode (see below), the drop-down list also supplies predefined values for the selected material to the edit field "long-wave radiation emissivity" (see below).

    The list items "Bright" and "Dark" refer to generic unspecified bright and dark materials (absorptivity = 0.2 and 0.8, respectively; emissivity = 0.9).

    If you wish to supress all absorption and emission, select "No absorption/emission" from the list, which is equivalent to absorptivity = 0 and emissivity = 0.

  • Long-Wave Radiation Emissivity [-]

    This factor describes the efficiency of long-wave emission, i.e. the heat loss by thermal radiation emitted by the surface of the component.

    In building physics, the long-wave radiation exchange between the component and its surroundings is usually accounted for by appropriately increasing the heat transfer coefficient. In this case, the long-wave emissivity of the surface need not be specified and this edit field is disabled.

    However, if WUFI is running in "explicit radiation balance" mode (see below), it explicitly computes the current long-wave radiation exchange as determined by the current boundary conditions, and for this it needs the long-wave radiation emissivity of the component surface.

    If this calculation mode is active, the edit field is filled with the emissivity value which the database contains for that material that has been selected from the drop-down list for the short-wave absorptivity, i.e. the drop-down list fills both the absorptivity and the emissivity edit fields with the values for the selected material.
    If the option "user-defined" has been selected for the short-wave absorptivity, a user-defined value can be entered in the edit-field for the long-wave emissivity as well.

  • Ground Short-Wave Reflectivity [-]

    This factor describes the fraction of short-wave global radiation which is reflected by the ground. It is needed for computing the amount of radiation incident on inclined surfaces, since these receive some of the radiation which is reflected by the ground.

  • Explicit Radiation Balance

    In building physics, the long-wave radiation exchange between the surface and the surroundings is usually not considered separately but taken into account by including a general "radiative component" in the value of the heat transfer coefficient (see above). However, if the surface temperatures are to be computed with higher accuracy, or if cooling of the surface below ambient air temperature and possible dew deposition is to be simulated, this simplification is not admissible. In these and similar cases the hourly long-wave radiation balance has to be computed explicitly as determined by the long-wave emission of the building component (i.e. the current surface temperature) and by the long-wave radiation emitted by the surroundings and hitting the surface. The resulting net balance has to be computed and allowed for in the simulation.

    If you want to run WUFI in the "explicit radiation balance" calculation mode, you can enable this mode here and set some parameters:

    • Ground Long-Wave Emissivity
      Describes the effective long-wave emissivity of the terrestrial surroundings. Needed for computing the thermal emission of the surroundings.

    • Ground Long-Wave Reflectivity
      Describes the effective long-wave reflectivity of the terrestrial surroundings. Needed for computing the fraction of atmospheric counterradiation which is reflected by the surroundings.

    • Cloud index
      Describes the fraction of sky which is covered with clouds. Allows estimating the atmospheric counterradiation if no measured data are available.

    For further details on these parameters, please refer to the topic Long-Wave Radiation Exchange.

    The long-wave radiation balance is the difference between two relatively large energy flows going in opposite directions. Small inaccuracies in the determination of the energy flows may result in relatively large inaccuracies of their difference. Since some processes, such as dew deposition depend very sensitively on the exact value of this radiation net balance, it may be necessary to make sure that the surface transfer coefficients and the counterradiation data are known with the required accuracy.

    If WUFI is run in this calculation mode, long-wave radiation exchange must not also be taken into account as an additional component in the heat transfer coefficient. In this case, use the edit field "includes long-wave radiation parts [W/m²K]" (see above) to tell WUFI whether the specified heat transfer coefficient contains a radiative component, so that WUFI can subtract it from the heat transfer coefficient.

Moisture

  • Sd-value [m]

    Specify the sd-value of a surface 'coating' (if present), such as a paint coat, wallpaper, vapor retarder, weathered surface zone etc. This allows to account for the diffusion-retarding effect of such a 'coating' without the need to explicitly include the possibly very thin layer in the component assembly.

    The drop-down list offers a few predefined default values and the option to enter a user-defined value.

    If there is no such coating on your building component, or any coating has been included in the assembly as a separate layer, select "No coating" (which is equivalent to sd = 0 m).

    The normal water vapour transfer resistance which is due to the boundary air layer is always automatically allowed for by WUFI and must not be included in the sd-value.

    Please note that if you select, say, a metal foil from the list, only the sd-value at the component surface is set accordingly; other properties of the foil, such as its low radiation absorptivity or its impermeability to rain, must be specified separately by setting the appropriate surface properties.

    Please refer to the topic Surface Coatings for further details on the use of this option.

    Alternatively, you can specify the

    Vapor Transfer Coefficient [kg/m²sPa]

    WUFI usually determines the total vapor transfer resistance at a surface by
    • computing the natural vapor transfer resistance
    (due to the boundary air layer, and automatically computed from the heat transfer coefficient), and
    • adding to this the resistance of a surface layer, if any
    (specified by the user as an sd-value, see above).

    If you wish to override this automatism for some reason, select the option "Vapor Transfer Coefficient" from the drop-down list and enter the vapor transfer coefficient describing the total vapor transfer resistance at the surface. WUFI will use this value without further modification.

    You can use this option if you wish to use your own values for the natural resistance (if there is no additional resistive layer), or if you wish to use your own values for the sum of natural resistance and resistance of a layer (if there is an additional layer).

  • Adhering Fraction of Rain [-]

    This factor takes into account that usually some of the rain water hitting the wall surface splashes off on impact and is not available for capillary absorption. The amount of rain estimated by the driving rain model to arrive at the surface is multiplied by this factor; the result is the amount of rain actually offered to the surface for capillary absorption.

    For ordinary vertical walls, experience shows that a value of 0.7 is adequate for most cases. On horizontal surfaces (e.g. flat roofs), the splash water falls back onto the surface and the "adhering fraction" is 1. On inclined surfaces, the fraction must be determined for the individual case, since the surface point under study may be hit by water splashing off from points further up, and it may be reached by un-absorbed water running off from higher regions of the surface. (This case may also require proper adjustment of the rain coefficients used by the driving rain model.)

    Note: The user can switch the rain off by setting this factor to zero - it is not necessary to change the rain data in the weather file. This can be useful if the influence of the rain load on the calculation results is to be investigated. It is necessary if a water-impermeable surface coating has not been included in the component assembly, but is instead only modelled by specifying the sd-value (see above) of its vapor-retarding properties: its water-impermeability (if any) must be modelled separately by the rain being reduced or set to zero.

    If the surface is sheltered from rain, this may also be modelled by reducing the rain or setting it to zero.

For indoor surfaces WUFI only needs two surface transfer coefficients because these surfaces are not exposed to weather:

  • Heat Transfer Coefficient [W/m²K]

    For the heat transfer coefficient on the indoor side of the component the comments made for the exterior heat transfer coefficient (see above) apply correspondingly.

    However, since no solar absorption, no wind dependence and no explicit long-wave radiation balance can be modelled on the indoor side, no details concerning wind-dependences or radiative properties need to be specified.

    Note: When WUFI determines the vapor transfer coefficients from the heat transfer coefficients for an indoor surface, it computes the convective component of the heat transfer by subtracting an assumed radiative component of 4.5 W/m²K. For an outdoor surface it assumes 6.5 W/m²K. Vapor transfer is thus treated slightly differently on indoor and outdoor surfaces.

  • Sd-value [m]

    For an sd-value of a surface 'coating' such as a paint coat, wallpaper or vapor retarder etc. on the indoor side of the component (if any) the comments made for the exterior sd-value (see above) apply accordingly.

    Since on the indoor side no rain can be modeled, it is not necessary to take a possible water-impermeability of the coating into account by switching the rain off.

Previous topic:
Dialog: Edit Orientation 		Topic 84 Next topic:
Dialog: Surface / Weather : Adiabatic / System Border


Dialog: Surface / Weather : Adiabatic / System Border

"Adiabatic" surfaces are impermeable to heat and moisture flows. They can be used to model symmetry planes of the component.

If a building component has some kind of symmetry (for example, mirror-symmetry left-right) and is exposed to boundary conditions with the same symmetry, then the resulting temperature and moisture fields will have the same symmetry, too.

Since the symmetrically duplicated parts of the results carry no new information, it is sufficient to simulate only one of the duplicated sections which nevertheless is representative for the whole component. This may markedly reduce the computational effort.

If there was a heat or moisture flow across a symmetry plane, the existence of the symmetry would dictate that an identical flow would cross the plane in the opposite direction, exactly cancelling the original flow. Therefore, there can be no heat or moisture flow across a symmetry plane, and although such a plane may not be materially different from the rest of the component (in particular, it usually does not consist of an impermeable material), it behaves de facto as if it were impermeable, due to the existence of the symmetry.

To take computational advantage of a symmetry, you may therefore simulate only one of the symmetrical sections and assign "adiabatic" boundary conditions to the symmetry planes where the simulated section ends.

Previous topic:
Dialog: Edit Surface Transfer Coefficients 		Topic 85 Next topic:
Dialog: Sources, Sinks


Dialog: Sources

Previous topic:
Dialog: Surface / Weather : Adiabatic / System Border 		Topic 86 Next topic:
Dialog: Edit Heat Source

Dialog: Sources, Sinks

In this dialog, you can place heat and moisture sources into the component.

A source is a region in the component which releases heat or moisture into the component, the released amount being determined by the source strength. A source with negative source strength removes heat or moisture from the component, it may also be called a sink.

  • Heat sources may be used to model heating pipes or transparent thermal insulation layers (which admit solar radiation into the component). They may also be used as generic sources of heat if heat is useful for some reason in a simulation.

  • Moisture sources may be used to model moisture leakages, for example rain water penetrating into the component through a leaky exterior finish. WUFI-2D can not determine by itself which path the water will take through the component, where it will end up and how strong the leakage will be. But based on experience, the user can put moisture sources in those places where the water may be expected to appear and set the source strength to experimentally determined values.

    Apart from modeling specific moisture intrusion mechanisms, moisture sources may also be used as generic sources of moisture if moisture is useful for some reason in the simulation. For example, releasing a slow trickle of moisture during the simulation increases the general moisture load and may serve to test the drying potential of the component (see Applying more severe conditions). A moisture source may be used to keep a material wet which serves as a humid boundary condition, e.g. soil kept wet by rain or ground water.

  • Air exchange sources are both heat and moisture sources. They can be used to model the heat and moisture exchange of some part within the component with either the indoor or the outdoor air by intended or unintended air exchange. Applications include ventilated air layers and air leakages.

To place a source into the component, draw a rectangle outlining the source region. In the pop-up menu which appears choose the source type: heat, moisture or air exchange source.

Moisture sources and heat sources may overlap, but moisture sources must not overlap other moisture sources and heat sources must not overlap other heat sources. Since air exchange sources contain both heat and moisture sources, they must not overlap any heat, moisture or air exchange sources.

WUFI will assign source properties to all the grid elements which overlap the drawn rectangle. The source will thus be bounded by grid element borders and will slightly change in size when the grid fineness is changed. This will not change the amount of released heat or moisture, however.
The source is distributed evenly over all selected grid elements.

It is advisable to spread a source over the largest area compatible with the modelling purpose. In this way, the smaller source strengths allocated to the individual grid elements will create smaller local temperature or moisture peaks and will be easier to handle for the numerics. For example, if you wish to add a continuous trickle of moisture to a sheathing layer to test its drying potential, the source releasing the moisture should preferably extend over the whole sheathing. On the other hand, smaller sources must of course be used if the purpose of the investigation is to simulate the spreading of moisture released by a localized leak (a "point source").
If you wish to assign a moisture or air change source to an air layer, please note the hints given for this case.

To edit the properties of a source, right-click on the source and choose "Edit" from the pop-up menu, or simply left-click on the source.

To delete a source, right-click on the source and choose "Delete" from the pop-up menu.

You can also use the manual source editor at the bottom of the dialog to add and delete sources. In addition, the manual editor allows to refine the position and size of existing sources.

To add a new source, right-click in the source editor, choose "Add" in the pop-up menu, and choose the type of the source.

To delete a source, right-click on the respective line in the editor and choose "Delete" in the pop-up menu.

To edit the position and size of the source, edit the coordinates in the table. The coordinates in this table refer to the lower left corner of the component.

To edit the properties of a source click the "Edit" button of the source.

Previous topic:
Dialog: Surface / Weather : Adiabatic / System Border 		Topic 86 Next topic:
Dialog: Edit Heat Source


Dialog: Edit Heat Source

You can give the source a recognizable name. You may choose an individual color for the source in the geometrical assembly.

The most important property of a source is its source strength, usually time-dependent. The heat source strength may be derived from the solar radiation falling on one of the surfaces, or it may be read from a file.

Thus, for heat sources the following two source types are available:

  • Fraction of Incident Solar Radiation
    This source type assumes that the heating is caused by the absorption of solar radiation. The heat source strength for each time step is a user-specified fraction of the solar radiation incident on one of the surfaces of the component. This allows to simulate transparent insulation materials (TIM), semitransparent facades and similar assemblies.

    Enter the Fraction of absorbed solar radiation (as percentage).

    You must also specify an Associated Boundary, that is, the surface for which the incident solar radiation is evaluated.

  • Transient Heat Source from File
    If this source type is selected, the heat source strength for each time step is read from a file.

    Files controlling the heat source strength are text files with one column for the time axis (in h; values must be in ascending order) and one column for the heat source strength in W/m.

    The decimal separator is always the decimal point, independent of your system settings.

    The time column indicates the point in time until which the corresponding source strength prevails. For example, a file for a heat source may have the content

    1 | 1
    14 | 0.2
    15 | 20
    24 | 0.2

    This file specifies that for one hour (i.e. until the end of the first hour) the source strength is 1 W/m. Then for 13 hours (until the end of hour 14) it is 0.2 W/m, for another hour (until the end of hour 15) it is 20 W/m, and finally for 9 hours (until the end of hour 24) it is 0.2 W/m again.

    The starting point of a file is the starting point of the calculation period, not the starting point of the climate file.

    There is no point in having an entry for an hour 0, because that would mean that the respective source strength ceases to apply at the start of the calculation.

    The file is read as often as necessary, starting over when its end is reached. The example file thus describes a behavior which repeats daily (every 24 hours). Of course, a file may also contain a time period of, say, two hours, or a whole year.

Previous topic:
Dialog: Sources, Sinks 		Topic 87 Next topic:
Dialog: Edit Moisture Source


Dialog: Edit Moisture Source

You can give the source a recognizable name. You may choose an individual color for the source in the geometrical assembly.

The most important property of a source is its source strength, usually time-dependent. The moisture source strength may be derived from the driving rain falling on one of the surfaces, or it may be read from a file.

Thus, for moisture sources the following two source types are available:

  • Fraction of Driving Rain
    This source type assumes that the moisture appearing at the location of the source is caused by driving rain leaking into the component. The moisture source strength for each time step is a user-specified fraction of the driving rain incident on one of the surfaces of the component. This allows to simulate small diffuse leaks which allow rain water to migrate into the component.

    For example, American ASHRAE Standard 160 requires that in moisture control analysis for certain constructions 1% of the rain water incident on the exterior surface of the component shall be assumed to be deposited on the exterior surface of the water-resistive barrier or at another appropriate location in the component (see the discussion in the help topic Assessment Criteria for details).

    Enter the Fraction of absorbed driving rain (as percentage).

    You must also specify an Associated Boundary, that is, the surface for which the incident driving rain is evaluated.

  • Transient Moisture Source from File
    If this source type is selected, the heat source strength for each time step is read from a file.

    Files controlling the moisture source strength are text files with one column for the time axis (in h; values must be in ascending order) and one column for the moisture source strength in kg/(m s).

    The decimal separator is always the decimal point, independent of your system settings.

    The time column indicates the point in time until which the corresponding source strength prevails. See the heat source dialog for an example.

    The starting point of a file is the starting point of the calculation period, not the starting point of the climate file.

    There is no point in having an entry for an hour 0, because that would mean that the respective source strength ceases to apply at the start of the calculation.

    The file is read as often as necessary, starting over when its end is reached. A file may thus describes a behavior which repeats daily (every 24 hours), or every two hours, or every year, etc.

If you wish to assign a moisture or air change source to an air layer, please note the hints given for this case.

Previous topic:
Dialog: Edit Heat Source 		Topic 88 Next topic:
Dialog: Edit Air Exchange Source


Dialog: Edit Air Exchange Source

You can give the source a recognizable name. You may choose an individual color for the source in the geometrical assembly.

The most important property of a source is its source strength, usually time-dependent. The behavior of air change sources is controlled by specifiying the air change rate, either as a constant value entered by the user or as time-dependent values read from a file. Guided by the specified air change rate, an air change source exchanges a certain amount of air from the source's location in the component with outdoor or indoor air. Depending on the temperature and humidity conditions in the component and in the outdoor or indoor air, this process may transport heat and humidity into the component or out of the component.

For air exchange sources the following two source types are available:

  • Constant
    Enter the air change rate (in 1/h) assumed for the air exchange source.

    You must also specify an Associated Boundary to define the properties of the air (indoor, outdoor, ...) which is exchanged with the air inside the component.

  • Transient from File
    If this source type is selected, the air exchange rate for each time step is read from a file.

    Files controlling the air exchange source strength are text files with one column for the time axis (in h, values must be in ascending order) and one column for the air exchange rate (in 1/h).

    The decimal separator is always the decimal point, independent of your system settings.

    The time column indicates the point in time until which the corresponding source strength prevails. See the heat source dialog for an example.

    The starting point of a file is the starting point of the calculation period, not the starting point of the climate file.

    There is no point in having an entry for an hour 0, because that would mean that the respective source strength ceases to apply at the start of the calculation.

    The file is read as often as necessary, starting over when its end is reached. A file may thus describes a behavior which repeats daily (every 24 hours), or every two hours, or every year, etc.

Important note:
Air change sources are often placed into air layers. The moisture released or absorbed by a moisture or air change source will result in the correct change of the relative humidity in the air layer only if the air has an appropriate moisture storage function.

Some of the air layers in the material database are only meant to act as a resistance for heat or moisture flows. They have correct heat conductivities and vapor permeabilities, but they use WUFI's default moisture storage function, which is automatically used whenever no specific function has been entered for a material. This default function corresponds to the moisture contents of mineral wool and is thus too high for air. The free saturation of an air layer with this default function is about 47 kg/m³, while in reality saturated air only contains a few g/m³ (e.g. about 17 g/m³ at 20°C). These air layers may be used when their moisture content is of no further interest, or when droplets condensing on the surfaces confining the air layer shall be simulated.

However, these air layers behave much too sluggish when exposed to an air change source: a source which removes, say, 2 g/m³ of moisture from a saturated air layer will reduce the relative humidity of realistic air to zero within a few hours; this will take more than 2700 times longer when the saturated air layer is assumed to contain initially 47 kg/m³ of moisture.
If you wish to investigate the hygric behavior of an air layer responding to a moisture or to an air change source, you must therefore use a more realistic moisture storage function. To this end, you may enter a simple linear function, starting with a moisture content of 0 kg/m³ and reaching saturation at e.g. 17 g/m³ (or at another saturation corresponding to whichever temperature is representative for the case to be investigated):

φ [-] | w [kg/m³]
0 | 0
1 | 0.017

This still does not allow for the temperature dependence of the moisture storage function of a realistic air layer, but at least the moisture level is at the correct order of magnitude. If such a low moisture storage function creates numerical problems, the adaptive time step control may be able to eliminate them.

Please see the topic Air Layers for a discussion of the peculiarities of air layers as a "material" in the component.

Previous topic:
Dialog: Edit Moisture Source 		Topic 89 Next topic:
Dialog: Computational Parameters, Simple


Dialog: Computational Parameters, Simple

The options available in this dialog allow you to control the way the calculation is done. The "Simple" parameters are for general use, the "Enhanced" parameters give experienced users more control.

  • Period of calculation:

    • Start Date / Time:

    Enter the starting date and time for the calculation. WUFI will search for this point in the climate file and start the calculation there.

    Most climate files represent typical climates and not specific years (such as "2015"). Therefore, any year number may be entered for the date.
    Example: A calculation starting on 01 Jan 2000 has the same result as a calculation starting on 01 Jan 2014.
    (An exception are *.KLI files which refer to a definite time span. The start of the calculation must be within that time span.)

    Climate files usually begin with January 1. If the calculation starts on a different date (say, May 3), WUFI jumps to that date in the climate file (in multi-year climate files: to the first occurrence of that date) and starts the calculation from that point.

    The default start date is October 1, assuming that you wish to simulate the behavior (such as the drying-out) of a newly built house and that a new house is not likely to be finished in mid-winter. However, you may choose any start date which is appropriate for your investigations.

    If the calculation period extends beyond the end of the climate file, WUFI starts reading the same climate file again from the beginning. If needed, the same climate file will be read repeatedly. This allows you to perform a long-term simulation (say, 10 years), using the same one-year climate file over and over again.

    • Number of Time Steps:

    Enter the number of time steps WUFI shall perform during the calculation.

    The standard time step size is one hour. See the topic WUFI's Performance and Limitations for a discussion on appropriate time step sizes. You may change the time step size in the "Enhanced" section of this dialog.

  • Mode of Calculation:

    • Heat Transport Calculation
    • Moisture Transport Calculation

    Decide whether heat and/or moisture transport shall be allowed in the calculation. In general, you will have activated both; there may be cases where it is useful to switch one of them off.

    An example for a case where it is useful to switch off moisture transport is the determination of the heat transmission coefficient (U-value) of a building component which has a complicated measured moisture distribution. You can specify that moisture distribution as the initial moisture profile, apply a constant temperature difference across the component, perform a calculation until the steady state has been reached (with moisture transport switched off to prevent the moisture profile from spreading out) and analyze the steady-state heat flow through the component.
  • Hygrothermal Special Options:

    The hygrothermal special options allow to switch off some components of the simulation model. In most cases, this is not physically meaningful, but these options may be used to investigate the influence of the different model aspects on the calculation result.

    • Excluding Latent Heat of Evaporation
    • Excluding Latent Heat of Fusion

    If you want to examine the importance of latent heat effects, you can switch them off and compare calculations with and without latent heat.

    Note: The option "Excluding Latent Heat of Evaporation" does not switch off evaporation or vapor transport. It only sets the latent heat of evaporation to a very small value (to 1 J/kg instead of 2500000 J/kg). Since this strongly reduces the energy required for evaporation, the evaporation rate will usually tend to increase, depending on the boundary conditions.

    • Excluding Capillary Conduction

    Capillary conduction can be switched off separately; moisture transport is then only effected by vapour diffusion. Thus you can examine the contributions of both transport mechanisms to the total transport.

    If the "Moisture Transport Calculation" has been deactivated altogether (see above), there is of course no capillary conduction anyway, independent of this option.

  • Numerical Parameters:

    These drop-down lists provide pre-defined shortcuts to the two most important numerical parameters.

    • Accuracy

    This drop-down list offers three pre-defined settings for the numerical convergence criterion. WUFI uses an iterative scheme for solving the heat and moisture transport equations. For each time step, these equations are solved iteratively, until the difference between two successive iterations (the "residual") is less than the specified convergence criterion.

    Reducing the convergence criterion is usually supposed to mean that the iterative solutions have approached closer to the true solution and are thus more accurate. However, this is not necessarily guaranteed, computation time may be markedly longer, and given the unavoidable uncertainties in the input data, higher mathematical accuracy may not really improve the overall accuracy of the simulation results.

    The parameter value corresponding to the selected setting is shown in a tooltip. Other values can be set manually in the Enhanced section.

    • Convergence

    This drop-down list offers three pre-defined settings for the numerical underrelaxation factors. During the iterative solving of the transport equations for a time step, WUFI modifies each new iterative solution by taking its weighted average with the previous solution. This method is called underrelaxation, the weight used in the average is the underrelaxation factor urf which can take values between 0 and 1. For example, if urf = 0.8, then the new solution is modified by taking (0.8 · new solution) + (0.2 · previous solution).
    An underrelaxation scheme is useful for damping numerical oscillations, it can often speed up convergence or even make convergence possible in the first place. On the other hand, very strong underrelaxation makes convergence slower because each new iterative solution is then almost identical with the previous solution and progress towards the true solution is slow.

    The parameter values corresponding to the selected setting are shown in a tooltip: urf(te) is the underrelaxation factor for the newly computed temperature field, urf(fi) is the underrelaxation factor for the newly computed relative humidity field. Other values can be set manually in the Enhanced section.

  • Adaptive Time Step Control:

    If the adaptive time step control is enabled, WUFI automatically switches to smaller time steps when it detects numerical problems. The problematic time step is repeated with finer time steps; if needed, these finer time steps may be subdivided further. In many cases a calculation which produces many convergence failures can be improved in this way.

    • Steps
    • Max. Stages

    The number of steps determines the number of sub-steps into which the current time step is subdivided. The maximum number of allowed stages determines how often WUFI is allowed to sub-sub-...divide the original time step before it registers a convergence failure and proceeds with the next time step.

    For example, suppose that "Steps" is set to 3. If WUFI detects a problem during one of the original time steps of 3600 seconds, it goes back to the beginning of that time step and repeats the calculation, trying three steps of 1200 seconds each instead of the single original time step of 3600 seconds. If during one of these sub-steps a problem occurs, WUFI goes back to the beginning of that sub-step and tries to replace it by three sub-sub-steps of 400 seconds each, and so on.

    WUFI only uses the adaptive time step control when it detects numerical problems. If a calculation runs without problems, having the adaptive time step control enabled does not slow the calculation down. If problems occur and are resolved at a given stage of step refinement, no further allowed stages are used. It is therefore no disadvantage to allow a large number of stages. However, in numerically very difficult situations, allowing a large number of steps and stages may cause WUFI to spend endless time on a single problematic time step. In this case it may be more useful to allow fewer steps and stages and to see whether the calculation result is acceptable despite the unresolved convergence failure.

  • Result File Contains:

    Select the result quantities that shall be written to the result file for analysis. De-selecting quantities which are not needed for analysis will reduce the size of the result file.

    The available quantities are:
    W.C. | the water content,
    R.H. | the relative humidity,
    Temp. | the temperature,
    Va.P. | the vapor pressure,
    Flu.C. | the capillary moisture flux density,
    Flu.D. | the vapor diffusion flux density and
    Flu.H. | the heat flux density.
Previous topic:
Dialog: Edit Air Exchange Source 		Topic 90 Next topic:
Dialog: Computational Parameters, Enhanced


Dialog: Computational Parameters, Enhanced

The options available in this dialog allow you to control the way the calculation is done. The "Simple" parameters are for general use, the "Enhanced" parameters give experienced users more control.

  • Control Parameters

    • Time Step [s]

    Set the size of a time step, in seconds.

    Basically, there are no restrictions on the size of the time steps, but the calculation time step cannot be larger than the time step used by the climate file.

    If you are using hourly climate data, a time step of one hour (3600 seconds) is an obvious choice and usually sufficient. For moisture transport calculations in building physics, time steps between ca. 10 minutes and ca. 24 hours may be adequate, depending on the problem at hand. With smaller time steps, computing time increases markedly, with larger time steps the results may become increasingly inaccurate.

    The simplest choice is to set the time step for the calculation equal to the time intervals in the climate file. If you want to use a smaller time step, you should choose it so that it divides the climate time intervals exactly (that is, an integer number of time steps fits into each climate interval). Otherwise, WUFI adjusts each time step so that it does divide the current climate interval exactly. This is further discussed in the help topic "The *.KLI Format for Climate Data".

    A general discussion regarding the choice of an appropriate time step size can be found in the help topic "WUFI's performance and limitations".

    • Number of Time Steps [-]

    Enter the number of time steps WUFI shall perform during the calculation.

    For example, if you are using time steps of one hour (= 3600 seconds) and wish to run a simulation covering one year (= 8760 hours), enter 8760.

    • Maxit [-]

    WUFI uses an iterative method to solve the temperature and moisture transport equations for each time step. Maxit is the maximum number of iterations allowed at each time step. If Maxit iterations have been performed without converging to a solution, WUFI stops the iteration, accepts the solution reached so far as the solution for the time step, registers a convergence failure and proceeds with the next time step.

    Increasing Maxit gives the iterations more time to find a solution when convergence is slow, but a stalled iteration rarely benefits from running longer. So increasing Maxit is usually not effective as a stand-alone solution to numerical problems, but it may be advisable together with other measures.

    • Convergence criterion [-]

    In the iterative solution scheme for solving the temperature and moisture transport equations, the iterative solutions are supposed to approach the (unknown) true solution when they change less and less from one iteration to the next. If the difference between two successive iterations (the "residual") is less than the specified convergence criterion, the last iterative solution is accepted as the solution for this time step and WUFI proceeds to the next time step.

    Reducing the convergence criterion is usually supposed to mean that the iterative solutions have approached closer to the (unknown) true solution and are thus more accurate. However, this is not necessarily guaranteed, computation time may be markedly longer, and given the unavoidable uncertainties in the input data, higher mathematical accuracy may not really improve the overall accuracy of the simulation results.

    If the convergence criterion is reduced, the iteration may take longer to reach the tighter criterion, so Maxit (see above) may need to be increased appropriately. Otherwise, the number of convergence failures may increase even though the numerics are running like before; they just have it harder to meet the new requirements.

    • Heat of Evap.
    • Heat of Fusion
    • Capillary Conduction

    These settings allow to switch off some components of the simulation model. They are also accessible in the "simple" computational parameters. See there for a description.

    • Radial Diameter R0 [m]

    A non-negative number will switch WUFI-2D from using cartesian to cylindrical geometry.
    (No further description yet.)

    • Print residuals at iteration modulo

    This number determines at which intervals the results of the iterations for the current time step shall be printed in the Processing window. For example "10" will print the residuals for every tenth iteration.

    This option only changes the display of the residuals, it does not affect the computational results.

    • URF transient dw/dfi [0..1]

    A number different from 1 will use an underrelaxation scheme (see "URF" below for a short explanation) for the change of the gradient of the moisture storage function between time steps.

    • Moisture capacity of open pore volume
    Moisture in the pore system of a material exists both as liquid water and as water vapor in the pore air. WUFI has always properly taken into account the contribution of the vapor in the pore air and its temperature dependence, but the additional and usually small effect of a temperature change on the change of the relative humidity in the material has only been added in version 4.0 of WUFI-2D. This will reduce possible moisture balance problems and should thus be switched on, but in case this newly implemented feature might unexpectedly create problems in some situations, it can be switched off.

    • Rational interpolation in sorption isotherm
    WUFI uses linear interpolation to determine values for the moisture storage function between the tabulated values. This is a simple and numerically very stable method but it results in a functional curve which has no defined slope at the tabulated values. Since the slope of the function curve is needed during the calculation, a newly developed "piecewise rational interpolation" scheme has been implemented which results in a smooth curve and should improve convergence. Since this interpolation scheme is still experimental, it is switched off by default, but you can switch it on and see if it improves the simulation.

  • Solver Settings

    These settings determine the properties of the solver routine used to solve the temperature and moisture transport equations.

    • URF [-]

    During the iterative solving of the transport equations for a time step, WUFI modifies each new iterative solution by taking its weighted average with the previous solution. This method is called underrelaxation, the weight used in the average is the underrelaxation factor URF [0..1]. For example, if URF = 0.8, then the new solution is modified by taking (0.8 · new solution) + (0.2 · previous solution).

    Sometimes the iterative solutions oscillate around the true solution instead of approaching it steadily. Convergence is then often slow or even impossible. Using an underrelaxation scheme is useful for damping these oscillations, often speeding up convergence or even making convergence possible in the first place. On the other hand, very strong underrelaxation makes convergence slower because each new iterative solution is then almost identical with the previous solution and progress towards the true solution is slow.

    Reducing the URF can often be useful if large changes in the moisture field (i.e. large moisture fluxes) occur in combination with bad convergence.

    The temperature field is generally easier to solve and does not need an underrelaxation scheme. The underrelaxation factor for the temperature field is only used for underrelaxing the heat sources resulting from evaporation or melting processes (and only if the linearized source terms would otherwise lead to an unstable system). In order to test whether these sources might be the reason for convergence problems, it is more useful to temporarily switch off the latent heat of evaporation or melting (see above).

    • NOR [-]

    During the iterations solving the transport equations for a time step, WUFI alternatingly solves the equations for temperature and relative humidity, until their residuals (their changes from the previous iteration) both satisfy the specified convergence criterion (see above). Since temperatures - varying by tens of degrees - and relative humidities - varying between 0 and 1 - are both to be compared with the same convergence criterion, they are multiplied by the respective normalisation factor for the residuals NOR [0..1] to make them comparable.

    • SOR [-]

    The convergence criterion for inner iterations of the SIP solver (see below) can take values between 0 and 0.2.

    • NSW [-]

    The maximum number of inner iterations allowed for the SIP solver (see below) can take values between 1 and 20.

    • CAL

    The flags CAL determine whether the respective quantity (temperature or relative humidity) is to be solved for. They are identical with the "Mode of calculation" options in the "simple" computational parameters.

    • ADI
    In order to solve the transport equations, WUFI has two algorithms implemented: the ADI solver (Alternate Direction Iteration) which was already used in the earliest versions of WUFI-2D, and the newer SIP solver (Strongly Implicit Procedure).

    If the option ADI is checked, the old ADI solver is used. If the option ADI is not checked (default and recommended), the SIP solver is used.

  • Adaptive Time Step Control:

    If the adaptive time step control is enabled, WUFI automatically switches to smaller time steps when it detects numerical problems.

    These settings are also accessible in the "simple" computational parameters. See there for a description.

  • Result File Contains:

    Select the result quantities that shall be written to the result file for analysis. De-selecting quantities which are not needed for analysis will reduce the size of the result file.

    These settings are also accessible in the "simple" computational parameters. See there for a description.

Note: The enhanced computational parameters should not be changed without a good reason. Therefore, WUFI issues a warning when you switch from simple to enhanced parameters. You can suppress this warning by checking the option "I'm an experienced user and know what I'm doing" in the dialog Options | Settings.

Previous topic:
Dialog: Computational Parameters, Simple 		Topic 91 Next topic:
Dialog: Processing


Dialog: Processing

Click Start [image] to run the calculation. You may Suspend [image] or Terminate [image] the calculation at any time; the results accumulated so far remain accessible and can be analysed.

WUFI experts may edit the input file [image] which transfers all the input data to WUFI's numerical processor.

Make the calculation a Low Priority task on your PC if you wish to continue working while the calculation is done in the background. The calculation will take longer, however.

You can tell WUFI-2D to automatically save the project data after the calculation has finished.

While the calculation is running, WUFI-2D displays some information about the calculation progress:

WUFI-2D uses an iterative method to solve the temperature and moisture transport equations. For each time step, the temperature and moisture transport equations are solved alternatingly until the changes of the temperature and moisture fields between the previous and the current iteration (the "residuals") have become smaller than the convergence criterion.

WUFI-2D displays the number of the current time step, and for every tenth iteration within that time step the current residuals for the temperature field ("theta") and for the moisture field ("phi").

After the calculation has finished (or has been terminated by the user), the results can be viewed and analysed with the WUFI2DMotion or the WUFIGraph analyzer tools. If convergence problems occurred, they can be analyzed with the Convergence Analyzer.

Previous topic:
Dialog: Computational Parameters, Enhanced 		Topic 92 Next topic:
Output: WUFI2DMotion


Output: WUFI2DMotion

This menu item launches the program WUFI2D Motion which displays the results as animated 3D graphs.

WUFI2D Motion automatically reads the result file created by WUFI-2D and displays the two-dimensional fields of temperature, water content, relative humidity, vapor pressure, heat flux, capillary flux and diffusion flux.

"Start" the "Movie" to see an animation of the changes which happen in these fields during the calculation period. The values in the fields are color coded; right-click on the color scale to edit the color coding.

Originally, you are viewing the fields from 'above'. Grab them with the cursor or use the tool buttons to rotate them into a side-view. In addition to the color coding, the different values in the fields will then be visualized by their different heights along the z-axis. The boundary conditions are indicated along the edges of the fields

Press CTRL and the left mouse button to move the graph.
Press CTRL+ALT and the left mouse button to zoom into the graph: moving the mouse in positive x direction will zoom in; moving the mouse in negative x direction will zoom out.

Previous topic:
Dialog: Processing 		Topic 93 Next topic:
Output: WUFIGraph


Output: WUFIGraph

This menu item launches the program WUFIGraph in which you can create diagrams of temperatures, moisture contents etc. for selected regions of the component.

Previous topic:
Output: WUFI2DMotion 		Topic 94 Next topic:
Output: Convergence Analyzer


Output: Convergence Analyzer

This menu item launches the Convergence Analyzer which can be used to analyze the convergence properties of the calculation if problems occurred.

Previous topic:
Output: WUFIGraph 		Topic 95 Next topic:
Output: View Report


Output: View Report

This menu item writes the input data to an XML file and launches the browser to view it. This gives you a concise overview of the project data.

Previous topic:
Output: Convergence Analyzer 		Topic 96 Next topic:
Dialog: Options | Settings


Dialog: Options | Settings

Use this dialog to specify or change some of the settings which determine WUFI's behavior.

• Application

Specify the cache directory in which you wish to work, or the home directory for saving projects.

WUFI writes the result files in the HDF format which can also be analyzed by the open-source application "Visit". If you wish to use this application, tell WUFI where to find it.
(Please note that "Visit" can only read project files which have been saved to a path which only contains ASCII characters.)

• Design

General:
In the geometry dialog, you assemble the component by drawing rectangles with the mouse. The option Object Snap makes existing rectangle corners "magnetic" so that it is easier to precisely join or align new rectangles to existing ones.

Numerical Grid:
Specify the color used to highlight the portion of the numerical grid which is currently selected in the grid editor.

Materials:
In the materials dialog, the rectangles making up the component are filled with colors indicating the materials which have been assigned to them.

Each rectangle is filled with a checkerboard pattern of 8x8-pixel squares, alternatingly displaying the color of the material which has been assigned to the x-direction, and the color of the material which has been assigned to the y-direction. The color used for a material is the color specified in this material's data set.

You may change the pixel pattern drawn within each 8x8 square, using the pixel editor of this dialog. You may separately edit the pixel patterns for the squares representing the material assigned to the x-direction (colored red in the editor) and for the squares representing the material assigned to the y-direction (colored blue in the editor).
Furthermore, for both directions you may specify a default pattern and a different pattern which highlights the currently selected rectangle.

Surfaces:
In the surface/weather dialog you assign surface properties to the edges of the component. You may change the widths and the colors which are used to draw different kinds of edges.

Edges to which no surface properties have yet been assigned are drawn with the width specified by the Default option. Edges to which surface properties have been assigned are drawn with the width specified by the Assigned option.

If the cursor is pointing at one of the edges, this edge is highlighted with the color and width specified by the Selected option.

There are three types of surface properties: Outdoor, indoor and adiabatic. The default colors used to draw these are specified by the option Boundary Colors. In the Allocation of surface properties dialog, you can change these default colors to individual colors.

• Advanced

Kernel:
WUFI-2D's user interface collects the user's input and passes it on to the numerical "kernel" which then performs the simulation. The kernel is provided as a separate executable file so that it is possible to specify different kernels which may use different modelling approaches, different solver strategies etc.

Clear project folder before saving:
When you save the project, the project data in memory will be written to files in the cache directory, and these files will then be copied to the project's save directory.
Old files in the save directory will be overwritten by newer versions with the same names. Files, however, which somehow ended up in the directory but have no newer equivalent to replace them would indefinitely remain there as "orphaned" files. This option avoids orphaned files by clearing the project folder before writing new files to it.

Debug scripts:
While running, WUFI-2D may call some batch scripts. If this option is checked, the scripts will not run in hidden mode but in a separate window which will make it easier to revise them if needed.

Assign surface properties without prompt:
The surface properties tree contains surface properties which can be assigned to the surfaces of the component. When you close the allocation dialog, the currently highlighted tree item will be assigned to the surface on which you clicked to open the allocation dialog.

While the allocation dialog is open, you can edit any of the tree items. However, if you make a change to one of the items and then click on a different item, that second item will be assigned (being the highlighted one) when the dialog is closed, and the item you edited will not be used (it will be used in the changed version if you later assign it explicitly to one of the surfaces).

If you activate this option you will receive a warning when you change between tree items after having edited one of the items.

I'm an experienced user and know what I'm doing:
This option suppresses:

The warning message which is usually shown when you delete one of the surface properties from the surface properties tree.

The warning message which is usually shown when you switch from simple to enhanced computational parameters, because those enhanced parameters should not be changed without a good reason.

Previous topic:
Output: View Report 		Topic 97 Next topic:
Menu: Options | Set as Default


Menu: Options | Set as Default

This option allows you to define the current project as the default project.

It writes the project data in memory to files in the cache directory and copies these to the default directory. The next time WUFI-2D is run, it will automatically copy the contents of the default directory back into the cache directory and read the project data into memory so that you can continue working without having to load the project first.

Use Menu: Options | Reset Default to empty the default directory and to prevent WUFI-2D from loading a default project.

Previous topic:
Dialog: Options | Settings 		Topic 98 Next topic:
Menu: Options | Reset Default


Menu: Options | Reset Default

This option resets a previous definition of a default project by deleting the contents of the default directory.

Previous topic:
Menu: Options | Set as Default 		Topic 99 Next topic:
Dialog: Options | Language


Menu: Options | Language

Previous topic:
Menu: Options | Reset Default 		Topic 100 Next topic:
Menu: Help | Examples...

Dialog: Options | Language

Use this dialog to switch WUFI to a different one of the provided languages. You must then restart WUFI for the change to take effect.

Previous topic:
Menu: Options | Reset Default 		Topic 100 Next topic:
Menu: Help | Examples...


Menu: Help | Examples

Previous topic:
Dialog: Options | Language 		Topic 101 Next topic:
Basics: Moisture Transport in Building Materials

Menu: Help | Examples...

This menu item allows you to directly access and open the example projects included with WUFI.

Previous topic:
Dialog: Options | Language 		Topic 101 Next topic:
Basics: Moisture Transport in Building Materials


Basics: Moisture Transport in Building Materials

Computer Simulation with the WUFI Model

1. Introduction

For the practitioner the subject "moisture transport in building materials" mainly evokes vapor diffusion, dew point and the Glaser method described in German standard DIN 4108. Once a building element has been classified as "safe according to Glaser", all is over and done with as far as the designer is concerned.

Only if unexpected moisture damage occurs nevertheless, or if the designed building element does not pass the standard Glaser assessment, the search for alternative assessment methods begins. Since condensation by vapor transport in winter (which is what Glaser investigates) is only one of a large number of possible moisture loads on a building element, a positive assessment according to DIN 4108 may imply moisture safety which does not really exist. Possible problems with other hygric processes, such as indoor air convection, precipitation or rising damp, are usually not considered. The same goes for construction moisture which, in view of today's deadline pressure, causes an increasing number of damage cases.

In order to allow for these effects too, one has to pass on from Glaser's simple steady-state assessment method to the realistic simulation of hygric processes in building elements. To this end, new non-steady simulation methods have been developed and experimentally validated in recent years, whose reliability is winning them more and more acceptance among practitioners. This fact is also recognized in the newer editions of DIN 4108-3 which now admits these methods.

In the following we will demonstrate the effects of increased moisture levels and of alternating hygric stresses, and we will describe the basic physics of hygric processes in building elements. Subsequently, we will analyse the necessary climate and material data and discuss the accuracy of the calculation, using the non-steady simulation model WUFI as an example which has meanwhile found widespread use.

2. Hygric Effects in Building Components

The fitness for use and the durability of building components and building materials may be affected by moisture, as shown by these examples:

  • reduction of thermal insulation
  • increased dust contamination, algae or mold growth
  • mechanical stresses through swelling and shrinking caused by changes in humidity or by salt crystallization
  • damages due to frost, rotting or corrosion, caused by increased moisture in the material
  • incomplete hydratation because of drying too rapidly
  • delayed maturing of screed topping because of drying too slowly

2.1 Heat Losses due to moisture

Moisture-dependent heat conductivity

The heat and moisture transport processes in buildings are usually strongly coupled. This is particularly evident in the effect of moisture on the heat insulation of building components. Fig. 1 shows the increase in heat conductivity of three different building materials as dependent on their moisture content [1].

While the heat conductivity of mineral materials, such as the cellular concrete shown here, increases linearly with moisture content, the heat conductivity of polystyrene foam shows a slightly progressive increase.
Surprisingly, it takes only a very low moisture content to increase the heat conductivity of mineral wool markedly. This is due to the pronounced moisture redistribution by vapor diffusion in the mineral wool when a temperature gradient is applied across the sample. These are so-called non-steady latent heat effects, due to phase changes of the moisture in the material during the measurement in the guarded hot plate apparatus. These latent heat effects are usually of short duration only and have nothing to do with the true heat conductivity of the insulation material. Since their effect depends strongly on the materials adjacent to the insulation layer, they are not a characteristic of the insulation material itself [2].

Therefore the heat conductivity of mineral wool determined in this way and shown in Fig. 1 is not well suited as a material property function for non-steady calculations or for determining the steady-state U-factor. The true heat conductivity of mineral wool can be determined in the guarded hot plate apparatus if appropriate precautions are employed. Results of such measurements demonstrate that if latent heat effects are excluded, the heat conductivity of mineral wool shows a moisture dependence very similar to that of the polystyrene foam in Fig. 1. Similar remarks apply to other permeable insulation materials.

2.2 Mechanical Stress due to Alternating Hygric Loads

Hygrische und thermische Längenänderungen

One example for the strongly non-steady character of the coupled thermal and hygric effects is the mechanical strain due to thermal and hygric expansion and the resulting internal stress in the renderings on exterior thermal insulation composite systems (ETICS). During the course of the day the surface of these renderings is exposed to thermal and hygric variations of up to 40 K and 80% RH [3].

Fig. 2 compares the thermal and hygric expansion of such exterior renderings. The shown values represent averages over laboratory measurements performed on more than 20 specimens of different manufacturers. Compared with practical conditions to which a building is exposed this means a thermal expansion of 0.4 mm/m and an even larger hygric expansion of 0.7 mm/m (if the rendering could expand freely). Both processes often partially cancel each other out, however, since increased temperature dries the rendering, so that the thermal expansion is compensated by hygric shrinking after some delay. Since the rendering surfaces usually can not move freely, any expansion results in internal stress and - if the material strength is exceeded - in cracks or in separation from the rendering base due to shear failure.

Other examples for damages caused by alternating hygrothermal strain are salt and frost damages. Below a certain relative humidity which is characteristic for a specific type of salt, salts are crystallizing out of the solution. Conversely, when this crystallization point is exceeded, they absorb ambient water vapor and dissolve again. These processes also occur in the pore spaces of building materials if these contain salts. There, however, crystallization is impeded by the narrow pore structures and considerable crystallization pressures may result, so that frequent humidity cycles can embrittle the material. Depending on the solubility of the salt, this process may occur at the surface, or several millimeters or centimeters below, and may thus lead to crumbling at the surface or to shaling due to destabilization of deeper layers [4]. Frost can cause similar types of damage, with the ice crystals acting the same way as the salt crystals. Here the decisive factors are frequent temperature variations around the freezing point and sufficient moisture in the frost zone [5].

The above examples demonstrate the effect of alternating hygrothermal strains on the durability and the fitness for use of building components and building materials. Therefore it is not only desirable but absolutely essential to determine precisely the thermal and hygric processes occurring in these. Assessments using the traditional methods which are exclusively based on vapor diffusion (such as the Glaser method) can achieve this in exceptional cases only. However, computer simulations of non-steady thermal and hygric processes, including all essential transport mechanisms under natural climate conditions have meanwhile been developed to maturity and have proven successful in practice, so that their systematic application in many areas of building construction appears useful. The discussion which follows is to be understood in this context.

3. Moisture Storage and Transport Mechanisms

The successful application of simulation models for non-steady thermal and hygric processes in building components requires some basic knowledge about the storage and transport properties of building materials. Since heat storage and thermal conduction are well known and heat transport by vapor diffusion with phase change (latent heat effect) is to be treated in the context of moisture transport, the following discussion only deals with hygric phenomena. For a detailed analysis of frost-dew cycles which are determined by the latent heat of fusion and the thermal properties of ice, please refer to [2].

3.1 Moisture Storage

Moisture Storage Functions

There are hygroscopic and non-hygroscopic building materials. If a material is hygroscopic, then an initially dry sample will absorb moisture from the air until it reaches its equilibrium moisture corresponding to the ambient conditions. Since water vapor absorption mainly depends on the ambient relative humidity whereas the ambient temperature has less influence, the hygroscopic moisture storage is described by means of material-specific sorption curves.

Fig. 3 shows such sorption curves (also known as sorption isotherms) for three building materials which differ markedly in their hygroscopicity. The sorption isotherms are determined by exposing the samples to different ambient conditions in the laboratory until equilibrium is reached. The highest reachable relative humidity is ca. 95% since in most climate chambers the climate control is not fine enough to reliably avoid moisture condensing on the samples at higher humidities.
Above this RH and up to free water saturation, i.e. in the so-called capillary water region, measurements must therefore be performed with the pressure plate apparatus described in [6]. For this method material samples are first kept submerged in water until free (i.e. with no pressure applied) saturation is reached. Then the samples are exposed to a series of different barometric pressure levels up to 100 bar. At each level, some water is forced out of the specimen until equilibrium is reached for this pressure. Analysis of the measurement results in a capillary moisture storage function (in the blue region of Fig. 3), which smoothly continues the classical sorption isotherm. In building materials with coarse pores, such as brick, the capillary water region is larger than the hygroscopic region, so that pressure plate measurements are indispensable for detailed analyses. In materials with fine pores, such as concrete, the sorption moisture content at 93% RH is already so high that the sorption isotherm can be extrapolated into the capillary water region and up to free saturation without loss of accuracy. Wood and processed wood materials, too, already absorb large quantities of moisture in the hygroscopic region, so that in these cases extrapolation up to free saturation is usually sufficient as well.

In non-hygroscopic materials, for example glass, metal or some plastic foams, no water accumulates unless the temperature falls below the dew point. Under ambient conditions below 100% RH they dry out completely.

3.2 Moisture Transport

In porous building materials the predominant moisture transport mechanisms are vapor diffusion, surface diffusion and capillary conduction. In materials which do not have a rigid pore structure, for example plastics, so-called solution diffusion occurs because water molecules squeeze between the polymeric macromolecules. Experience shows that this kind of diffusion can best be described by the laws governing vapor diffusion, with a diffusion resistance factor which is now dependent on ambient humidity (in contrast to normal vapor diffusion where the diffusion resistance is independent of humidity).
Other transport phenomena, for example seepage flow through gravitation in non-saturated pore spaces or migration of water molecules due to electric fields or osmotic pressures, cannot yet be computed in a satisfactory way. However, since they only play a major part in exceptional cases, they are not further considered here. Convection effects, for example moist interior air permeating building components because of pressure differentials between the interior and the exterior side, are ignored as well. Since airtightness is an essential property of a building wall, air convection is in practice only found in unplanned cases of defective parts or inappropriate building components. It is therefore difficult to quantify beforehand and could also only be realistically determined by three-dimensional fluid dynamical simulation programs. (The air infiltration model in WUFI allows for air leakages in a strongly simplified way.)

The combined effect of the abovementioned predominant moisture transport mechanisms is illustrated in Fig. 4, using a cylindrical capillary in a building material as an example. On both sides of the capillary typical boundary conditions are assumed as they are usually encountered in practice, i.e. the vapor pressure is greater on the interior side and the relative humidity is greater on the exterior side. If the material is sufficiently dry or not hygroscopic, then the water vapor will diffuse from inside to outside, following the direction from higher to lower vapor pressure.

Moisture transport mechanisms

If the material contains enough hygroscopic moisture, so that the sorbate film on the pore walls becomes mobile (this happens at humidities above ca. 60%), then we find so-called surface diffusion due to sorbed water on the pore walls superimposed on the normal vapor diffusion in the pore air. Since the thickness and therefore the mobility of the sorbed molecular layer increases with relative humidity, moisture transport in the sorbate film results, following the direction from regions with higher concentration to regions with lower concentration of sorbed water, as demonstrated in [6]. The driving force for surface diffusion is therefore relative humidity and not vapor pressure. Thus under the boundary conditions assumed here, vapor diffusion and surface diffusion go in opposite directions. Surface diffusion must therefore be regarded as a type of liquid transport, not a type of vapor transport in the gas phase. Nevertheless, it may often be practical to combine surface diffusion with vapor diffusion, for example by employing the µ-factor determined in a wet-cup test according to DIN 52615. This procedure yields similar calculation results as a strict distinction between the two transport phenomena, as long as no major temperature gradients occur in the investigated material layer.

Under capillary moisture conditions in the material, for example due to driving rain, the capillaries start to fill up and capillary conduction sets in, the most efficient type of moisture transport. Here the driving force is the capillary tension which results from the surface tension of the water in the meniscus at the interface between water and pore air. There exists a functional relation between the capillary tension and the equilibrium humidity in the pore air above the meniscus, i.e. the driving force in the liquid phase corresponds to a certain relative humidity in the gas phase. Thus instead of capillary tension, relative humidity can be used as driving potential for capillary conduction.

As the example shows clearly, the transport directions of vapor diffusion and liquid transport may often be opposed to each other. Vapor diffusion usually occurs from warm to cold, whereas liquid transport goes from moist to dry, mostly independent of temperature. This phenomenon, presumably known to each practitioner who has ever observed how condensed moisture in winter can be drawn off by mineral materials, must be correctly included in a simulation model, in accordance with the above analysis. This means that different driving forces must be employed for vapor diffusion and liquid transport. The choice of temperature and relative humidity as driving potentials offers particular advantages. Vapor pressure, as the driving force for diffusion, is uniquely determined by the two quantities. The two potentials are continuous across the building component, i.e. there are no discontinuities at material interfaces, as would be the case with water content. In addition, the hygrothermal material properties and boundary conditions discussed in the following can easily be defined in terms of these quantities.

4. Hygrothermal Material Properties

The results of a computer simulation are only as good as the employed material parameters. Since the notorious lack of reliable material data has been a longstanding obstacle for the acceptance of modern calculation methods, it will be discussed in the following which parameters are actually needed for different kinds of investigations. In general, the following material properties are necessary for the non-steady computation of the temperature fields:

  • Bulk density rho of the dry material
  • specific heat capacity c
  • thermal conductivity lambda

If the effect of moisture in the material on the U-factor is to be quantified, the thermal conductivity must be entered as a function of moisture content, cf. Fig. 1. Relevant data can be found in [1] or in WUFI's material database. On the other hand, if the investigation concerns mainly the hygric behavior of the component, then it is sufficient to use the design value lambda_R which already allows for the practical moisture content of the respective material. That is, in most cases all necessary thermal properties can be found in German standard DIN 4108-4 or in the respective certificates of approval.

The hygric properties that need to be known for all (i.e. also for non-hygroscopic) materials are:

  • Water vapor diffusion resistance factor µ (µ-value)
  • Porosity epsilon (as a measure of the maximum possible water content wmax)

The µ-values for a large number of building materials can also be found in DIN 4108-4. The porosity can be determined from bulk density and true density or from the maximum water saturation. It only applies if the material can take up water or water vapor in its pore spaces. The material data mentioned so far, however, only allow simulations without sorption or liquid transport effects, i.e. a kind of non-steady Glaser calculation.

Liquid transport coefficients

If the behavior of hygroscopic, capillary active materials is to be simulated correctly, the moisture storage function shown in Fig. 3 and the moisture-dependent liquid transport coefficients shown in Fig. 5 are also needed. For these coefficients the process-specific differentiation shown in the figure has proved advantageous. The reason is that the capillary absorption of water by mineral materials in contact with water is a much faster process than the capillary redistribution or the drying process after the water supply has been cut off.

For numerous building materials these additional parameters which describe the hygroscopic and the capillary properties are now available from relevant databases (such as the WUFI database). Measuring the moisture storage function and the liquid transport coefficients is somewhat costly and laborious [6], so that it is usually not feasible for the practitioner.
In many cases, however, approximation methods can be used to estimate the material properties from known data. For example, if the capillary active material layers in a component are not in direct contact with each other, or if this contact interface does not become wet for prolonged periods of time (i.e. no appreciable capillary exchange of water occurs across the interface), then sufficiently accurate calculation results can be obtained by estimating the moisture storage function from the reference moisture content u80 (equilibrium moisture at 80% RH, in accordance with DIN 52620) and the free saturation uf by means of the approximation method implemented in WUFI [2].
Similarly, the liquid transport coefficients (Fig. 5) may be estimated from the A-value (the water absorption coefficient as defined in DIN 52617) by a method which is also integrated in WUFI.
In this way hygroscopic and capillary active materials can be specified accurately enough for most practical applications by means of the following material parameters (in addition to the standard parameters in DIN 4108-4):

  • reference moisture content u80
  • free water saturation uf
  • water absorption coefficient (A-value)

The free water saturation is the moisture content which can be determined from the wetted-through specimen in the course of a measurement of the A-value.

Since all properties of building materials are subject to variations due to the manufacturing process or different standards of workmanship, it is useful to perform variations of the parameters in the calculations within certain intervals - in analogy to the span of parameters given in DIN 4108-4 - and to document the effect of these variations on the calculation results. If the effect of a material parameter turns out to be negligible in the application case at hand, then it need not be determined exactly. On the other hand, if the effect of the parameter is decisive for the interpretation of the results, then standard or literature data may be inadequate and precise measurements of the parameter may be required.

5. Climate and Surface Transfer Conditions

Via its surfaces, every building component is undergoing hygrothermal interaction with its surroundings. That is, the surroundings are affecting the component and the component is affecting its surroundings, for example by releasing stored heat or by sorptive buffering of indoor air humidity. This fact has to be allowed for when boundary conditions are specified.
Basically, three types of boundary conditions must be distinguished: the exterior ambient conditions above and below the ground, and the indoor conditions. In all three cases, different surface transfer conditions have to be employed, due to the different exchange processes involving convection and radiation or conduction and diffusion.

5.1 Exterior Climate

Exterior air and ground temperatures

The exterior climate conditions acting on the component are air temperature, relative humidity, solar radiation and precipitation. The radiation and precipitation loads depend on the inclination and orientation of the component and must accordingly be computed for the specific component. In addition, wind speed and direction as well as the exposition of the building to wind flow and local wind flow patterns need to be known for determining driving rain. If long-wave emission is to be allowed for, too, data on ground and air counterradiation are also needed.

The daily variation of the climate conditions - the variation of the exterior air temperature is illustrated in Fig. 6 - usually requires sufficiently short time steps. For hygrothermal simulations hourly values have proved suitable [7]. For example, hourly climate data are available in the form of the German Test Reference Years (TRY) of the Deutscher Wetterdienst DWD which contain average climate conditions for 12 different regions of the former West Germany. However, moisture problems usually occur under extreme climate conditions rather than average conditions. Depending on the case at hand, the worst moisture conditions may result from a particularly cold year (e.g. interstitial condensation in winter) or from a particularly warm year (e.g. summer condensation) [8]. [#to do: expand on this]

5.2 Hygrothermal Conditions Below Ground

Below ground, the variations of the exterior air temperature only propagate strongly damped. Fig. 6 shows the temperatures measured for the year 1999 at a depth of 1 m below the surface and compares them to the exterior air temperatures. At this depth the damping has already eliminated all daily variations. Furthermore, there is a phase shift of several weeks with respect to the air temperature which is most noticeable in spring and in autumn. The measured data include the effect of precipitation (rain water or melted snow seeping into the ground etc.). Since the measurements are being performed at some distance from the nearest buildings, the temperatures are lower than they would be close to a building which releases heat into the ground. The humidity in the ground usually lies between 99% and 100% RH if vegetation is present, since plants cannot extract moisture from the ground at lower humidities. This also applies to substrate layers in planted roofs, although at different temperature levels.

5.3 Interior Climate

The interior climate conditions specified in DIN 4108-3 for the dew period (20°C, 50% RH) and for the evaporation period (12°C, 70% RH) have proved suitable for the general assessment of diffusion processes in building components, but they do not represent realistic boundary conditions for a simulation spanning a year.
Measurements in residential dwellings [9] show that the monthly indoor moisture load (i.e. the difference between the moisture contents of the indoor and the outdoor air) decreases almost linearly with the exterior temperature. This is due to the occupants keeping the windows open more often during the warmer seasons. Depending on the habits of the occupants and the airtightness of the building, the moisture load in winter (at 0°C) lies between 2 g/m³ und 6 g/m³. Under a normal moisture load (4 g/m³) the average German exterior climate conditions result in the indoor air temperatures and humidities shown in Fig. 7. This typical indoor climate is representative for the conditions in living quarters including kitchen and bathroom. It already contains a certain safety margin, in particular if rooms with low moisture load, such as offices or bedrooms, are under investigation. Use of this climate is therefore appropriate if no further details are known about the interior climate and no measured data are available.

5.4 Surface Transfer Conditions

The exterior climate (except the situation below ground) as well as the interior climate affect the component surface, with a boundary air layer right at the surface acting as an intermediary. This boundary layer represents a wind-dependent resistance for heat and moisture transport which is quantified by the respective surface transfer coefficients. In general, detailed modeling of the specific effects of convection and its flow patterns at the component is not necessary since the transfer resistances are small compared to the resistances of the individual material layers. Therefore the average values for the exterior and interior heat and vapor transfer cofficients listed in table 1 are sufficient for most applications.

The heat transfer coefficients contain a component which describes long-wave radiation exchange. This is only valid, however, as long as the convective and the radiative heat flows go in the same direction. When the surface temperature of a highly insulated component falls below the ambient air temperature by night due to radiative cooling, this is no longer the case. For computer simulations of nighttime condensation on such components it is therefore necessary to evaluate the long-wave radiation balance.

Component Surface: | Surface Transfer Coefficients:
 | Heat Transfer alpha [W/m²K] | Water Vapor Transfer beta_p [kg/m²sPa]
exterior | 17 | 75 * 10-9
interior | 8 | 25 * 10-9
Table 1:
Average surface transfer coefficients for calculating the heat and moisture exchange between exterior or interior component surfaces and the environment.

The effects of solar radiation and precipitation on the component are best described by heat and moisture sources. An energy absorption factor which depends on the surface color allows for the fact that only part of the short-wave radiation incident on the component is converted into heat. This absorption factor is ca. 0.4 for bright surfaces, such as white exterior renderings, and between 0.6 and 0.8 for dark surfaces, such as painted wood, clinker, roofing tiles and bituminous sheeting.
An absorption factor may also be employed for driving rain, since only part of the incident rain water stays at the surface and can be absorbed. The rest splashes off on hitting the facade or runs off due to gravity. Experience shows that 0.7 usually is an appropriate value for the adhering fraction of rain on vertical surfaces.

6. The Calculation Model

A number of hygrothermal simulation models which provide reliable results has been developed in different countries [10]. The following description discusses the model which forms the basis for the PC program WUFI (Wärme- Und Feuchtetransport Instationär) [2]. In this model the non-steady heat amd moisture transport processes in building components are described by the following coupled differential equations:

Heat and moisture transport equations

The left-hand sides of both equations consist of the storage terms. Heat storage comprises the heat capacity of the dry material and the heat capacity of the moisture present in the material. Moisture storage is described by the derivative of the moisture storage function mentioned above.
On the right-hand side of the equations we find the transport terms. Heat transport is the sum of moisture-dependent thermal conductivity and vapor enthalpy flow. This heat transport by vapor enthalpy flow is due to water evaporating in one place and thereby absorbing latent heat from this place, and then diffusing to a different place, condensing there and releasing latent heat. This kind of heat transport is often called latent heat effect.
Liquid transport (through surface diffusion and capillary conduction, both due to a gradient of relative humidity) shows only a relatively minor temperature dependence. Vapor diffusion, on the other hand, is strongly affected by the temperature field, since the saturation vapor pressure increases exponentially with temperature.

The differential equations are discretised by means of an implicit finite volume method and are iteratively solved according to the scheme described by the flow chart shown in Fig. 8. The accuracy of the numerical solution depends on the mesh widths of the numerical grid, the size of the time steps and the choice of the convergence criteria. Usually the numerical solution is sufficiently accurate, so that the effect of numerical parameters can be ignored in comparison with the effects of the physical parameters like material and climate data. After the calculation the result should be critically assessed in order to exclude user errors or severe convergence errors. Convergence errors are indicated by WUFI, and their effect is assessed by a comparison of the sum of the moisture flows with the water accumulated in the component. False input or unrealistic material data can only be controlled by plausibility checks.

7. Practical Conclusions

Computer simulation of non-steady heat and moisture transport is not only of theoretical interest, it also offers numerous advantages for the practitioner. Some areas of application and novel possibilities (beyond Glaser) to assess the hygrothermal behavior of building components exposed to natural weather are:

  • realistic dew water situation during the heating period, properly allowing for water vapor sorption and capillary conduction
  • drying of construction moisture
  • summer condensation due to reverse diffusion
  • solar radiation, driving rain load and surface condensation on roofs and facades
  • effect of moisture on energy consumption

The results for the moisture and temperature fields in the component are available in any desired spatial or temporal resolution. They may for example be used for

  • extrapolating experimental results
  • transferring construction types between different climate conditions
  • planning new buildings or renovation measures for old buildings
  • developing and optimizing new building products
  • determining the maximum allowed indoor moisture loads
  • determining the hygrothermal requirements for and the limits of proper application of building materials and components

In recent years, these advantages of hygrothermal simulations have created strong demand for calculative investigations, especially in the context of renovation measures for old buildings since standard solutions are often not applicable here. So far, however, there are no general guidelines for appropriate contract specifications or for proper application of the novel methods. For this reason the WTA (Wissenschaftlich-Technische Arbeitsgemeinschaft für Bauwerkserhaltung und Denkmalpflege) established a WTA working group in 1997 whose task is the formulation of such guidelines. The Task Group "Moisture Calculation" established in 2000 within the European Technical Committee TC89 (Thermal Performance of Buildings and Building Components) is working on similar objectives. Thus the prerequisites for standardized application of hygrothermal simulation methods in civil engineering and architecture are being devised both on a national and on an international level.

Literature

[ 1] | Cammerer, J. und Achtziger,J.: Einfluß des Feuchtegehaltes auf die Wärmeleitfähigkeit von Bau- und Dämmstoffen. Bericht zu BmBau Forschungsvorhaben BI 5-800883-4, 1984.
[ 2] | Künzel H.M.: Verfahren zur ein- und zweidimensionalen Berechnung des gekoppelten Wärme- und Feuchtetransports in Bauteilen mit einfachen Kennwerten; Dissertation Universität Stuttgart 1994.
[ 3] | Künzel, H.M. und Holm, A.: Praktische Beurteilung von Putzen durch moderne bauphysikalische Bewertung. WTA-Schriftenreihe (1999), Heft 20, S.177-132.
[ 4] | Arnold, A.: Salze, lästige weiße Ausblühungen oder Hauptschadensursache. Jahresbericht Steinzerfall-Steinkonservierung 1990, Verlag Ernst & Sohn, S. 1-9.
[ 5] | Sedlbauer, K. und Krus, M.: Schadensrisiko bei Ziegel-Außenbauteilen durch Niederschlag und Frosteinwirkung. Feuchtetag 1999 DGZfP-Berichtsband BB 69-CD, Vortrag U4, S.1-8.
[ 6] | Krus, M.: Feuchtetransport- und Speicherkoeffizienten poröser mineralischer Baustoffe. Theoretische Grundlagen und neue Meßtechniken. Dissertation Universität Stuttgart 1995.
[ 7] | Künzel, H.M.: Einfluß der Mittelwertbildung von Klimadaten auf die Ergebnisse von Feuchtetransportberechnungen. Tagungsband 9. Bauklimatisches Symposium, Dresden 1994, S. 332-344.
[ 8] | Künzel, H.M. und Schmidt, Th.: Auswahl und Aufbereitung von meteorologischen Datensätzen für Feuchtetransportberechnungen. Tagungs-band 10. Bauklimatisches Symposium, Dresden 1999, S. 637-647.
[ 9] | Künzel, H.M.: Raumluftfeuchteverhältnisse in Wohnräumen. IBP-Mitteilung 24 (1997) Nr. 314.
[10] | Hens, H.: Modelling Heat Air and Moisture Transfer in Insulated Envelope Parts. Final Report IEA-Annex 24, KU Leuven 1996.
Previous topic:
Menu: Help | Examples... 		Topic 102 Next topic:
WUFI's Performance and Limitations


WUFI's Performance and Limitations

WUFI is a computer program for the calculation of the simultaneous heat and moisture transport in multi-layer building components. It has repeatedly been validated by comparison with experimental results (see example).

For the test example shown in the diagrams, dry prismatic natural sandstone specimens (5 x 5 x 25 cm³) were incorporated into the west-facing facade of a test hall. The moisture profiles in the prisms were regularly determined by NMR measurements (dots).

The calculations (solid lines) were done using the material data of the sandstone as determined in the laboratory and hourly mean values of the weather data measured during the test period.

The diagrams show the measured and calculated moisture profiles for four typical weather conditions:

  • after a period of rain (sharply defined moisture front like in an imbibition experiment),
  • after a longer period of fair weather (moisture front has been flattened by drying and redistribution),
  • in stormy weather with low exterior humidity ("foehn" weather; steep moisture gradient close to the surface, resulting from high drying rate),
  • during cold and damp weather (steady gradient of moisture content - nearly free saturation at the exterior surface, still dry close to the interior surface).

Nevertheless, WUFI also has its limitations. As with every tool, you should be aware of what WUFI can do and what it can not.

The fact that WUFI's results have been calculated by a computer does not make them infallible. You should check every result for plausibility. There are numerous circumstances that can degrade the quality of a calculation or even render it worthless (a slightly inaccurate result may be more dangerous than a totally wrong one since it may not be easily recognized as such). Some possible problems are

  • program errors
  • input errors
  • insufficient knowledge of the required data
  • limitations of the underlying mathematical model
  • numerical problems.

These items will be discussed in the following.

Program Errors

WUFI has been tested comprehensively and should not contain any errors that might affect the calculation results. Considering its complexity, it can not be ruled out, however, that problems might arise under certain circumstances. Please report any problems to IBP.

Input Errors

Having entered all data, save them to a project file in order to have a status quo and recheck the entries in all the dialogs in the sequence of the menus to make sure they are correct. Display overviews of the material data, the object assembly and the other input with the menu item "View Report" (in the menu "Output").

Refer to the detailed explanations provided in the on-line help to make sure that WUFI's interpretation of the material data, surface transfer coefficients etc. is the same as yours.
Note there are possible side effects if you are generating tables from standard data.

Insufficient Knowledge of the Required Data

It often happens that material data, coefficients or boundary conditions required for the calculation are not well known. Do not try under these circumstances to obtain a 'precise' result.

Instead, estimate the possible variation range of the input data and perform some representative calculations for this range. From the variation in the results you may see if those aspects of the results which you are interested in are affected by the uncertainty or not. In the latter case, they may be usable nevertheless; in the former case, a more precise determination of some input data may be necessary.

Actually, in cases where you have 'reliable' data at your disposal, you should bear in mind that in practice there are also variations in the materials or workmanship which might cause deviations from your theoretical results.

It can be more instructive to know the effect of the variations of an estimated parameter on the results than to use 'precise' input to arrive at a single numerical result of unknown reliability.

Limitations of the Mathematical Model

The complex hygrothermal processes in a building component need to be simplified to make their simulation accessible to present-day computers. WUFI has been designed for the most important applications in building physics [1], but several limitations had to be accepted.

WUFI-1D only deals with one-dimensional processes. Situations that cannot be adequately reduced to one dimension (e.g. geometrical thermal bridges, rising damp etc.) cannot be treated by WUFI-1D and must be left to the two-dimensional version WUFI-2D.
Likewise, WUFI-2D cannot deal with situations which are inherently three-dimensional etc.

Several transport phenomena have been neglected (cf. "What is WUFI?"), that is why e.g. air flows in the component, uptake of ground water under hydrostatic pressure etc. cannot be calculated.

The interdependence of salt and water transport has not been allowed for.

The interface between two capillary-active materials (e.g. rendering/brick) is treated as ideally conducting, whereas in reality there often is a transfer resistance which may reduce the moisture transport considerably. This resistance may be simulated by introducing an interface layer (ca. 1 mm thick) with adequately adjusted liquid transport coefficients [2].

Some materials do not conform to the simplified transport equations. Wood and concrete are changing their material data dependent on their present and past moisture content - the imbibed amount of water does not increase as the square root of time. The consequences of this fact may be negligible or serious - depending on the component assembly and the boundary conditions. Here only a comparison with samples exposed to natural weather can show whether the calculation results are reliable or not. The material data should be determined under boundary conditions similar to practical use.

If a material has a pronounced hysteresis in its moisture storage function, it may not be sufficient to use an averaged moisture storage function for the calculation.

The enthalpy flows resulting from the transport of liquid water across a temperature differential are ignored; i.e., cold rain water does not cool the surface of a building component in the calculation. The cooling effect by the subsequent evaporation of the imbibed water - which is considerably greater in general - is correctly included, however.

For simplicity, the heat transfer coefficients are treated as constant or exhibiting a simple predefined dependence on wind speed. Regarding the simplified long-wave radiation exchange with the surroundings, see the topic "Long-wave radiation emissivity.htm".

In the dissertation [1], on which WUFI is based, you can find an extensive discussion of the mathematical model.

Numerical Problems

If boundary conditions relevant to building physics are to be applied, the coupled differential equations describing heat and moisture transport can only be solved numerically .

Ideally, only the programmers and the computer should worry about the details of the numerical method. Unfortunately, present numerical methods are not advanced enough as to be able to automatically and perfectly adapt themselves to every problem. So it's up to you, the user, to do part of the work that ideally should be done by the computer itself: you have to select or define an appropriate numerical grid and to choose a suitable time step.

How to choose a suitable numerical grid

WUFI's grid generator automatically creates a numerical grid for the component you entered. Usually, you only need to specify whether you want a fine, medium or coarse grid. However, you should have some background knowledge about which grid to choose, how to assess its adequacy for different situations and how to manually edit the grid if the automatic grid proves inadequate for the situation at hand.

For a numerical treatment, the differential equations have to be discretised, i.e. the continuous heat and moisture fields decribed by the equations are evaluated at a number of separate points only. To this end, a suitable method is used to reduce the differential equations to a system of algebraic equations which describes the interdependence of those points and which can be treated numerically.

WUFI uses the method of 'finite volumes'. This method first formulates the differential equations in terms of balance equations for heat and moisture and then derives the algebraic equations in a way which makes sure that the heat and moisture balances remain preserved for every element of the numerical grid. That is, the variation of a physical quantity in each grid element is strictly consistent with the amount of that quantity that flows into or out of the element through the element boundaries or through sources and sinks ("conservative discretisation").

Since the balances are preserved in every individual grid element, they are also preserved in the whole assembly as the sum of all grid elements. This is valid for all possible grids - not only in the limit of an infinite number of grid elements (as it may be in other discretisation methods).

Through this mathematical procedure, WUFI has a physical principle (conservation of energy and mass) built right into its heart and thus shows a very robust behaviour regarding the choice of the grid.

This compliance with a basic physical principle means that even grids which are poorly adapted to the specific assembly under investigation will usually not produce completely meaningless results. This is important for diagnosing the cause if numerical problems occur. If, for example, intense condensation at one spot within the assembly requires a very fine grid at that spot (see below), a calculation run with a poorly adapted grid will still show strong condensation (although maybe not with the correct intensity) and will alert the user to look into the possible necessity to refine the grid at that spot.

However...
Instead of the continuous heat and moisture fields, WUFI only knows their values at separate points. The farther these points are spread, the less the complete fields can be derived from them. And the less well a field is known, the less precise are predictions of its behaviour in the next time step.

Furthermore...
Another problem is that two transport equations have to be solved: for heat and moisture. They can only be solved one after the other, although in reality they are continuously affecting each other (e.g., a condensation process is a vapour sink and a water source as well as a heat source; the heat conductivity may be moisture-dependent etc.).

Therefore, a solution step for the temperature cannot allow for the change in moisture content which in reality happens during the same time step. The result for the temperature is thus not entirely accurate. The following solution step for the moisture has the same problem.

Repeating the solution step for the temperature, now taking the new moisture field as a basis (which is slightly inaccurate but certainly better than the original unevolved moisture field) results in a better accuracy of the resulting temperature field. Continued alternating repetitions of these steps (iteration) finally result in temperature and moisture fields that sufficiently approach the desired solutions of the transport equations (convergence).

Under certain circumstances, however, this convergence may be so slow that WUFI has to stop the iteration (convergence failure). Then the heat and moisture fields attained so far do individually satisfy their respective balance equation, but their interdependence has not yet fully developed.

In nearly all those cases, the remaining error is negligible in the context of building physics. If the grid is not well adapted, it may happen, however, that a poor representation of the temperature field cannot adjust itself the way the poorly represented moisture field requires it - the convergence may then be seriously hampered or even impossible. In this case, markedly inaccurate fields may be left after the stop of the iteration. Occasionally, fluctuations in the numerical values may even overload the numerics and produce results that do not conform to the balance equations.

Such a case is rare, but you should recognise it if it happens. For this purpose, WUFI-1D displays a water balance after the calculation has finished; if you are viewing the film, you can also see 'flutter' appearing in the curves for no apparent reason. As discussed above, you should then first check if the choice of the grid could be responsible for the problems and adapt it accordingly. If that fails, you may try stricter numerical parameters (convergence failures are further discussed in the "Questions and Answers" section).
WUFI-2D currently has no such balance check, but it offers more detailed options to adjust the numerical parameters if necessary.

Unfortunately, there are presently no common methods which can reliably recognise that kind of problem during the calculation and adapt the grid on the fly - in this case you have to remedy this shortcoming by using your own insight into the problem at issue and define the grid yourself. There are no fixed recipes for this, but a few general rules:

For the discretisation, the values of the calculated quantities are assumed to be spatially constant across each grid element. Therefore, the size of each element should be chosen so as to make this assumption valid, taking the local conditions into account. In general, this requires the use of small elements in regions where steep moisture or temperature gradients are to be expected, and allows the use of larger elements in more placid regions to cut down on calculation effort.
In case of doubt, you should prefer a larger number of smaller elements to a few large ones as long as you can tolerate the computing time.

In general, steep gradients are to be expected close to the boundaries of a layer, i.e., close to the exterior and interior surfaces of the building component because of the influence of climate conditions, and close to internal layer interfaces because of interstitial condensation. Less variation will occur in the middle of a layer.
Splitting up a layer into two layers with identical material data but different expansion factors (>1, <1) allows you to achieve a smooth, not necessarily symmetrical, expansion and contraction of the grid elements which can be adapted to the requirements of each individual layer.

For numerical reasons, neighbouring elements should not differ too much in size. This requires in particular that boundary elements of neighbouring layers be matched, at least approximately.

In WUFI-1D view a film of the calculation and see if there are noticeable kinks in the curve. Refine the grid in those spots.

To be sure that a suitable grid was chosen for the calculation, you may repeat the same calculation with double the number of grid elements. If the result remains the same, the first grid already was well adapted.

Example 1:

An impressive example of what kind of gradients may occur close to layer boundaries can be seen in the case of construction moisture drying out of a cellular concrete flat roof with mineral wool insulation. During the cold season, the moisture migrates up through the permeable mineral wool and condenses at the impermeable roof membrane in amounts that are not only a problem for the insulation quality but for the numerics as well. In such a case it is imperative to have very fine grid elements close to the roof membrane, while a relatively coarse grid is sufficient in the cellular concrete.

Example 2:

The following image shows how the calculation results may be affected if the grid is too coarse. A 10-cm-long prismatic lime silica brick specimen, sealed on the sides and one face, was saturated with water and then left to dry in a climate chamber. In a WUFI-1D calculation, the liquid transport coefficients and the water vapour transfer coefficient were adjusted until good agreement with the measurements was reached. The diagram shows such a calculation using 20 equidistant grid elements (solid line) and another calculation with the same material data, but using only 5 grid elements.

Obviously, the latter grid is too coarse. Note however, that despite the remarkably small number of 5 grid elements, the results are not entirely inaccurate!

Note: the equidistant grids with 20 and 5 elements, respectively, have been used here for demonstration purposes only. A better choice would be an expanding grid with small elements close to the drying surface and larger elements close to the sealed surface.

How to choose a suitable time step

The temporal evolution of the building component, too, has to be discretised for the numerical treatment - the temperature and moisture fields are calculated for separate, discrete points of time only. The solution algorithm starts with the present fields and calculates from them the new fields for the next point in time which is one time step later.

The derivation of this algorithm leads to a time integral over the dependent variable (temperature or moisture) which has to be approximated by an expression that can be treated numerically. To this end it is necessary to know the behaviour of these variables as a function of time - but it's that unknown time-dependent behaviour because of which we are undertaking the calculation!

Therefore, assumptions have to be made about the unknown time-dependent behaviour. These choices determine the method to be used.

The simplest choice is the assumption that at each grid point the variable in question always has the same constant value during the time step it had at its beginning - and then 'suddenly' at the end of the time step jumps to the newly calculated value. Example: the heat flows between a grid point and its two next neighbours resulting from the present temperature field are determined. It is then assumed that these flows remain unchanged during the time step and from the resulting increase or decrease of heat the new temperature at the grid point is calculated. Since the calculation involves only the known temperatures of the two neighbouring points, it can be separately done for each and any grid point. This is the explicit scheme.

On the other hand, one may use those values for the variables during the entire time step which they will have at the end of the step. This does not require clairvoyance but the solution of a system of equations. The final temperature of the grid point in question depends on the heat flows which depend on the final temperatures of the neighbouring points which in turn depend on the final temperatures of their neighbouring points etc. etc. At both ends, this chain is terminated by the known boundary conditions, and the whole of this constitutes a system of equations: there exists a unique solution which can, however, only be found by solving the problem for all grid points simultaneously. This is the implicit scheme.

If during the time step the variables are set to the mean value beween their initial and final values (which corresponds to the time-average if the change is linear), the result is the widely used Crank-Nicolson scheme. In addition, there are a number of other schemes not discussed here.

The explicit scheme is the simplest one. It is easy to implement in a program and the grid elements can be updated to the new values one by one. However, its stability reqires that the width of the time step is below some upper limit which depends on the spatial discretisation. A high spatial resolution thus requires very small time steps which result in a very high, often not tolerable computation load.

The implicit scheme is somewhat more complex since an entire system of equations has to be solved for every time step. However, it has the advantage of being stable for all time step widths. The computation load is thus markedly reduced since much wider time steps can be used without numerical problems.

The Crank-Nicolson scheme is of higher order and therefore theoretically more precise than the other two schemes. In the case of non-linear transport coefficients, however, it is prone to numerical oscillations which might produce physically unrealistic results. Furthermore, for applications in building physics, where material data and boundary conditions often are only known with limited accuracy, lower-order methods are perfectly sufficient.

For these reasons, WUFI uses the implicit scheme (which is also called "fully implicit" in order to distinguish it from partially implicit schemes like Crank-Nicolson).

The implicit scheme also has the advantage that it is a physically more realistic approximation for large time steps: the change of a variable exposed to constant boundary conditions often has an exponential character; with its larger variation at the beginning of the time step and smaller variation at its end, this behaviour is closer to the implicit scheme than to the linear variation in the case of Crank-Nicolson or even the constant behaviour in the case of the explicit scheme. If the time steps are small enough, however, any physical quantity varies more or less linearly - and is then better represented by Crank-Nicolson.

Example 1:

A 36.5-cm-thick brick wall, treated as homogeneous, initially has a temperature of 30°C. At time t=0, the ambient air temperature suddenly drops to 10°C.

The following table shows the temperature in the centre plane of the wall after 20 hours, calculated with 50 equidistant grid elements and time steps between 0.1 and 10 hours, compared to the exact solution:

exact: | 18.5°C
WUFI-1D with step size...
0.1 h: | 18.5°C
0.5 h: | 18.6°C
1 h: | 18.7°C
5 h: | 19.5°C
10 h: | 20.3°C

With very short time steps, the result is virtually exact; a time step of one hour still produces a very good result. With increasing time steps, however, the changes in temperature during the step are less and less well taken into account.

In the diagram, the exact course of the temperature in the centre plane is shown as a solid line, the calculation results with time steps of 1, 5 and 10 hours as dots.

Example 2:

An imbibition experiment is performed with a prismatic specimen of Baumberger sandstone, sealed on the flanks and one face; the unsealed face of the specimen is completely wetted with water (by setting the 'rain' in the climate file to a very high value).

The numerical imbibition experiment is conducted over two time intervals and with various time steps, then the water absorption coefficient (A-value) is determined from the imbibed amount of water.

The grid contained 100 equidistant grid elements, distributed across 6 cm and 20 cm of the specimen length, respectively. Diffusion transport was not allowed for.

The numerically exact A-value for the liquid transport coefficients used here is 0.0426 kg/m²s1/2 (obtained by a method which is independent of any grid widths and time steps).

time step[h] | A-value [kg/m²s1/2]
 | after
 | 10 h | 100 h
0.5 | 0.0427 | 0.0428
1 | 0.0426 | 0.0428
2 | 0.0424 | 0.0428
5 | 0.0419 | 0.0427
10 | 0.0408 | 0.0426
20 | - | 0.0425
50 | - | 0.0419
100 | - | 0.0408

In this example, the result is only very weakly dependent on the choice of the time step.

Of course, the results are given to three significant digits for comparison purposes only - because of measurement uncertainties the A-value of the actual specimen from which the liquid transport coefficients were taken may slightly differ from these calculated results.

The two different calculation intervals also serve to illustrate the accumulation of numerical errors (see below).

The diagram shows the suction profile after 100 hours. The 'exact' solution is shown as a solid line, the WUFI-1D calculation, as a dotted line. The agreement is nearly perfect; only in the lower part of the curves, it becomes evident that WUFI's finite grid resolution cannot represent arbitrarily steep moisture gradients.

There is also a non-numerical aspect to the choice of the time step. WUFI assumes that the boundary conditions read from the climate file are prevailing as constant values during the time step. For natural weather, this is only true as an approximation. Some thought should be given to the validity of this approximation.

For applications in building physics, it turns out that generally a time step of one hour is adequate. This is fortunate since measured weather data often are not available with higher temporal resolution than hourly mean values.

Shorter time steps should be required in special cases only. The adequacy of longer time steps has to be decided case by case. They must not be used if solar gains or rain play a noticeable role.

The solar radiation shows a very pronounced diurnal variation. Because of the hygrothermal inertia of a building component, short-lived fluctuations in the radiation intensity - e.g. because of drifting clouds - have no major effect and may be 'smoothed away' in an average value. The systematic variation of the radiation intensity over several hours, however, cannot be damped by the inertia of the component and leads to corresponding variations in temperature. Because of the exponential dependence of the water vapour saturation pressure on the temperature even short-lived temperature peaks should not be averaged away - the evaporation resulting from a mean temperature is too low [1].

Similar arguments apply to rain: if the component can absorb even a moderate amount of moisture by capillary conduction, a sufficiently accurate duration of rain events in the climate data may be decisive for a realistic calculation of the moisture balance; the same amount of 'mean rain' distributed over 24h would probably yield completely meaningless simulation results.

In other cases - e.g. diffusion calculations in shaded building components sheltered from rain - use of daily or even monthly mean values may be adequate.

There is no point in using smaller time steps than the time interval over which the boundary conditions are assumed to be constant. For example, if you have hourly mean values of the weather data, a time step of one hour is sufficient - smaller time steps do not increase accuracy.
However, smaller time steps may provide more numerical stability in situations where poor convergence or other numerical problems show up.

To be sure that a suitable time step was chosen for the calculation, you may repeat the same calculation with other time steps - the results should not change noticeably.

Accumulated and damped errors

A building component which is exposed to periodic boundary conditions approaches a "periodic steady" condition, i.e. a series of conditions repeating with the period of the boundary conditions. This periodic steady condition is independent of the initial condition of the building component - it has completely forgotten its earlier conditions.

This forgetfulness also applies to 'inaccurate' conditions: if during a calculation a temperature or moisture field has not been accurately calculated at one time step (e.g. because of a convergence failure), its effect on the subsequent time steps will wear off more and more until finally the calculation will proceed as if the error never had happened.

The natural weather is not strictly periodic, but in the long run it leads to a 'typical' condition of the building component which also shows a certain forgetfulness.

Therefore, numerical inaccuracies do not necessarily always accumulate and render the result useless after a sufficiently long calculation. In fact, the longer the calculation is running, the less it suffers from earlier inaccuracies. This is simply a consequence of the natural physical behaviour of a building component.

Of course, this only applies if the inaccuracies do not occur systematically or regularly, and if the calculation interval is sufficiently long compared to the memory of the building component. A massive moist concrete wall will take years to dry out and to reach a periodic steady state - and since the process of drying is always proceeding in the same direction, the inaccuracies may also occur in the same direction and possibly accumulate nevertheless.

Example:

The diagram shows the course of the mean water content of a facade test element with unrendered brick masonry (24 cm thick) which has been exposed to Holzkirchen's copious driving rain. The dark blue line represents a WUFI-1D calculation with an initial moisture content of 100 kg/m³ (10 vol-%), assumed constant across the wall. The light blue line shows another calculation with an initial moisture content of 50 kg/m³ (5 vol-%). The drier brick absorbs more water during a rain period, so that the mean water contents of the two specimens become indistinguishable after about 50 days.

Conclusion

The foregoing discussion was to show you that WUFI has a remarkable stability in its calculations, but it nevertheless also has its limitations and, in addition, is dependent on a certain insight of the user into specific numerical and physical details.

Hopefully, it will help you to successfully apply WUFI in its proper scope.

Literature

[1] | Künzel, H.M.: Simultaneous Heat and Moisture Transport in Building Components. One- and two-dimensional calculation using simple parameters. IRB Verlag 1995
[2] | Holm, A., Krus, M., Künzel, H.M.: Feuchtetransport über Materialgrenzen im Mauerwerk. Bauinstandsetzen 2 (1996), H. 5, 375 - 396.

18 Aug 97, 11 Oct 00, 29 Mar 01, 03 Apr 2007, 19 Oct 2017, TS

Previous topic:
Basics: Moisture Transport in Building Materials 		Topic 103 Next topic:
Assessment Criteria


Assessment Criteria

WUFI simulations are usually performed in order to gain insight into the performance of a construction, or into its durability and its resistance to damage. However, WUFI's calculations only provide results in terms of water contents, temperatures, moisture flows etc. These numerical results need to be assessed in order to allow the desired conclusions about the operational properties of the component.

Due to the large variety of possible damage and failure mechanisms, currently no automatic assessment is possible in general. Instead, the interpretation of the results must draw on the technical expertise and experience of the user. Often, many details of the possible damage mechanisms are as yet unknown, since it is only now that it has become possible to investigate them in detail, assisted by quantitative simulations. Many damage mechanisms are the subject of current research, so that automatically applicable assessment criteria might become available. If such criteria can been established, they may be implemented in WUFI post-processors for automatic evaluation of the numerical results.

The following sections discuss some aspects which, depending on the specific case, may be relevant for the assessment of calculation results (see also [1]):

General

Water contents in the component at the level of normal sorption moisture when exposed to ambient air are completely normal. However, many damage types are caused or promoted by excessive water contents. As a general rule, therefore, the accumulation of too much moisture is to be avoided.

An initial increase or decrease of the water content is normal if the user-specified initial water content is higher or lower than the water contents of the resulting periodic equilibrium state. Seasonal variations of the total water content are also normal, as long as they are confined to a limited range of variation. Seasonal variations of the water contents of individual layers may be associated with the variations of the total water content, or they may be caused by periodic redistribution of moisture within the component (and are then often anti-synchronous in two layers exchanging moisture).

If the total water content or the mean water content in one of the layers keeps increasing over a multi-year calculation, this usually indicates a potential problem, since one of the issues discussed below will probably occur sooner or later.

A long-term increase of water contents will result if more ambient moisture is brought into the component or the layer by diffusion, convection or capillary transport than can dry out. In addition, water contents of individual layers can increase if built-in moisture from a layer is redistributed and permanently accumulates in other layers.

Wood Rot

According to standard DIN 68800:2012-2, the prevention of wood rot requires that the mass-specific water content of wood may not exceed 20 mass-percent over prolonged periods of time (18 mass percent for processed wood). Similar criteria apply to organic fiber insulations, such as cellulose fibers or textile fibers.

These limits contain some safety margin. The wood rot fungi need moisture contents exceeding the fiber saturation of about 25 to 30 mass-percent to be able to extract enough moisture from the wood to start the decomposition process.

Moisture exceeding the limits for a short time can be safely tolerated. Low temperatures reduce or even prevent the growth of the fungi, so that under these conditions exceeding the limits even for longer time may be admissible. A post-processor for detailed assessment of the wood rot risk in dependence of moisture and temperature is in development.

WUFI-1D's Quick Graphs for the moisture contents in the individual layers allow to add to the graph a red reference line at a user-defined mass-percent level which makes it easy to spot moisture contents exceeding that level.

The WTA Guideline on the assessment of humidity in timber constructions [9] [10] proposes a more differentiated criterion. For solid wood products, the daily mean of the relative humidity of the pore air (averaged over the most critical 10 mm of the solid wood product) must not exceed 95% at 0°C and 86% at 30°. Well-considered exceptions are permissible for individual short-term violations of the limit.

This temperature-dependent assessment takes into account that the growth potential of wood rot fungi is reduced at lower temperatures. The limiting curve is a simplified representation of experimental results which showed no decay in spore-infested wood samples (poorly resistant sap wood from spruce/pine) even after twelve months, if conditions remained below the limiting curve. When the limiting curve is exceeded, wood decay need not necessarily begin - this situation must be assessed with an appropriate assessment model such as the wood rot model of Viitanen for which a post-processor is under development.

Mold Growth

The indoor surface of a building component may be susceptible to mold growth if it provides suitably high moisture and temperature conditions. Standard DIN 4108 specifies a critical value of 80% RH at the surface. This value refers to the mold growth risk on thermal bridges in winter, i.e. 12.6°C (this is the surface temperature at which the supposed indoor air conditions of 20°C / 50% RH result in the critical indoor surface humidity of 80%). At higher temperatures, in particular in summer, a surface humidity of about 75% will be sufficient to allow mold growth.

WUFI-1D's Quick Graphs and WUFI-2D's WUFIGraph include temperature-moisture diagrams, showing the computed relative humidity plotted against the corresponding temperature for each calculational time step. Different regions in such a diagram also represent different growth conditions for mold fungi, as far as these growth conditions are determined by the moisture and temperature conditions.

The temperature-moisture diagram displays limiting curves showing the minimum growth conditions characteristic for the nutrient supply usually found on building materials (limiting curves LIM B I and LIM B II). If the temperature and moisture conditions stay below these curves, usually no mold growth is to be expected.

If the limiting curves are exceeded for a longer period of time, the mold growth risk depends on the duration and the extent of the mold-friendly conditions. This more complex situation can be assessed by the biohygrothermal model which determines the changing moisture content in a model fungus spore - and thus its germination and growth potential - in dependence of the temperature and humidity conditions provided by WUFI for the respective surface. The post-processor WUFI Bio uses this model for predicting the mold growth risk.

The WUFI-Bio model has been developed for indoor surfaces. It is conceivable that the limiting curve criterion may be also applicable for assessing the mold growth risk in cavities within the building component, but this has not yet been verified.

On exterior surfaces mold growth may be prevented by solar radiation (fungicidal action of high temperatures and UV radiation) and rain (spores being washed off), even if the limiting curve criterion would allow it. Realistic assessment of this situation would require appropriate models which do not yet exist.

In cooperation with VTT (Finland) another post-processor for assessing the mold growth risk, based on the Viitanen model, is under development. The model MRD of Lund University (Sweden) will soon be released as well.

Heat Loss

Even in insulation materials which are not damaged by moisture (e.g. foam plastics), high moisture contents (e.g. due to condensation) may be detrimental if they increase thermal conductivity and thus impair insulation quality to an unacceptable degree. The moisture-dependent thermal conductivity or the moisture-induced heat conductivity supplement of the insulation material can be used to estimate the moisture content above which the loss of insulation quality is not acceptable. In general, it may be assumed that up to a moisture content of about 2 volume percent the effect on thermal conductivity is small.

Depending on the vapor permeability of the insulation material, the contribution of the vapor transport across the insulation layer has to be taken into account, because the latent heat transported with the vapor also reduces the insulation quality. The "Thermal Transmission" post-processor included with WUFI analyses the insulation quality of the moist component, based on the resulting heat flows.

Amount of Condensate on Surfaces

Non-hygroscopic materials and materials with low sorptive capacity cannot bind infiltrated moisture by sorption on their pore surfaces. Under condensation conditions, liquid water will be deposited within the materials. This is the case, for example, with rock wool or mineral wool. On the cold side of these types of insulation, condensate may form.

Even if the affected materials are not susceptible to moisture-damage themselves, condensate deposited in larger quantities may run off and cause moisture damage elsewhere.

Standard DIN EN ISO 13788 [3] therefore advises that the amount of condensate should not exceed 200 g/m2 if the materials in the condensation region can not absorb the moisture.

Likewise, Krus and Rösler [4] find by experiment that in various kinds of mineral wool mounted on non-sorptive vertical surfaces, condensate forming in the interface region of the samples starts running off when amounts of 200 g/m2 are reached.

Standard DIN 4108 [5] gives 500 g/m2 as maximum admissible amount of condensate at the interface of two layers if at least one of them is not capillary-active.

Similar considerations apply to air gaps. Since air cannot absorb moisture, under condensation conditions moisture will be deposited on the surfaces of the materials bounding the air gap. If these materials are not absorptive, larger amounts of moisture can accumulate and run off.

British Standard BS 5250 [6] provides a differentiated list:
• | Below 30 g/m2 the moisture only forms a mist of immobile fine droplets at the surface.
• | Between 30 and 50 g/m2 the mist droplets coalesce into larger droplets which begin to run down vertical surfaces.
Larger amounts of condensate will collect into larger drops which run down non-vertical surfaces:
• | 70 g/m2 can run down a 45° slope,
• | 150 g/m2 can run down a 23° slope.
• | If the amount of condensate underneath a horizontal surface exceeds 250 g/m2, drops will form and drip off.

The process of running-off can not be simulated by WUFI. In the simulation, the water content just keeps increasing. The user must assess whether a moisture content has been reached which would run off in reality.

If water starts to run off because it locally exceeds the maximum stable amount of condensate, it may entrain other water it encounters which would itself not have exceeded the limit. Therefore, it is not to be expected that an increasing amount of condensate simply stagnates when it reaches the maximum stable amount, with only surplus condensate running off. Instead, fluctuations of the water content will usually occur.

Amount of Condensate inside a Material

The assessment criterion described above only refers to the damage risk caused by the running-off of condensate which has been deposited on a non-absorbing surface.
While the total amount of condensate deposited within the component, familiar from the traditional Glaser-type calculations, might appear to be a simple and easily applicable assessment criterion, there are various reasons why its applicability to realistic hygrothermal simulations is limited.

A Glaser-type calculation first determines the temperature profile and the vapor pressure profile resulting in a component which is exposed to steady-state design conditions. If at some point within the component the vapor pressure p reaches the local saturation vapor pressure psat (which is determined by the temperature profile), the occurrence of "dew conditions" is stated: Relative humidity reaches 100 % at that point and "dew water" is deposited, the amount of which depends on the vapor pressure profile and the duration of the dew conditions. Depending on the relevant design regulations, it may be required
∗ that the amount of dew water deposited during the "dew period" stays below a given limit and can dry out completely during the subsequent "evaporation period",
or
∗ that no dew conditions occur at all.

The Glaser method, which has been developed for the design of insulation layers in the walls of refrigerated warehouses, assumes non-hygroscopic materials. In such materials, moisture can only occur as dew water. For given steady-state boundary conditions it can be determined unambiguously whether dew water occurs or not. In a Glaser calculation, the term "dew conditions" refers to both
∗ | the boundary conditions which lead to dew water within the component ("The component is exposed to dew conditions")
and
∗ | the relative humidity of 100 % which indicates the occurrence of dew water in the dew region of the component. ("Dew conditions occur in the insulation layer")
In steady-state Glaser calculations for non-hygroscopic materials, these two conditions always occur simultaneously. In a Glaser-type assessment they are therefore equivalent.

However, most building materials are hygroscopic, and their sorption capacity fundamentally changes their moisture behavior. In most cases, the terms "dew conditions" and "dew water" do not apply usefully to these materials.

•

Because of their sorption capacity, hygroscopic materials can have a significant moisture content even at relative humidities below 100 % (i.e. without the occurrence of "dew water" in the Glaser sense), see moisture storage function. There is a gradual transition from these hygroscopic water contents to water contents at "dew conditions" (in the sense of 100 % relative humidity).

When the component is exposed to high humidity, harmful moisture contents may therefore result without there being temperature and humidity boundary conditions which would result in dew conditions in a Glaser calculation, and without 100 % RH being reached anywhere in the component.

In such cases, a statement that no "dew conditions" in the Glaser sense occur would be misleading because harmful moisture contents actually do occur in the component.
•

The sorption capacity of hygroscopic materials can give rise to non-negligible hygric inertia of these materials. If there are temperature and humidity boundary conditions which in a steady-state Glaser calculation would lead to dew deposition at some location in the component, then in a non-steady-state simulation it may take some considerable time for this final steady-state condition to be actually reached.

Because of the strict one-to-one relationship between relative humidity and water content in hygroscopic materials (see moisture storage function), 100 % relative humidity are reached when the water content reaches free saturation. This requires that a sufficiently large amount of water must be transported to that location in the component. Depending on the moisture transport properties and the sorption capacity of the material, this process may take considerable time. In many cases, the boundary conditions will have changed to non-dew conditions before saturation could actually be reached. (See also Why Never 100% RH in the Component?)

In these cases, no "dew deposition" (in the sense of 100 % RH) occurs, even though temporarily temperature and humidity conditions prevailed which in a Glaser calculation would have resulted in "dew conditions".

The statement that in a Glaser calculation these boundary conditions would have caused "dew conditions" would seem to imply high water contents, even though actual water contents may be high or low, depending on circumstances and material properties.
•

Because of the gradual transition between sorption moisture and "dew water" it is not possible in hygroscopic materials to determine a precise amount of dew water and to distinguish it from mere sorption moisture. As a case in point, is the increasing moisture content described in the previous example to be interpreted as slowly accumulating dew water or simply as elevated sorption moisture?

Only water contents above free saturation can definitely be identified as dew water, because these water contents can only be reached by condensation, not by capillary conduction.

•

In addition to the difficulty to unambiguously identify "dew conditions" and "dew water amounts" in hygroscopic materials, liquid transport - which is ignored in Glaser calculations - may
∗ | cause harmful amounts of moisture to accumulate (e.g. by rain absorption),
or it may
∗ | disperse deposited condensate by capillary conduction and thus render it harmless.

In both cases, using only "dew conditions" or "dew water amounts" as damage criteria may be misleading.

The same caveats apply to the criterion which compares the temperature profile in the component with the dew point temperature profile and states "dew conditions" when and where the two profiles coincide. This is identical with the Glaser criterion of comparing vapor pressure and saturation vapor pressure, it is just expressed in different physical terms.

Summary:
∗ | Dew conditions in the Glaser sense are usually not a reliable criterion for assessing the moisture contents to be expected in hygroscopic materials.
∗ | Dew water amounts in the Glaser sense are not defined unambiguously in hygroscopic materials, except when they exceed free saturation.
∗ | Liquid transport is not taken into account by Glaser-type criteria. In capillary-active materials it can both cause and prevent moisture problems.

Instead of using "dew conditions" and "dew water amounts" as criteria, it is preferable to perform a hygrothermal simulation to determine the water contents to be expected in the component, taking all relevant material properties and moisture transport mechanisms into account. The resulting water contents can then be assessed by the criteria described in the present help topic, depending on the potential damage mechanisms.

In practice, despite the caveats discussed above, increased water contents which are caused entirely or mainly by vapor transport (not by capillary transport) are often somewhat loosely called "dew water" for brevity.

When simulation results are analyzed, the term "dew water" may be used in this sense, if only the change in water content is being assessed and as long as no attempt is made to analyze absolute "amounts of dew water" or the occurrence of "dew conditions" because these are ill-defined in hygroscopic materials.

Moisture contents exceeding free saturation may legitimately be called "dew water". But if such high moisture contents result in the component, in most cases some of the other water content criteria discussed in this help topic may already have been exceeded. So this criterion should probably not be used as the only one.

Frost Damage Risk

Because of the volume expansion of freezing water, high water contents exposed to a sufficient number of freeze-thaw cycles may weaken and damage the inner structure of a porous building material. The susceptibility to frost damage depends on the kind of the material and on its water content during freezing.

Frost-resistant materials usually can endure freezing water contents up to at least free saturation without suffering frost damage. Frost-susceptible materials, on the other hand, should not exceed certain water contents during freezing periods. Lime-silica bricks, for example, may suffer frost damage above water contents of about 12 mass-percent when exposed to typical central-European winter temperatures. However, for most materials no critical moisture contents and temperature limits are known as yet.

The WTA Guideline on interior insulation [2] recommends that frost-susceptible materials should not exceed a saturation degree of 30% (i.e. 30% of the maximum water content wmax). This criterion includes a safety factor 2. Higher degrees of saturation are admissible if the relative humidity of the pore air remains below 95%. According to current knowledge, this should preclude frost damage even in sensitive materials.

Of course, for materials which are moisture sensitive in some other respect, the corresponding maximum admissible moisture content should take precedence.

Corrosion

Metallic components of the construction may corrode when exposed to high humidity. An example is reinforcing steel in concrete, when the corrosion protection provided by the alkalinity of the concrete ceases with increasing carbonation. As a rough criterion it may be assumed that corrosion of steel in carbonated concrete is negligible below relative humidities of the pore air of 80%. The post-processor "WUFI-Corr" can be used for estimating the corrosion rate [8] in dependence of humidity and temperature under corrosion conditions.

Other Criteria

Other aspects relevant for some situations include moisture-induced loss of strength, chemical processes, aging etc. However, not much is currently known about criteria for assessing these processes.

Example: Interior Insulations

As a concrete example for a set of assessment criteria, an interior insulation applied to the indoor side of an exterior wall will be considered.

An exterior insulation raises the insulated wall to a higher temperature level (thus improving the drying of any moisture present in the wall), protects the wall from driving rain and other exterior load factors, and it mitigates thermal bridges. A massive wall prevents diffusion transport from the indoor air into the exterior insulation, so that usually no condensation problems are to be expected in the insulation layer.

An interior insulation, on the other hand, decouples the wall from the indoor temperature level, so that the temperature level of the wall is lower compared to the uninsulated wall. The reduced and possibly insufficient drying potential may lead to moisture accumulation; the combination of elevated moisture content and reduced temperature may cause frost damage in previously damage-free facades. In thicker insulation layers there is a risk that in the region close to the wall the temperature of the insulation may drop below the dew point temperature of the indoor air. To prevent moisture damage, diffusion transport must then be kept sufficiently small, or condensed water must be drawn off by capillary transport (e.g. by a capillary active insulation material, or - within limits - by an absorptive wall surface). No indoor air must be allowed to penetrate behind the insulation.

In many cases, the design of the interior insulation can be done with planning documents provided by the manufacturers. In cases not covered by these planning tools, hygrothermal simulations can be used at the planning stage to assess the necessity and the effectiveness of possible additional moisture-controlling measures, such as driving rain protection, water-repellent treatment or diffusion control.

WTA Guideline 6-5 [2] offers guidance on how to perform such simulations and how to assess the results. It provides the following critical limits:

• | In order to prevent frost damage, the region between insulation and wall should not exceed a saturation degree of 30% (i.e. 30% of the maximum water content wmax). This limit may be exceeded as long as the RH stays below 95%, or if the affected materials are not susceptible to frost damage or general moisture damage (cf. section "Frost Damage Risk").
• | Gypsum or gypseous materials on the wall should be removed. If they stay on the wall, the relative humidity in these materials must not exceed 95%.
• | In timber frame constructions and in insulations made from renewable raw materials, moisture contents must not exceed the critical limits for wood rot (20 mass-percent in massive wood and 18 mass-percent in processed wood) for extended periods of time (cf. section "Wood Rot").

For the assessment of the moisture contents which may vary markedly across a material layer, it is recommended to evaluate that 10 mm thick layer subsection in which the highest moisture content occurs.

It is expressly not required that the relative humidity at the interface between insulation and wall be limited to 80% RH (which would be necessary at the surface of the uninsulated wall, cf. section "Mold Growth"). No mold can grow here if no gaps are left between the insulation and the wall.

More Severe Conditions

Often the aim is not to assess the behavior of the component under average, typical conditions, but its durability and performance under more severe conditions or design conditions. For this purpose, simulations can be performed in which the component is exposed to conditions that are favorable for the damage mechanism under study.

The potential susceptibility of the component to a large variety of damage mechanisms can be investigated by exposing it to more severe weather conditions. See the topic "Creating Climate Files" for a more detailed discussion.

In order to ensure a sufficient drying potential of the component, the simulation can be started with a realistically increased initial moisture content, such as masonry containing built-in construction moisture or wood sheathing exposed to rain during construction. This built-in moisture must be able to dry out without leaving any damage to the construction.

Since building components never are completely tight, air convection or driving rain may be able to transport moisture into the component, which also must be able to dry out and therefore should be taken into account by the simulation. Usually, the moisture entry paths are three-dimensional and can not be fully modelled by one- or two-dimensional simulation programs. Therefore, WUFI itself can not determine where any moisture carried in along these paths will appear in the component. However, the user can put moisture sources at those places in the component where according to experience infiltrated moisture will appear.

• Light-weight constructions, for example, are never completely airtight. In the upper part of the building, pressure differences between the indoor and outdoor air, created mainly in winter by the thermal buoyancy of the warm indoor air, cause convection through the component which carries moist indoor air towards the outdoor side. If the air streaming along the flow path (which may be quite meandering) cools below the dewpoint temperature of the indoor air, moisture will condense in the component. This additional moisture must be able to dry out without causing damage. Standard DIN 68800 therefore requires that this type of leak be suitably taken into account by a hygrothermal design. In WUFI, this can be done by defining a moisture source at an appropriate place in the component and let the "Air infiltration model IBP" control its moisture release rate in dependence of the component and the ambient climate conditions.
For steady-state calculations the standard assumes that an infiltrated moisture amount of 250 g/m2 must be expected to be deposited during winter and must be able to dry out. This number may also be used as a rough guideline for transient simulations.

• Driving rain leaks are yet another moisture source: In walls with facade insulation or sheathing, rain water often penetrates behind the insulation or sheathing through connection details such as window reveals. American standard ASHRAE 160 [7] therefore requires that for each rain event 1 percent of the rain hitting the facade must be released in the supporting structure behind the insulation. This additional moisture load must be able to dry out without causing damage. The required amount of "1 percent" was determined by adjusting simulations to reproduce real cases with and without damage. In WUFI, the user defines a moisture source at the appropriate place in the component and selects "Fraction of Driving Rain" as the source type controlling the moisture release rate.

Uncertainties

A numerical simulation reads the provided set of input data (material data, surface transfer coefficients, weather data...) and returns the mathematically determined result data. However, the input data will never perfectly correspond to the real object to be simulated.

The material data, for example, often are only available as a generic data set describing a material class. Even if material data for a specific material have been individually measured, there are still measurement uncertainties, production-related variations or even changes of the product formulation between production runs to be reckoned with. If the simulations serve to develop new materials, only hypothetical data sets can initially be used.

Measured weather data are available only for selected locations and for limited periods of time. Using them for the locations and (usually future) times under study introduces uncertainties. There may be changes in the exposition to weather (e.g. shading trees being planted, or growing, or being removed), or changes in the building use (resulting in a different indoor climate), etc. etc.

In general, the uncertainty of the resulting assessment will increase with increasing uncertainty of the input parameters, but different parameters will affect the result to different degrees.
The question which parameters need to be determined with which precision in order to produce a result within the desired certainty can be answered by using WUFI itself. If variation of a parameter (within a reasonable range) shows that the resulting assessments are not affected significantly, the sensitivity of the result with respect to this parameter is low and a plausible estimate of the parameter will be sufficient. On the other hand, if variation of a parameter produces variations of the resulting assessments which exceed the acceptable range, this parameter needs to be determined with higher precision. Again, WUFI can be used for parameter variations which determine the required precision level for this parameter.

Simple climate variations can be achieved by using weather data for different locations, by applying a temperature shift (within a limited range) or by applying variations of the surface transfer coefficients (within a limited range).

The sensitivity with respect to a given parameter (e.g. the µ value of an OSB board) can strongly depend on the concrete case at hand. If the OSB board has a vapor-retarding function in the component and this function is essential for the performance of the component under the given boundary conditions, high sensitivity is to be expected. On the other hand, if the board is used at a different place within the component, where its vapor retarding property is without function, or if no condensation risk exists under the given boundary conditions, then low sensitivity with respect to the same µ value is to be expected.

Literature:

[1] | Zirkelbach, D.: Hygrothermische Simulation - Anwendungsmöglichkeiten für Planer und Sachverständige. ISK 2013 - 12. Internationale Baufach- und Sachverständigentagung Ausbau und Fassade 11./12. Oktober 2013 in Regensburg (online)
[2] | WTA-Merkblatt E 6-5-12/D: Innendämmung nach WTA II - Nachweis von Innendämmsystemen mittels numerischer Berechnungsverfahren. Entwurf November 2012
[3] | DIN EN ISO 13788: 2001-11: Wärme- und feuchtetechnisches Verhalten von Bauteilen und Bauelementen - Oberflächentemperatur zur Vermeidung von kritischer Oberflächenfeuchte und Tauwasserbildung im Bauteilinneren - Berechnungsverfahren. Beuth Verlag Berlin, 2001
[4] | Krus, M., Rösler, D.: Hygrothermische Berechnung der Einsatzgrenzen unterschiedlicher Systeme bei der Aufdoppelung von Wärmedämmverbundsystemen. Bauphysik 33 (2011), Heft 3, 142-149, DOI: 10.1002/bapi.201110017
[5] | DIN 4108-3: Wärmeschutz und Energie-Einsparung in Gebäuden. Teil 3: Klimabedingter Feuchteschutz - Anforderungen, Berechnungsverfahren und Hinweise für Planung und Ausführung. November 2014. Beuth Verlag Berlin
[6] | BSI 5250:2011: Control of condensation in buildings. BSI - British Standards Institution, London, 2011
[7] | ASHRAE ANSI Standard 160: Criteria for Moisture-Control Design Analysis in Buildings. 2009
[8] | Carsana, M., Marra, E., Bertolini, L.: Corrosion behaviour of metal inserts in simulated ancient masonry mortars. Construction and Building Materials 95 (2015) 457-466
[9] | WTA-Merkblatt 6-8-15: Feuchtetechnische Bewertung von Holzbauteilen - Vereinfachte Nachweise und Simulation. WTA
[10] | Kehl, D.: Feuchtetechnische Bemessung von Holzkonstruktionen nach WTA. Holzbau - die neue quadriga 6/2013, 24-28 (online)
Previous topic:
WUFI's Performance and Limitations 		Topic 104 Next topic:
Questions and Answers


Questions and Answers

This collection of Questions and Answers refers to the one-dimensional version of WUFI. Some of the program features mentioned here may not apply to WUFI-2D.

1: | Sources of Material Data
2: | Sources of Climate Data
3: | Volume Percent, Mass Percent
4: | Relative Humidity in a Building Component
5: | Default Moisture Storage Function
6: | Water Content of an Air Layer
7: | Convergence Failure Caused by Vapor-Permeable Layer
8: | Moisture Content at a Monitoring Position
9: | Liquid Transport Coefficient of a Paint Layer
10: | Rain Absorption Factor of an Unrendered Sandstone Wall
11: | Hygric Parameters of Ecological Insulation Materials
12: | Typical Initial Moisture Content
13: | Water-Repellent Facade
14: | Simulation of Absorption Experiment
15: | Absorption Experiment with Limited Water Supply
16: | Why Never 100% RH in the Component?
17: | 100% RH at the Facade
18: | Criteria for Evaluating Hygrothermal Performance
19: | Ventilated Curtain Walls
20: | Heat Flow Through Exterior Surface Is Not Realistic?
21: | More Recent Weather Data?
22: | Averaging of Conductivities at Element Boundaries
23: | Conversion of Radiation Data for Other Directions

(1):
Where can I find material data for materials which are not included in the database?

Unfortunately, finding material data for hygric simulations can prove difficult since there are no standard collections of such data as yet. While thermal data can be found in many books, hygric data are sparse and hard to come by.

A collection of design values for heat conductivity (including the effect of practical moisture content) and diffusion resistance factors is listed in German standard DIN 4108-4 and numerous textbooks on building physics. The new DIN EN 12524 lists thermal as well as basic hygric design values for building materials.

An extensive list of "NIST Heat Transmission Properties of Insulating and Building Materials" is available on-line at http://srdata.nist.gov/insulation/.

Moisture storage functions and liquid transport coefficients may be estimated from the standard parameters wf, w80 and the A-value which may also be found in some textbooks (at least for selected materials) and data sheets or can be measured relatively easily.

Occasionally, some data may be found scattered through the specialised literature, but there is no systematic way to retrieve them.

Sometimes the manufacturer may be able to provide material data. Some laboratories (including IBP) can measure the required data if samples are provided.

(2):
Where can I find climate data?

Hourly climate data which include rain are even harder to find than material data.

IBP offers one year of hourly weather data with WUFI (the file can also be downloaded from the IBP website). These data from 1991 are considered fairly representative for the climate of the Holzkirchen region.
In addition, weather data for 93 locations in Europe, America and Japan are provided with the professional WUFI version.

Another source of hourly weather data for Germany are the Test Reference Years of the German Meteorological Service DWD which represent typical as well as extreme weather situations. Since they are primarily intended for heating and energy consumption investigations, they have no rain data, however, and thus are of only limited usefulness for hygrothermal investigations.

For other possible climate data sources see Sources for Climate Data.

If the situation of a specific object is to be investigated, it may be necessary to measure the weather in-situ anyway.

(3): WUFI gives me the water content of the simulated wall in units of kg/m³ or in volume percent. However, I need the result in mass percent. How do I convert the results?

WUFI usually gives the water content as "water density", i.e. how many kg of water are in one m³ of building material.
A result given in volume percent tells you how many m³ of water are in one m³ of building material (expressed as percentage).
A result given in mass percent tells you how many kg of water are in one kg of dry building material (expressed as percentage). Please note that the water content in mass percent may easily exceed 100% if the dry material has low density.

With

m_W : | mass of the water in the component
r_W : | density of water (= 1000 kg/m³)
V_W : | volume of the water in the component
m_C : | mass of the component
r_C : | density of the (dry) component
V_C : | volume of the component

we have

water content as expressed by WUFI:
 | u | = m_W / V_C [kg/m³]
water content expressed in volume percent:
 | u_v | = V_W / V_C * 100
 |  | = (m_W / r_W) / V_C * 100
 |  | = (m_W / V_C) / r_W * 100
 |  | = u * 100 / r_W
 |  | = u * 100 / 1000
 |  | = u / 10
water content expressed in mass percent:
 | u_m | = m_W / m_C * 100
 |  | = m_W / (r_C * V_C ) * 100
 |  | = (m_W / V_C) * (100 / r_C)
 |  | = u * (100 / r_C)
 |  | = u / (r_C / 100)

So you get the water content in volume percent if you divide the WUFI result [kg/m³] by 10 .
You get the water content in mass percent if you divide the WUFI result by (density of the building component / 100).

(4):
I'm trying to make sense of the WUFI results, but I'm confused. What exactly is 'relative humidity' and what is the relative humidity in a building component referred to?

In air the relative humidity is the ratio of the actual water vapor partial pressure p and the water vapor saturation pressure ps. Example: If the air temperature is 20°C (and therefore ps = 2340 Pa) and the actual vapor pressure is 1872 Pa, then the relative humidity is 1872 Pa / 2340 Pa = 0.8 = 80%.

The condition in a porous building material corresponds to a RH of x % if it has been exposed to air with a RH of x % until equilibrium was reached and no moisture was taken up or given off any more.
The moisture in the material is then in equilibrium with the RH of the air in the pore spaces. At RHs less than ca. 50% this means that a molecular layer with a thickness of one or a few molecules has been adsorbed at the surfaces of the pores; at higher RHs capillary condensation occurs.

Here is what happens in detail: the usual formulas for the saturation vapor pressure (such as in German standard DIN 4108) are only valid for plane water surfaces. At concavely curved surfaces, where the water molecules are bound stronger, the saturation vapor pressure is reduced; the more so the stronger the curvature of the surface is.

In a partly filled capillary the interface surface between air and water forms a curved meniscus whose curvature is determined by the surface energies involved and in particular by the radius of the capillary. If the air space in such a capillary is filled with air whose partial water vapor pressure is greater than the saturation vapor pressure at the meniscus (whereas the RH in the air is still less than 100%), then the air in the immediate neighborhood of the meniscus is supersaturated and water condenses from the air onto the meniscus, i.e. the capillary fills up.

In a porous material there exists a wide range of pore sizes. In the smallest pores, any menisci may be curved so strongly that in these pores moisture condenses onto the menisci from 50% RH in the pore air upwards. The smallest pores get filled with water, and subsequently larger and larger pores (with smaller curvatures of the menisci) get filled until a pore size is reached where - because of the larger pore size and the smaller curvature of the meniscus - the saturation vapor pressure at the meniscus is equal to the vapor pressure in the pore air. In this way capillary condensation results in an equilibrium between the moisture content and the relative humidity in the pore air, even if this RH is less than 100%. The amount of water needed to fill the pores up to this point depends on the pore structure and the pore size distribution.

The moisture storage function describes the amount of moisture taken up in this manner by the building material if it is exposed to air with a specific RH. Since this relationship between RH and moisture content is largely temperature-independent, the RH is an important and unique parameter describing the moisture content of a material.

(5):
When I do not define a moisture storage function for a material, WUFI uses a default moisture storage function instead. What does this function look like?

WUFI needs a well-defined moisture field for each time step, so it must assign a moisture content even to materials which nominally don't have any appreciable moisture content (e.g. water-repellent mineral wool, air layers etc.).

The default moisture storage function used by WUFI is described by the function
w = a / (b - phi) + c
w | [kg/m³]: | water content
phi | [-]: | relative humidity

Since phi must be 0 for w=0 , it follows immediately that
c = -a/b

The constants a and b are determined as follows:

b is set to 1.0105.

The moisture content at free saturation, wf, corresponds to a relative humidity of 1 (=100%). Since WUFI also needs a unique relationship between moisture content and RH for moisture contents above free saturation, this oversaturation region is assigned RHs greater than 1, up to phimax = 1.01. This value phimax is reached when the moisture content reaches maximum saturation wmax which is determined by the porosity:

wmax = porosity * 1000 kg/m³

Therefore we have

wmax = a / (b-phimax) - a/b.

Solving for a yields:

a = wmax * b * (b - phimax) / phimax,

and thus:

w / wmax = phi / (b - phi) * (b - phimax) / phimax.

In particular, for phi=1 we have

wf / wmax = 1 / (b - 1) * (b - phimax) / phimax = 0.047.

So this pseudo material has a free saturation of wf = 0.047 wmax.

(6):
I did a WUFI calculation with an assembly that includes an air layer. However, I get completely unrealistic water contents for the air layer. What went wrong?

WUFI was developed to simulate the hygrothermal processes in porous building materials. The detailed simulation of heat and moisture transport in air layers (including convection, turbulence etc.) is much more complicated and is outside WUFI's scope. Furthermore, it does not make much sense to try and implement these inherently two- or three-dimensional processes in a one-dimensional simulation program.

Air layers can therefore only approximately be simulated by treating them as a 'porous' material. It is possible to allow for the amplifying effect of convection on heat and moisture transport by employing appropriate effective heat conductivities and vapor diffusion resistance factors.

However, the moisture storage function of an air layer can only very crudely be approximated by the moisture storage function of a porous material. The latter is largely temperature-independent (and implemented as such in WUFI), so that the functional dependence of the moisture content in air on the relative humidity and temperature cannot be reproduced.
Furthermore, the default moisture storage function used by WUFI for materials for which the user has not defined one assumes that capillary condensation will occur in the material already at relative humidities less than 100%, which is not true for an air layer (it has been modeled after the moisture contents of dense mineral wool).

As a result you will get unrealistically large moisture contents for air layers. Note, however, that WUFI uses the relative humidity as the driving potential for moisture transport and computes the water content as a secondary quantity from the resulting relative humidity (using the moisture storage function of the respective material).
So the resulting distribution of relative humidity should in general be quite realistic, its temporal behavior will just be damped much more than in reality (the moisture content acts as a 'capacity term' for moisture transport in the same way the heat capacity acts as a capacity term for heat transport). If short-term fluctuations don't play a major role, the general trend in the behavior of the relative humidity should be tolerably realistic.
This also means that quantities that depend on the relative humidity in or near the air layer (e.g. mould growth rates) can be evaluated more realistically than quantities that primarily depend on the moisture content (e.g. heat conductivity, heat capacity).

Please note that the unrealistically large moisture capacity of an air layer may also affect other layers. If you are interested in the moisture distribution in an assembly that contains an air layer, the air may (or may not) take up more moisture than realistic, so that less moisture remains for distribution among the other layers.

You may mitigate these problems by explicitly defining a slightly more realistic moisture storage function for the air layer. To this end, use a linear function like

phi: | w:
0 | 0
1 | wf

with a low value for wf (the numerics may not be able to cope with very low values, you'll need to experiment a bit) (*). This avoids the spurious capillary condensation.

Also see the next question for a related problem.

(*) Note, however, that the porosity and thus wmax should remain high. If the water content exceeds wf, WUFI reduces the vapor permeability, in proportion to the excess, to reflect the fact that the pore volume gets increasingly filled with water and thus vapor transport decreases. At w=wmax the permeability reaches zero (all pores are filled). For vapor-permeable materials like air layers or mineral wool where moisture transport occurs mainly via vapor transport, wmax should therefore remain at a realistic value.

(7):
I tried to perform a WUFI simulation, but the water balance never adds up, regardless whether I make the grid as fine as possible or whether I choose stricter numerical parameters, as suggested in the on-line help. What can I do?

One situation where serious convergence failures tend to occur is a component with a vapor-permeable layer (e.g. air or mineral wool) which has accumulated a lot of moisture (RH ~ 100%) and which is now exposed to a high temperature gradient (e.g. caused by intense solar radiation). WUFI originally wasn't developed to treat these cases which sometimes prove too demanding for the numerics that are mainly tuned to massive porous materials.

If everything else fails, you may try an alternative moisture storage function. In the material database, the moisture storage functions for materials like air or mineral wool are left undefined, so that WUFI uses an internally defined default moisture storage function (see the preceding two questions).

This moisture storage function assumes that for RHs above ca. 50% capillary condensation occurs which leads to increasingly higher moisture contents until free saturation is reached at 100% RH. This is not really realistic for air layers or hydrophobic mineral wool (it may be more appropriate for non-hydrophobic mineral wool).
Since it seems that the problem is mainly caused by the high water content, reduction of the water content by choosing a different moisture storage function often remedies the problem.
Please note that the relative humidity in the material will remain largely unaffected by the specific choice of the moisture storage function, as explained above. So if you are interested in the relative humidity in the layer, your results will be affected only slightly (but please perform a few test calculations with different choices of the moisture storage function to be sure), and if you are interested in the moisture content, you should not rely on the default moisture storage function anyway, but use measured data instead which represent your particular material.

A possible choice for the moisture storage function in these cases is a table like this:

phi: | w:
0 | 0
1 | wf

Use a low value for wf (the numerics may not be able to cope with very low values, you'll need to experiment a bit.) (*).
This linear function is even more realistic than the default function in that it avoids the capillary condensation for RH= 50..100%. The moisture content remains low up to RH=100% (as it should be in air or in hydrophobic insulation materials), and at or above 100% condensation may occur and increase the moisture content beyond wf and up to wmax.

In particular if you are interested in moisture accumulation by condensation in these materials, use such a linear moisture storage function with low wf. Then you know that any moisture content exceeding wf must have been caused by condensation. You can then analyse this excess over wf (test calculations show that this excess is only slightly dependent on the specific choice of wf).

(*) Note, however, that the porosity and thus wmax should remain high. If the water content exceeds wf, WUFI reduces the vapor permeability, in proportion to the excess, to reflect the fact that the pore volume gets increasingly filled with water and thus vapor transport decreases. At w=wmax the permeability reaches zero (all pores are filled). For vapor-permeable materials like air layers or mineral wool where moisture transport occurs mainly via vapor transport, wmax should therefore remain at a realistic value.

(8):
How can I get the moisture content at a monitoring position?

WUFI's output includes the temporal behavior of

  • temperature and relative humidity at the monitoring positions, and of
  • the mean moisture content of each layer.

In order to get the moisture content at a monitoring position, you can either

  • calculate it from the relative humidity prevalent at that monitoring position by means of the moisture storage function, or
  • insert a thin 'diagnostic' layer at the position in question which has the same material properties as the surrounding material. WUFI will output curves for the water contents of each layer, including a separate curve for the diagnostic layer. This is also a useful way to get the water content of, say, the outermost 5 cm of a layer.

(9):
I want to examine the effect of driving rain on a painted wall. What liquid transport coefficients Dws do I enter for the paint?

There are no measurements of transport coefficients or, equivalently, water absorption coefficients for paint layers themselves known to us.

What is measured sometimes is the water uptake for different paint layers by applying the paint on a standard substrate (such as cellular concrete or lime cement mortar) and measuring the water absorption for this composite material.

So the best thing you can do is probably the following:
Don't use a layer of rendering and a layer of paint; instead, use a layer of the 'hybrid' material for which you already know the combined water uptake from the measurements. Use the Dws from the hybrid water uptake (let it generate by WUFI from the measured water absorption coefficient) and use the Dww and other data from the original rendering.

The vapor diffusion resistance of the paint can then be included in the surface transfer coefficients (as long as it is not markedly moisture-dependent).

Please note some possible problems, though:

  • The result of the measurement may (or may not) depend on the substrate material, the details of the application etc. So you should make sure that you are using a water absorption value that has been measured under the same circumstances as the case you consider in your calculations.
  • The paint may slowly change its properties when it gets wet (e.g. by swelling). The mean properties over a rain period of two or three hours may be different than the mean properties during a measurement that takes many hours. Again, the measurement should be done close to natural conditions.

(10):
What is the right choice for the rain absorption factor for an unrendered natural sandstone wall? When I use the value of 0.7 suggested by WUFI, then the entire wall gets wet like a sponge. When I reduce the absorption factor to 0.5, the same happens, it just takes longer. What's wrong?

This should not happen, but the rain absorption factor is very likely not to blame. It does not depend on the material of the wall (it depends a bit on its surface structure and, of course, on its tilt). After all, it simply expresses the fact that some of the rain water splashes off when it hits the wall surface and is no longer available for absorption.

Are you sure that the amount of rain is okay? Maybe you created your own *.KLI file and used normal rain instead of the correct driving rain?
Several kinds of sandstone have a very high water absorption (e.g. Rüthener) and may accumulate an inacceptable amount of moisture when exposed to a wet climate such as the Holzkirchen weather. Maybe you used one of those?

(11):
I want to investigate the hygric behavior of ecological insulation materials, such as flax, hemp or reed. However, these materials consist of fibres, whereas WUFI is mainly designed for capillary-active porous materials. What is the best approach?

The difference between fibres and porous mineral materials is in general not really crucial for the transport equations. The fibre materials may tend to have preferred transport directions, which would have to be allowed for by using appropriate material data for the x and y directions in a two-dimensional calculation.

Determining the liquid transport coefficients, however, may be difficult or even impossible if they change their consistency upon wetting (e.g. by caking).

On the other hand:
As long as your insulation materials don't become so wet that capillary conduction becomes predominant, you can ignore capillary transport and only consider diffusion transport. That is, you leave the liquid transport coefficients undefined and only enter a µ-value. Surface diffusion phenomena may be allowed for by using a moisture-dependent µ-value.

Since you probably only want to assess whether or not the insulation becomes wet by rain or condensation, you will mainly be concerned with water contents in the sorption moisture region of the moisture storage function, for which these simplifications should be adequate.
As these materials must be prevented from becoming wetted through anyway, there will be no need to investigate in detail the behavior of an insulation soaked full of water.

(12):
I want to find out how long it takes a wall with construction moisture to dry out. Which initial moisture content should I use?

That depends on a number of individual circumstances such as the amount of production moisture (e.g. in cellular concrete or lime silica bricks), the amount of mixing water (in concrete or mortar), the amount of rain hitting the wall while it was unrendered, the season when construction took place (warm/cold) etc., so no general answer is possible here. The table gives examples for typical initial moisture contents:

Material |  | Water content [kg/m³]
Fresh concrete:
 | free water | 175
Concrete, 28 days old (at 70% hydratation):
 | bound water | 85
 | dried water | 25 ... 45
 | free water | 65 ... 45
 |  | (sum = 175)
Concrete, 3 to 6 months old (at 90% hydratation):
 | bound water | 105
 | dried water | 35 ... 50
 | free water | 35 ... 20
 |  | (sum = 175)
DIN 4108 "thermal protection"
 | practical moisture content of concrete | 50
Cellular concrete |  | 180 ... 220
Clay brick masonry |  | 100 ... 150
Calcium silica brick masonry |  | 100 ... 120

(13):
How can I simulate a wall whose exterior surface has been treated with a water-repellent agent? Is it correct to set the rain water absorption factor to zero? Do I need to change the sd-value of the exterior surface, even though I use a diffusion-permeable treatment?

The rain water absorption factor must be set to zero if the water absorption is indeed completely stopped by the treatment. If water absorption is only reduced, you must determine the water absorption coefficient for the treated material and replace the part of the wall which corresponds to the penetration depth of the treatment with da layer of the treated material.

If the treatment does not change the diffusion permeability of the material, no sd-value needs to be specified for the exterior surface.
Many treatments do, however, increase the diffusion resistance factor (µ-value) of the material. In these cases, this additional resistance should be allowed for by an appropriate sd-value. Alternatively, and even better, you can replace the part of the wall which corresponds to the penetration depth of the treatment with a new layer that has the same material properties but an appropriately increased µ-value.

Even if the water absorption is negligible (so that adjusting the rain absorption factor instead of the liquid transport coefficients would be sufficient) and vapor diffusion is not hindered by the treatment (so that no µ-value needs to be adjusted), it might nevertheless be preferable to model the treated part of the wall by defining a separate layer whose liquid transport coefficients have been reduced or even set to zero.
This is because the capillary conduction in this layer does not only determine the amount of absorbed rain water; it also influences the wall's drying behavior.
Drying-out proceeds faster if water from the interior of the wall can be conducted to the surface by capillary transport and can evaporate from there. Drying-out is impeded, however, if capillary transport stops a few centimeters behind the surface and moisture can only dry out after crossing this treated layer by vapor diffusion. So this is another mechanism by which water-repellent treatment may reduce the drying potential of a wall, in addition to a possibly increased µ-value.

(14):
WUFI gives me the option to estimate the liquid transport coefficients Dws from the water absorption coefficient. How can I check how good this estimate is?

You can check the estimated Dws or determine an unknown water absorption coefficient from known Dws by simulating a water absorption experiment.

Define an initially dry layer consisting of the material in question, let it rain on the surface (with a higher rain load than the layer can absorb to be sure that no insufficient rain load is limiting the water uptake) and look at the amount of water absorbed after e.g. 100 or 200 hours.

This may be done with a one-line *.KLI-file such as:

[h: | rain: | rad: | t_ext: | RH_ext: | t_int: | RH_int:]
500 | 1000 | 0 | 20 | 1 | 20 | 0

The number of hours entered for the duration of this one-line climate file does not matter since WUFI re-starts reading from the beginning of the climate file if the simulation period extends beyond the end of the climate file.

Set the vapor diffusion thickness of the interior surface to a very high value to prevent vapor transport through that surface.

You should perform a few test calculations in order to find a suitable thickness of the test specimen which assures that the moisture front traverses most of the specimen (in order to make the most efficient use of the numerical grid) but not all of it.

(15):
I want to evaluate the effect of different material parameters on water absorption by simulating a laboratory experiment in which different specimens are exposed to a limited water supply. I created the corresponding KLI file with a spreadsheet program to avoid typing in all those numbers by hand, but WUFI can't read this KLI file.

The reason why WUFI does not accept your spreadsheet file is probably that you did not write it in ASCII format and/or did not write the header lines in the correct format. Please consult the on-line help for details on creating *.KLI files with your own programs.

Also note that if you want to simulate a simple absorption experiment with a specified constant water supply and constant climate conditions it is sufficient to create a *.KLI file which consists of only one single line, for example the line:
[h: | rain: | rad: | t_ext: | RH_ext: | t_int: | RH_int:]
1000 | 5 | 0 | 20 | 1 | 20 | 0.8
means that for 1000 hours after the starting time of the climate file there is a constant rain load of 5 Ltr/m²h.

An alternative would be a single line like
[h: | rain: | rad: | t_ext: | RH_ext: | t_int: | RH_int:]
1 5 | 0 | 20 | 1 | 20 | 0.8
which states that for 1 hour after the starting time of the climate file there is a constant rain load of 5 Ltr/m²h. When WUFI reaches the end of a climate file, it starts reading the file anew from the beginning, so you can simulate an experiment which is running for 100 hours (or whatever) and the climate file will automatically be read 100 times over.

The only difference between these two files is that in the latter case WUFI does not accept a calculation time step greater than 1 hour, whereas in the former case you may also choose any convenient time step greater than one hour.

For a simple absorption experiment I usually make sure the climate file contains a rain load large enough so that it does not limit the absorption of the specimen, for example 100 Ltr/m²h, which ould not be plausible for real rain.

If you want to have a specified limited supply please don't forget that WUFI reduces the amount of rain it reads from the climate file by the rain absorption factor which allows for the fact that some rain splashes off of the wall on impact and is not available for absorption. This factor should be set to 1 during your experiments.

Furthermore, please note a small subtlety involved in using limited rain supply. Let's assume you have a specimen with a water absorption factor of 3 kg/m²h1/2 and the climate file specifies a rain load of 3 Ltr/m²h. During each time step, WUFI performs a test step with an unlimited supply and subsequently evaluates the amount of water taken up. If this amount of water is less than the amount supplied in the climate file, then the material is the limiting factor and WUFI accepts the result of this time step and proceeds with the calculation.
However, if the amount taken up is more than the amount supplied, WUFI performs additional iteration steps in which a fictitious 'flow resistance' at the specimen surface is adjusted until the amount taken up matches the amount supplied.

If you are using 1-hour steps in your calculation, and the dry specimen absorbs 3 kg/m² of water in the first step and the climate file supplies 3 kg/m²h, then WUFI accepts the trial step done with unhindered absorption and proceeds with the calculation.
But if you are repeating the same calculation with a time step of half an hour, things are different! Since the water uptake is not linear in time, the specimen will absorb more than 1.5 kg/m⊃ in the first half hour, while WUFI compares this with 1.5 kg/m⊃ of rain in the first half hour (assuming the rain is evenly distributed over the hour) and now limits the amount absorbed to 1.5 kg/m².
This is usually of no concern with real rain data and real building materials, but it may be beneficial to be aware of these subtleties if performing test calculations with limited rain supply.

(16):
I'm familiar with steady-state water vapor diffusion calculations (in particular, the Glaser method described in German standard DIN 4108). So I knew I had to expect more or less frequent dew conditions in the wall I was simulating. However, when I watched the WUFI film, I could never see the relative humidity reach 100%.

The usual building materials always have some moisture sorption capacity. This sorption capacity buffers changes in relative humidity inside the wall. If you define boundary conditions which would provoke instant condensation in a Glaser calculation, you may nevertheless not get condensation in a realistic case (such as simulated by WUFI).

That's because a relative humidity of 100% would correspond to a moisture content equal to free saturation of the material in question, and this amount of water must first be transported into the dew region. The diffusion flows do transport moisture to the location where dew conditions prevail, but the transported amounts of moisture are generally small, and the RH will only slowly rise from the initial value, say 80%, to 81%, 82% etc. It may take days or weeks until sufficient amounts of water have been transported to the dew region so that finally free saturation (i.e. RH=100%) is reached. Meanwhile, boundary conditions may have changed and there are no dew conditions any more.

The Glaser method, on the other hand, simply assumes that 100% RH are reached instantly, it doesn't consider the necessity to actually move water in order to reach the moisture content that corresponds to 100% RH.

Furthermore, real materials (as opposed to Glaser) usually have some capillary conductivity which tries to dispel any moisture accumulations. This effect actively works against local water build-up, so that 100% RH can't be reached easily.

Of course, you may get water accumulation in your building component if conditions are right (or wrong). But this will rarely be accompanied by 100% RH. If you see relative humidity approaching 100% somewhere in your component, it's probably much too late...

(17):
OK, this explains why I didn't see dew conditions in the wall. But shouldn't condensation at least happen at the facade on days with high humidity and little sunshine?

The surface of a normal wall in temperate or cool climate regions will always be somewhat warmer than the surrounding air. By day because of solar radiation (even on foggy or overcast days), by night because of heat flow from indoors (exceptions: air-conditioned dwellings or nightly emission, see below).
Since the RH in the air can't be greater than 100% and the RH at the warmer-than-air wall surface will always be less than the RH of the air, you usually can't reach or surpass 100% there.

You'll have free saturation (i.e. 100% RH) at the surface when enough rain is absorbed, but this is not due to dew conditions.

The surface temperature will fall below air temperature when the wall emits more long-wave radiation than it gets back from surrounding surfaces. If it even falls below the dew-point temperature, you will indeed get dew conditions at the surface.
This happens routinely during the night, especially during clear nights, when the long-wave emission of the water vapor in the atmosphere is at a minimum.

In these cases you may get repeated and regular wetting of the surface which may lead to dust accumulation or algae growth, especially with exterior insulations whose surfaces cool down particularly strongly.
Currently, WUFI does not routinely allow for this effect, since the necessary data on atmospheric and terrestrial counterradiation are rarely available. If these data are provided, WUFI can compute nightly emission cooling in principle, but only approximately. Future WUFI versions will have a more sophisticated emission model incorporated.

(18):
I used WUFI to compute the water content in a variety of wall assemblies. In order to evaluate their hygrothermal performance, I now need appropriate criteria, e.g. standards that should not be exceeded.

There are no general criteria which are applicable for every case. Different materials and different applications require different criteria. Here are some general hints:

  • The most important criterion: the moisture must not accumulate over time. Water condensing in the building component must be able to dry out again. If the moisture content in your component keeps increasing - even slowly - you'll run into problems sooner or later.
  • The building materials which come into contact with moisture must not be damaged (e.g. by corrosion or mould growth).
    Mineral building materials are usually not at risk; some of them may be susceptible to frost damage if they contain a lot of moisture.
    Wood should not exceed 20 mass-% of moisture during a prolonged period; otherwise mould growth may result (possible exception: increased moisture while temperatures are low).

German standard DIN 4108-3 adds the following criteria:

  • The amount of condensing moisture in roof or wall assemblies must not exceed a total of 1.0 kg/m².
    This is a more or less arbitrary criterion. In order to test it with WUFI, start the calculation with the normal equilibrium moisture (corresponding to 80% RH) and see if the total water content exceeds the starting value by more than 1 kg/m².
  • At interfaces between materials that are not capillary-active, no moisture increase exceeding 0.5 kg/m² is permissible.
    This is meant to avoid moisture running or dripping off, which could accumulate elsewhere and cause damage.
  • The moisture increase in wood must not exceed 5 mass-%, the moisture increase in materials made of processed wood must not exceed 3 mass-%.
    These are more or less arbitrary numbers.

In addition, special criteria may be applicable in specific cases, for example:

  • Are there any materials which are particularly sensitive to moisture damage?
  • Does increased heat loss by moist insulation exceed any energy conservation requirements?
  • Is the building material at this moisture level sensitive to frost damage?
  • Is there salt in the wall which must be kept from crystallizing or from moving around?
  • Etc.

Even if you don't have clear criteria which fit your case, you may still perform a ranking of your assemblies by comparing them with each other or with a standard case.

(19):
I want to simulate a ventilated curtain wall; how can I do this? I can model the air gap as an air layer in WUFI but it seems these air layers are assumed to be stagnant, which is certainly not the case in my ventilation gap.

If you model the ventilation gap as an air layer in WUFI, it is indeed treated as a closed air layer without connection to the exterior air. The effect of inner convection on heat and moisture transport across the air layer is allowed for (as a first approximation) by use of effective heat conductivities and vapor diffusion resistance factors.

The air flow and air exchange phenomena in a ventilated air layer cannot be simulated with a one-dimensional program like WUFI-1D; WUFI-2D currently does not take air flows into account.
If the air exchange is large enough, it may be justified to assume exterior air conditions in the air gap. That is, you do not model the curtain facade and the air gap, and you consider the surface of the insulation or the wall itself (as the case may be) as the exterior surface in WUFI's component assembly. Rain must be set to zero (simply by setting the rain absorption factor = 0).
It will be advisable to choose appropriate effective values for the exterior heat transfer coefficient and the short-wave solar absorptivity, but this requires calibration by experimental data.

The same problem is encountered in simulations of roofs, either because of a ventilation cavity in the roof or because of the question how to model the covering and the batten space.

The investigations described in [1] used a simplified treatment of a roof. WUFI-1D simulations were carried out to examine the moisture balance in a fully insulated west-facing pitched roof (50° inclination). The covering and the batten space could be omitted from the simulated assembly because measured temperatures in a similar roof on IBP's testing area were available and could be used to determine appropriate effective surface transfer coefficients. The measurements were taken on the waterproofing foil (i.e. directly on the insulation layer) and were compared with the computed temperatures at the outer surface of the modeled insulation layer which sufficed to represent the whole roof for the purpose of a thermal adjustment.
The thermal surface transfer coefficients were adjusted in WUFI until good agreement between measurement and calculation was reached. This was the case with an effective short-wave absorptivity of as=0.6 and an effective heat transfer coefficient of a=19 W/m²K. The effective absorptivity is roughly identical with the real absorptivity (for red roof tiles), while the effective a is slightly higher than the usual standard value of 17 W/m²K. Obviously the covering and the air in the batten space have no major effect on the thermal behavior of the roof, at least in this case. In particular, the amount of heat removed by convection through the ventilated air cavity seems negligible and the entire heat created in the covering by solar radiation is passed on into the underlay.
The question to which extent this isolated result can be generalised could only be answered by more extensive comparisons with measurements.

[1] H.M. Künzel: Außen dampfdicht, vollgedämmt? - Die rechnerische Simulation gibt Hinweise zu dem Feuchteverhalten außen dampfdichter Steildächer. bauen mit holz 8/98, S. 36-41.

(20):
I calculated the sum of the heat flows through the exterior and the interior surfaces during one year and I noted that the heat flow out of the building component through the exterior surface is much larger than the heat flow into the component through the interior surface. But shouldn't they be nearly equal? How can more heat flow out of the component than into it? No heat can be created in the wall.

The solar radiation incident on the exterior surface is electromagnetic radiation and not heat flow; it is therefore not included in the heat flow data.
However, after absorption it is converted to heat so that there exists indeed a heat source in the wall. Since the heat source is close to the exterior surface, most of the generated heat flows outward through the exterior surface, only a small amount flows inward through the interior surface. This asymmetric heat flow is superimposed on the usual transmission heat flow (which in colder climates alway goes from the indoor side to the outdoor side of the building element).

Please note that in the film display the heat flow arrow at the exterior surface does include the solar radiation. Otherwise it would look very strange to see the sun shining on the wall surface but a lot of heat flowing out of the wall. This is a concession to the intuitive expectations of the audience.

Also note that there can be a heat source or sink in the wall when water condenses or evaporates. In some cases these latent heat effects can be non-negligible (e.g. drying of a wall wetted by driving rain).

(21):
Are there more recent weather data available? The copy of WUFI I downloaded still has those of 1991.

'Recent' weather data would probably not be very useful to you. It is more important to have weather data which are either known to be typical for a specific location or which repesent defined critical conditions (e.g. for design purposes). We consider 1991 to be a fairly typical year for Holzkirchen. 'Critical' weather data, i.e. one particularly cold year and one particularly warm year, are in preparation and may be made available as two 'Hygrothermal Reference Years'.

(22): For the numerical solution of the transport equations the component must be divided into a series of grid elements for whose midpoints the resulting temperatures and water contents are computed at each time step, and across whose element boundaries the heat and moisture fluxes required by the equations are flowing. In order to arrive at correct fluxes across the boundaries, effective conductivities have to be assigned to the boundaries which represent the integral effect of the conductivities between the midpoints of the two elements. The investigations reported in [1] show that the results do in fact depend on the way these effective heat and moisture conductivities are determined from the real conductivities of the two elements: obviously linear interpolation between the neighboring conductivities is preferable within a material layer, and a resistance formulation is more appropriate for boundaries between layers with different materials. How does WUFI treat these element boundary conductivities?

It is obvious that at element boundaries where materials with possibly very different conductivities are in contact with each other a simple average of the conductivities (or resistances) cannot result in a realistic effective conductivity to describe the fluxes between the elements. Take as an example a material with very low resistance which borders on a material with very high resistance. The flux flowing between the midpoints of the two elements is determined by the sum of the two successively encountered resistances, not by the arithmetical average of the conductivities.
One might suppose now that this physically motivated reasoning also applies to smaller differences between the neighboring elements and that therefore the resistance formulation (i.e. the harmonic mean of the conductivities) should always be used within the entire component. However, test calculations during the development of WUFI's numerics showed that this is not the case. Within a material the arithmetical mean of the conductivities yielded better results (compared with experimental data), so that WUFI uses harmonic averages at material boundaries and arithmetical averages within a material, in agreement with the cited investigation. The derivation of the resistance formulation assumes equal fluxes in the two element halves, but this need not be the case if transient processes in materials with heat or moisture storage capacities are considered.

[1] Galbraith, G.H. et al.: Evaluation of Discretized Transport Properties for Numerical Modelling of Heat and Moisture Transfer in Building Structures,
Journal of Thermal Env. & Bldg. Sci., Vol. 24, Jan. 2001

(23):
I want to perform a hygrothermal simulation of a wall on which every day a shadow is cast for some time by a building on the other side of the street. WUFI does not offer an option to allow for such a shadow, but I could simply use a self-created *.KLI file by converting the measured radiation myself and allowing for the sadow in this process. But, how is the conversion of the radiation data done?

First you need to determine the radiation incident on the surface of your building element from the measured data describing the radiation on a horizontal surface. For this purpose it is necessary to determine the position of the sun in the sky at the time of the measurement.

Position of the Sun:

Let J be the number of the day in the year (1 .. 365 or 366). Then compute the auxiliary quantity x:

x = 0.9856° * J - 2.72°

and the equation of time Z (in minutes):

Z = -7.66*sin(x) - 9.87*sin( 2*x + 24.99° + 3.83°*sin(x) ).

The equation of time describes the variable difference in time between the actual culmination of the sun and noon. Because of the ellipticity of the Earth's orbit and the obliquity of the Earth's axis the sun wanders with slightly irregular speed across the sky. During the course of the year there are thus times where it reaches culmination earlier than a fictitious sun with constant speed (the so-called 'mean' sun) and times where it reaches culmination later.

The local meridian is the great circle that rises from the horizon due north, passes through the point directly above the observer and crosses the horizon again due south. The instant at which the sun crosses the local meridian on its daily path from east to west is also the instant where its position is due south and where it reaches its daily greatest height.

When the apparent sun (i.e. the actually observed sun) crosses the meridian it is 12 noon local apparent solar time (LAT); when the mean sun crosses the meridian it is 12 noon local mean time (LMT). The equation of time is therefore the difference between LAT and LMT (Z = LAT - LMT).

Furthermore, since the place where the measurements were taken is usually not located on the reference meridian of the time zone (15° East for the Central European Time Zone, CET), the difference between local mean time and zone time must be allowed for, which is 4 minutes for 1° difference in geographical longitude L and one hour for 15° difference. If the measurement was timed in Central European Summer Time CEST, convert to CET first by subtracting one hour (CET = CEST - 1h).

In this way you can now compute the corresponding local apparent time LAT from the known measurement time (in CET):

LAT = CET - (15°-L)/(15°/h) + Z/(60 min/h) [h]

and thus determine the position of the sun: at 12 noon LAT the sun is exactly on the meridian, before noon it stands at an appropriate distance to the east of the meridian, after noon, an appropriate distance to the west.
The distance between the sun and the meridian is measured by the hour angle:

w = (LAT - 12h) * 15°/h.

The hour angle w is reckoned perpendicular to the meridian; it is negative before noon, zero at noon and positive after noon; it increases steadily by 15° per hour.

The hour angle gives the distance of the sun from the meridian; the declination d, i.e. the distance of the sun from the celestial equator, then fixes the position of the sun completely. The declination varies between -23°26' at winter solstice, 0° at the equinoxes, and 23°26' at the summer solstice. Since its change during one day is very small, it suffices to compute it once for the day J under consideration:

sin(d) = 0.3978 * sin( x - 77.51° + 1.92° * sin(x) ),
cos(d) = sqrt(1 - sin(d)^2)

where x is the auxiliary quantity introduced above.

The last step is the transformation from the coordinate system determined by w and d into the more familiar coordinates altitude g and azimuth y (=compass direction). The geographical latitude j of the measurement location is needed for this.

sin(g) = cos(d)*cos(w)*cos(j)+sin(d)*sin(j)
cos(g) = sqrt(1 - sin(g)^2)

if cos(g)=0 then y = 0
else begin
       sin(y) = cos(d)*sin(w)/cos(g)
       cos(y) = (cos(d)*cos(w)*sin(j)-sin(d)*cos(j))/cos(g)
       y = atn2(sin(y), cos(y))
     end

This formula uses atn2(A,B), the arctangent function for two arguments A and B, which is provided by many programming languages, and which gives the arctangent of A/B in the correct quadrant. If this function is not available to you, you can use the ordinary arctangent and then explicitly determine the correct quadrant (i.e. you compute y=atn(A/B), and in the case B<0 you add 180° if y <= 0 or subtract 180° if y > 0. If B=0 and A<0 then y=-90°, if B=0 and A>0 , then y=+90°.).
The azimuth y is counted from south=0°, positive towards the west and negative towards the east.

Examples for Munich (48.13°N, 11.58°E):

CET | Altitude | Azimuth | Declination
(J=1)
1 Jan. 2001 09:00 | 6.436° | -44.614° | -22.987°
1 Jan. 2001 12:00 | 18.836° | -4.209° | -22.977°
1 Jan. 2001 16:00 | 3.441° | 49.590° | -22.962°
1 Jan. 2001 16:25 | 0.434° | 54.316° | -22.961°
(J=79)
20 Mar. 2001 07:00 | 6.498° | -82.661° | -0.126°
20 Mar. 2001 12:21 | 41.851° | -0.041° | -0.038°
20 Mar. 2001 16:00 | 22.726° | 62.242° | +0.022°
(J=172)
21 Jun. 2001 08:00 | 34.501° | -87.522° | +23.437°
21 Jun. 2001 12:00 | 65.126° | -8.437° | +23.437°
21 Jun. 2001 18:00 | 19.771° | 103.475° | +23.436°

These values were computed with an astronomical ephemeris program. Of course, the simplified method described above cannot reproduce these data exactly, in particular for low altitudes of the sun (1 Jan. 16:25), since it does not allow for atmospheric refraction. On the other hand, the comparison allows you to assess the overall accuracy of this simple method. Your results should agree with these exact positions within a few tenths of a degree. The declinations have been included as well for testing purposes.

Converting the Radiation Data:

We assume that your input data are measured hourly values of the global (I_glob) and the diffuse radiation (I_diff) on a horizontal surface.

The radiation incident on the measuring or the component surface is split up into a direct and a diffuse component. The direct component is received directly from the sun and is therefore a directed quantity that depends on the position of the sun. The direct radiation vertically incident on a surface which is facing the sun is the direct normal radiation I_dir_normal. The direct radiation I_dir obliquely incident on a horizontal measuring surface depends on the solar altitude g:

I_dir = I_dir_normal * sin(g).

Since I_dir can be computed as the difference between the measured values of global and diffuse radiation and g can be determined from the measurement location and time by the method given above, the corresponding direct normal radiation is

I_dir_normal = (I_glob - I_diff) / sin(g).

The angle of incidence h, i.e. the angle that the direct normal radiation makes with the normal to the component surface which is tilted by the angle b and oriented in the direction a, is

cos(h) = sin(g)*cos(b) + cos(g)*sin(b)*cos(a-y)
h: | Angle of incidence (vertical=0°)
g: | Altitude of the sun
y: | Azimuth of the sun (south=0°, positive towards west, negative towards east)
b: | Tilt of the component surface (vertical wall=90°)
a: | Azimuth of the normal to the component surface (south=0°, west positive).

The direct radiation incident on the component surface is therefore:

I_dir_in = I_dir_normal * cos(h)
         = (I_glob - I_diffus) * cos(h) / sin(g).

The diffuse component consists of the radiation scattered by the air ("blue sky") and the clouds which comes from all directions and can approximately be treated as isotropic. Diffuse radiation is measured by blocking the direct radiation with a shadow ring around the solarimeter. The measurement gives I_diff, the diffuse radiation incident on the horizontal measuring surface from the entire sky hemisphere. A component surface with arbitrary tilt and orientation receives the same diffuse radiation (since it is isotropic), but for non-horizontal surfaces the fact has to be allowed for that the sky covers a smaller part of its field of view and the total amount of incident diffuse radiation is reduced proportionately (a vertical wall sees sky only in the upper half of its field of view):

I_diff_in = I_diff * ( cos(b/2) )^2.

Additionally, you may add the global radiation reflected from the ground:

I_refl_in = r * I_glob * ( sin(b/2) )^2,

where r is the short-wave albedo of the ground and the reflection is assumed to be isotropic. In the current version, WUFI ignores the reflected component of the radiation.

The total radiation incident on the surface of the building component is the sum of the components:

I_in = I_dir_in + I_diff_in + I_refl_in.

You may now modify or supplement this conversion method according to your needs. For example, you can allow for shadows by setting the direct radiation to zero at times where the sun is behind the obstacle, and by reducing at all times the diffuse radiation in proportion to the reduction of the field of view caused by the obstacle. On the other hand, at times where the sun illuminates the facing side of the obstacle, it may be necessary to add some reflected radiation.

Hint: if the radiation data to be converted have been averaged over some longer interval (e.g. one hour), please note the following:

It is advisable to compute the solar positions for the middle of the measuring interval, i.e. the averaged data measured between 9h and 10h should be converted using the solar position computed for 9:30h.
If the sun has risen or set during such a measuring intervall (which is easy to check for, using the solar altitude), the solar position must be computed for the middle of the visibility interval, not for the middle of the measuring interval.

Independent of the duration of the measuring interval, radiation data obtained at very low solar altitudes should not be used, since under these circumstances the direct normal radiation must be calculated from very small and unreliable values obtained for the direct radiation at grazing angles of incidence.

Details on these conversion methods can be found in:
VDI 3789 Umweltmeteorologie, Blatt 2: Wechselwirkungen zwischen Atmosphäre und Oberflächen; Berechnung der kurz- und der langwelligen Strahlung.

In addition to data on global and diffuse radiation, the weather file IBP1991.WET included with WUFI contains radiation data obtained with a west-facing solarimeter which you can use to test your conversion routines.

Previous topic:
Assessment Criteria 		Topic 105 Next topic:
Conversion Factor Table


Conversion Factor Table

These are the conversion factors used by WUFI to switch from SI units to IP units and vice versa:

Quantity | SI units | IP units | SI®IP | IP®SI
length | m | in | 1/0.0254 | 0.0254
length | cm | in | 1/2.54 | 2.54
length | mm | in | 1/25.4 | 25.4
length | m | ft | 1/0.3048 | 0.3048
bulk density | kg/m³ | lb/ft³ | 1/16.01846 | 16.01846
porosity | m³/m³ | ft³/ft³ | 1.0 | 1.0
temperature | °C | °F | (**) | (**)
temperature difference | °C | °F | 1.8 | 1/1.8
spec. heat capacity | J/kgK | Btu/lb°F | 1/4.1868E3 | 4.1868E3
thermal conductivity | W/mK | Btu/h ft°F | 0.57779 | 1/0.57779
therm. cond. supplement | %/m-% | %/m-% | 1.0 | 1.0
thermal resistance | m²K/W | h ft²°F/Btu | 5.679 | 1/5.679
heat transfer coefficient | W/m²K | Btu/h ft²°F | 1/5.678263 | 5.678263
heat flux | W/m² | Btu/h ft² | 1/3.154591 | 3.154591
relative humidity | - | - | 1.0 | 1.0
relative humidity | % | % | 1.0 | 1.0
sd-value | m | perm | (***) | (***)
diffusion resistance factor | - | perm in | (****) | (****)
water content | kg/m³ | lb/ft³ | 1/16.01846 | 16.01846
water absorption coeff. | kg/m²Ös | lb/in²Ös | 1/703.0696 | 703.0696(*)
liquid transport coeff. | m²/s | ft²/s | 10.764 | 1/10.764
water balance | kg/m² | lb/ft² | 1/4.882428 | 4.882428
pressure | kPa | lbf/in² | 1/6.894757 | 6.894757
rain load | Ltr/m²=mm | in | 1/25.4 | 25.4

(*) = | 0.4535924 / 0.0254^2
(**) | t/°F = 9/5 * (t/°C) + 32
 | t/°C = 5/9 * (t/°F) - 17.777...
(***) | sd/m = 3.28/(D/perm)
 | D/perm = 3.28/(sd/m)
 | D: permeance
(****) | µ/[-] = 128.8/(P/(perm in))
 | P/(perm in) = 128.8/(µ/[-])
 | P: permeability

Note that when switching unit systems, the new values need to be truncated to fit the edit fields in the dialogs, so that switching back may result in slight differences from the original values.

Previous topic:
Questions and Answers 		Topic 106 Next topic:
Version Info


Version Info

The following list compares the various members of the WUFI® program family:

 | WUFI Pro | WUFI Light/ORNL | WUFI 2D | WUFI Plus | WUFI Passive | WUFI Plus/Passive Free
 | one-dimensional hygrothermal simulation |  | two-dimensional hygrothermal simulation | hygrothermal building simulation
General: |  |  |  |  |  |
One-dimensional calculation: | • | • | • (possible, but more complex and time-consuming than WUFI Pro) | • | • | •
Two-dimensional calculation: | - | - | • | limited1 | limited1 | -
Building simulation: | - | - | - | • | • | •
Passive house calculation: | - | - | - | • | • | •
Thermal calculations: | • | • | • | • | • | •
Hygric calculations: | • | • | • | • | limited3 | -
Graphical user interface: | • | • | • | • | • | •
Full functionality: | • | - | • | • | • | -
Languages: | multilingual6 | multilingual6 | en | multilingual7 | multilingual7 | multilingual7
Unit system: | SI / IP | SI / IP | SI | SI / IP | SI / IP | SI / IP
Component simulation/ building simulation: |  |  |  |  |  |
Component structure: | layers | layers | rectangles | layers | layers / inhomogeneous3 | layers
Numerical grid: | automatic, editable manually | automatic | automatic, editable manually | automatic, coarse/medium/fine | automatic, coarse/medium/fine | automatic, coarse/medium/fine
Numerical grid display: | graphical, tabular | graphical, tabular | graphical, tabular | graphical | graphical | graphical
Material database: | • | • | • | • | • | only thermal
Material data editable: | • | - | • | • | • | •
User-defined materials in database possible: | • | - | • | • | • | -
Construction database: | • | • | - | • | • | •
3D building display: | - | - | - | • | • | •
Building geometry: | - | - | - | Manual 3D editor, building wizard, Sketchup | Manual 3D editor, building wizard, Sketchup | Manual 3D editor, building wizard, Sketchup
Multi zone model: | - | - | - | • | • | •
Simulation of indoor climate: | - | - | - | • | limited2 | limited2
Profiles for internal loads: | - | - | - | • | • | •
Natural / mechanical ventilation: | - | - | - | • | • | •
Simulation of HVAC systems: | - | - | - | • | • | •
Sources in the component: |  |  |  |  |  |
Heat sources: |  |  |  |  |  |
Transient from file: | • | • | • | • | • | •
Fraction of solar radiation: | • | • | • | • | • | •
Moisture sources: |  |  |  |  |  |
Transient from file: | • | • | • | • | • | -
Fraction of driving rain: | • | • | • | • | • | -
Convective source (Air Infiltration Model IBP): | • | • | - | • | • | -
Constant monthly moisture load: | • | • | - | - | - | -
Air exchange sources: |  |  |  |  |  |
Constant air change rate: | • | • | • | • | • | •
Transient from file: | • | • | • | • | • | •
Boundary conditions: |  |  |  |  |  |
WUFI climate database: | • | 1 location / US-climatic data | • | • | • | restricted climatic locations
Surface orientation: | N, NE, E, SE, S, SW, W, NW | N, NE, E, SE, S, SW, W, NW | 0° through 360° | 0° through 360° | 0° through 360° | 0° through 360°
Surface inclination: | 0° through 90° | 0°, 90° | 0° through 90° | 0° through 90° | 0° through 90° | 0° through 90°
Wind-driven rain (if rain data available in weather file): | • | • | • | • | • | -
Driving rain coefficients: | drop-down menu and custom | drop-down menu | custom | drop-down menu and custom | drop-down menu and custom | -
Driving rain coefficients according to ASHRAE Standard 160: | • | • (only ORNL) | • | • | • | -
Use of own climatic data: | • | - | • | • | • | -
Surface transfer coefficients: |  |  |  |  |  |
Heat transfer coefficient / resistance: | drop-down menu and custom | drop-down menu | custom | drop-down menu and custom | drop-down menu and custom | drop-down menu and custom
sd-value of a possible surface coating: | drop-down menu and custom | drop-down menu | drop-down menu and custom | drop-down menu and custom | drop-down menu and custom | -
Water vapor transfer coefficient: | automatic | automatic | automatic and custom | automatic | automatic | -
Explicit radiation balance: | • | • | • | • | • | •
Wind-dependent heat transfer coefficient: | • (user-editable formula coefficients) | • (fixed) | • (fixed) | • (fixed) | • (fixed) | • (fixed)
Initial conditions T / RH: | constant across component, constant value in each layer, aritrary profile | constant profile | constant across component, constant value in each layer, arbitrary profile | constant profile; RH from database | constant profile; RH from database | constant profile
Calculation: |  |  |  |  |  |
Maximum calculation period: | unlimited | unlimited | unlimited | unlimited | unlimited | unlimited
Start of the calculation user-definable: | • | • | • | • | • | •
Calculation time steps user-definable: | • | • | • | • | • | •
Output: |  |  |  |  |  |
Hygrothermal conditions in the building component: | • | • | • | • | •2 | -
Indoor climate, comfort, energy requirements: | - | - | - | • | •4 | •4
Results displayed as animated film: | • | • | • | • | • | -
Film exportable: | • (AVI & own viewer) | - | - | • | • | -
Results displayed as diagrams: | • | •5 | • | • | • | •5
ASCII output of results: | • | - | • | • | • | -
Create own result graphics: | • | • | • | • | • | -
Automatically generated result report: | • | • | • | • | • | •
Data and report output to Word and Excel (editable by user): | - | - | - | • | • | -
Display of measurement data for comparison: | • | - | - | - | - | -
Miscellaneous: |  |  |  |  |  |
Read project data of previous versions: | • | - | • | • | • | •
Interface for post-processors: | • | • | • | • | • | -
Automated batch processing: | • | • | • | • | - | -
Import of building constructions: | - | - | DXF | - | - | -
Import of building geometries: | - | - | - | SketchUp, gbXML | SketchUp, gbXML | SketchUp, gbXML
System requirements: |  |  |  |  |  |
Operating system: Windows (XP and later): | • | • | • | • | • | •
Operating system: MAC OS: | - | - | - | - | - | -
Available licenses: |  |  |  |  |  |
1 year free of charge: | - | • | - | - | - | •
1 year license: | • | - | • | • | • | -
3 year license: | - | - | - | - | • | -
10 year license: | • | - | • | • | • | -
 | WUFI Pro | WUFI Light/ORNL | WUFI 2D | WUFI Plus | WUFI Passive | WUFI Plus/Passive Free

1 Thermal 2- and 3-dimensional calculation
2 Only buildings which meet the 5 main Passive House Verification criteria
3 Inhomogeneous only for the static monthly balance method
4 Indoor air humidity without moisture exchange with envelope components
5 Watermarks in result graphics
6 English, Finnish, Polish, French, German, Norwegian, Swedish, Spanish, Italian, Portuguese, Czech, Japanese
7 German, English, Italian

Previous topic:
Conversion Factor Table 		Topic 107 Next topic:
Glossary


Glossary

approximate
The approximated moisture storage function is given by an analytic curve that is made to pass through the moisture contents for 0%, 80% and 100% RH. These moisture contents are known for many materials even if a complete moisture storage function has not been measured: the moisture content at 80% RH is the practical moisture content and the moisture content at 100% RH is the free saturation.

This approximation is useful if it can be expected that the shape of the true moisture storage function is sufficiently similar to the analytic curve, which is not always the case, however.

Example:

Approximated moisture storage function

assembly
The assembly defines the two-dimensional geometrical arrangement of the individual elements which make up the entire ®component.
Building up the assembly in the dialog "Geometry" is one of the main tasks in setting up a WUFI simulation.

boundary conditions
The heat and moisture transport equations to be solved by WUFI require not only specification of the transport and storage properties of the materials and of the initial state of the temperature and the moisture field. In addition, for each time step the temperature and moisture conditions at the "boundaries" of each of these fields need to be specified.
This may be compared with the similar case of a vibrating membrane (e.g. a drum skin) whose oscillations are determined by the mechanical properties of the membrane material, by its initial state and by the condition of its edge (its "boundary") which may be fixed (as in a drum), allowed to oscillate freely, or guided by an external force following some given law. Without specification of the boundary conditions the problem to be solved is not specified completely and no solution is possible.

In the case of the temperature and moisture fields in the building components simulated by WUFI, the boundaries of these fields are the surfaces of the components, and the boundary conditions are provided by the weather data. There a three different types of boundary conditions:

When boundary conditions of the first kind apply, conditions on the surface and in the surroundings are always identical. At the surface, the temperature or moisture profile extends from the component into the surroundings without discontinuity. In simulations of heat or vapor transport, this kind of boundary conditions occurs, for example, when the component is in contact with the ground or with water. The user may enforce this kind of boundary conditions by setting the respective surface transfer resistance to zero (or the transfer coefficient to a large number, e.g. 9e9).

When boundary conditions of the second kind apply, a certain heat or moisture flux is specified to flow across the component surface. The heat flow imposed on a component surface by the absorbed solar radiation is an example.

When boundary conditions of the third kind apply, the heat or moisture flux across the surface is proportional to the temperature or moisture difference between the surface and the surroundings, with a "surface transfer coefficient" as the proportionality constant. This is the most frequent situation occurring in building physics.

Adiabatic boundary conditions do not admit any heat or moisture fluxes across the surface; they are a special case of boundary conditions of the second kind. They can be used to describe thermally adiabatic or watertight or vaportight surfaces.
In symmetrical components which are exposed to identical boundary conditions on both sides, no heat or moisture fluxes can flow across the symmetry plane, because a flow going in either direction across the plane would need to go in the other direction at the same time in order to avoid violating the stipulated symmetry. It is therefore sufficient to simulate only one half of the component and to treat the symmetry plane as an adiabatic "surface". The user can specify adiabatic boundary conditions by setting the respective surface transfer resistance to a high value, e.g. 9e9 (or the transfer coefficient to zero).

building component
®component

climate
The climate is the description of the ®boundary conditions that act on the interior and exterior surfaces of the ®component. In general, the exterior climate is determined by the weather (and thus described by a collection of weather data), the interior climate is determined by the indoor air conditions. The terms "climate" and "weather" are used indiscriminately in WUFI.
The exterior and interior climates for a WUFI simulation are specified in the "Climate" dialog.

component
The component is the building element that is under investigation in WUFI. It may for example be a complete wall or roof cross-section or part thereof. In most cases it is composed of several rectangular elements that consist of different materials.
The geometrical arrangement of rectangular elements that defines the makeup of the component is the ®assembly.

construction
®component

courses
Courses are one of WUFI's result types. Courses describe the temporal evolution of certain quantities such as the moisture content in the building component or the heat fluxes through the surfaces.

directories
WUFI-2D uses several different directories in different stages of the work:

All your input is held in memory while you are working on a project. Occasionally, the contents of WUFI-2D's memory may be written to the cache directory. This happens automatically whenever you want to save your work: the project data are first written to several files in the cache directory, then these files are copied to the save directory (see below).

You may also write the memory contents to the cache directory by pressing CTRL+W, in order to make a snapshot of the current state of your work. You may later revert your project data to the state last secured in this way by pressing CTRL+R or by choosing File | Revert to last cached. This provides a rudimentary undo function.

The directory to be used as cache directory can be specified in the dialog Options | Settings. When you close WUFI-2D, the cache directory will be cleared.

When you save your project data, all the data in memory will be written to files in the cache directory, and these files will be copied to the save directory. The save directory serves as a repository for your project data between work sessions or as a quickly accessible archive. If you want to archive your project data in a more compact format, you can export them to a compressed archive file.
Use the dialog Options | Settings to specify a root directory for the save directories.

If you choose Menu: Options | Set as Default the project data in memory will be written to files in the cache directory and these files will be copied to the default directory. The next time WUFI-2D is run, it will automatically copy the contents of the default directory back into the cache directory and read the project data into memory so that you can continue working without having to load the project first.
Use Menu: Options | Reset Default to empty the default directory and to prevent WUFI-2D from loading a default project.

dUTC
The parameter dUTC describes the time difference between the time zone used in the weather file and Coordinated Universal Time UTC (formerly Greenwich Mean Time, GMT). In order to convert the solar radiation data from the horizontal surface of the measuring instrument to the arbitrarily oriented and inclined surface of the simulated component, WUFI needs to compute the position of the sun in the sky. To do that correctly, it must know to which time zone a time stamp such as "15 h" in the weather file refers.

The relevant time zone is the time zone to which the time stamps in the weather file refer. This need not necessarily be the time zone in which the weather station resides. Many weather stations are running on UTC, even though they are located in a different time zone. Furthermore, the user may convert the time stamps to a time zone of his choice, but then he has to correctly declare this time zone.
Example: A weather station located in Buenos Aires (time zone UTC-3) measures weather data with a data logger whose clock is running on UTC (time zone UTC±0). The user then converts the measured time stamps to Japanese time (time zone UTC+9) and uses these time stamps in the weather file he created from the measurements. This weather file then must indicate that its time zone is UTC+9 (dUTC = +9).

WUFI assumes that the winter time ("standard time") of the respective time zone is used throughout. If all the data are in summer time, the dUTC parameter may be increased by 1 instead of converting all the time stamps. For example, Central European Summer Time is dUTC = 2. However, the weather file must adhere to one single time definition and must not switch between winter and summer time.

dUTC is specified in hours. Most time zones have an integer dUTC, but there are time zones with non-integer dUTC.

Examples:

Pacific Standard Time | PST | Vancouver, Los Angeles | -8
Mountain Standard Time | MST | Edmonton, Denver | -7
Central Standard Time | CST | Winnipeg, Dallas, Mexico City | -6
Eastern Standard Time | EST | Toronto, New York, Lima | -5
Atlantic Standard Time | AST | Halifax, Manaus | -4
West European Time = Coordinated Universal Time | WET = UTC | London, Lisbon, Casablanca | 0
Central European Time | CET | Stockholm, Berlin, Paris, Kinshasa | +1
East European Time | EET | Helsinki, Bukarest, Istanbul, Kairo, Johannesburg | +2
Indian Standard Time | IST | Delhi | +5.5
Japan/Korea Standard Time | JST | Tokio, Seoul | +9
Australian Eastern Standard Time | AEST | Port Moresby, Canberra, Sydney | +10

generate
If no detailed data are available on the moisture dependence of certain material data, a table with estimated data for selected moisture contents can be generated from appropriate standard material data.
The methods used for these estimates are in some cases based on theoretical assumptions which need not be valid for all materials (i.e., for most materials the estimation yields useful values, for some it does not).

Example: the liquid transport coefficient as measured (left) and as generated from a water absorption coefficient of 0.043 kg/m²Ös (right):

Generated liquid transport coefficients
WUFI can generate:
• | Liquid transport coefficients (from the A-value and the free saturation)
• | Heat conductivity, moisture-dependent (from the heat conductivity dry, the bulk density and the moisture-induced heat conductivity supplement).

numerical grid
###

project
The project is the collection of all input data and the calculation results. All of these data are written to the ®save directory when you save the project. They can also be exported to a compressed archive file.

time zone
®dUTC

weather
®climate

WUFI
WUFI (Wärme und Feuchte instationär - transient heat and moisture) is a Windows-based program for the hygrothermal (heat and moisture) analysis of building envelope constructions.

Previous topic:
Version Info 		Topic 108


Dialog: Edit Climate

Previous topic:
Dialog: Edit Surface Coefficients 		Topic 62 Next topic:
Dialog: Select Climate

Dialog: Edit Orientation

Use this dialog to select the climate to be assigned to the current surface segment of the component and to specify the orientation and exposure of the surface.

"Climate File"
Select the climate to which the current surface segment shall be exposed. The Browse button opens the "Select Climate" dialog where you can select from a variety of climate files (provided with WUFI or supplied by yourself) or different interior climate models.

"Orientation"
The azimuth is the compass direction towards which the building component is facing. It is needed for calculating the rain and radiation loads incident on the surface. Due south is 0°, north is 180°, east is -90° and west is 90°.
The inclination is the tilt of the surface. It is needed for calculating the rain and radiation loads incident on the surface.
90°: vertical surface
0°: horizontal surface

"Driving Rain Coefficients"
The driving rain coefficients are used to estimate the driving rain load on the building component. The rain load on a wall is determined by the driving rain rather than the normal rain.

The driving rain coefficients R1 and R2 serve to estimate the driving rain load on a surface of arbitrary orientation and inclination from data on normal rain, wind velocity and mean wind direction, using the relation
Driving rain load = rain · (R1 + R2 · wind velocity),

where 'rain' is the normal rain and 'wind velocity' is that component of the mean wind velocity (measured at a height of 10 m, in open area), which is orthogonal to the building surface. This component is determined from the mean wind velocity and the mean wind direction. The data on normal rain, wind velocity and wind direction are read from the selected weather file.

R1 and R2 are strongly dependent on the specific location on the building facade. For vertical surfaces, R1 is zero. R2 is about 0.2 s/m at free-standing locations without influence from surrounding buildings etc.; it is markedly less in the center of a facade (e.g. 0.07 s/m); it may even be greater at exposed locations of a building (near edges and corners).

Note: Since most component surfaces - with the exception of unrendered masonry and natural stone facades - only have a moderate water absorption, they cannot imbibe all the offered water anyway. In these cases, an exact knowledge of the driving rain quantity is not essential (whereas the duration of the rain is still important) and fairly plausible estimates for the driving rain load are usually sufficient (the same is true for the rain water absorption factor).

Previous topic:
Dialog: Edit Surface Coefficients 		Topic 62 Next topic:
Dialog: Select Climate


How to Measure Material Data

Previous topic:
Viewing the Results 		Topic 12 Next topic:
Basic Material Data

How to Collect Material Data

If a material needed for a hygrothermal simulation is not in WUFI's material database, the material properties must be taken from other sources, such as estimates, literature data or measurements performed on a representative sample of the material. The following overview of required accuracies and possible measurement methods shall assist the user in selecting appropriate procedures.

Completeness and Accuracy

The basic material properties bulk density, porosity, dry thermal capacity, dry thermal conductivity and water vapor diffusion resistance factor must always be provided, since otherwise some part of the heat and moisture transport equations remains mathematically undefined. (Exceptions apply for purely thermal simulations.)

The additional hygrothermal functions for a material must be defined to the extent that

  • the respective property is present in that material.

    This is a material-specific criterion.
    For example, liquid transport coefficients are only needed for capillary active materials.

  • the property influences the result of the investigation.

    This is a simulation-specific criterion.
    For example, even for capillary active materials liquid transport coefficients are only needed if in the investigated situation the material becomes wet enough for capillary transport to take place.

    In particular, some hygrothermal functions only provide refinements of the hygrothermal model, for example the moisture-dependence or the temperature-dependence of the thermal conductivity. It must be decided by the user whether these refinements are necessary and useful for the investigations at hand.

If the material properties are determined for general purposes (e.g. for inclusion in the material database), all the properties required for this kind of material should be determined, if possible, and the highest accuracy achievable with acceptable cost should be aimed at.
For specific purposes or a limited range of simulated scenarios, some accuracy requirements may be relaxed, or some properties may even be omitted.

The material parameters of most materials describe different functional aspects, some of which may or may not be relevant in a given situation, for example
• the ability to accumulate or disperse liquid water by capillary transport,
• function as a vapor retarder because of ###,
• thermal insulation properties due to ###
• etc.

In particular, if a material is only needed for investigations involving a limited variety of climatic conditions and is kept at a fixed location within the wall assembly, then some material properties may only have a minor or even negligible influence on the simulation results.

For example, a material like sandstone, brick etc. is capillary active and thus must have its liquid transport coefficients defined to be fully specified. On the other hand, if it is known that under the investigated circumstances the material never becomes appreciably wet (because it is completely sheltered from rain, or because it is located at a permanently dry location within the wall, and it is known that no condensation occurs), it will never contain enough moisture for capillary conduction to take place.
In this case, it may be sufficient to ignore capillary conduction in this material altogether and to set the liquid transport coefficients to zero.

In other cases, a property may be needed, but it may be sufficient to merely estimate its value instead of measuring it.

For example, the hygric simulation results (water contents, humidity) usually are not very sensitive with respect to the thermal material properties (thermal capacity, thermal conductivity), so that a reasonable guess may be sufficient. The energetic simulation results (heat losses, peak heat loads, ###), on the other will usually be quite sensitive with respect to the thermal properties###

Whether this applies### to a given property can be established by WUFI calculations: if varying the property (within plausible limits) leads to negligible variation of the results, a (plausible) estimate will be sufficient. For example, a gypsum board on the indoor side of a wall will usually not be exposed to liquid water, so that a rough estimate of the liquid transport coefficients should be adequate. Of course, if different climatic conditions are used which cause the same gypsum board to be exposed to condensate (for example), it may become important to allow for liquid transport in detail.

generic materials vs. specific materials traditional materials and construction types...### insensitive### on the safe side### deliberately #biased# thermal properties less important for hygric results, but important for energetic investigations

Measurement Methods

In general, any measurement method is permissible for a certain material property as long as it determines the property in the sense defined by the transport equations (refer to Dr. Kuenzel's dissertation for the transport equations and involved material properties). The standardized methods listed in the following table have the advantage that the respective standard documents contain detailed descriptions of the methods, and the required laboratory equipment may already be at hand. In addition, using properties determined in compliance with established standards may be preferable when simulations are needed for expert assessments in legal disputes.

in compliance with## in accordance with###
Material Property | Needed | Procedure
Bulk Density | Always | Insulation Materials: EN 1602, edition January 1997. Mortar and Plaster: EN 1015-10; edition 1999. Bricks: EN 772-4, edition 1998. And others, depending on type of building material.
Porosity | Always | Determination of the true density with the helium pyknometer. Bulk density see above. Porosity is then calculated from these two.
Specific Heat Capacity, dry | Always | Determination of specific heat capacity according to ISO 11357-4, edition September 2005. But literature values are usually sufficient.
Thermal Conductivity, Dry, 10°C | Always | Thermal performance of building materials and products - Determination of thermal resistance by means of guarded hot plate and heat flow meter methods: Dry and moist products with medium and low thermal resistance; German version EN 12664:2001 Products of high and medium thermal resistance; German version EN 12667:2001
Water Vapor Diffusion Resistance Factor | Always | Determination of water vapour transmission properties according to EN ISO 12572, edition September 2001, dry cup.
Moisture Storage Function | Only for hygroscopic building materials. (For non-hygroscopic building materials WUFI automatically uses an internal moisture storage function, similar to the properties of mineral fibre and depending only on the porosity.) | Determination of hygroscopic sorption properties according to DIN EN ISO 12571, edition April 2000, absorption test. Determination of superhygroscopic sorption properties with the pressure plate or alternatively with approximation methods from IBP. Determination of water absorption and saturation coefficient according to DIN 52103, edition April 1988.
Liquid Transport Coefficient, Suction | Only for capillary active building materials. | Determination of the water absorption coefficient according to EN ISO 15148, edition March 2003. Using this value, estimation of the liquid transport coefficient for water uptake: M. Krus, A. Holm, T. Schmidt, Bauinstandsetzen 3 (1997), H.1, S. 219-234.
Liquid Transport Coefficient, Redistribution | Only for capillary active building materials. | Fitting WUFI calculations to measured drying curves: Bestimmung der Transportkoeffizienten für die Weiterverteilung aus einfachen Trocknungsversuchen und rechnerischer Anpassung: A. Holm, M. Krus, Bauinstandsetzen 4 (1998), H.1, S. 33-52.
Water Vapor Diffusion Resistance Factor, moisture-dependent | Only for polymers with solution diffusion. Sometimes an alternative to liquid transport coefficients. | Determination of water vapour transmission properties according to EN ISO 12572, edition September 2001, dry and wet cup.
Thermal Conductivity, moisture-dependent | Always, except for membranes and other thin layers. | EN 12664, but supplements from DIN 4108-4 are generally sufficient.
Thermal Conductivity, temperature-dependent | Generally for insulating materials. Otherwise rough typical values are sufficient. | EN 12664, 12667.
Enthalpy, temperature-dependent | Only for phase change materials. | Determination of temperature and enthalpy of melting and crystallization according to ISO 11357-3, edition July 2005.
Previous topic:
Viewing the Results 		Topic 12 Next topic:
Basic Material Data


Update History

July 2024:
New version number 4.6 for release with new database.
No other changes.

January 2020:
The barometric pressure in the KLI format is in Pa, not hPa: The *.KLI Format for Climate Data

December 2019:
New help version number 4.2

October, November 2017:
New help version number 4.0

New topics:
Menu: File | Reopen
Menu: File | Import DXF File...
Dialog: Sources, Sinks
Dialog: Edit Heat Source
Dialog: Edit Moisture Source
Dialog: Edit Air Exchange Source
Dialog: Surface / Weather : Adiabatic / System Border
Output: WUFIGraph
Output: Convergence Analyzer
Output: View Report
Dialog: Options | Language
Menu: Help | Examples...
Assessment Criteria (copied from the 1D help)
Terrestrial Short-Wave Reflectivity
Terrestrial Long-Wave Emissivity

Completely revised:
Dialog: Computational Parameters, Simple
Dialog: Options | Settings

Expanded:
Short-wave Radiation Absorptivity
Long-wave Radiation Emissivity
Humidity

Provided content for:
Dialog: Computational Parameters, Enhanced

Removed:
DialogDatabaseMaterials.htm
DialogDatabaseMaterialsEditCatalog.htm
DialogDatabaseMaterialsNewMaterial.htm

Heavily revised many existing topics.

May 2010:
Fixed an error in the description of the µ-value dry.

August 2007:
New help version number 3.2.1

March, April 2007:
Convert existing 1D and 2D help topics to HTML
Add new 2D dialogs
Version number 3.2.0